/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 647 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQLERROR = 292,
    SQL_SQLPRINT = 293,
    SQL_SQLWARNING = 294,
    SQL_START = 295,
    SQL_STOP = 296,
    SQL_STRUCT = 297,
    SQL_UNSIGNED = 298,
    SQL_VAR = 299,
    SQL_WHENEVER = 300,
    S_ADD = 301,
    S_AND = 302,
    S_ANYTHING = 303,
    S_AUTO = 304,
    S_CONST = 305,
    S_DEC = 306,
    S_DIV = 307,
    S_DOTPOINT = 308,
    S_EQUAL = 309,
    S_EXTERN = 310,
    S_INC = 311,
    S_LSHIFT = 312,
    S_MEMPOINT = 313,
    S_MEMBER = 314,
    S_MOD = 315,
    S_MUL = 316,
    S_NEQUAL = 317,
    S_OR = 318,
    S_REGISTER = 319,
    S_RSHIFT = 320,
    S_STATIC = 321,
    S_SUB = 322,
    S_VOLATILE = 323,
    S_TYPEDEF = 324,
    CSTRING = 325,
    CVARIABLE = 326,
    CPP_LINE = 327,
    IP = 328,
    DOLCONST = 329,
    ECONST = 330,
    NCONST = 331,
    UCONST = 332,
    UIDENT = 333,
    IDENT = 334,
    FCONST = 335,
    SCONST = 336,
    BCONST = 337,
    XCONST = 338,
    Op = 339,
    ICONST = 340,
    PARAM = 341,
    TYPECAST = 342,
    DOT_DOT = 343,
    COLON_EQUALS = 344,
    EQUALS_GREATER = 345,
    LESS_EQUALS = 346,
    GREATER_EQUALS = 347,
    NOT_EQUALS = 348,
    ABORT_P = 349,
    ABSOLUTE_P = 350,
    ACCESS = 351,
    ACTION = 352,
    ADD_P = 353,
    ADMIN = 354,
    AFTER = 355,
    AGGREGATE = 356,
    ALL = 357,
    ALSO = 358,
    ALTER = 359,
    ALWAYS = 360,
    ANALYSE = 361,
    ANALYZE = 362,
    AND = 363,
    ANY = 364,
    ARRAY = 365,
    AS = 366,
    ASC = 367,
    ASSERTION = 368,
    ASSIGNMENT = 369,
    ASYMMETRIC = 370,
    AT = 371,
    ATTRIBUTE = 372,
    AUTHORIZATION = 373,
    BACKWARD = 374,
    BEFORE = 375,
    BEGIN_P = 376,
    BETWEEN = 377,
    BIGINT = 378,
    BINARY = 379,
    BIT = 380,
    BOOLEAN_P = 381,
    BOTH = 382,
    BY = 383,
    CACHE = 384,
    CALLED = 385,
    CASCADE = 386,
    CASCADED = 387,
    CASE = 388,
    CAST = 389,
    CATALOG_P = 390,
    CHAIN = 391,
    CHAR_P = 392,
    CHARACTER = 393,
    CHARACTERISTICS = 394,
    CHECK = 395,
    CHECKPOINT = 396,
    CLASS = 397,
    CLOSE = 398,
    CLUSTER = 399,
    COALESCE = 400,
    COLLATE = 401,
    COLLATION = 402,
    COLUMN = 403,
    COMMENT = 404,
    COMMENTS = 405,
    COMMIT = 406,
    COMMITTED = 407,
    CONCURRENTLY = 408,
    CONFIGURATION = 409,
    CONFLICT = 410,
    CONNECTION = 411,
    CONSTRAINT = 412,
    CONSTRAINTS = 413,
    CONTENT_P = 414,
    CONTINUE_P = 415,
    CONVERSION_P = 416,
    COPY = 417,
    COST = 418,
    CREATE = 419,
    CROSS = 420,
    CSV = 421,
    CUBE = 422,
    CURRENT_P = 423,
    CURRENT_CATALOG = 424,
    CURRENT_DATE = 425,
    CURRENT_ROLE = 426,
    CURRENT_SCHEMA = 427,
    CURRENT_TIME = 428,
    CURRENT_TIMESTAMP = 429,
    CURRENT_USER = 430,
    CURSOR = 431,
    CYCLE = 432,
    DATA_P = 433,
    DATABASE = 434,
    DAY_P = 435,
    DEALLOCATE = 436,
    DEC = 437,
    DECIMAL_P = 438,
    DECLARE = 439,
    DEFAULT = 440,
    DEFAULTS = 441,
    DEFERRABLE = 442,
    DEFERRED = 443,
    DEFINER = 444,
    DELETE_P = 445,
    DELIMITER = 446,
    DELIMITERS = 447,
    DEPENDS = 448,
    DESC = 449,
    DICTIONARY = 450,
    DISABLE_P = 451,
    DISCARD = 452,
    DISTINCT = 453,
    DO = 454,
    DOCUMENT_P = 455,
    DOMAIN_P = 456,
    DOUBLE_P = 457,
    DROP = 458,
    EACH = 459,
    ELSE = 460,
    ENABLE_P = 461,
    ENCODING = 462,
    ENCRYPTED = 463,
    END_P = 464,
    ENUM_P = 465,
    ESCAPE = 466,
    EVENT = 467,
    EXCEPT = 468,
    EXCLUDE = 469,
    EXCLUDING = 470,
    EXCLUSIVE = 471,
    EXECUTE = 472,
    EXISTS = 473,
    EXPLAIN = 474,
    EXTENSION = 475,
    EXTERNAL = 476,
    EXTRACT = 477,
    FALSE_P = 478,
    FAMILY = 479,
    FETCH = 480,
    FILTER = 481,
    FIRST_P = 482,
    FLOAT_P = 483,
    FOLLOWING = 484,
    FOR = 485,
    FORCE = 486,
    FOREIGN = 487,
    FORWARD = 488,
    FREEZE = 489,
    FROM = 490,
    FULL = 491,
    FUNCTION = 492,
    FUNCTIONS = 493,
    GLOBAL = 494,
    GRANT = 495,
    GRANTED = 496,
    GREATEST = 497,
    GROUP_P = 498,
    GROUPING = 499,
    HANDLER = 500,
    HAVING = 501,
    HEADER_P = 502,
    HOLD = 503,
    HOUR_P = 504,
    IDENTITY_P = 505,
    IF_P = 506,
    ILIKE = 507,
    IMMEDIATE = 508,
    IMMUTABLE = 509,
    IMPLICIT_P = 510,
    IMPORT_P = 511,
    IN_P = 512,
    INCLUDING = 513,
    INCREMENT = 514,
    INDEX = 515,
    INDEXES = 516,
    INHERIT = 517,
    INHERITS = 518,
    INITIALLY = 519,
    INLINE_P = 520,
    INNER_P = 521,
    INOUT = 522,
    INPUT_P = 523,
    INSENSITIVE = 524,
    INSERT = 525,
    INSTEAD = 526,
    INT_P = 527,
    INTEGER = 528,
    INTERSECT = 529,
    INTERVAL = 530,
    INTO = 531,
    INVOKER = 532,
    IS = 533,
    ISNULL = 534,
    ISOLATION = 535,
    JOIN = 536,
    KEY = 537,
    LABEL = 538,
    LANGUAGE = 539,
    LARGE_P = 540,
    LAST_P = 541,
    LATERAL_P = 542,
    LEADING = 543,
    LEAKPROOF = 544,
    LEAST = 545,
    LEFT = 546,
    LEVEL = 547,
    LIKE = 548,
    LIMIT = 549,
    LISTEN = 550,
    LOAD = 551,
    LOCAL = 552,
    LOCALTIME = 553,
    LOCALTIMESTAMP = 554,
    LOCATION = 555,
    LOCK_P = 556,
    LOCKED = 557,
    LOGGED = 558,
    MAPPING = 559,
    MATCH = 560,
    MATERIALIZED = 561,
    MAXVALUE = 562,
    METHOD = 563,
    MINUTE_P = 564,
    MINVALUE = 565,
    MODE = 566,
    MONTH_P = 567,
    MOVE = 568,
    NAME_P = 569,
    NAMES = 570,
    NATIONAL = 571,
    NATURAL = 572,
    NCHAR = 573,
    NEXT = 574,
    NO = 575,
    NONE = 576,
    NOT = 577,
    NOTHING = 578,
    NOTIFY = 579,
    NOTNULL = 580,
    NOWAIT = 581,
    NULL_P = 582,
    NULLIF = 583,
    NULLS_P = 584,
    NUMERIC = 585,
    OBJECT_P = 586,
    OF = 587,
    OFF = 588,
    OFFSET = 589,
    OIDS = 590,
    ON = 591,
    ONLY = 592,
    OPERATOR = 593,
    OPTION = 594,
    OPTIONS = 595,
    OR = 596,
    ORDER = 597,
    ORDINALITY = 598,
    OUT_P = 599,
    OUTER_P = 600,
    OVER = 601,
    OVERLAPS = 602,
    OVERLAY = 603,
    OWNED = 604,
    OWNER = 605,
    PARALLEL = 606,
    PARSER = 607,
    PARTIAL = 608,
    PARTITION = 609,
    PASSING = 610,
    PASSWORD = 611,
    PLACING = 612,
    PLANS = 613,
    POLICY = 614,
    POSITION = 615,
    PRECEDING = 616,
    PRECISION = 617,
    PRESERVE = 618,
    PREPARE = 619,
    PREPARED = 620,
    PRIMARY = 621,
    PRIOR = 622,
    PRIVILEGES = 623,
    PROCEDURAL = 624,
    PROCEDURE = 625,
    PROGRAM = 626,
    QUOTE = 627,
    RANGE = 628,
    READ = 629,
    REAL = 630,
    REASSIGN = 631,
    RECHECK = 632,
    RECURSIVE = 633,
    REF = 634,
    REFERENCES = 635,
    REFRESH = 636,
    REINDEX = 637,
    RELATIVE_P = 638,
    RELEASE = 639,
    RENAME = 640,
    REPEATABLE = 641,
    REPLACE = 642,
    REPLICA = 643,
    RESET = 644,
    RESTART = 645,
    RESTRICT = 646,
    RETURNING = 647,
    RETURNS = 648,
    REVOKE = 649,
    RIGHT = 650,
    ROLE = 651,
    ROLLBACK = 652,
    ROLLUP = 653,
    ROW = 654,
    ROWS = 655,
    RULE = 656,
    SAVEPOINT = 657,
    SCHEMA = 658,
    SCROLL = 659,
    SEARCH = 660,
    SECOND_P = 661,
    SECURITY = 662,
    SELECT = 663,
    SEQUENCE = 664,
    SEQUENCES = 665,
    SERIALIZABLE = 666,
    SERVER = 667,
    SESSION = 668,
    SESSION_USER = 669,
    SET = 670,
    SETS = 671,
    SETOF = 672,
    SHARE = 673,
    SHOW = 674,
    SIMILAR = 675,
    SIMPLE = 676,
    SKIP = 677,
    SMALLINT = 678,
    SNAPSHOT = 679,
    SOME = 680,
    SQL_P = 681,
    STABLE = 682,
    STANDALONE_P = 683,
    START = 684,
    STATEMENT = 685,
    STATISTICS = 686,
    STDIN = 687,
    STDOUT = 688,
    STORAGE = 689,
    STRICT_P = 690,
    STRIP_P = 691,
    SUBSTRING = 692,
    SYMMETRIC = 693,
    SYSID = 694,
    SYSTEM_P = 695,
    TABLE = 696,
    TABLES = 697,
    TABLESAMPLE = 698,
    TABLESPACE = 699,
    TEMP = 700,
    TEMPLATE = 701,
    TEMPORARY = 702,
    TEXT_P = 703,
    THEN = 704,
    TIME = 705,
    TIMESTAMP = 706,
    TO = 707,
    TRAILING = 708,
    TRANSACTION = 709,
    TRANSFORM = 710,
    TREAT = 711,
    TRIGGER = 712,
    TRIM = 713,
    TRUE_P = 714,
    TRUNCATE = 715,
    TRUSTED = 716,
    TYPE_P = 717,
    TYPES_P = 718,
    UNBOUNDED = 719,
    UNCOMMITTED = 720,
    UNENCRYPTED = 721,
    UNION = 722,
    UNIQUE = 723,
    UNKNOWN = 724,
    UNLISTEN = 725,
    UNLOGGED = 726,
    UNTIL = 727,
    UPDATE = 728,
    USER = 729,
    USING = 730,
    VACUUM = 731,
    VALID = 732,
    VALIDATE = 733,
    VALIDATOR = 734,
    VALUE_P = 735,
    VALUES = 736,
    VARCHAR = 737,
    VARIADIC = 738,
    VARYING = 739,
    VERBOSE = 740,
    VERSION_P = 741,
    VIEW = 742,
    VIEWS = 743,
    VOLATILE = 744,
    WHEN = 745,
    WHERE = 746,
    WHITESPACE_P = 747,
    WINDOW = 748,
    WITH = 749,
    WITHIN = 750,
    WITHOUT = 751,
    WORK = 752,
    WRAPPER = 753,
    WRITE = 754,
    XML_P = 755,
    XMLATTRIBUTES = 756,
    XMLCONCAT = 757,
    XMLELEMENT = 758,
    XMLEXISTS = 759,
    XMLFOREST = 760,
    XMLPARSE = 761,
    XMLPI = 762,
    XMLROOT = 763,
    XMLSERIALIZE = 764,
    YEAR_P = 765,
    YES_P = 766,
    ZONE = 767,
    NOT_LA = 768,
    NULLS_LA = 769,
    WITH_LA = 770,
    POSTFIXOP = 771,
    UMINUS = 772
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1220 "preproc.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1251 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   126436

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  537
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  761
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2989
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5646

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   772

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   524,     2,     2,
     529,   530,   522,   520,   532,   521,   531,   523,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   534,   533,
     516,   518,   517,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   527,     2,   528,   525,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   535,     2,   536,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   519,   526
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1561,  1561,  1564,  1566,  1568,  1570,  1572,  1574,  1576,
    1578,  1580,  1582,  1584,  1586,  1588,  1590,  1592,  1594,  1596,
    1598,  1600,  1602,  1604,  1606,  1608,  1610,  1612,  1614,  1616,
    1618,  1620,  1622,  1624,  1626,  1628,  1646,  1648,  1650,  1652,
    1654,  1656,  1658,  1660,  1662,  1664,  1666,  1668,  1670,  1672,
    1674,  1676,  1678,  1680,  1682,  1684,  1686,  1688,  1690,  1692,
    1694,  1696,  1698,  1700,  1702,  1704,  1706,  1708,  1710,  1712,
    1716,  1718,  1720,  1722,  1724,  1726,  1728,  1730,  1732,  1734,
    1736,  1738,  1740,  1742,  1744,  1746,  1748,  1750,  1752,  1754,
    1756,  1758,  1760,  1762,  1764,  1766,  1768,  1770,  1772,  1774,
    1776,  1778,  1780,  1782,  1784,  1786,  1788,  1790,  1797,  1799,
    1801,  1803,  1805,  1807,  1809,  1811,  1813,  1815,  1817,  1819,
    1825,  1827,  1829,  1831,  1833,  1835,  1837,  1839,  1841,  1847,
    1857,  1861,  1867,  1871,  1881,  1891,  1892,  1906,  1913,  1919,
    1930,  1936,  1945,  1952,  1958,  1967,  1974,  1982,  1987,  1995,
    1999,  2004,  2010,  2015,  2021,  2026,  2032,  2036,  2040,  2044,
    2048,  2052,  2056,  2060,  2064,  2072,  2076,  2080,  2084,  2088,
    2092,  2100,  2108,  2117,  2119,  2127,  2131,  2139,  2147,  2151,
    2159,  2163,  2171,  2175,  2183,  2191,  2199,  2203,  2211,  2215,
    2223,  2227,  2231,  2236,  2245,  2250,  2256,  2261,  2267,  2271,
    2275,  2279,  2283,  2287,  2295,  2299,  2303,  2311,  2315,  2319,
    2327,  2331,  2335,  2339,  2340,  2344,  2348,  2352,  2357,  2361,
    2365,  2369,  2373,  2377,  2381,  2389,  2393,  2401,  2405,  2413,
    2417,  2431,  2435,  2439,  2443,  2451,  2455,  2459,  2463,  2471,
    2475,  2479,  2483,  2487,  2491,  2495,  2503,  2507,  2512,  2518,
    2522,  2530,  2538,  2542,  2546,  2550,  2558,  2562,  2570,  2574,
    2582,  2586,  2594,  2598,  2602,  2606,  2610,  2619,  2627,  2631,
    2639,  2643,  2651,  2659,  2663,  2667,  2671,  2675,  2683,  2687,
    2691,  2695,  2699,  2703,  2707,  2711,  2715,  2719,  2723,  2727,
    2731,  2735,  2739,  2743,  2751,  2755,  2763,  2767,  2771,  2775,
    2779,  2783,  2787,  2791,  2795,  2799,  2803,  2807,  2811,  2815,
    2819,  2823,  2827,  2831,  2835,  2839,  2843,  2847,  2851,  2855,
    2859,  2863,  2867,  2871,  2875,  2879,  2883,  2887,  2891,  2895,
    2899,  2903,  2907,  2911,  2915,  2919,  2923,  2927,  2931,  2935,
    2939,  2943,  2947,  2951,  2955,  2959,  2963,  2967,  2975,  2979,
    2987,  2991,  2996,  3002,  3007,  3013,  3018,  3024,  3028,  3032,
    3036,  3044,  3052,  3057,  3063,  3067,  3075,  3079,  3083,  3087,
    3095,  3103,  3107,  3115,  3119,  3123,  3127,  3135,  3140,  3148,
    3156,  3164,  3168,  3176,  3181,  3187,  3191,  3195,  3203,  3207,
    3215,  3220,  3226,  3230,  3234,  3238,  3242,  3246,  3250,  3254,
    3258,  3262,  3266,  3270,  3274,  3278,  3286,  3291,  3297,  3302,
    3308,  3313,  3319,  3324,  3330,  3334,  3342,  3350,  3354,  3358,
    3362,  3367,  3373,  3377,  3385,  3393,  3397,  3401,  3405,  3413,
    3417,  3421,  3425,  3429,  3433,  3437,  3442,  3448,  3453,  3459,
    3464,  3470,  3474,  3482,  3486,  3494,  3498,  3502,  3510,  3514,
    3522,  3530,  3538,  3543,  3549,  3553,  3557,  3561,  3569,  3573,
    3577,  3581,  3585,  3589,  3593,  3601,  3605,  3609,  3613,  3621,
    3629,  3633,  3638,  3644,  3648,  3652,  3656,  3660,  3664,  3672,
    3676,  3684,  3688,  3692,  3696,  3700,  3704,  3708,  3716,  3721,
    3727,  3732,  3738,  3742,  3750,  3758,  3762,  3767,  3772,  3778,
    3782,  3790,  3794,  3802,  3807,  3813,  3817,  3821,  3825,  3830,
    3836,  3844,  3852,  3856,  3860,  3864,  3868,  3876,  3881,  3887,
    3891,  3895,  3900,  3906,  3910,  3914,  3919,  3925,  3930,  3936,
    3941,  3947,  3955,  3963,  3967,  3972,  3978,  3982,  3990,  3998,
    4003,  4009,  4017,  4021,  4029,  4033,  4041,  4046,  4052,  4056,
    4064,  4068,  4072,  4076,  4080,  4084,  4088,  4092,  4096,  4100,
    4104,  4108,  4116,  4121,  4127,  4131,  4135,  4139,  4147,  4151,
    4159,  4163,  4171,  4176,  4182,  4186,  4194,  4199,  4205,  4209,
    4217,  4222,  4228,  4232,  4240,  4245,  4251,  4259,  4264,  4270,
    4274,  4282,  4286,  4294,  4299,  4305,  4309,  4313,  4317,  4325,
    4333,  4338,  4344,  4352,  4356,  4360,  4364,  4368,  4372,  4376,
    4380,  4384,  4388,  4392,  4396,  4400,  4404,  4408,  4412,  4416,
    4420,  4424,  4428,  4432,  4436,  4440,  4444,  4448,  4452,  4460,
    4468,  4472,  4476,  4480,  4488,  4492,  4500,  4505,  4511,  4515,
    4523,  4527,  4535,  4540,  4546,  4550,  4558,  4566,  4570,  4578,
    4582,  4586,  4590,  4598,  4606,  4614,  4622,  4630,  4635,  4641,
    4645,  4653,  4658,  4664,  4668,  4676,  4680,  4684,  4692,  4696,
    4704,  4708,  4716,  4724,  4728,  4736,  4741,  4747,  4755,  4759,
    4767,  4771,  4779,  4787,  4795,  4803,  4807,  4815,  4820,  4826,
    4831,  4837,  4842,  4848,  4853,  4859,  4864,  4870,  4874,  4878,
    4882,  4886,  4894,  4902,  4906,  4914,  4918,  4922,  4930,  4934,
    4942,  4946,  4950,  4954,  4958,  4966,  4971,  4977,  4982,  4988,
    4992,  5000,  5005,  5011,  5015,  5020,  5026,  5030,  5034,  5038,
    5046,  5051,  5058,  5060,  5068,  5072,  5076,  5080,  5084,  5088,
    5096,  5100,  5108,  5112,  5120,  5124,  5132,  5140,  5144,  5152,
    5160,  5164,  5168,  5172,  5180,  5189,  5198,  5202,  5206,  5210,
    5214,  5218,  5222,  5226,  5230,  5234,  5238,  5242,  5246,  5250,
    5258,  5266,  5270,  5278,  5282,  5290,  5294,  5298,  5302,  5306,
    5314,  5322,  5326,  5334,  5342,  5347,  5353,  5357,  5365,  5369,
    5373,  5381,  5386,  5392,  5400,  5404,  5412,  5416,  5420,  5424,
    5428,  5436,  5441,  5447,  5452,  5458,  5462,  5467,  5473,  5479,
    5485,  5493,  5497,  5505,  5509,  5517,  5521,  5529,  5533,  5541,
    5545,  5553,  5561,  5569,  5573,  5577,  5581,  5585,  5589,  5593,
    5597,  5605,  5609,  5613,  5617,  5621,  5625,  5629,  5633,  5637,
    5641,  5645,  5649,  5653,  5657,  5661,  5665,  5673,  5677,  5685,
    5689,  5697,  5701,  5709,  5713,  5714,  5722,  5726,  5731,  5737,
    5741,  5745,  5749,  5753,  5757,  5761,  5765,  5769,  5773,  5777,
    5781,  5785,  5789,  5793,  5797,  5801,  5805,  5813,  5817,  5821,
    5825,  5829,  5833,  5837,  5841,  5845,  5849,  5853,  5857,  5861,
    5865,  5869,  5873,  5877,  5881,  5885,  5889,  5893,  5897,  5905,
    5909,  5917,  5921,  5925,  5929,  5933,  5937,  5941,  5949,  5954,
    5960,  5964,  5968,  5972,  5976,  5980,  5984,  5988,  5992,  5996,
    6000,  6008,  6012,  6020,  6024,  6028,  6032,  6038,  6044,  6050,
    6056,  6062,  6068,  6074,  6084,  6095,  6106,  6117,  6128,  6139,
    6150,  6166,  6182,  6198,  6209,  6225,  6236,  6252,  6267,  6271,
    6279,  6284,  6290,  6298,  6302,  6310,  6314,  6318,  6322,  6326,
    6334,  6338,  6346,  6350,  6354,  6358,  6366,  6370,  6374,  6378,
    6382,  6386,  6390,  6394,  6398,  6402,  6406,  6410,  6414,  6418,
    6422,  6426,  6434,  6438,  6446,  6450,  6458,  6463,  6469,  6473,
    6481,  6489,  6497,  6501,  6509,  6514,  6520,  6525,  6531,  6539,
    6544,  6550,  6554,  6558,  6566,  6570,  6574,  6582,  6586,  6590,
    6594,  6602,  6606,  6614,  6619,  6625,  6630,  6636,  6641,  6647,
    6652,  6658,  6662,  6670,  6674,  6678,  6686,  6691,  6697,  6702,
    6708,  6712,  6717,  6723,  6727,  6732,  6738,  6742,  6746,  6754,
    6759,  6765,  6769,  6777,  6781,  6789,  6793,  6801,  6805,  6813,
    6817,  6821,  6825,  6829,  6837,  6841,  6845,  6849,  6853,  6861,
    6869,  6877,  6881,  6885,  6893,  6897,  6901,  6909,  6918,  6922,
    6926,  6930,  6938,  6942,  6950,  6954,  6962,  6966,  6970,  6974,
    6978,  6982,  6986,  6990,  6994,  6998,  7002,  7006,  7010,  7014,
    7018,  7022,  7030,  7034,  7038,  7042,  7046,  7054,  7058,  7066,
    7070,  7078,  7083,  7089,  7097,  7101,  7109,  7117,  7121,  7129,
    7134,  7140,  7144,  7152,  7156,  7164,  7168,  7176,  7180,  7184,
    7188,  7196,  7200,  7208,  7216,  7220,  7228,  7232,  7240,  7244,
    7248,  7256,  7260,  7265,  7271,  7279,  7284,  7290,  7298,  7302,
    7306,  7310,  7318,  7326,  7330,  7334,  7338,  7346,  7350,  7358,
    7362,  7366,  7374,  7378,  7386,  7394,  7398,  7406,  7410,  7414,
    7418,  7422,  7426,  7430,  7434,  7438,  7442,  7446,  7450,  7454,
    7458,  7462,  7466,  7470,  7474,  7478,  7482,  7486,  7490,  7494,
    7498,  7502,  7506,  7510,  7514,  7518,  7522,  7526,  7530,  7534,
    7538,  7542,  7546,  7550,  7554,  7558,  7562,  7566,  7570,  7574,
    7578,  7582,  7586,  7590,  7594,  7602,  7607,  7613,  7618,  7624,
    7628,  7632,  7636,  7644,  7648,  7652,  7656,  7660,  7664,  7668,
    7672,  7676,  7680,  7684,  7688,  7692,  7696,  7700,  7704,  7708,
    7712,  7716,  7720,  7724,  7728,  7732,  7736,  7744,  7752,  7756,
    7764,  7768,  7776,  7780,  7784,  7788,  7792,  7796,  7800,  7804,
    7808,  7812,  7816,  7820,  7824,  7828,  7832,  7836,  7840,  7844,
    7848,  7856,  7864,  7868,  7872,  7880,  7884,  7892,  7896,  7900,
    7904,  7908,  7916,  7921,  7927,  7931,  7935,  7939,  7947,  7951,
    7956,  7962,  7966,  7974,  7982,  7987,  7993,  8001,  8005,  8013,
    8017,  8021,  8025,  8029,  8033,  8037,  8041,  8045,  8049,  8053,
    8057,  8061,  8065,  8073,  8077,  8082,  8088,  8092,  8096,  8100,
    8104,  8112,  8116,  8120,  8128,  8133,  8139,  8143,  8147,  8152,
    8161,  8165,  8169,  8174,  8180,  8188,  8196,  8201,  8207,  8211,
    8219,  8223,  8227,  8235,  8239,  8243,  8247,  8251,  8255,  8259,
    8267,  8272,  8278,  8282,  8286,  8294,  8302,  8306,  8314,  8318,
    8326,  8334,  8338,  8342,  8346,  8350,  8354,  8358,  8366,  8371,
    8377,  8385,  8389,  8393,  8397,  8401,  8405,  8413,  8417,  8425,
    8433,  8437,  8441,  8449,  8454,  8460,  8464,  8468,  8472,  8476,
    8484,  8488,  8496,  8500,  8504,  8508,  8512,  8520,  8524,  8532,
    8536,  8544,  8549,  8555,  8560,  8566,  8571,  8577,  8582,  8588,
    8592,  8596,  8600,  8608,  8612,  8616,  8620,  8624,  8628,  8632,
    8636,  8640,  8648,  8652,  8660,  8668,  8672,  8680,  8684,  8689,
    8695,  8701,  8711,  8716,  8722,  8726,  8730,  8734,  8742,  8744,
    8752,  8757,  8763,  8771,  8775,  8783,  8787,  8791,  8799,  8803,
    8811,  8819,  8823,  8828,  8834,  8838,  8843,  8849,  8854,  8860,
    8868,  8873,  8879,  8887,  8892,  8898,  8902,  8906,  8910,  8914,
    8918,  8922,  8926,  8934,  8939,  8945,  8949,  8954,  8960,  8968,
    8972,  8980,  8984,  8992,  9000,  9004,  9012,  9020,  9024,  9032,
    9085,  9089,  9102,  9104,  9108,  9112,  9116,  9125,  9131,  9135,
    9143,  9147,  9155,  9159,  9167,  9171,  9175,  9179,  9183,  9187,
    9191,  9195,  9203,  9207,  9215,  9219,  9223,  9227,  9231,  9235,
    9239,  9247,  9251,  9255,  9263,  9267,  9275,  9283,  9288,  9294,
    9299,  9301,  9307,  9311,  9315,  9319,  9323,  9327,  9331,  9335,
    9339,  9347,  9352,  9358,  9362,  9367,  9373,  9377,  9385,  9390,
    9396,  9401,  9407,  9415,  9419,  9427,  9431,  9439,  9443,  9447,
    9451,  9459,  9464,  9470,  9474,  9479,  9483,  9491,  9495,  9503,
    9507,  9515,  9523,  9527,  9531,  9539,  9543,  9551,  9555,  9563,
    9567,  9575,  9580,  9586,  9590,  9598,  9602,  9606,  9610,  9614,
    9622,  9630,  9638,  9646,  9654,  9659,  9665,  9669,  9677,  9682,
    9688,  9692,  9700,  9708,  9712,  9716,  9720,  9728,  9733,  9739,
    9743,  9751,  9756,  9762,  9766,  9774,  9778,  9782,  9786,  9790,
    9797,  9804,  9808,  9816,  9820,  9824,  9828,  9832,  9836,  9844,
    9848,  9852,  9856,  9864,  9869,  9875,  9879,  9883,  9887,  9892,
    9898,  9902,  9906,  9910,  9918,  9923,  9929,  9933,  9941,  9945,
    9949,  9953,  9961,  9965,  9973,  9977,  9981,  9989,  9997, 10002,
   10008, 10012, 10020, 10028, 10032, 10040, 10045, 10051, 10056, 10062,
   10067, 10073, 10077, 10083, 10089, 10094, 10100, 10104, 10112, 10120,
   10122, 10124, 10128, 10132, 10136, 10144, 10154, 10165, 10174, 10178,
   10182, 10186, 10190, 10194, 10198, 10206, 10210, 10214, 10218, 10226,
   10230, 10238, 10243, 10249, 10253, 10257, 10261, 10265, 10269, 10273,
   10277, 10281, 10285, 10289, 10297, 10302, 10308, 10312, 10320, 10324,
   10332, 10340, 10348, 10352, 10360, 10364, 10372, 10380, 10388, 10392,
   10396, 10400, 10404, 10408, 10416, 10421, 10427, 10432, 10438, 10442,
   10446, 10450, 10458, 10466, 10470, 10475, 10481, 10485, 10489, 10493,
   10497, 10501, 10505, 10509, 10513, 10517, 10521, 10525, 10529, 10534,
   10540, 10544, 10552, 10556, 10560, 10564, 10568, 10572, 10576, 10580,
   10584, 10588, 10592, 10596, 10600, 10604, 10608, 10612, 10616, 10620,
   10624, 10628, 10632, 10636, 10640, 10644, 10648, 10652, 10656, 10660,
   10664, 10668, 10672, 10676, 10680, 10684, 10688, 10692, 10696, 10700,
   10704, 10708, 10712, 10716, 10720, 10724, 10728, 10732, 10736, 10740,
   10744, 10748, 10752, 10756, 10760, 10764, 10768, 10772, 10776, 10780,
   10784, 10788, 10792, 10797, 10801, 10809, 10813, 10817, 10821, 10825,
   10829, 10833, 10837, 10841, 10845, 10849, 10853, 10857, 10861, 10865,
   10869, 10873, 10877, 10881, 10885, 10889, 10893, 10897, 10901, 10905,
   10913, 10917, 10921, 10925, 10929, 10933, 10937, 10941, 10945, 10949,
   10953, 10957, 10961, 10965, 10973, 10977, 10981, 10985, 10989, 10993,
   10997, 11005, 11009, 11017, 11021, 11029, 11033, 11037, 11041, 11045,
   11049, 11053, 11057, 11061, 11065, 11069, 11073, 11077, 11081, 11085,
   11089, 11093, 11097, 11101, 11105, 11109, 11113, 11117, 11121, 11125,
   11129, 11133, 11137, 11141, 11145, 11149, 11153, 11157, 11161, 11165,
   11169, 11173, 11177, 11181, 11185, 11189, 11193, 11201, 11205, 11213,
   11217, 11221, 11226, 11232, 11240, 11244, 11252, 11256, 11264, 11268,
   11276, 11280, 11285, 11291, 11295, 11299, 11303, 11311, 11316, 11322,
   11327, 11333, 11338, 11344, 11348, 11356, 11364, 11368, 11373, 11379,
   11387, 11391, 11398, 11403, 11409, 11414, 11419, 11425, 11429, 11437,
   11441, 11445, 11449, 11453, 11461, 11465, 11469, 11477, 11481, 11489,
   11497, 11501, 11505, 11513, 11517, 11525, 11529, 11533, 11537, 11541,
   11545, 11549, 11553, 11557, 11561, 11565, 11569, 11577, 11581, 11589,
   11593, 11601, 11605, 11609, 11613, 11617, 11621, 11629, 11633, 11641,
   11645, 11653, 11657, 11661, 11669, 11673, 11681, 11685, 11689, 11697,
   11701, 11709, 11714, 11720, 11724, 11728, 11732, 11736, 11740, 11744,
   11748, 11756, 11760, 11768, 11776, 11781, 11787, 11791, 11795, 11799,
   11803, 11808, 11814, 11822, 11830, 11834, 11838, 11846, 11850, 11858,
   11866, 11870, 11878, 11886, 11891, 11897, 11902, 11908, 11912, 11920,
   11924, 11928, 11932, 11940, 11945, 11951, 11955, 11964, 11966, 11974,
   11979, 11985, 11989, 11997, 12001, 12009, 12017, 12022, 12028, 12032,
   12040, 12044, 12048, 12052, 12060, 12064, 12072, 12076, 12084, 12088,
   12096, 12104, 12112, 12120, 12128, 12136, 12144, 12148, 12156, 12160,
   12164, 12168, 12172, 12176, 12180, 12184, 12188, 12192, 12196, 12200,
   12204, 12208, 12209, 12214, 12220, 12224, 12225, 12229, 12237, 12245,
   12249, 12253, 12261, 12265, 12273, 12277, 12281, 12285, 12293, 12297,
   12301, 12305, 12309, 12313, 12317, 12321, 12325, 12329, 12333, 12337,
   12341, 12345, 12349, 12353, 12357, 12361, 12365, 12369, 12373, 12377,
   12381, 12385, 12389, 12393, 12397, 12401, 12405, 12409, 12413, 12417,
   12421, 12425, 12429, 12433, 12437, 12441, 12445, 12449, 12453, 12457,
   12461, 12465, 12469, 12473, 12477, 12481, 12485, 12489, 12493, 12497,
   12501, 12505, 12509, 12513, 12517, 12521, 12525, 12529, 12533, 12537,
   12541, 12545, 12549, 12553, 12557, 12561, 12565, 12569, 12573, 12577,
   12581, 12585, 12589, 12593, 12597, 12601, 12605, 12609, 12613, 12617,
   12621, 12625, 12629, 12633, 12637, 12641, 12645, 12649, 12653, 12657,
   12661, 12665, 12669, 12673, 12677, 12681, 12685, 12689, 12693, 12697,
   12701, 12705, 12709, 12713, 12717, 12721, 12725, 12729, 12733, 12737,
   12741, 12745, 12749, 12753, 12757, 12761, 12765, 12769, 12773, 12777,
   12781, 12785, 12789, 12793, 12797, 12801, 12805, 12809, 12813, 12817,
   12821, 12825, 12829, 12833, 12837, 12841, 12845, 12849, 12853, 12857,
   12861, 12865, 12869, 12873, 12877, 12881, 12885, 12889, 12893, 12897,
   12901, 12905, 12909, 12913, 12917, 12921, 12925, 12929, 12933, 12937,
   12941, 12945, 12949, 12953, 12957, 12961, 12965, 12969, 12973, 12977,
   12981, 12985, 12989, 12993, 12997, 13001, 13005, 13009, 13013, 13017,
   13021, 13025, 13029, 13033, 13037, 13041, 13045, 13049, 13053, 13057,
   13061, 13065, 13069, 13073, 13077, 13081, 13085, 13089, 13093, 13097,
   13101, 13105, 13109, 13113, 13117, 13121, 13125, 13129, 13133, 13137,
   13141, 13145, 13149, 13153, 13157, 13161, 13165, 13169, 13173, 13177,
   13181, 13185, 13189, 13193, 13197, 13201, 13205, 13209, 13213, 13217,
   13221, 13225, 13229, 13233, 13237, 13241, 13245, 13249, 13253, 13257,
   13261, 13265, 13269, 13273, 13277, 13281, 13285, 13289, 13293, 13297,
   13301, 13305, 13309, 13313, 13317, 13321, 13325, 13329, 13333, 13337,
   13345, 13349, 13353, 13357, 13361, 13365, 13369, 13373, 13377, 13381,
   13385, 13389, 13393, 13397, 13401, 13405, 13409, 13413, 13417, 13421,
   13425, 13429, 13433, 13437, 13441, 13445, 13449, 13453, 13457, 13461,
   13465, 13469, 13473, 13477, 13481, 13485, 13489, 13493, 13497, 13501,
   13505, 13509, 13513, 13517, 13521, 13529, 13533, 13537, 13541, 13545,
   13549, 13553, 13557, 13561, 13565, 13569, 13573, 13577, 13581, 13585,
   13589, 13593, 13597, 13601, 13605, 13609, 13613, 13617, 13625, 13629,
   13633, 13637, 13641, 13645, 13649, 13653, 13657, 13661, 13665, 13669,
   13673, 13677, 13681, 13685, 13689, 13693, 13697, 13701, 13705, 13709,
   13713, 13717, 13721, 13725, 13729, 13733, 13737, 13741, 13745, 13749,
   13753, 13757, 13761, 13765, 13769, 13773, 13777, 13781, 13785, 13789,
   13793, 13797, 13801, 13805, 13809, 13813, 13817, 13821, 13825, 13829,
   13833, 13837, 13841, 13845, 13849, 13853, 13857, 13861, 13865, 13869,
   13873, 13877, 13881, 13885, 13889, 13893, 13897, 13901, 13905, 13909,
   13913, 13917, 13921, 13931, 13932, 13935, 13936, 13937, 13943, 13944,
   13945, 13946, 13947, 13960, 13960, 13969, 13984, 13986, 13989, 13991,
   13995, 14007, 14023, 14027, 14038, 14039, 14042, 14054, 14063, 14064,
   14067, 14068, 14069, 14072, 14073, 14076, 14077, 14080, 14081, 14084,
   14086, 14088, 14090, 14094, 14101, 14108, 14124, 14158, 14168, 14171,
   14175, 14188, 14189, 14191, 14193, 14197, 14211, 14218, 14279, 14288,
   14290, 14291, 14294, 14296, 14297, 14300, 14301, 14302, 14303, 14304,
   14311, 14310, 14320, 14322, 14324, 14325, 14328, 14329, 14330, 14331,
   14334, 14335, 14339, 14338, 14355, 14353, 14369, 14368, 14382, 14388,
   14389, 14392, 14394, 14395, 14398, 14399, 14400, 14401, 14404, 14405,
   14408, 14416, 14433, 14441, 14464, 14570, 14604, 14606, 14608, 14612,
   14616, 14615, 14666, 14668, 14667, 14682, 14688, 14695, 14700, 14706,
   14707, 14710, 14711, 14712, 14713, 14714, 14715, 14716, 14724, 14732,
   14735, 14736, 14737, 14738, 14739, 14740, 14748, 14756, 14757, 14758,
   14761, 14762, 14765, 14767, 14776, 14864, 14865, 14872, 14873, 14874,
   14880, 14889, 14892, 14893, 14894, 14895, 14898, 14899, 14900, 14903,
   14905, 14913, 14914, 14920, 14928, 14929, 14932, 14933, 14936, 14941,
   14948, 14953, 14960, 14967, 14967, 14969, 14976, 14977, 14980, 14981,
   14982, 14983, 14984, 14985, 14986, 14987, 14988, 14994, 15001, 15013,
   15019, 15026, 15034, 15035, 15047, 15058, 15069, 15073, 15074, 15077,
   15082, 15086, 15087, 15090, 15096, 15104, 15110, 15117, 15121, 15122,
   15125, 15128, 15132, 15133, 15136, 15142, 15151, 15156, 15166, 15176,
   15188, 15189, 15190, 15191, 15192, 15193, 15194, 15195, 15196, 15197,
   15198, 15199, 15200, 15201, 15202, 15209, 15210, 15213, 15214, 15221,
   15222, 15223, 15230, 15229, 15246, 15247, 15254, 15253, 15323, 15329,
   15335, 15343, 15349, 15355, 15361, 15367, 15373, 15379, 15385, 15391,
   15402, 15403, 15406, 15407, 15408, 15409, 15410, 15411, 15412, 15413,
   15414, 15415, 15416, 15417, 15418, 15419, 15420, 15421, 15422, 15423,
   15424, 15425, 15426, 15427, 15428, 15431, 15432, 15433, 15434, 15435,
   15436, 15440, 15441, 15442, 15443, 15444, 15445, 15446, 15449, 15452,
   15453, 15454, 15455, 15456, 15457, 15458, 15459, 15472, 15473, 15474,
   15475, 15476, 15477, 15478, 15483, 15484, 15485, 15486, 15487, 15488,
   15494, 15495, 15496, 15497, 15498, 15499, 15500, 15501, 15502, 15503,
   15504, 15507, 15508, 15509, 15510, 15511, 15514, 15515, 15516, 15517,
   15520, 15521, 15522, 15523, 15524, 15525, 15526, 15543, 15544, 15545,
   15548, 15549, 15550, 15551, 15552, 15553, 15557, 15557, 15560, 15566,
   15567, 15570, 15572, 15577, 15587, 15598, 15605, 15606, 15607, 15610,
   15643, 15645, 15647, 15650, 15660, 15670, 15680, 15681, 15684, 15686,
   15687, 15688, 15691, 15693, 15701, 15702, 15703, 15707, 15708, 15712,
   15713, 15716, 15717, 15720, 15721, 15722, 15723, 15724, 15727, 15728,
   15729, 15730, 15731, 15732, 15733, 15734, 15735, 15736, 15737, 15738,
   15739, 15740, 15741, 15742, 15743, 15744, 15745, 15746, 15747, 15748,
   15749, 15750, 15751, 15752, 15753, 15754, 15755, 15756, 15757, 15758,
   15759, 15760, 15761, 15762, 15763, 15764, 15765, 15766, 15767, 15768,
   15769, 15770, 15771, 15772, 15773, 15774, 15775, 15776, 15777, 15778,
   15779, 15780, 15781, 15782, 15785, 15786, 15787, 15788, 15791, 15792,
   15793, 15794, 15795, 15796, 15797, 15798, 15799, 15800, 15807, 15808,
   15809, 15810, 15813, 15814, 15817, 15818, 15821, 15822, 15833, 15834
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING",
  "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE",
  "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED",
  "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING", "HEADER_P",
  "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS",
  "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS",
  "OVERLAY", "OWNED", "OWNER", "PARALLEL", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM",
  "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE",
  "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART",
  "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA",
  "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE",
  "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET",
  "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP",
  "SMALLINT", "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER",
  "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'",
  "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "DropPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "type_name_list",
  "TruncateStmt", "opt_restart_seqs", "CommentStmt", "comment_type",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label_type",
  "security_label", "FetchStmt", "fetch_args", "from_in", "opt_from_in",
  "GrantStmt", "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "CreateTransformStmt", "transform_element_list",
  "DropTransformStmt", "ReindexStmt", "reindex_target_type",
  "reindex_target_multitable", "reindex_option_list",
  "reindex_option_elem", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "AlterObjectSchemaStmt",
  "AlterOperatorStmt", "operator_def_list", "operator_def_elem",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "insert_column_list", "insert_column_item", "opt_on_conflict",
  "opt_conf_expr", "returning_clause", "DeleteStmt", "using_clause",
  "LockStmt", "opt_lock", "lock_type", "opt_nowait", "opt_nowait_or_skip",
  "UpdateStmt", "set_clause_list", "set_clause", "single_set_clause",
  "multiple_set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "group_by_list", "group_by_item", "empty_grouping_set", "rollup_clause",
  "cube_clause", "grouping_sets_clause", "having_clause",
  "for_locking_clause", "opt_for_locking_clause", "for_locking_items",
  "for_locking_item", "for_locking_strength", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "opt_alias_clause", "func_alias_clause", "join_type",
  "join_outer", "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "ctext_expr", "ctext_expr_list", "ctext_row", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "database_name", "access_method", "attr_name",
  "index_name", "file_name", "func_name", "AexprConst", "Iconst",
  "SignedIconst", "RoleId", "RoleSpec", "role_list", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,    60,    62,    61,   771,
      43,    45,    42,    47,    37,    94,   772,    91,    93,    40,
      41,    46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -4809

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4809)))

#define YYTABLE_NINF -2829

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2829)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -4809,   468, 14001, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, 29482, -4809,
   -4809, -4809, -4809, -4809,114190,   472, -4809, -4809, -4809,119321,
   -4809, -4809, -4809,   431, 78700, -4809, 81742,   488, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, 85798, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, 66010,  1372, -4809,   445,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809,  1339, 15705, -4809,
   -4809, 82249, -4809,   340, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, 82756,   736, -4809, -4809,   919,  1506, -4809,   133, 16871,
   -4809, -4809, 75151, 79714, -4809, -4809, 86305,   768,  2190,  8675,
    1339, 31805, 86812, -4809,  2036, -4809, 62417, -4809, -4809, -4809,
   79207, -4809, -4809, -4809,  1177, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, 92389,  2508,  1013, 62933, -4809,
   -4809, -4809, -4809, 92389, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, 87319, -4809,  1244,  1458,   898, 92896, 93403,
   76672, -4809,  1571, -4809, 92389,  1395,   974, 64994, -4809, 93910,
   -4809, -4809,  1343, -4809, 87826, -4809, -4809, -4809, -4809, -4809,
    1013, -4809, 66010, 61401,   129,  1394, -4809, -4809, 94417, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, 92389,  2093,
    1380, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809,   736, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809,   690, -4809,  1099,   704,  1694,
     499,  1561, -4809, -4809, -4809, 16525, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809,115702,  2237, -4809, -4809, -4809,  1511, -4809,
    1654, -4809, -4809, -4809,  2255, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809,  1014, -4809, -4809, -4809, -4809,  2066,114694, 85798,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, 74644, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809,   212, -4809, -4809, -4809, -4809, -4809, 85798,
   85798, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, 85798,  1730, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,   969,
    1978, -4809, -4809, 66010,  1764,  1764,  2316,115702, -4809, -4809,
   -4809, 67534, 92389, 92389, 92389,  1975, 92389,  1976, 92389,   418,
   67534,123724, 88333,  2109,  1962, 56744, 94924, -4809,121964, 92389,
   92389, 95431, 92389,  2005, 83263, 92389,  2060, 92389, 92389,122404,
   95938,  2257, -4809,  2512,  1905, -4809, -4809, -4809, 92389, 11382,
    2508, -4809, -4809,  2093, 92389,  2280, 67534, 92389,  2039, 92389,
    2121, 92389, -4809, 92389,  2144, 96445,   539,  1674,123724,  1943,
   57264,  2220, 92389,123724, 96952, 92389, 92389, -4809, -4809,  2215,
   92389, 92389, -4809,  2305,124164,  1749,  2331,  2509,  2370,   963,
   -4809, -4809,  2590,  2148, -4809, -4809,  2618, 85798, -4809, 83770,
   -4809, -4809, -4809,  2345, -4809, -4809, -4809, -4809, -4809, -4809,
  121084,  2190, -4809, -4809,  2385, 68042, 92389,  2445, -4809, -4809,
   97459, 71090,  2249, -4809,   578, 68550,124604,  2572,  2289, 57784,
    2574, 97966,125044, 98473, -4809, -4809, 98980, -4809, 99487,  2323,
    2445, 99994, 71598,125484, -4809,  2497,100501, -4809, 10630, -4809,
    2266,  2168,  2273,  1971, 85798, 85798,   881,117086, -4809, -4809,
     736, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,   191,
    2253, 63449,  1246, 63965, -4809, -4809,  1357,  1463,  1494,   191,
    2700,  2700,   124, 85798, -4809, -4809,  2253, -4809,   110,    54,
    2297,  2297,  2297,  2455,   976, -4809,  2297,  2408, -4809, -4809,
   -4809, -4809, 87826, 63449, 63965, -4809,  2299,  2508,   132,  2677,
    2348, -4809, -4809, -4809, -4809, -4809,  2351, 92389, 92389, 92389,
   -4809, -4809, -4809,  2755,  2341,  2564, -4809,  2326, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809,  2535,  2547,  2546,
      70,  2508,  2395, -4809,  2657, -4809,  2555, 38076, 38076,  1377,
   85798,  2508, 64481, 88840,111148,   244,121084,  2508,101008,  2378,
    1342,  2563, -4809, -4809, -4809,   582, -4809,  2825,  2412,  2645,
     111,  1905, 53659, -4809,  2418,  1982, 87826,116206, -4809, -4809,
   -4809, -4809,   587,  2710, 38601, -4809, 92389,  2421, -4809,  2427,
    2421,  2429,  2433,  1694, -4809, 92389,  1455,  1455,  2839,  1455,
    1947,  2061, -4809,  2189, -4809,  2738,  2694, 87826,  1394,  1339,
    2448, -4809, -4809, -4809,  2478, -4809,  2442,  2456, -4809,   987,
    2756, -4809, -4809, -4809, -4809,  2566,  2584,  2588,  2628,  2518,
    2650,   490, -4809, -4809, -4809, -4809,  2852, -4809, -4809, -4809,
   -4809, -4809, -4809,  2896,  2960,119764,119764,   747,   749,   189,
     210, -4809, -4809, -4809,  2826, -4809, -4809,  2834, 92389,  2666,
   92389, -4809, -4809, -4809,101515, -4809, -4809,  1764,  2478,  2602,
   -4809,   222, -4809,  1982, -4809,   270,   280,   304,  1899,  2613,
    1922,  1265, -4809,   804, 92389,  2733,   161,  1174,  2655, 89347,
    6782,  2620,  2773,  1584,  2915,  2959,  6980,   490, 89854, -4809,
   -4809, -4809, -4809, 92389, 92389, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809,  2665, -4809, -4809,  2649,  2972,  2861,
    2941,  2821,  2081,  2866,  1944,  2992,  6171,    59,102022,111655,
    2957,  2997,  7958,  1716,   798,  2882,  1067,  2941,  2989,  2850,
    2081,  3023,  8069, 92389,  2712, -4809,  2961,  3065,   807, -4809,
      93, -4809,  2785,  2928,  1138,  2962, 67534,  2744, -4809, -4809,
   92389, -4809, -4809, 72106,  2828, -4809,   786, 67534, -4809,  2943,
    2791, 58304, 92389, -4809, 92389, -4809, -4809, -4809, -4809, -4809,
    2884,  3077, 92389, 72106, -4809,  3027, 92389, -4809,  2789, -4809,
   -4809, -4809, -4809,  2297, 92389,  2795,  3185, 72106,   181, 92389,
    1597,  3229, 92389,  3031,  1597,  2858,102529, -4809, -4809,  1597,
   -4809, -4809, 92389, 92389,  2830,  1480,  3042,  1597,  3041,  3261,
    3263,  2920,  3035,   835,  1132,   126,  3153,  1597,  2900,103036,
  103543, 92389,  2901, 92389,  3237, 67534, 92389,  3169, -4809,  3032,
   90361, -4809,  2868,  2590, -4809, -4809, -4809, -4809, -4809,  1040,
   -4809, -4809, -4809, -4809, -4809,  3182,  2602,   390,  3187,  2877,
    3191, -4809, -4809,  2927, -4809,  2927,  2927,  2887,  2887,  3051,
    2890,  3205, -4809, -4809, -4809,  2488,  2927,  2887, -4809, 73122,
   -4809,  1996,  2048, -4809,   182, -4809,  3314, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809,   123, -4809,  1181, -4809,  2126,
   -4809, -4809, -4809, -4809,  2929, -4809,  3207,  2620,  3208, -4809,
    2897,104050, -4809,104557,105064,  3210,  2665,123724,  3212,  3095,
    3217,  2897,  3218,  3101,  3221,   390,  3222, -4809,   953,  3211,
    3224,  3107,  3230,   182,  3231,  2264,  2897,121524,  3232,   207,
   -4809, 15717, 10630, -4809, 19386,  2023, -4809, -4809, -4809, -4809,
   -4809, -4809, 42276,   903,  3010, -4809, -4809, -4809,  2153, -4809,
  118425, -4809,   881,  2253, -4809, 85798,  2253, 85798,   124,  2253,
   85798,  2253, 85798,   124,  2253, 85798, 85798, 85798,  2253, -4809,
   -4809,   287,   224, -4809, -4809, -4809, -4809, -4809, 85798,  2923,
   92389, 92389, -4809, -4809, -4809, 80221,123724, 80728, -4809, 92389,
   -4809,    50, 85798, -4809, 85798, -4809,  2508, -4809, -4809,  2168,
   72106,  3343,123724,  3237, -4809,  2156, -4809, -4809, -4809, -4809,
   -4809, -4809,  3165, 92389,  3233,  3234, 80221,123724, -4809,105571,
  121084,  3126,  2936, -4809, -4809, -4809, -4809,  2178,  2603,   365,
    2746, 42276,  2938,   197,   197,  2944,  3240, -4809, -4809, -4809,
     329,  2946,  2947, -4809,   356,   356,  2948,  2949, -4809,   400,
    2950,  2951,  3033,   416,  2952,  2953,  2955,  2488,   197, 42276,
   -4809,  2956,   356,  2958,  2963,  2965,  3086,  2967, -4809,  3181,
    2969,   462,   570,  2975,  2982, -4809,  2948, -4809,   382,  2983,
    2986,  2987,  2988,  2990,  2991,  2993,  2994, 42276, 42276, 42276,
   -4809, 36501,  1982,  2508, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809,   424,  2759, -4809,  2977, -4809, -4809,  3139, -4809,
   -4809, 42276, -4809, -4809,   255, -4809,   434, -4809, -4809,  1982,
   -4809, -4809,  2018, -4809, -4809, -4809, -4809,  3213,  2995,  2203,
    2203,   225, -4809, 82249, 82249, -4809, -4809,  1241,  2996, -4809,
    2379, -4809, -4809, -4809, -4809, -4809, -4809,120644,  3377, -4809,
    1560,  2508,    93,  1920,  3322,117529,117977,  3215,  3215,  3226,
   -4809, -4809, 92389, -4809, -4809, 42276, 60385, -4809,  1982,   117,
    3243, -4809, -4809, -4809,  2181, -4809, -4809, -4809, -4809,   736,
   -4809, 17538, -4809,  2201,  2421, 92389, 92389,  3413, -4809, -4809,
    2427, -4809, -4809,  1694,  1694, 42276,  1694,  1198,  1513, 39126,
   42801,  3295,  3192,   246,  1796,  3300, -4809,  3200,  1947,  2061,
   87826, 92389,106078,  3119, -4809, -4809,  2478,  3013,  2119, -4809,
   74137,115198,115198,  3264, -4809, -4809,  1555,  1060,  3131,  3235,
    2700,   138,  2198,  2198, -4809, -4809,  3009, -4809,  3358, 82249,
    3069,119764, -4809, -4809, 92389, -4809, -4809, 90868, -4809, -4809,
   -4809,  2301,  3012, -4809,  3028, 92389, -4809,  3531,  2198,  2198,
   -4809, -4809,  3018, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809,115702,  3024, 92389, -4809,  3029,  3030, -4809,116206, 60893,
    2118,  1982,  3100,  3105,  3158, 66010,  3034,  3110,  3112,  3163,
    3273, -4809, -4809,  3116,  3117,112162, -4809, -4809,   990, -4809,
   -4809, -4809,   990, -4809,  3052, -4809,  1621,  1461,  1418,  3122,
     151,  1005,  3414, -4809,  1686,  3173, -4809, -4809, -4809,  4462,
   92389,  3360,  9009,  3247,   490,  3249,  3172, -4809, -4809,  3299,
    3137, 92389,  3138,  3269,   490,   256,112669, -4809, -4809, -4809,
   -4809, -4809, -4809,  3807, 34952, -4809,  3145,  3125,  3156, 92389,
   75658,   926,  3265,  3266,  1825,  1782,   632,  3204, 92389,  1786,
    3274, 92389,  3076,  3159,  3161,  3364,  3079,  1348,  3458,  3085,
   -4809, -4809,  3271,  3362,  3405,  7592,  3160,  3162, 70074,  1519,
   58824, 92389, 92389,  3455,  2007,  3184, -4809, -4809, -4809,  2007,
   92389,  3188,  3189, 92389,   490, -4809,  3511,   490,   490,  1884,
    3515,  3195,   461,  1493,  1597,  3085,  1709, -4809,  3197,  3198,
    1256, -4809,  3311, -4809, -4809,  1289,  3209, 87826,   355,  2221,
    3085,  3203,  3214,  3079,  3079, 92389, 92389, 92389, 92389, 92389,
     150,  3535,  3539,  3219,   165,  3254,  3129, -4809,  2007,122844,
    3223, -4809,  2007, 92389,  3225,  2270,  3085,  1948, -4809,  2065,
   -4809, -4809, -4809,  1905, -4809, 92389, -4809, 92389, -4809,  2602,
   72106,  3331,  3392, -4809,  3175, -4809,  2620,   490, -4809, 92389,
   92389,  2665,  3338,  1306,  1079, 72106,  3344,  3409, 92389,  3410,
    3238,  3199,  3227, 60893, -4809,  2830,  3167,  3583, 92389, 66010,
   -4809,  3598,   990, -4809, 72106,  3363,  3482, -4809, 92389,  3379,
    3176, -4809,  3519,  3236, -4809, -4809,   708, 92389, -4809,  3488,
  123724,  1588,  2508,  3228,123724,  3407, 92389, 92389, 92389, 92389,
   -4809, -4809,  3376,   758,   131, -4809,122844, -4809, 92389,  3387,
    1709,  3388,  3601,    57,  2297,106585,  3483, -4809,107092,  3190,
    3606, 72106,  3437, -4809, -4809,  3193,  2700, -4809,  2868, -4809,
    2216, -4809,  3319, -4809, 67534,   390, -4809, -4809, -4809, -4809,
   72106, 92389, -4809,  3201, -4809, -4809, 42276, -4809, -4809, -4809,
    2700, -4809, 72106,  2927,  2927, -4809, -4809,  3617,  3278,  3281,
    2700, -4809,  2700, -4809, 72106, -4809,  3206,  3220,  3324,  2700,
   -4809,  3282, -4809,  3285,  2700, -4809,  2206, -4809,107599, 67534,
     390,123724,123724,  3523,   207,  3524,  3270,  3526,  3276, 58824,
     390,   209, 92389, 92389,123724, 92389, 92389, 92389, -4809, 92389,
   -4809, -4809, -4809, -4809, 72106, 92389, 92389, 72106, -4809,123724,
  122844,  3534,  3536,   390, 92389, 92389, -4809, -4809, 17330,  2044,
   -4809, 10630, -4809, 17538,  2202,  3215, -4809,  1730, 92389,  1568,
     881,125924, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   85798, -4809, 85798,   124, -4809, -4809, 85798, -4809, 85798,   124,
   -4809, 85798, -4809, -4809, -4809, 85798, 92389,  3741,  3239, -4809,
    2018, -4809, 92389,  2230, -4809, -4809,  2233,   958, 92389, 92389,
     175, 67534, 92389,  3425, 92389, 92389, 92389, 92389, 92389,  3306,
    2996,  1421, -4809,  1163,   918, 87826,  3433, -4809, -4809, -4809,
   -4809, -4809,  2241,  2093,  1379, 92389,   945,  2351, -4809, -4809,
   80728, 79207,  3527,   193, 92389, -4809, -4809,  3680, 42276, 37551,
   -4809, -4809, 17538,  3277, 42276, 42276,  3241,  2700,  2700, -4809,
    1824, 42276, 42276, 42276,  2700,  2700,  7006, 42276, 58824, 42276,
   45426, 33374, 42276, 42276, 37026, -4809, 42276,  3447, 47001, 42276,
    1920,  3449, 42276,  1920,  7006,  3681,  3681,  1394,  3490,  6160,
    3242,  1982, -4809,  2700,  1255,   319, 72106, 42276, 42276, 42276,
   42276, 66010,  3323,   218, 92389, 42276,  3246,  1776, -4809, 42276,
   -4809,  3250, 42276,  3320,  1524, 42276, 42276, 42276, 42276, 42276,
   42276, 42276, 42276, 42276, -4809, 48023,   346, -4809,  3533,  3552,
     614,   859, 81235, 38076,  3547, -4809, 32322, -4809,   177, 85798,
   -4809, -4809,  1982,  3547, -4809, -4809, -4809, -4809, -4809,  2301,
    3251, -4809,  3267, -4809, -4809, -4809, -4809, -4809, 92389,  3377,
   -4809, -4809,  3333, -4809, -4809, -4809, -4809,   442, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809,  3257, -4809, -4809, -4809,
   -4809,  3257, -4809, -4809,  3215,  3260, 12838,  3259, -4809, -4809,
   -4809, -4809,  3541,  3545,   390,115702, 92389,   587, 84277, -4809,
   38601, -4809,  2245, -4809,  3289, -4809,  3522, -4809,  3268, -4809,
   12910,  3522, -4809, -4809, 45951,  3380,  3517,  3469, -4809, -4809,
   -4809,  3275, 17538, 42276, 42276, -4809,  2262, 17538,  2267, -4809,
   -4809, -4809, -4809, -4809, -4809,  1479, -4809, 92389,  1500,  3295,
    1796,  3345,  1166,  3708, 92389, -4809, 54170,  2186, -4809,  2478,
   -4809, -4809, 28779, -4809, 30851, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809,  3293, -4809, -4809, -4809, -4809, -4809,
     490,  3297,  3791, -4809,119764, -4809, -4809, -4809,  3741, -4809,
    2618, -4809,  2618,  3819, -4809, 85798, -4809, -4809, -4809, -4809,
     538, -4809, 10630, -4809, 10630, -4809,  3486, -4809,  3705, -4809,
   73122, -4809,  3304, -4809, 72614, 69058, -4809, -4809,   815, -4809,
     766,  3384,  3386,  3439,123724, 92389, 92389, -4809, 66010,123724,
   92389, 92389, -4809,123724, 92389, 92389, -4809, -4809, -4809, -4809,
   -4809,118873,   740, 79207,  3440, 77179, -4809, -4809,  3315, 92389,
    3365,  3563,  3564,  1473, -4809, -4809,108106, -4809,  3521,123724,
   92389, 92389, 42276,  3528, 92389, 92389, -4809,   467,  3399,  3401,
   -4809, 92389,  3402,  3548, 67534,  3337, 92389, 92389, 72106,  3411,
     787, 67534,  3375, 59344, 92389, 92389, 92389, 92389,  3462,  3641,
   72106, 92389,  3588,  1556, 87826,   152,  2278,  3085,  3546, -4809,
    3654,  1430, -4809,123724, -4809, 92389,  3551, -4809, -4809, -4809,
   77686,  3757,  3453, -4809, -4809,113176, -4809, -4809, -4809,  2256,
   -4809,123724,123724, 92389,  9236,108613,  1612,  3567, -4809, -4809,
   72106, -4809, 92389, 92389, 92389,  3670,  3599, 92389, 84784,109120,
  109627,  1668,  1717,  3602, 92389, 85291,  3603, -4809,  3494, 92389,
   -4809, -4809, 66518,123724, 92389,  1271, 66010, -4809, -4809, 92389,
   -4809,  3561,  1214, -4809, 92389,  7367,  3445,  3454, 92389,  3566,
     158,  2384,  3085, 92389, 92389,  3367,  2260,  3451,  1030, -4809,
    3568,  1235, 92389,111148, -4809,123724,  1598, -4809,  3529,123724,
   92389,  7470, -4809, -4809,   490, -4809, -4809, -4809, -4809, -4809,
   92389, 92389,   490, 92389,   490,  1704, -4809,123724, 92389, -4809,
   -4809, -4809, 92389,  9592, 92389, 92389, 92389, 92389,123724, 92389,
   -4809, -4809,  1187,  1615,    68,   716,   695, 92389,  3658, 92389,
  110134,123724, 92389, 92389, 92389,  1347, -4809, -4809,  3499, -4809,
  123724,  1598, -4809, 10102, 92389, 92389,  3461,  3463,   142,  3542,
   -4809, -4809, -4809, -4809, -4809, -4809,  3640,  3808,110641,  1535,
   -4809,  3643,  3644,  3448,  3450,  3646, 92389,  1535, 92389, -4809,
   -4809, -4809, -4809,  3645, 92389,  1535,  3649,  1535,  3557,  3595,
     645,  3671,  2276, -4809,  3415, -4809, 42276, 72106, -4809,  2282,
   -4809,  3418,   758, -4809, -4809, 66010, 92389,   235,   712,  3720,
   76165,  3779,  3709, 92389,  3457, 92389,  3710,  3779, 92389, -4809,
    1629, 79207, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809,  3715, -4809,  2508,  2830,  2830,  2830,  2830, -4809, -4809,
   -4809, -4809,  3609,  2143, -4809,  3419,  2830, 92389,  3530,  3779,
    3421,  3735, -4809,  1709,  3736,  3738, 92389, 76165,  2336,  3464,
    3637,  3849,  2297,  2508,  3639,  3626, -4809, 35464,  5803,  3628,
    3682,121084, 90361, -4809,  3452,  3724,  3725,  3744, -4809,  2602,
   -4809,  3857, -4809, 42276,  2324,  3446,   182, -4809, -4809,  3456,
    3220,  3465,  3467,  3466,  3468, -4809,  2700, 51615, 92389,  3471,
    1536,  3668,  3472, -4809,  3763,   390,  2620, -4809,  2897, -4809,
   92389, -4809, 92389, 92389, 92389, 92389,  2665, -4809, -4809,  3648,
     390,  2897,  3653,   390,   390, -4809,  3698,  3656,   390,   182,
    2897,  3585,  3769,121084, -4809,   207, -4809, -4809, -4809, -4809,
   -4809, 42276, -4809, -4809, -4809,  2297,  2216, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, 85798,  2618,
   -4809,  2328, -4809, 92389, -4809,  3746,  3747,  3748,  3474,  3476,
    3512, 92389,  3477, -4809,  3474,   490,  3474,  2996,  2996,  3474,
    3476,123284,  3912,  3771, -4809,  3571,  3484,  3780,   808, -4809,
     893,  1107,  3707, -4809, -4809, -4809, -4809, 72106, -4809,123724,
    3525, 92389, 92389, -4809,    97,  3688,  3498,123284,  3888,   390,
   -4809, 67534, -4809, -4809, 72106,  3569,  3590, 67534,  3701,  3550,
   -4809, -4809, -4809, -4809, -4809, 72106, -4809,  3750, 92389,  2332,
   -4809,  2062, -4809,  2063, 42276,   260, -4809, 12858,  2339, 42276,
    3505,  3508, -4809, -4809, -4809, -4809, -4809, -4809,  3509,  3811,
   -4809, -4809,  2364,  2368,  2376,  3513,  3518,  4221,  3520, 14573,
    3532,  3537, 45426, 45426, 36501,  2792, -4809, 45426,  3538,  3695,
    2377, 13359,  3540,  3543, 14785, 39651, 42276, 39651, 39651, 14933,
    3540,  3544,  2380, 66010,  3696, 15298,  2402, -4809, 42276, 66010,
    4273, 42276, -4809, 42276,  3558, -4809, -4809,  5159,  5159,  5159,
    7006, -4809,  3553, -4809, 45426, 45426, -4809,  2871, 36501, -4809,
   -4809,  3817, -4809, -4809,  2154, -4809,  3549, -4809, -4809,  4136,
   58824,  2726, 42276,   233, 42276,  3246, 42276,  3604,  5159,  5159,
    5159,   281,   281,   163,   163,   163,  2146,   859, -4809, -4809,
   -4809,  3565,  3570,  3574,  3711,  3575, 42276, -4809,  2335,  2503,
   92389,  8453, 10971, 11544, -4809, -4809, -4809, 49059,  3562, 42276,
   42276, 42276,  3572, -4809,  2658, 17538,    -5, -4809,  2678, -4809,
   -4809, -4809,  3562,  1234,  3819,  2301, -4809,  1905,  2700,  1255,
  118425, -4809, -4809, -4809, 42276, -4809, -4809, -4809, -4809,  2427,
   -4809, -4809, -4809, -4809, -4809, 92389,  2093, 42276, -4809, -4809,
     755,  3555,    39,  3717,  2198,  2198,  2262,  3718, -4809, -4809,
    3586, -4809, 42276, -4809,  2344,  2416, -4809, -4809, -4809, -4809,
    2996, -4809,  3756, -4809, -4809, -4809, 49059,  3576,  3594, 53148,
    3728, -4809, 92389, -4809, 92389,   147, -4809, -4809, -4809,  3559,
   -4809, -4809, -4809,   -49, -4809, -4809, -4809, -4809, -4809, -4809,
    3560, -4809,  3579, -4809,  3580, -4809, -4809, -4809, -4809,   211,
    3578,  3582,  3587,  1908, -4809, 69058,  2126, -4809, 72614, -4809,
   72614, -4809,  2126,  3952, -4809, 69058,  2025,123724, 92389, 92389,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809,123724,123724,  3761, 92389,  3743,  3764, 42276,
     274, 92389,  3589,  3591,  1657,  3832, 92389, -4809,  3897,   390,
   -4809, -4809,  3664, -4809, 17538, -4809, -4809, -4809, -4809, -4809,
  123724, 92389, -4809,121084, -4809, 92389,  2602, 72106, -4809, -4809,
   -4809, 92389,  3621, 92389, -4809, 92389, 92389, 92389,  2665, -4809,
   -4809, -4809, -4809,  1115, 72106, -4809, -4809, 92389, 92389,   285,
    3673,  3674, 92389, -4809,   702,  3311, 10244, 92389, 92389, 92389,
    3854, 92389, -4809, -4809, -4809, -4809,  3796, -4809, -4809, 69058,
   -4809,  2897,  1594,  3675,  3085,  3806, -4809,  3913,  3790, -4809,
    1359, -4809, 92389,  3727, -4809, -4809, -4809, -4809,  3918,   390,
    3919,   390, 92389, 92389, 92389, 92389,  3732, -4809, -4809, -4809,
   -4809,  3733,  3851, -4809, 66010, 66010, 66010,  2432, -4809, -4809,
    2508, -4809, -4809, -4809, -4809, -4809, -4809,  3884, -4809,  2436,
   -4809,  1038, -4809, -4809, -4809, -4809, -4809, -4809,123724, 92389,
   10788,  3926, 92389, 92389, 92389,  2123, -4809,  1388, 72106, -4809,
   70582,123724, 92389, 66010, 92389,  3693,123724,  3672, -4809, -4809,
    3855,  3792, -4809,  1833,  3794,123724,  3679, -4809, -4809,  3700,
   -4809, -4809,  3702,  2486,  3085,  1709, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809,  1609,   703,  2494,  3085,  3704, -4809,
    3712, -4809, -4809, -4809,  3853,  3856,  3858,  3714,  3716,  3758,
    3719,  3721,  3766, -4809,  3726,  3767,  3730,  3773,  3823,  3734,
     390, 72106,  3831,  2508,  3762,  3945,   390, -4809,  3739, -4809,
   -4809,  4055, -4809, 92389, -4809,  3742,  2501,  3085, -4809, -4809,
  123724, 92389, -4809, -4809, -4809,  1535, 72106, 92389,  3901, -4809,
   -4809, -4809,  1535,  1535, 92389, 92389,  1535,  3902, -4809,  3909,
   92389,  3910, -4809,  1535, -4809, -4809,   737, -4809, -4809, -4809,
    3557,  3954, -4809,  2345, 56224,  6273,  3667, -4809, 66010, 56224,
    2163,  3081,   105,  1597, -4809,121084, 92389,121084, -4809,   712,
    3790, 92389, 92389,  3678,  3669, -4809, -4809, -4809, -4809,123724,
     169,123724,  2700, -4809, -4809,  3754, -4809, 92389,  2297,   272,
    3752,  4087,  3263,  1588,  3825,  1854,  4039,  3464, -4809, -4809,
   -4809, -4809, 92389, 92389,   758,  2508, -4809,  3689,  3692, -4809,
   92389, 92389, 92389, 92389, 92389,  2093,  3703,  3691, 72106,   657,
    3890,  3895,  3079,  4122,  4017,  2093,  3464,  3784,  4019, 92389,
   -4809,  2444,    98, -4809,  2508,121084, 69566,  4008, -4809,  5588,
   -4809, -4809,   966, 92389,  3995, -4809, 92389, -4809, -4809, 52637,
     390, 72106,  2462, -4809, -4809, -4809,  2700, -4809, -4809,  1432,
    1432,  3722, -4809, 52126, -4809,  3737, -4809,  2709, -4809,  4105,
   -4809, 92389, -4809,   390,   207,  3772,   390,  3774,   390,   390,
   92389, -4809, 92389, -4809, -4809, 92389, 92389, -4809, -4809, 92389,
  122844,   390, -4809, 17538,  4014, -4809, -4809, -4809, -4809,  3845,
    3848,  3852, 92389,  3474, 67534, -4809,  3729,123724,  1799, -4809,
   -4809,  3915, -4809, -4809, 87826,  3847, -4809, -4809, -4809, -4809,
    4041,  4046, -4809, -4809, -4809,   675, -4809, -4809, -4809,123724,
   80221,   257,123724, -4809,  2602,  3987, -4809, -4809,  2620,   490,
   -4809,  3989, 92389,  3992, -4809, -4809, -4809,  3745, 15752, 42276,
   -4809,  4062, 72106, -4809,  6862, -4809, -4809, -4809, 42276, -4809,
   -4809, -4809, -4809, -4809, 42276, -4809, 42276,  4038, -4809, 33900,
    4189,  4189,  3749, 72106, 45426, 45426, 45426, 45426,  1613,  2958,
   45426, 45426, 45426, 45426, 45426, 45426, 45426, 45426, 45426, 46476,
     687, -4809,  3930, 42276, 42276,  4053,  4038, -4809, 72106,  3759,
    3540,  3765,  3768, 42276, -4809, -4809,  2466, 47512,  3770, 66010,
   -4809, 42276, 13585,  2469,  3798, 16701,  1982,  7137,  2508, 42276,
    2844,  2985, 42276,  2476, 42276,  4051, -4809, -4809, -4809,  3775,
   -4809, -4809, 72106, 42276,  3776,  4506, 45426, 45426,  4954, -4809,
    5080, 42276, 36501, -4809,  3946,  3799, 54681, -4809, 34426,  3755,
    1013,  1013,  1013,  1013, -4809, 92389, 92389, 92389, 49570,  4056,
   48548, 91375,  3777,  2269, -4809, 91375, 91882, -4809,  3778, -4809,
    3782,  1982, 42276,  4049,   667,   667,  3946, -4809, 42276, 42276,
   40176,  3785, -4809,  4049, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,  3786,
   -4809,  3781, -4809, -4809,    93,  3787, -4809, -4809, 17538,  3788,
     211, -4809, -4809,  3789, -4809,  3795, -4809,  3555,  1127, -4809,
   -4809, -4809,  3957, -4809, -4809, -4809, -4809,  3777, 40701,  3905,
   -4809,  2480, -4809, -4809,  4147,  3905, -4809, -4809,  2492, 54170,
    3576, 38601,  1982,  2700,  3802, -4809,  2618,  1234, -4809, -4809,
   -4809, -4809, -4809,  2499,  2086, -4809, -4809, 69058, -4809,  3841,
   -4809, -4809, -4809,  2897,  2897,  1118,  3474,  4077,  1118,  7618,
   -4809, -4809, 50081, 92389, 92389, -4809, 92389,  2502,  1410, 92389,
   -4809, 92389, -4809, -4809, -4809, -4809, -4809,  4210, -4809, 92389,
   -4809, -4809,  3850,  3859, -4809, 92389, 92389, 92389, 92389,  4042,
   -4809, -4809,  2613, -4809, -4809,123724, 92389, -4809, -4809, -4809,
     183,  2600,  3085, -4809,  3871, -4809, -4809, -4809,  4059, -4809,
    4200,  3886, 92389,  4113, 92389,  3803, -4809,  1410,  1161,  3079,
     696, -4809, -4809,  3873, -4809, -4809, 92389, -4809, 92389, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809,  3931, -4809, -4809, -4809,
   -4809, 66518, -4809, -4809, 92389, -4809, 66010, 56224, 66010, -4809,
    1689,   295,  2630,  3085, 92389, -4809,  3881, -4809,  3889,  3892,
    3937,   916,   188,  3894,  3898,  3948,  3822,  3826,  3828, -4809,
   -4809,  2511, -4809,  3835,  3970, 92389,  2897,  3830,  3867,   191,
    2508, -4809, -4809,  2508,  2897,  2508, 92389, 92389, 92389,  4234,
    3924, 92389, 92389, 92389, 92389, 92389, 92389,  4139,   194,  2286,
  123724, 92389, 92389,123724, 92389, 92389, 92389, 92389, 92389, 92389,
    4150, 92389, -4809,  4225,  4155,   991,  4197,  3914, 92389, -4809,
   92389,  3311, 92389, 92389, -4809, -4809, -4809,  3860,  4099,  1535,
   -4809, -4809,  4101,  4106, -4809,  1535,  1535,  4107,  1535, -4809,
   -4809, -4809,  1597, -4809,   737, 92389, -4809,  3415,  3795,  2198,
    2198, -4809, -4809, -4809, -4809, -4809, -4809, -4809,  2554, -4809,
   -4809, 92389,  3862, 92389, 92389, 45426, -4809,  1696,   220, -4809,
    4104, 92389,  3907, -4809, -4809, -4809,  4013, 92389, -4809, -4809,
   -4809, -4809, -4809,  3874, -4809,  4133, 76165,  2897,123724,123724,
    2897, -4809, 72106,  3876,  3464, -4809, -4809, -4809, -4809, -4809,
   -4809,123724,  3672,123724,  1588,   871,103543,  3904, -4809,  3875,
    4176, -4809,  3879,  3878, -4809, -4809, 92389,  3790,  2524,  1709,
     603,  2273,  3525, 78193,  2336,  4133, -4809, -4809, -4809,  4260,
    3968, -4809,  2093, 92389,  3525,  3968,  2508, 92389,  3365, -4809,
   69058, 42276, 42276, -4809,  3891, -4809,  3887,  5890, -4809,  3951,
    3893,  2830, -4809, -4809, -4809, -4809, -4809, -4809,  3972,  3903,
   92389,  4336, -4809, -4809, -4809,  3900, -4809,  3908, -4809, -4809,
   -4809,  2231,115702, 52126, 52126, 52126, 52126, 52126, -4809, -4809,
     390, -4809, -4809, 92389, -4809, 92389, -4809, -4809,   390,   390,
     390,   390, -4809,  4021, -4809,  2093, 92389, 92389, 92389,  3474,
   -4809,   490, -4809,  4198,123284, -4809, -4809,  2527, 92389, -4809,
   -4809, -4809,  4259,   193,  4205, -4809, -4809,  4163,  2180,  4164,
    4168,  2180,  4170,  2180, -4809, 42276, 17538, -4809,  3927, -4809,
   17538,  7976, 17538,  4053, -4809,  2528, 42276, -4809,  2398,  2398,
    2398,  4621,  4214, -4809,  1316,  3929,  2398,  2398,  2398,   153,
     153,   157,   157,   157,  4189,   687, 17538, 17538, -4809, -4809,
    3932, -4809, -4809, -4809,  3540, -4809, 43326,  4076,  4328, -4809,
   -4809, -4809,  3967,  3973,  3934, -4809, 42276, 43851,  3928, 73122,
    4119, -4809,  2129, 42276, 42276,  1460, -4809,  8452, 42276, 72106,
    2536,  1460,   352, 42276,  3108,  4360, 42276, 42276,  5239,  8776,
    3939, 42276,113683, -4809, -4809, -4809,  2549, 42276, 92389, 92389,
   92389, 92389, -4809, -4809, -4809, 91375, 91882,  3941, 51103,  2269,
    3947, 92389, -4809, -4809,  3942, 49059,  4194,  4131, -4809, 49059,
    4131,  1742,  4131,  4199,  4040, 55192, -4809, -4809,  3953,  4138,
   -4809, 32322,  2075, 17538,  4358,  4241, 42276,  3958,  3959,  3961,
   17538, 17538, 42276, -4809,  2508,  4241,  1234,   482,  2508, -4809,
   -4809, -4809, 58824, -4809, -4809, -4809, -4809,  4160, 17538, 38076,
   -4809,  2093, 92389,  1982,    65, -4809,  3975, 92389, -4809,  3905,
   -4809, -4809, 10630, -4809, -4809, -4809, -4809,  4032,  2553, -4809,
   -4809, -4809, -4809, -4809,  4043, 79207,  4261, -4809, 42276,  2557,
   -4809,  4004,  4356,   171,  2583,  2595,  1410, -4809,  3907, -4809,
    1832,  4242,   155, -4809,   390, -4809, 72106, -4809, 92389, 92389,
   -4809, -4809, -4809, -4809, 92389,  3034, -4809, -4809, 92389, 92389,
   92389, 92389, -4809,123724, 92389, -4809, 92389, -4809, 66010,  3081,
    4178, -4809, -4809,  4181,   191, 92389, -4809, 72106,   390,   390,
   -4809, -4809, -4809, -4809, -4809,  3985,  4381,  4068, 92389, 92389,
   92389, -4809, 92389,123724, 92389, 92389,  2700,  2700, 72106,  3981,
   -4809,  2700,  2700,  3983, -4809,123724, 92389, 92389, -4809, -4809,
   -4809, -4809, 66010, 55703,  4064, -4809, 42276,  4379, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809,123724, 92389,  4070, -4809,
    4072, -4809, -4809, -4809, 92389, 92389, 92389, 92389,  4308, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, 92389,
   -4809, 92389, -4809, -4809,  2508,  2508, 72106,   390,   390, -4809,
   -4809, -4809,  4249,  1535, -4809,  1535,  1535, -4809, -4809,  1535,
   -4809,  3999,   397, -4809,  1410,  1967,  4295,  4299, 42276, -4809,
     997,  4621, -4809, -4809, -4809, -4809,  3907,  2297,  4060, 67534,
    1541, -4809,  4280,   235, 76165,  1896,  4009,  4127, -4809,  2897,
    2897,  4066, 92389,  4431,  2897,  3867, -4809,   714, 92389,  4339,
    4054, -4809,  2508, -4809, -4809,  3464, -4809, 92389, 76165,  3525,
   -4809,  2609, -4809, -4809, -4809,  4061,  3895,  2336,  1510, 92389,
   -4809,  4063,  4436, -4809, -4809,  4313,  4213,  4024, -4809, 17538,
   17538,  2508, 73630,  5588, 72106,  4320, -4809, 92389,   666,  4296,
   92389, -4809,   390, -4809, -4809,  4030,  2176,  2176, -4809, -4809,
   -4809, -4809,   390,   390, -4809, -4809, -4809, -4809, 92389,  3474,
    3474,  3474, -4809,  4226, -4809, -4809,  4288, -4809,   390,123284,
    2180, -4809, -4809, -4809,  2180,  2180, -4809,  2180, -4809, 17538,
   -4809, -4809, -4809, -4809,  9158, 45426,  4332, -4809,  4045, 72106,
   -4809,  4050,  2610,  2615, 47001,  4190, -4809, -4809, -4809,  9327,
    4088, 17538,  4142,  4048,  4052,  1460,  1460,  8452,  2636, -4809,
    1460, 42276, 42276,  1460,  1460, 42276, -4809, -4809,  9366,  4218,
   -4809, -4809,  9710, -4809, -4809, -4809, -4809, -4809, -4809, 67026,
   91375,  4057, 92389,  2269, 49059, -4809, -4809,  1848, -4809, 49059,
    4300, -4809, 49059, 67534, -4809, 92389,  4065, 92389, -4809,    -5,
   44376, 42276,  4090, -4809, -4809, -4809,  3946, -4809,  4090, -4809,
    2198, -4809, -4809, -4809, -4809, -4809,  4058, 85798,   387, -4809,
   -4809,  4423, 50081,  4385,  4071, -4809, -4809, -4809, -4809, -4809,
  123284,  4255,123284,  1410, 10006,  3907, 50081, 59864, 92389, 92389,
   92389,  4215,  3907,  4060, -4809, -4809, -4809, -4809, -4809, -4809,
    4067, -4809, -4809, -4809, -4809,  4151, -4809, -4809,  1100,  3433,
   -4809,  2639, -4809, -4809, -4809, -4809, -4809,  4225, -4809, -4809,
   56224,123724, 92389, -4809,  4152, -4809, -4809, -4809, -4809, -4809,
   50592, 58824, -4809,   916,  4078,  4079,   188, -4809, -4809, -4809,
   -4809, -4809, -4809, 92389, 10121,  4081,  1190,  3433, 92389, 92389,
    1846,  1462,  2049,  3474,  4369, -4809, -4809, -4809, -4809,  4225,
   -4809, -4809,  1535, -4809, -4809, -4809, -4809, 66010, -4809,  3760,
   -4809,  1597,  4413, 67534,  4501,  4501, 92389, -4809, 10837,  4289,
   -4809,  4060,  4310,  4357, -4809,  4089, 92389,  4256,  4098,  4100,
    1440,  1440, 92389, 92389, 92389,  2643,  2093, -4809,  1588, 76165,
    3790, -4809,  2057,  4102,  4402, -4809,  4518,  3703,  4103, -4809,
   -4809, 78193,  4292,  3968,  3895,  4235, -4809,  4236, -4809,  1373,
   -4809,  2093, 92389, 92389, 50081, -4809, 72614, -4809,  2646, -4809,
   -4809, -4809,  4175,  3562,  4216,  4217,  4109, 92389,   649, -4809,
    4126, -4809, -4809, -4809, -4809, -4809, -4809, 92389, -4809,   257,
   -4809, -4809, -4809, -4809, -4809,  5187, 45426, 72106,  2651, 42276,
   -4809, 42276, -4809,  4512, -4809, -4809, -4809,  1047, -4809, -4809,
   -4809,  1460,  1460,  1460, -4809,  4517,  3946, -4809, -4809,  2654,
    4536, -4809, 92389,  2661, -4809, 42276,  4121, -4809, -4809, 49059,
    1848,  4124,  2673, 92389,  2681, 72106,  4118,  4125,   487,  4137,
   32848,  4123, -4809, -4809, -4809, -4809, -4809, 17538, 17538, 92389,
   -4809,  4135, -4809, -4809, -4809, -4809, -4809, -4809, 92389,  2692,
   -4809,  1078, 35976, -4809, -4809,  1799,  1118,   257,  4356,  4060,
   -4809,  4140, -4809, -4809, -4809,  1509,  1509, 92389,  4060, -4809,
   -4809, 92389,  4207, -4809, -4809, 66010,  4192, -4809,  1268,  3433,
   92389, 72106,  2620,    72, -4809, 72106, 72106, -4809, -4809, -4809,
   42276,  4224, -4809, -4809, -4809, -4809, -4809, 92389, 92389, 92389,
   92389, 92389,   390, -4809,  2704, -4809,116646, -4809, -4809,  3229,
    2508,  3229,  2029, -4809, -4809,  3229, -4809,  3229, -4809,  3999,
    2508,  4501,   884, -4809, -4809, -4809,  2250,  4350, -4809,   887,
    4335,  4228,  4143, -4809, 67534,  4594,  4133, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809,  2729,  3790,  4452,  3464,  4063,
   -4809, -4809, -4809, -4809, 42276,  4307,  2093,  2336,  4133, -4809,
   -4809, -4809,  3968, -4809, -4809,  4538,  4340,  4540,  3525, -4809,
    3365,  2735, -4809,  5890, 73630, 72106,  4482,  4191,  4193, -4809,
   -4809,  4204, 92389, -4809, -4809,  2565,  4600,  3790, -4809,  5187,
    2739, -4809,  2758,  2762,  4311,  4211, -4809, 42276,  1049,  3778,
   67026,  4171, -4809,  2765, -4809, 17538, 92389, -4809, -4809, 42276,
   -4809,  2769, -4809, -4809, 42276,  4172, 42276, -4809, 44376,  4174,
   -4809,  4581, -4809, -4809,  3562, 50081, -4809,  4287, -4809,  4468,
   -4809, 92389,  4219, 58824,  3555,  3555,  2297, -4809,  1410, -4809,
   92389, -4809, 42276, -4809,  4263, -4809, -4809,  2770, -4809,  1512,
    4327,  4479,  2774,  2788, 11132, 92389,  3476,  2049,  3476, -4809,
    3474, -4809, -4809, 66010, -4809,120204, -4809, -4809, -4809,  2508,
   -4809,  2508,  4384, 92389, 61909,  2508,  2508, -4809, -4809, -4809,
   -4809, -4809,  4511,  4454, -4809, -4809, -4809, -4809,   660, -4809,
    4382,  4383, 92389, -4809,  4196, -4809,  2798,  4309, -4809, -4809,
   92389,  4609,  4611, -4809, 12059, 67534,  4063,  3895,  2336,  3081,
   -4809,  4388, -4809,  4389, -4809,  4201,  3464,  5588, -4809, -4809,
    1191,  4486,  4494, -4809, -4809, -4809, -4809, -4809, 92389, -4809,
   -4809, -4809, -4809, -4809, -4809,  3540, 41226, 41226,  4202, -4809,
   -4809, 92389, -4809,  2799,  2802, -4809,  2803, 44376,  2806, -4809,
   92389,  4206, -4809, -4809, 54170,123284,  1509,  4220, -4809,  4203,
   -4809, -4809,  4310,  1410,  3433, 17538, 92389, 67534,  4608, -4809,
   -4809, -4809,  4327, -4809, -4809, -4809,  3433, 92389, -4809, -4809,
    2807, -4809, -4809, -4809, 92389,  3875, -4809,  3875, -4809, -4809,
    4341, -4809,   873,   873,  4565, -4809,  4283, -4809, -4809,  4227,
   -4809,  4678, 92389, -4809,   916,  2093, -4809,  4231, -4809,  3968,
    3895, -4809, -4809, 50081,  3968, -4809, -4809, -4809,  2460, 67534,
   67534, -4809, 44901,  4362,   759, 14207, -4809, -4809, -4809, -4809,
    2814, -4809,  4376, -4809,  2817, -4809, -4809, -4809,  1384,   257,
    3555, 42276,  1410, -4809,  4335, -4809,  3433,  2620, 92389, -4809,
   -4809, -4809, -4809,120204,  3875,  4054, -4809,  4667, -4809,  1203,
   -4809, -4809, -4809, -4809,  3790,  3981,  4063, 65502, -4809,  3968,
    2822,  3562, -4809,  2605, -4809, -4809, -4809, -4809, -4809, -4809,
   -4809,  4233,  4237,  4658, -4809, -4809, -4809, -4809, -4809, -4809,
    4238, -4809, -4809, -4809, -4809, -4809, 12364, -4809, -4809, -4809,
   -4809, -4809,  4553, -4809, -4809, -4809, -4809, -4809,  2841, -4809,
   -4809, -4809, -4809, -4809, -4809,  3464, -4809,  2028, -4809, -4809,
    2115,  2433,  4319,  4537, 41751, 42276, -4809,  1410,  4403, -4809,
   65502,  3968, -4809,  2605,  4348,  4349, -4809, 12819, 67534, -4809,
    3562, -4809,  4282,  4290, -4809,  4248, -4809,  4544,  4546, 65502,
   67534, 67534,  2845, -4809, -4809, -4809
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2513,     0,     2,     1,  2942,  2946,  2950,  2951,  2868,  2952,
    2953,  2918,  2919,  2920,  2921,  2922,  2923,  2924,  2925,  2926,
    2927,  2928,  2929,  2931,  2930,  2932,  2933,  2934,  2935,  2936,
    2937,  2938,  2939,  2941,  2940,  2890,  2520,  2887,  2884,  2885,
    2886,  2891,  2889,  2882,  2883,  2093,  2955,  2943,  2956,  2944,
    2945,  2947,  2948,  2917,  2949,  2957,  2958,  2959,  2954,  2962,
    2913,  2914,  2912,  2915,  2916,  2960,  2961,  2904,  2905,  2906,
    2907,  2963,  2521,  2522,  2909,  2514,  2518,  2580,  2651,  2910,
    2911,  2908,  2519,  2903,  2651,     0,  2772,  2773,  2774,     0,
    2775,  2776,  2777,  2703,  2665,  2778,     0,     0,  2779,  2780,
    2781,  2782,  2783,  2784,  2785,  2786,     0,  2787,  2788,  2789,
    2790,  2650,  2791,  2792,  2793,  2794,  2627,  2633,  2756,     0,
    2607,  2608,  2604,  2606,  2605,  2609,  2592,  1305,   585,  1390,
    1389,     0,  2415,  1305,  2370,  2371,  2416,  2372,  2373,  2374,
     272,     0,  1392,  2375,  2417,     0,  1305,  2418,   407,  1040,
    2419,  2420,  2535,     0,  2376,  2377,     0,     0,     0,   585,
    1305,     0,     0,  2378,  1518,  2379,     0,  2380,  2421,  2422,
       0,  2381,  2382,  2423,     0,  2424,  2383,  2384,  2385,  2425,
    2426,  2427,  2386,  2428,  2429,     0,     0,  1532,     0,  2387,
    2430,  2388,  2389,     0,  2431,  2390,  2391,  2392,  2432,  2433,
    2393,  2394,  2395,     0,  2396,     0,     0,     0,     0,     0,
       0,  2434,  1305,  2397,     0,     0,  1539,     0,  2398,     0,
    2435,  2399,     0,  2400,     0,  2436,  2401,  2402,  2403,  2404,
    1532,  2752,  2628,     0,  1394,     0,  2405,  2437,     0,  2406,
    2407,  2408,  2409,  2410,  2411,  2412,  2413,  2414,     0,     0,
       0,    65,    66,    27,    26,    32,    31,    90,    91,    51,
      15,    79,    58,   125,   124,   126,    38,    34,    73,    23,
      25,    35,    39,    60,    52,   103,    59,    21,    57,    84,
      61,    87,    46,     9,    10,    47,    77,    11,    48,    78,
      12,    49,    13,    99,    67,    92,    30,    56,    20,    83,
      40,    63,    89,    64,     3,    42,    75,    71,     8,    53,
      54,    55,    80,    81,    82,   108,    86,   120,    37,   117,
      96,    97,   114,    98,   115,     6,   100,    50,    14,   111,
     110,   112,    74,    43,    76,    62,    88,   109,    24,   113,
      16,    17,    19,    18,   116,    85,   106,   102,   121,   119,
     127,   104,    68,     4,     5,    93,    22,    45,     7,    29,
      28,    44,    36,   123,    33,  1392,    95,   107,    94,   101,
      72,   105,   122,    70,   118,  1503,  1490,  1541,  1502,  1517,
       0,  1506,  2847,  2848,    41,  1518,   129,   130,   135,  2517,
    2569,  2570,  2571,  2651,  2602,  2603,  2596,  2612,  2622,  2611,
    2615,  2623,  2610,  2629,     0,   132,   134,   136,   139,   133,
     128,   131,   138,   143,   137,   142,   140,   141,   144,   145,
     146,  2849,  1749,  2846,    69,  2587,  2586,     0,  2651,     0,
    2879,  2108,  2109,  2110,  2111,  2112,  2113,  2114,  2115,  2116,
    2117,  2118,  2119,  2120,  2121,  2122,  2123,  2124,  2125,  2126,
    2127,  2128,  2129,  2130,  2131,  2132,  2133,  2134,  2135,  2136,
    2137,  2138,  2139,  2140,  2141,  2142,  2143,  2144,  2145,  2146,
    2147,  2148,  2149,  2150,  2151,  2100,  2152,  2153,  2154,  2155,
    2156,  2157,  2158,  2159,  2160,  2161,  2162,  2163,  2164,  2165,
    2166,  2167,  2168,  2169,  2170,  2171,  2172,  2173,  2174,  2175,
    2176,  2177,  2178,  2179,  2180,  2181,  2182,  2183,  2184,  2185,
    2186,  2187,  2188,  2189,  2190,  2191,  2192,  2193,  2194,  2195,
    2196,  2197,  2198,  2199,  2200,  2201,  2202,  2203,  2204,  2205,
    2206,  2207,  2208,  2209,  2210,  2211,  2212,  2213,  2214,  2215,
    2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,  2224,  2225,
    2226,  2227,  2228,  2229,  2230,  2231,  2232,  2233,  2234,  2235,
    2236,  2237,  2238,  2239,  2240,  2241,  2242,  2243,  2244,  2245,
    2246,  2247,  2248,  2249,  2250,  2251,  2252,  2253,  2254,  2255,
    2256,  2257,  2258,  2259,  2260,  2261,  2262,  2263,  2264,  2265,
    2266,  2269,  2267,  2268,  2270,  2271,  2272,  2273,  2274,  2275,
    2276,  2277,  2278,  2279,  2280,  2281,  2282,  2283,  2284,  2285,
    2286,  2287,  2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,
    2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,
    2306,  2307,  2308,  2309,  2101,  2310,  2311,  2312,  2313,  2314,
    2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,
    2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,  2334,
    2335,  2535,  2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,
    2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,
    2354,  2355,  2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,
    2364,  2365,  2366,  2367,  2368,  2369,  2553,  2098,  2099,  2105,
    2106,  2107,  2528,  2549,  2555,  2875,  2554,  2104,  2702,     0,
       0,  2795,  2796,  2797,  2798,  2799,  2800,  2850,  2851,  2852,
    2853,  2854,  2856,  2855,  2664,  2822,  2859,  2663,  2860,  2667,
    2861,  2862,  2863,  2864,  2823,  2865,  2666,  2857,  2819,  2668,
    2661,  2662,  2820,  2770,  2771,  2071,  2821,  2818,  2858,  2556,
    2817,  2672,  2671,  1480,  2874,  2070,  1481,     0,  2674,  2801,
    2802,  2803,  2804,  2806,  2805,  2807,  2438,  2439,  2440,  2441,
    2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,  2832,  2450,
    2451,  2452,  2845,  2453,  2454,  2833,  2455,  2456,  2457,  2458,
    2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,  2473,  2474,  2475,  2476,  2477,  2478,
    2834,  2835,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,
    2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,  2495,  2496,
    2497,  2498,  2499,  2500,  2501,  2502,  2836,  2503,  2504,  2837,
    2505,  2506,  2507,  2838,  2508,  2509,  2510,  2511,  2512,  2842,
    2843,  2844,  2831,  2625,  2808,  2830,  2841,  2839,  2840,  2635,
    2631,  2639,  2634,     0,     0,     0,     0,  2651,  1304,  1303,
    1289,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2525,     0,  1315,   378,   377,  1391,  1371,   585,
       0,  1292,   406,  1518,     0,     0,     0,     0,     0,     0,
       0,     0,   801,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   195,     0,     0,   430,   429,     0,
       0,     0,  1013,   435,     0,     0,     0,     0,     0,   573,
    2534,  2529,  2539,     0,  2532,  2533,  2817,     0,  2966,  2267,
    2565,  2566,  2964,  2321,  1482,   273,   276,   277,   274,   275,
       0,  1123,  1124,  1126,     0,     0,     0,  1136,   839,   840,
       0,     0,     0,   842,     0,     0,     0,   835,     0,     0,
       0,     0,     0,     0,   841,   832,     0,   831,     0,     0,
    1136,     0,     0,     0,   833,     0,     0,  1293,     0,  2617,
    2618,  2201,  1431,   436,     0,     0,  1518,     0,  1409,  1410,
    1392,  1399,  1411,  1404,  1406,  1405,  1407,  1403,  1408,  2109,
     951,  2123,   951,  2191,   948,   949,   951,   951,   951,  2284,
       0,     0,   923,     0,   934,  2094,   951,  2095,  2875,   956,
     491,   491,   491,     0,   955,   960,   491,     0,  1286,  1324,
    2075,  1531,     0,  2123,  2191,   924,  1285,  2336,  1423,     0,
       0,  1151,  1147,  1149,  1150,  1148,     0,     0,     0,  2300,
    1297,   257,  2815,  2309,  2401,  2336,  2816,   256,   251,   252,
    2810,  2811,  2813,   225,  2814,  2812,  2809,  2113,     0,     0,
     955,     0,  1294,  1295,   909,  1538,  1536,     0,  2057,     0,
       0,  2131,     0,  2144,  2226,   248,  2295,  2301,  2309,  2401,
    2336,  2367,   204,   214,   209,     0,   266,  2309,  2401,  2336,
       0,  1315,     0,  1507,  1638,  2066,     0,     0,  2626,  1288,
    1287,  1393,     0,  1396,     0,  1599,  2280,  1511,  1514,  1398,
    1512,  1503,     0,     0,  2516,  1387,  1535,  1535,     0,  1535,
       0,  1495,  1503,  1498,  1502,     0,     0,     0,     0,  1305,
       0,  2594,  2622,  2601,  2657,  2598,     0,     0,  2647,  2643,
    2640,  2648,  2649,  2642,  2630,  1738,  1739,  1740,  1737,  1750,
    1736,     0,  2575,  1741,  2614,  2581,     0,  2589,  2588,  2892,
    2893,  2704,  2527,  2546,     0,     0,     0,     0,     0,     0,
       0,  2673,  2675,  2677,  2637,  2636,  2632,     0,     0,     0,
       0,  2762,  2763,  2761,     0,  2758,  2760,     0,  2657,     0,
    2826,  2820,  2829,     0,  2076,  2821,  2818,  2817,     0,   849,
       0,  1327,  1000,     0,     0,     0,     0,  2070,     0,     0,
       0,     0,     0,  2098,     0,  2200,     0,     0,     0,  1963,
    1974,  1975,  1976,  2135,  2186,  1971,  1972,  1973,  1965,  1966,
    1967,  1968,  1969,  1970,     0,  1121,  1964,     0,  2200,     0,
     173,     0,   151,     0,     0,  2200,     0,     0,     0,     0,
       0,  2200,     0,     0,     0,     0,     0,   173,  2231,     0,
     151,  2200,     0,     0,     0,  1309,     0,     0,     0,  1311,
    1314,  1290,  1374,     0,  2066,     0,     0,     0,   886,   878,
       0,   887,   879,     0,     0,   889,     0,     0,   881,     0,
       0,     0,     0,   890,     0,   880,   882,   892,   883,   888,
       0,     0,     0,     0,   884,     0,     0,  1301,     0,  1425,
    1427,  1426,  1424,   491,     0,     0,     0,     0,     0,     0,
     151,  1359,     0,  2200,   151,     0,     0,   434,   433,   151,
     432,   431,  2135,  2186,     0,  1039,     0,   151,  2200,     0,
     197,   658,   588,     0,     0,   760,  2231,   151,     0,     0,
       0,     0,     0,     0,  1016,     0,     0,     0,   572,   585,
       0,  2538,  2544,     0,  2536,  2705,  2967,  2965,  2660,     0,
    1127,   249,   250,  1125,   837,  2200,     0,   352,     0,     0,
    2200,  1346,  1696,  1725,  1703,  1725,  1725,  1692,  1692,  2170,
    1705,  2200,  1693,  1694,  1732,     0,  1725,  1692,  1697,     0,
    1695,  1735,  1735,  1720,   352,   853,  1677,  1678,  1679,  1680,
    1706,  1707,  1681,  1712,  1713,  1727,  1682,  1749,  2827,  1692,
    2828,  2825,  2824,   838,     0,   836,  2200,     0,  2200,  2102,
     188,     0,   834,  2135,  2186,  2200,     0,     0,  2200,     0,
    2200,   180,  2200,     0,  2200,   352,  2200,   589,     0,     0,
    2200,     0,  2200,   352,  2200,  2231,   182,     0,  2200,   352,
     847,     0,     0,  2897,  2901,     0,  2899,  2894,  2616,  2670,
    2669,  2568,     0,  2978,     0,  1482,  1401,  1416,     0,  1412,
    1419,  1415,  1518,   951,   950,     0,   951,     0,  2988,   951,
       0,   951,     0,  2988,   951,     0,     0,     0,   951,  2096,
    2097,     0,     0,  2987,  2983,  2986,   925,   935,     0,   957,
       0,     0,   964,   963,   962,     0,     0,     0,   965,     0,
    1642,  1454,     0,   932,     0,   930,     0,  1283,  1300,     0,
       0,     0,     0,  1016,  1154,     0,  1152,  1143,  1144,  1296,
     255,   253,     0,     0,     0,     0,     0,     0,  1302,     0,
       0,     0,     0,  2881,  2082,  1977,  2880,     0,  2371,  2372,
    2373,  2036,     0,  2822,  2374,  2375,  2417,  1879,  1866,  1875,
    1880,  1867,  1869,  1876,  2376,  2377,  2378,  2379,  2089,  2380,
    2381,  2382,  2384,  2385,  2386,  1871,  1873,  2387,  2388,     0,
    2090,  2390,  2391,  2251,  2393,  2394,  2396,  2397,  1877,  2399,
    2400,  2401,  2402,  2403,  2404,  2088,     0,  1878,  2405,  2407,
    2408,  2409,  2410,  2411,  2412,  2413,  2414,     0,     0,     0,
    2063,     0,  1846,     0,  1685,  1686,  1708,  1709,  1687,  1714,
    1715,  1688,     0,  2062,  1752,  1928,  1845,  1862,     0,  1851,
    1852,     0,  1844,  1840,  1521,  2058,     0,  1841,  2078,  2037,
    2092,  2091,  2875,  2047,  2081,  2079,  2080,  1521,  2056,     0,
       0,     0,   217,     0,     0,  2751,   268,     0,   269,  2064,
    2309,   205,   247,   219,   246,   220,   218,     0,  2133,   206,
       0,     0,   207,     0,     0,     0,     0,     0,     0,     0,
     262,  1291,     0,  1640,  1639,  2044,     0,  2045,  2067,   858,
       0,  1384,  1385,  1383,     0,  1380,  1382,  1386,  1395,  1392,
    2052,  2051,  2053,     0,  1513,     0,     0,     0,  1493,  1492,
    1398,  1533,  1534,     0,     0,     0,     0,     0,     0,     0,
       0,  1589,  1549,  1550,  1552,  1586,  1590,  1598,     0,  1499,
       0,     0,  1644,     0,  1600,  2515,  2657,  2658,     0,  2652,
       0,  2651,  2651,  2645,  2644,  2641,     0,     0,     0,     0,
       0,     0,     0,     0,  2572,   567,  2574,   564,     0,     0,
    2548,     0,  2552,  2550,     0,  2697,  2700,     0,  2698,  2699,
    2701,     0,  2706,  2707,     0,     0,  2888,     0,     0,     0,
    2688,  2676,  2683,  2685,  2687,  2686,  2695,  2691,  2694,  2696,
    2638,  2651,  2769,     0,  2764,  2767,     0,  2759,     0,     0,
       0,  2077,     0,     0,     0,     0,   850,     0,     0,     0,
       0,  1335,  1336,  1337,     0,     0,  1338,  1339,  1327,   259,
    1345,  1343,  1326,  1328,  1341,  1333,     0,     0,     0,     0,
       0,     0,     0,  1351,     0,     0,   186,   187,   601,   585,
       0,  2200,     0,     0,     0,     0,     0,  1079,  1086,     0,
       0,     0,     0,     0,     0,     0,     0,  1080,  1078,  1081,
     261,  1090,  1107,  1110,     0,   990,     0,     0,     0,     0,
       0,  1206,     0,     0,     0,  1206,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   282,
     294,   347,     0,     0,  2200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   149,   150,   155,     0,
       0,     0,     0,     0,     0,   551,   563,     0,     0,     0,
       0,     0,   560,     0,   151,   286,   544,   548,     0,     0,
       0,   667,   666,  1349,  1348,     0,     0,     0,  1206,     0,
     278,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   370,   371,     0,     0,
       0,   155,     0,     0,     0,     0,   288,     0,  2582,     0,
    1310,  1307,  1308,     0,  1313,     0,  1370,     0,   877,     0,
       0,     0,     0,   894,     0,   891,     0,     0,   885,  2135,
    2186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   409,     0,     0,   757,     0,     0,     0,     0,     0,
     768,     0,  1327,  1358,     0,     0,     0,   594,     0,  2200,
       0,   153,   802,     0,   758,   435,     0,     0,   153,     0,
       0,   191,     0,   662,     0,     0,     0,     0,     0,     0,
     706,   705,     0,     0,     0,   759,     0,   153,     0,  2200,
     547,  2200,     0,   491,   491,     0,     0,  1015,  1018,     0,
       0,     0,     0,  2542,  2537,  2540,     0,  2530,  2544,  1485,
    1487,  1486,     0,  1484,     0,   352,   350,   351,   755,  1135,
       0,     0,  1724,  1711,  1719,  1718,     0,  1701,  1700,  1699,
       0,  1698,     0,  1725,  1725,  1723,  1702,  1677,     0,     0,
       0,  1731,     0,  1729,     0,   827,  1673,  1669,     0,     0,
    1717,  1738,  1737,  1736,     0,  1683,  1692,  1689,     0,     0,
     352,     0,     0,  2200,   352,  2200,     0,  2200,     0,     0,
     352,   352,     0,     0,     0,     0,     0,     0,   663,     0,
     846,   844,   843,   845,     0,     0,     0,     0,   825,     0,
       0,     0,  2200,   352,     0,     0,   824,  2895,     0,     0,
    2898,     0,  2619,  1987,     0,  2984,  1428,  2981,     0,     0,
    1518,     0,   236,   237,   235,  1417,   238,  1418,  1414,  1400,
       0,   943,     0,  2988,  2989,   928,     0,   938,     0,  2988,
     926,     0,   939,   936,   937,     0,     0,     0,  2982,  2866,
    2872,   942,     0,     0,   492,   494,     0,     0,  2155,  2169,
       0,  2192,  2219,  2220,  2301,  2305,     0,  2331,  2341,     0,
     966,   995,   961,   676,     0,     0,  1464,   933,   931,  1284,
    1421,  1994,     0,  1518,     0,     0,     0,     0,   254,   226,
       0,     0,     0,   997,  2300,  1299,   908,   585,     0,     0,
    1849,  1850,  2035,     0,     0,     0,     0,     0,     0,  1848,
    2002,     0,     0,     0,     0,     0,  1775,     0,     0,     0,
    2015,     0,  2021,     0,     0,  1812,     0,     0,     0,     0,
       0,     0,     0,     0,  1776,  1756,  1757,  2823,  1846,  1987,
       0,  1847,  2085,     0,  1749,  1977,     0,  1974,  1975,  1976,
       0,     0,     0,  2050,     0,  1985,     0,     0,  1790,  1983,
    1792,     0,     0,     0,     0,  1971,  1972,  1973,  1965,  1966,
    1967,  1968,  1969,  1970,  1981,  1772,     0,  2061,     0,  1930,
       0,  1771,     0,     0,  1602,  1520,     0,  2083,  2038,     0,
    2873,  2876,  1842,  1602,  2748,  2747,  2746,  2745,  2716,     0,
    2710,  2711,     0,  2749,  2750,   270,   271,   267,     0,     0,
     222,   221,     0,   244,   245,   216,   243,     0,   239,   240,
     224,  1919,  1918,   223,   215,   212,   210,   227,   229,   230,
     213,   211,   265,   263,     0,     0,  2043,     0,  2040,  2039,
    2073,  2046,     0,     0,   352,  2651,  1378,     0,  1375,  2055,
       0,  1515,     0,  2068,     0,  1388,  1510,  1509,  1542,  1543,
    1032,  1508,  1569,  1570,     0,     0,     0,     0,  1595,  1593,
    1560,  1553,  1559,     0,     0,  1557,     0,  1561,  1752,  1588,
    1497,  1547,  1548,  1551,  1496,     0,  1591,     0,  1467,  1589,
    1552,  1451,     0,  1433,     0,  1645,     0,     0,  2659,  2657,
    2597,  1677,  2651,  2590,  2651,  2646,  2578,  1743,  1744,  1745,
    1746,  1747,  1748,  2579,     0,  2576,  1742,  2577,   565,   566,
       0,     0,     0,  2545,     0,  2526,  2551,  2682,  2317,  2714,
       0,  2715,     0,     0,  2679,     0,  2689,  2692,  2690,  2693,
       0,  1677,  2869,  2765,  2869,  1677,  1054,  1056,     0,  1055,
       0,  1058,     0,  1067,     0,     0,  1053,  1072,     0,  1061,
    1059,     0,     0,     0,     0,     0,     0,   851,     0,     0,
       0,     0,  1334,     0,     0,  2331,   258,  1337,  1342,  1329,
    1340,     0,     0,     0,     0,     0,   999,   998,     0,     0,
    1020,     0,     0,     0,  1354,   480,     0,   349,     0,     0,
       0,     0,     0,     0,     0,     0,   753,   750,     0,     0,
     749,     0,   599,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   637,     0,  1206,     0,   670,     0,  1088,
       0,     0,  1087,     0,  1091,     0,     0,  1089,  1084,  1085,
    2301,  2309,  2336,   260,  1109,     0,  1108,  1106,  1042,     0,
    1043,     0,     0,     0,     0,     0,  2179,  2200,   296,   311,
       0,  1205,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   334,     0,     0,
     337,   336,     0,     0,     0,     0,     0,   341,   320,     0,
     321,     0,     0,   340,     0,     0,     0,     0,     0,     0,
    1206,     0,   290,     0,     0,     0,     0,     0,     0,  1122,
       0,   694,     0,     0,   176,     0,   172,   175,     0,     0,
       0,     0,   550,   562,     0,   554,   555,   552,   556,   557,
       0,     0,     0,     0,     0,     0,   549,     0,     0,   660,
     659,   665,     0,     0,     0,     0,     0,     0,     0,     0,
    1156,  1155,     0,     0,     0,     0,     0,     0,   792,     0,
       0,     0,     0,     0,     0,     0,   179,   679,     0,   678,
       0,   177,   178,     0,     0,     0,     0,     0,     0,     0,
     234,  1306,  1312,  1373,  2074,  1372,     0,     0,     0,     0,
     893,     0,     0,     0,     0,     0,     0,     0,     0,   895,
     896,   897,   898,     0,     0,     0,     0,     0,   384,     0,
       0,     0,     0,   781,  2824,   756,     0,     0,   769,     0,
     771,   774,     0,  1325,   453,     0,     0,   591,   637,     0,
     438,   184,     0,     0,     0,     0,   696,   148,   195,   197,
     436,     0,   196,   198,   200,   201,   202,   199,   203,   657,
     661,     0,   587,     0,     0,     0,     0,     0,   707,   711,
     710,   714,   712,     0,   708,     0,     0,  1665,     0,   171,
       0,     0,   542,   546,     0,  2523,     0,   438,   522,   363,
    2200,     0,   491,     0,  2200,     0,  1017,     0,     0,     0,
       0,     0,     0,  2543,     0,     0,     0,     0,  1483,     0,
    1113,     0,  1347,     0,     0,     0,   352,  1722,  1721,  1674,
    1670,     0,     0,     0,     0,   854,     0,     0,     0,     0,
       0,     0,     0,  1690,  2200,   352,     0,  1111,   189,  2103,
       0,   829,     0,     0,     0,     0,     0,  1115,   821,     0,
     352,   181,     0,   352,   352,   590,     0,     0,   352,   352,
     183,     0,     0,     0,   582,   352,   848,  2896,  2902,  2900,
    1430,     0,  2985,  2979,  2980,   491,  1487,  1402,  1413,   940,
     947,   929,   946,   945,   927,   944,   941,  2681,     0,     0,
    2871,     0,   958,     0,   490,     0,     0,     0,   972,   973,
       0,     0,   971,   988,   974,     0,   976,   968,   967,   977,
     978,     0,     0,   997,   674,     0,     0,     0,     0,  1461,
       0,  1459,     0,  1643,  1463,  1452,  1422,     0,  1420,     0,
     535,     0,     0,  1153,     0,     0,   955,     0,     0,   352,
    1298,     0,   910,   911,     0,     0,     0,     0,     0,     0,
     917,   914,   915,   916,   918,     0,   919,     0,     0,     0,
    1998,     0,  1999,     0,     0,  2034,  2030,     0,     0,     0,
       0,     0,  2006,  2007,  2008,  2005,  2009,  2004,     0,     0,
    2010,  2003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2397,     0,     0,     0,     0,  1815,     0,     0,  1958,
       0,  1987,  2020,     0,     0,     0,     0,     0,     0,  1987,
    2026,     0,     0,     0,     0,  1917,     0,  1914,     0,     0,
       0,     0,  2047,     0,     0,  2086,  1753,  1767,  1768,  1769,
    1773,  2060,     0,  2049,     0,     0,  1754,  1781,     0,  2027,
    1808,     0,  1813,  1796,     0,  1789,     0,  1794,  1798,  1777,
       0,  1774,     0,  2050,  1986,     0,  1984,     0,  1764,  1765,
    1766,  1758,  1759,  1760,  1761,  1762,  1763,  1770,  1962,  1960,
    1961,     0,     0,     0,  1938,     0,     0,  1793,  2194,  2226,
       0,  1532,  1532,  1532,  1519,  1530,  2059,     0,  1660,     0,
       0,     0,     0,  1854,     0,  1991,  1541,  1989,  2076,  2878,
    2877,  2048,  1660,     0,     0,     0,  2065,     0,     0,  1749,
       0,   264,  1641,  2041,  2044,   856,   857,   855,  1677,  1398,
    1381,  1377,  1376,  2054,  1397,     0,  1518,     0,  1030,  1031,
       0,  1035,  2397,  2298,     0,     0,     0,     0,  1562,  1596,
       0,  1587,     0,  1563,  2078,  2079,  1564,  1567,  1568,  1558,
    1597,  1465,     0,  1592,  1501,  1500,     0,  1663,     0,     0,
    1443,  1435,     0,  1646,     0,  1602,  1469,  1471,  1472,     0,
    2047,  2595,  2653,  2600,  2621,  2591,  2624,  1751,  2573,  2613,
       0,  2547,  2717,  2718,     0,  2708,  2709,  2678,  2684,  2755,
       0,  2870,     0,     0,  1057,     0,  1692,  1068,     0,  1052,
       0,  1051,  1692,     0,  1069,     0,  1692,     0,     0,     0,
    1243,  1158,  1214,   852,  1244,  1159,  1215,  1245,  1160,  1344,
    1332,  1331,  1330,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   732,  2200,   352,
    1352,  1246,     0,  1161,   348,  1353,  1216,  1357,   752,   751,
       0,     0,  1217,     0,   600,     0,     0,     0,   606,   607,
     608,     0,     0,     0,   609,     0,  2135,  2186,     0,   614,
     621,   626,   616,     0,     0,   628,   622,     0,     0,     0,
       0,     0,     0,   634,   636,     0,     0,     0,     0,     0,
       0,     0,  1082,  1083,  1247,  1164,     0,  1218,  1041,     0,
    1165,   185,     0,     0,   283,  2200,   298,     0,   643,   732,
    1208,   318,     0,     0,   333,   328,   329,   327,  2200,   352,
    2200,   352,     0,     0,     0,     0,     0,   330,   325,   326,
     322,     0,     0,   335,  2112,  2171,  2310,     0,   647,   649,
       0,   654,   338,  1181,   359,   358,   357,     0,   342,     0,
     364,   367,   339,   316,   319,   317,   313,   295,     0,     0,
       0,     0,     0,     0,     0,     0,  2072,     0,     0,  1117,
       0,     0,     0,     0,     0,     0,     0,   688,   174,  1196,
       0,     0,   160,     0,     0,     0,     0,   154,   164,     0,
    1253,  1171,     0,     0,   287,   545,   553,   558,  1175,   561,
    1228,   559,  1259,  1172,     0,  1206,     0,   279,     0,  1173,
       0,  1222,  1255,  1198,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1360,     0,     0,     0,     0,     0,     0,
     352,     0,     0,     0,  1208,  2200,   352,  1254,     0,  1203,
    1236,     0,   372,     0,  1197,     0,     0,   289,  1177,  1230,
       0,     0,   232,   231,   233,     0,     0,  2169,     0,   900,
     861,   899,     0,     0,     0,     0,     0,     0,   869,     0,
       0,     0,   860,     0,   859,   383,     0,   408,   381,   382,
     384,     0,   780,     0,     0,     0,     0,   770,     0,     0,
       0,  1350,     0,   151,   598,     0,     0,     0,   593,   636,
     643,     0,     0,     0,   437,   441,   445,   446,   447,     0,
       0,     0,     0,   165,   152,     0,   810,     0,   491,     0,
     692,     0,   197,   190,     0,     0,     0,   363,   767,   765,
     764,   766,     0,     0,     0,   785,   763,     0,  1664,  1666,
       0,     0,     0,     0,     0,     0,   440,     0,   494,     0,
       0,   526,     0,     0,     0,     0,   363,     0,     0,     0,
    1046,     0,  1064,  1047,     0,     0,     0,     0,  1095,  1102,
    1096,  1074,     0,     0,   570,  2541,  2535,  1488,  1489,     0,
     352,     0,     0,  1691,  1704,   828,     0,  1734,  1733,  1735,
    1735,     0,  1675,     0,  2968,  2976,  2975,     0,  1726,  1727,
    1684,     0,   638,   352,   352,     0,   352,     0,   352,   352,
       0,   685,     0,  1281,   664,     0,     0,   740,   826,     0,
       0,   352,   823,  1988,     0,  2680,  2867,   959,   493,     0,
       0,     0,     0,   970,     0,   568,   975,     0,   987,   982,
     984,     0,   991,   673,     0,     0,  1462,  1455,  1457,  1456,
       0,     0,  1453,  1995,   822,     0,   541,  1145,  1146,     0,
       0,   352,     0,   992,     0,     0,   912,   913,     0,     0,
     920,     0,     0,     0,  1537,  1996,  1997,     0,     0,     0,
    2031,     0,     0,  1892,     0,  1868,  1870,  1882,     0,  1893,
    1853,  1894,  1872,  1874,     0,  1978,     0,     0,  1883,     0,
    1817,  1818,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1833,
    1832,  1884,  1957,     0,     0,  2018,  2019,  1885,     0,     0,
    2025,     0,     0,     0,  1890,  1895,     0,     0,     0,     0,
    1901,     0,  1922,     0,     0,     0,  1843,  1988,     0,     0,
       0,     0,     0,     0,     0,     0,  1814,  1797,  1791,     0,
    1795,  1799,     0,     0,     0,  1785,     0,     0,  1783,  1809,
    1779,     0,     0,  1810,     0,     0,     0,  1861,     0,     0,
    1532,  1532,  1532,  1532,  1529,     0,     0,     0,     0,  2298,
       0,  1624,  1601,  1603,  1611,  1624,  1629,  1863,  1658,  1864,
       0,  2066,     0,  1572,  1541,  1541,  1541,  1860,     0,     0,
       0,     0,  1540,  1572,  2730,  2732,  2733,  2734,  2735,  2736,
    2738,  2739,  2741,  2742,  2743,  2731,  2737,  2740,  2744,  2721,
    2722,     0,  2712,  2713,   208,     0,   241,   228,  2043,     0,
    2755,  1379,  2069,     0,  1544,     0,  1979,  1035,     0,  1546,
    1565,  1566,     0,  1556,  1594,  1554,  1466,  1450,     0,  1448,
    1437,     0,  1438,  2047,     0,  1448,  1434,  1477,     0,     0,
    1663,     0,  1476,     0,  2655,  2583,     0,     0,  2754,  2757,
    2768,  2766,  2593,     0,  1692,  1049,  1050,     0,  1073,     0,
    1242,  1157,  1213,  1002,  1003,     0,  1001,     0,     0,     0,
     479,  1019,     0,     0,     0,   732,     0,     0,   483,     0,
    1355,     0,  1260,  1195,   602,   603,   604,     0,   615,     0,
     624,   623,     0,     0,   611,     0,     0,     0,     0,     0,
     610,   630,   574,   631,   633,     0,     0,   632,   635,   640,
    1206,     0,   671,  1183,     0,  1234,  1076,  1209,     0,  1044,
       0,     0,     0,     0,     0,     0,   453,   312,     0,     0,
       0,   300,   310,     0,  1212,   344,     0,   315,     0,   308,
     331,   323,   332,   324,   343,   345,     0,   651,   652,   650,
     646,     0,   653,   655,     0,   361,     0,     0,     0,  1249,
       0,  1206,     0,   291,     0,  1179,     0,  1232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1250,
    1219,     0,  1238,     0,     0,     0,   693,     0,   690,     0,
       0,   157,   156,     0,   163,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   373,   354,     0,   788,     0,     0,     0,   375,
       0,     0,     0,     0,  1248,  1166,   862,     0,     0,     0,
     863,   874,     0,     0,   864,     0,     0,     0,     0,   876,
     386,   387,   151,   385,     0,     0,   782,     0,  2251,  1965,
    1966,   778,   783,   775,   777,   776,   779,   732,     0,   772,
     773,     0,     0,     0,     0,     0,   465,     0,     0,   459,
       0,     0,  1102,   452,   455,   456,     0,     0,   594,   597,
     595,   596,   629,     0,   472,   518,     0,   167,     0,     0,
     168,   166,     0,     0,   363,   697,   701,   699,   698,   700,
     695,     0,   688,     0,   193,   436,     0,     0,   586,   713,
     716,   709,     0,   784,   786,   761,     0,   643,     0,   547,
       0,  1431,   535,     0,   522,   518,   520,   519,   521,     0,
     528,   362,     0,     0,   535,   528,     0,     0,  1020,  1045,
       0,     0,     0,  1092,  1097,  1093,     0,     0,  1060,     0,
    1094,     0,  1075,  1038,  1276,  1277,  1274,  1275,     0,     0,
       0,  2558,  1479,  2567,  1114,     0,  1710,     0,  1730,  1728,
    1671,     0,  2651,     0,     0,     0,     0,     0,  1676,  1716,
     352,  1112,   830,     0,   817,     0,   819,  1116,   352,   352,
     352,   352,   680,     0,   583,     0,     0,     0,     0,   969,
     989,     0,   985,     0,     0,   952,   994,     0,     0,  1460,
    1458,   533,     0,   997,     0,   953,   996,     0,     0,     0,
       0,     0,     0,     0,  2000,     0,  2033,  2029,     0,  1865,
    2001,     0,  2013,  2012,  1958,     0,     0,  1816,  1828,  1829,
    1830,  2014,     0,  1838,     0,     0,  1825,  1826,  1827,  1819,
    1820,  1821,  1822,  1823,  1824,  1831,  2023,  2022,  2016,  2017,
       0,  1887,  1888,  1889,  2024,  1896,     0,  2126,  1923,  1900,
    1916,  1915,     0,     0,     0,  1903,     0,     0,  1912,     0,
    1959,  2087,  1755,     0,     0,  1782,  2028,  1800,     0,     0,
       0,  1778,  1978,     0,     0,     0,     0,     0,  1787,     0,
       0,     0,  1941,  1936,  1937,  1955,     0,     0,     0,     0,
       0,     0,  1523,  1522,  1528,  1624,  1629,     0,  1503,     0,
    1611,     0,  1623,  1609,  1622,     0,     0,  1635,  1633,     0,
    1635,     0,  1635,     0,  1605,     0,  1625,  1607,  1622,     0,
    1650,     0,  2067,  1659,     0,  1585,     0,     0,     0,     0,
    1992,  1993,     0,  1990,  1855,  1585,     0,     0,     0,  2042,
    2753,  1516,     0,  1545,  1033,  1034,  1555,     0,  1661,     0,
    1449,     0,     0,  1440,  1446,  1432,     0,     0,  1470,  1448,
    1473,  2599,     0,  2654,  2719,  2720,  1070,     0,     0,  1062,
    1008,  1009,  1007,  1010,     0,     0,     0,   732,     0,     0,
     499,     0,  1027,  1027,     0,     0,   485,   531,  1102,   735,
       0,     0,     0,   733,   352,  1162,     0,   625,     0,     0,
     620,   618,   617,   619,     0,   575,  1258,  1163,     0,     0,
       0,     0,  1077,     0,     0,  1182,     0,   297,     0,   450,
       0,   305,  1207,     0,     0,     0,   304,     0,   352,   352,
     346,   648,   360,   365,   366,   369,     0,     0,     0,     0,
       0,  1211,     0,     0,     0,     0,     0,     0,     0,   811,
     794,     0,     0,   812,   813,     0,     0,     0,  1119,  1120,
    1118,  1237,     0,     0,     0,  1169,     0,     0,   684,   161,
     158,   159,   162,  1193,  1176,  1229,     0,     0,     0,  1174,
       0,  1223,  1189,  1185,     0,     0,     0,     0,     0,  1257,
    1202,  1227,  1256,  1200,  1225,  1199,  1224,  1201,  1226,     0,
    1194,     0,  1668,   791,     0,     0,     0,   352,   352,   682,
    1178,  1231,     0,     0,   865,     0,     0,   867,   868,     0,
     871,   391,   411,   702,   754,     0,     0,   731,     0,   457,
       0,   463,   467,   468,   466,   458,  1102,   491,   530,     0,
       0,   744,     0,   592,   438,   469,     0,     0,   442,   170,
     169,     0,     0,     0,   691,   690,   197,     0,     0,   718,
     722,   762,     0,  1667,   677,   363,   543,     0,   438,   535,
    2524,     0,   443,   448,   449,     0,   526,   522,     0,     0,
     532,  1323,     0,   536,   538,     0,     0,     0,  1048,  1065,
    1066,     0,     0,  1102,     0,     0,  1101,     0,     0,   577,
       0,  2531,   352,  1672,  2969,     0,  2970,  2971,  2972,  2973,
    2974,   639,   352,   352,   686,  1282,  1142,   741,     0,   981,
     980,   979,   569,     0,   983,   675,     0,   534,   352,     0,
       0,   922,   903,   921,     0,     0,   902,     0,   901,  2032,
    1881,  1891,  2011,  1957,  1988,     0,     0,  1839,     0,     0,
    1886,  2406,     0,     0,     0,     0,  1920,  1921,  1902,     0,
    2242,  1907,     0,     0,     0,  1806,  1804,  1801,     0,  1802,
    1786,     0,     0,  1784,  1780,     0,  1811,  1927,     0,  1943,
    1940,  1954,  1988,  1527,  1526,  1525,  1524,  1610,  1608,     0,
    1613,  1620,     0,  1604,     0,  1634,  1630,     0,  1631,     0,
       0,  1632,     0,     0,  1606,     0,  1620,     0,  1657,  1541,
       0,     0,  1932,  1858,  1859,  1856,  1541,  2084,  1932,  2723,
       0,  2726,  2724,  2725,  2729,   242,     0,     0,  2984,  1436,
    1439,     0,     0,     0,     0,  1478,  1468,  2656,  1063,  1071,
       0,     0,     0,   481,     0,  1102,     0,     0,     0,  1029,
    1029,     0,  1102,   530,   737,   736,   739,   734,   738,  1356,
       0,   612,   613,   627,  1184,     0,  1235,  1191,     0,  1464,
     299,     0,   644,   301,   302,   303,   306,   354,   314,   307,
       0,     0,     0,  1180,     0,  1233,  1187,  1251,  1167,  1220,
       0,     0,   800,     0,     0,     0,     0,  1252,  1168,  1221,
    1239,  1240,  1241,     0,     0,     0,     0,  1464,     0,     0,
       0,     0,     0,  1365,     0,  1210,   353,   790,   789,   354,
     374,  1204,     0,   866,   872,   873,   870,     0,   380,   388,
     412,   151,     0,     0,  1133,  1133,     0,   732,     0,     0,
     454,   530,   498,     0,   460,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   683,   192,   438,
     643,   717,     0,     0,     0,   787,     0,   440,     0,  1429,
     439,     0,     0,   528,   526,     0,   523,     0,   527,     0,
    1316,     0,     0,     0,     0,  1098,     0,  1104,     0,  1059,
    1036,  1099,     0,  1660,     0,     0,     0,     0,   581,  2557,
    2561,  1134,  2977,   818,   820,   681,   986,     0,   993,   352,
     904,   905,   906,   907,  1959,  1834,     0,     0,     0,     0,
    1897,     0,  1898,  1925,  1924,  1904,  1908,     0,  1905,  1906,
    1803,  1807,  1805,  1788,  1929,     0,  1541,  1956,  1653,     0,
    1656,  1612,     0,     0,  1614,     0,     0,  1616,  1618,     0,
       0,     0,     0,     0,     0,  2070,     0,  2151,  2382,  2297,
       0,  1571,  1573,  1576,  1578,  1577,  1579,  1575,  1584,     0,
    1505,     0,  1504,  2728,  2727,  1980,  1662,  1447,     0,     0,
    1021,     0,     0,  1475,  1474,   987,     0,   352,  1027,   530,
     500,  2251,   501,  1026,  1028,  1032,  1032,     0,   530,   732,
     605,     0,     0,   284,   642,     0,   356,   368,     0,  1464,
       0,     0,     0,   807,   795,     0,     0,   814,  1170,   687,
       0,     0,   280,  1190,  1186,  1367,  1368,     0,     0,     0,
       0,     0,   352,   875,     0,   414,   421,   392,   397,  1359,
       0,  1359,     0,   394,   398,  1359,   393,  1359,   390,   391,
       0,  1133,     0,  1130,  1129,   730,     0,   489,   461,     0,
     509,     0,     0,   745,     0,     0,   518,   478,   477,   474,
     473,   475,   476,   471,   470,     0,   643,   804,   363,  1323,
     656,   719,   720,   715,     0,     0,     0,   522,   518,   444,
     453,   427,   528,   524,   525,     0,     0,     0,   535,  1369,
    1020,     0,  1103,     0,     0,     0,     0,     0,     0,  1137,
     576,     0,     0,   580,   571,     0,  2559,   643,   954,  1835,
       0,  1836,     0,     0,     0,  1910,  1909,     0,  1946,  1658,
       0,     0,  1652,     0,  1621,  1637,     0,  1617,  1615,     0,
    1626,     0,  1628,  1855,     0,     0,     0,  1580,     0,  1931,
    1933,     0,  1857,  1445,  1660,     0,  1442,     0,  1004,     0,
    1005,  1029,   504,     0,  1035,  1035,   491,   732,   482,  1192,
       0,   645,     0,   309,     0,   292,  1188,     0,   798,     0,
     809,   807,     0,     0,     0,     0,  1361,     0,  1362,  1363,
    1366,   376,   389,     0,   419,     0,   417,   416,   418,     0,
     405,     0,     0,     0,     0,     0,     0,   379,   410,  1128,
    1132,  1131,     0,     0,   462,   495,   496,   497,     0,   464,
     505,   506,     0,   742,     0,   747,     0,     0,   517,   668,
       0,     0,     0,  1317,     0,     0,  1323,   526,   522,   451,
     425,     0,  1320,     0,   537,     0,   363,  1102,  1105,  1100,
    1280,     0,     0,   579,   578,  2562,  2564,  2563,     0,   672,
    1837,  1913,  1899,  1926,  1911,  1942,     0,     0,     0,  1651,
    1654,     0,  1619,     0,     0,  1627,     0,     0,     0,  1574,
       0,     0,  1444,  1022,     0,     0,  1032,     0,   732,     0,
    1024,  1023,   498,   484,  1464,   355,     0,     0,     0,   805,
     808,   796,   809,   816,   815,   689,  1464,     0,   415,   424,
       0,   422,   395,   400,     0,   404,   402,   401,   396,   399,
       0,   488,     0,     0,     0,   507,     0,   508,   529,     0,
     746,     0,     0,   803,     0,     0,   721,     0,  1318,   528,
     526,  1321,  1322,     0,   528,  1037,  1279,  1278,  1518,     0,
       0,  2560,  2370,     0,  2343,     0,  1944,  1947,  1945,  1939,
       0,  1636,  1649,  1582,     0,  1581,  1934,  1935,  1660,   352,
    1035,     0,   486,   502,   509,   285,  1464,     0,     0,   797,
     281,  1364,   420,     0,   403,   722,   514,     0,   513,     0,
     511,   510,   743,   748,   643,   793,  1323,   725,   428,   528,
       0,  1660,  1262,  1518,  1261,  1263,  1271,  1268,  1270,  1269,
    1267,  1140,  1141,     0,  1951,  1950,  1949,  1953,  1952,  1655,
       0,  1647,  1583,  1441,  1006,  1025,     0,   732,   293,   799,
     806,   423,     0,   512,   516,   515,   669,  1319,     0,   723,
     726,   729,   727,   728,   426,   363,  1011,     0,  1272,  1266,
    1503,  1490,     0,     0,     0,     0,   503,   487,     0,   703,
       0,   528,  1264,  1518,     0,     0,  1948,     0,     0,   724,
    1660,  1265,     0,     0,  1648,     0,  1012,     0,     0,   725,
       0,     0,     0,  1138,  1139,   704
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4809, -4809,  4400, -4809, -1265,   415,  2777, -1012, -4809, -4809,
   -4809,  1150, -4809, -4809, -4809, -4809, -4809, -4809, -4809,  3556,
   -4809, -4809,  1953, -2766, -4809, -4809,   -30,  3503, -1706,   -40,
    3078,  1592, -4809, -1514, -4809, -4809,  -926,    51, -4809,  3554,
     292, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -1047,
    2101,  1398,  5843, -4465, -4809, -4809, -1831, -3550, -4809,   725,
   -4809, -4809,  2038, -4809, -4809, -4809,  1236,   630,  -394, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809,  -536, -4809, -4809,  -724,
     226,  -104, -2749,  -207, -4809, -4809,   595,  -209, -1873, -4809,
   -3898, -4809,   134, -4809, -4809, -4809,  -188, -1835,  1495, -4809,
   -1025, -1484,  1834,  -626, -4809,   -78, -4809,  -702,  -547,  -545,
    -647, -4088, -4096, -4540, -4133, -3911,  1503, -4809, -4092,   312,
     565, -4809,   318,   333, -4809,   580, -1152, -1866, -4809, -1171,
   -4809, -4809, -4809, -3301, -4809, -4809, -4809, -4809,   -79, -4809,
   -4809, -4809, -4809,   622, -4809, -4809, -4809, -4809, -4809, -4809,
   -2946,  2003,  2008, -4809, -4809, -3528, -4809, -1234, -4809,   767,
   -3310,  1414, -4809, -4809, -4809,  2767, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -1989, -4809, -4809, -4809, -4809,
   -4809,   609,   141, -4809, -4809, -4809, -4809, -4809,   342, -4809,
    2026,  1225, -4809, -4809, -4809,  -683,  -776,  -756, -4809, -3335,
   -4809, -4809, -4809, -4809,  -140, -4809, -4809, -4809, -4809, -4809,
   -4809, -1331, -4809,  1279, -3456, -4809, -4809,  1287, -4809, -4809,
   -4809, -4809, -4809,  -622,   -80,  2815, -4809,  -462,  -576, -4809,
   -4809, -4809,   -68, -4809, -4809, -4809, -4809, -4809, -4809, -1449,
   16611, -1411,  -838, -4809, -4809, -4809, -4809, -2623, -4809, -4809,
   -4809, -4011, -4809,  4701,    31,  -346,   388, -4809,  -196,   -73,
    3334, -1523, -2981,   548,  -252, -4809, -2223, -4809, -4809, -4809,
   -2875, -4809, -4809, -4809, -4809, -3831,   395, -4809,  3329, -4809,
   -4097, -4808, -3845, -4333, -4667, -4605, -3828, -4809, -4809, -1456,
   -4809, -4809, -4809, -1859,  2340, -2285, -4809, -2383,   616,  1600,
   -1286, -3094, -4104, -1042, -3577, -4809, -4809, -4013,  -358, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809, -1448,  -929, -4809, -4809,
    3936, -4809, -4416, -4809,  3911, -4809, -4809, -4809, -4809,  2622,
    2623, -4809,  2625, -4809, -4809, -1847,  1381, -4809, -4809, -4809,
   -4809,   291, -4809, -4809, -4809, -4809,  -594,  -707, -4809, -4809,
   -4809,   417, -4809, -4809, -4809, -4809,  1950, -1258, -1027,  3797,
     435, -4804, -4809, -4809,  -651, -4809,  3046, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -2825, -4809, -4809, -4708, -4809,
   -4809, -4809, -4809, -4809,  2472,  2474,  -105,  -230, -4809, -4809,
   -1642, -4809,  -855, -4809,  2699, -4809, -4809, -4809, -4809, -2097,
     444,   668,   -71, -4809, -4809, -4809,   419, -4809, -4809, -3734,
     -70, -4809, -4809, -4809, -4809, -4720, -4809,   -69,  -517,   961,
   -4809, -4809, -3115, -4809,   447,   -77,  3417,  1957,   -61,   510,
    -245,  -243,  -225,   -75,   -59,  3179, -4809,  3244, -4809,  -197,
    1916, -4809, -4809, -1147,  -341, -4809,  1708,  -947,  2446,  3164,
    3168, -4809,  1700,  2479, -2276, -2274, -4809,  1032,  -491,  -361,
   -4809, -4809, -4809, -4809,   455,  -942,  2463, -4809,  3178, -4809,
   -4809, -4809, -2202,  1695, -3737,  1071, -3703, -3673,   501,   492,
   -1096,  -145,  -128, -1090,  3186, -4809, -4809,  1080,  -323, -4809,
   -4809,  -320, -3135,  1000, -4809, -4633, -2656,  8969, -1967, -1398,
   -4809, -4809, -1366, 14125, -4809, -4809, -4809, 14218, 17218, -4809,
   -4809, 23390, 24888, -4809, -1220,  1272, 25339,  5004, -1354, -1359,
   -1623, 23780, -2763, -1407, -3112, -4809, -3814, -2861, -4809, -4809,
   -4809,  -107,  1133,   316, -4809, -4809, -4809, -4809,    95, -4809,
    -464, -4809,  -463, -4809, -4809, -4809,  -450, -4125,  2601, -4809,
   -4809, -4809,  -880, -4809, 26271,  1752, -4809,  -907, -3038, -3046,
   -3707, -2182, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -1709,
   -3613,  -474,  1828, -4809, -4809,  1919, -4809, -4809, -4809, -1673,
    1772, -1193, -2927,  1837, -2347, -4809, -1144, -4809, -1071,  2604,
   -1092, 10828, -1698, 19837,  -113, -2568, -1652, -1952, -4809,  1331,
   -4809,  2381,  -156,  -768,  3573,  -871,  -968,  6993,  4917,  5880,
   -3461, -4809, -4809,   450, -4809, -4809, -4809,  4331,  1317, -4809,
    3593, -4809,  2092,  2879, -4809, -4809,  2475,  -977,   -37, -4809,
    -420, -4809,  -119, -4809, -4809, -4809,   205, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809, -4809, -4809,  3216, -4809, -4809, -1566,
   -4809, -4809, -4809, -4809, -4809,  4606,  -380, -4809,  3993,  -378,
   -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809, -4809,  3248,
    2505, -4809,  3804, -4809, -4809, -4809,   -31,  3436, -4809, -4809,
   -4809, -1299,  -631,  3801,  3805,  2467, -4809, -4809, -4809, -4809,
   -4809, -4809, -4809, -4809,  2470, -4809, -4809,  1806, -2309,  2481,
   -4809, -4809,  1036, -4809, -4809,   519, -4809,  1039, -4809,  3317,
   -4809, -4809, -4809,  1082, -4809, -4809, -4809,  -619, 16691,    24,
     -93,   104,  1651, -4809,  9931,  7194,   107,  3245,   -66, 13283,
   22721,  3459, -4809,  4591,  2493,  2031, -1067, -4809,  3925,  2775,
   21214, -4809, -1063,   321,  2543, -4809,    -2,  -687, -1283,  3581,
    -766, -2160, -4809,  5021, -4809, -3489, -4809, -1100,   136,  3994,
   -1306
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   250,   251,  1958,  2841,  2726,  3613,  3614,   252,
     253,  1954,   254,   255,   256,   257,   258,   259,   260,  1889,
     261,   262,  1379,  2081,  2852,   263,  2576,  1123,  1124,  1125,
    2426,  2427,  2791,  2428,  2415,  1713,  2226,  1910,  1088,  1089,
    1870,  1911,   265,   266,  1707,  2407,   267,   268,   269,  1939,
    1940,  1883,  2128,  4662,  5333,  3448,  2703,  3653,  3449,  3450,
     270,  2006,  2007,   271,   272,  3580,  3576,  4182,  4988,  4989,
    5208,   914,  2820,  4991,  4992,  5194,  5195,  5357,  5470,  5471,
    2853,  2076,  3647,  4264,  3604,  4731,  3605,  4732,  3606,  4733,
    3591,  4213,  4214,  4215,  3607,  4705,  5233,  3608,  2595,  5374,
    2888,  2256,  2254,  5220,  4539,  4540,  5448,  5379,  5380,  5381,
    5550,  4707,  3651,  4270,  4740,  5004,  3337,  2102,  3756,  1018,
    2891,   946,  1019,  2854,   277,  2882,  2883,  1977,  2734,  4191,
    3736,   278,  1399,  4031,  5058,  5273,  5274,   279,   901,   280,
    2085,   281,   282,  2837,  3598,   283,  2612,  3354,   284,   285,
    3383,  3384,  3385,   286,   287,  4056,  4931,  1941,  3437,  3438,
    3439,  3440,  4082,   288,  2083,  1982,  2861,   289,   290,   291,
     292,   293,  3016,  3017,   294,  2778,   295,   296,   297,   298,
     299,  4118,  4628,  4242,  3477,  3620,  4240,   300,  2855,  2093,
    2873,  2874,  4720,  5022,  5243,  5024,  5598,  5599,  4997,  4008,
    4553,   302,   303,  4700,  4701,  5386,   304,  2610,   305,   306,
     307,  2060,  2829,  2830,  4192,  2054,  2822,  2823,  4252,  4253,
     308,  3533,   309,  4609,  4610,   947,  5391,  5340,  5461,   310,
     311,  4613,  4614,   312,   313,   314,   315,   316,  1006,  1499,
    1500,  1856,  1444,   317,  2444,   318,  1346,  3560,   319,  1591,
    3058,  4792,   320,  1042,  1524,  1525,  2856,   322,  1053,  3036,
    1055,  2269,  3738,  3739,  4345,  3002,  1250,   323,   324,  3013,
    3039,   325,  1876,  2586,  2587,  4534,  2857,   948,  2108,  2895,
    3332,  5139,  5140,  4909,  5155,  3231,  3949,   327,   949,  1915,
    2659,  2898,  3661,  2553,  2554,  2555,  4287,  2556,  3663,  2557,
    1850,  2558,  3669,  3670,  3671,  4283,  4290,  4293,  5047,  5048,
     328,  1913,  2657,   329,   330,   331,  1949,  1274,   332,   971,
     972,   333,  5213,   334,  1419,   335,  5056,   336,   337,  1077,
    1078,  1575,  1576,   338,   339,  2673,  4063,   340,   341,   342,
    4111,  4112,   343,   344,  5564,  5607,  5608,  5609,  4298,  5508,
     345,  5566,  1567,   347,   348,   349,   904,  1309,  1310,  1311,
    2858,  5040,   351,   352,  1871,  1872,  1873,  1874,  2581,   353,
     354,   355,   356,   357,   358,  2064,   359,   360,  5187,   361,
     362,  2026,   363,  1744,  1745,   364,   365,   908,  1143,  1749,
    1757,   366,  1021,  1518,  1519,  1520,  2228,   367,  1571,  1348,
    1022,  1513,  1023,  2492,  3260,  3961,  3962,  3965,  4893,  4510,
    1024,  3257,   371,  2276,  3022,  3025,  3253,  1025,  3265,  3266,
    3267,  3268,  3269,  3968,  1026,  1044,  1409,  2907,  1027,  1662,
     376,   377,   378,  1153,  1147,  1148,   380,  2384,  3184,  1062,
    1763,  1107,  1108,  1160,  3912,  2458,  2459,  2483,  2484,  1772,
    1773,  2471,  2475,  2476,  3243,  3237,  2464,  4485,  5121,  5122,
    5123,  5124,  5125,  5126,  4872,  2479,  2480,  1775,  1776,  1777,
    2488,   381,  3188,  3892,  3893,  3894,  4462,  4463,  4477,  4473,
    4856,  5107,  3895,  1561,  1783,  4864,  5581,  3896,  5098,  5099,
    5292,  4480,  3903,  3959,  3637,  3638,  3639,  2559,  2157,  1446,
    1663,  1447,  2167,  1664,  2141,  1449,  1665,  1666,  1667,  1452,
    1668,  1669,  1670,  1455,  2133,  2160,  1671,  1672,  2151,  1192,
    1193,  2213,  3095,  1674,  1675,  1676,  3898,  1677,  4418,  4823,
    4812,  3116,  3117,  2423,  4414,  3838,  2379,  3174,  5130,  5309,
    5310,  3877,  4443,  4839,  5096,  5428,  5516,  5517,  1678,  1679,
    1680,  3171,  2374,  1276,  1681,  4194,  2376,  3110,  3196,  3197,
    2282,  2301,  3063,  3078,  3079,  3090,  3797,  3098,  3103,  3825,
    3826,  3111,  3140,  1682,  3065,  3066,  3781,  2303,  1683,  1737,
    2437,  1738,  2392,  3135,  1752,  1753,  1145,  1697,  1684,  1685,
    2270,  1134,  5103,   753,   736,  3465,  2439,  1313,  1059,  1686,
    1687,  1688,  1805,   696,  1469,  1470,   698,   737,   738,  1230,
     850,     2,    75,  1028,  3645,   385,   386,   951,   952,   953,
    1401,  1402,  2114,  2117,  1810,  2525,   702,   703,   754,  4761,
    5059,  5276,  1012,   387,   388,   389,   390,  1806,  2521,  1194,
      76,    84,    77,  1195,   427,   428,  2502,   391,   867,   392,
    1786,  1174,  3974,   393,   394,   395,   396,   397,  1009,   398,
    1176,   399,  1177,   400,   401,   402,   403,  1184,   404,  1788,
    1789,  4523,  1790,   405,   406,   740,   741,  1511,   407,   408,
    1211,  1212,  1543,  1544,  1816,  1831,  1832,  1833,   409,   710,
     410,   411,   412,  1822,  1823,   413,  2400,  2401,  2530,  2402,
     414,  3282,  3283,   415,  3929,  3930,  4882,  3931,   416,  2396,
     417,   418,  1137,  3979,   419,   863,   420,  1225,   742,   743,
     744,  1232,   853,  1093,   755,  1234,  3441,   855,   856,   746,
     747,   748,  2248,    78,  3290,  2249,  1690,   756,  1691,  2390,
    1692,  1693,  1694,  1695,  1696,  1839,   750,  1201,  1503,  1504,
    3291,  1506,    82,  1507,   424,  3697,  2216,  1545,  2973,  2234,
    2235
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  1374,  1411,   379,  1152,  1275,  2225,   369,   370,   372,
    1046,  2170,   422,  1171,  1099,  1172,  1778,   374,   422,   752,
    1804,  1708,  2174,   851,  1784,  1552,  1553,  1554,  2180,   758,
    1730,  1558,  1046,  1136,   962,  2011,  1161,  1698,  3003,   950,
    1851,  2147,  2594,  2074,  1410,   945,  1739,  2668,  2166,  1521,
    1275,  2969,  2024,  1981,  2095,  2660,  3761,   739,  2452,  1020,
    1476,  2137,  2138,  2292,   906,  2441,  2253,  3913,   851,  2055,
    1209,  2146,  4222,  2793,  4057,  3897,   423,  4248,  2680,   964,
    1005,  4037,   423,  3623,  1068,  2669,  1942,   707,  2153,   379,
    3203,  3603,  4292,  1722,   739,  2062,  1133,  1054,  2165,  2067,
     902,  3194,   421,  3223,  2071,  2697,  4275,  2878,   421,  1275,
    2746,  3530,  2078,  1252,   423,   954,   961,  3062,  2455,  4503,
    1281,  1481,  2097,  4195,  4077,   961,  4079,  1213,  4195,   264,
    2125,  1299,  1496,  4200,  1976,  1155,  1163,  1100,  3742,   851,
     421,  2756,  4744,  1834,  3897,  3906,  3467,  1836,  1411,  3967,
     956,  3904,  3905,  4459,  1164,  4430,  2896,  4541,  4579,   423,
    1369,  1516,  2760,  2761,  1493,  1377,   961,  4536,  4736,  1087,
    4730,  3299,  3301,  2509,  2511,  2512,  1387,  4737,  2441,  1130,
    2920,  4747,  4743,  4753,  3568,   421,  3028,  1122,  4542,  1150,
    1715,  3202,  3572,  4476,  3574,  3846,  5033,  1043,  3246,  4698,
    2653,  3983,  3249,  2567,  4311,  2134,  2135,  1096,  1912,  5163,
    4910,  2961,  4398,  1771,  2215,  1096,  2145,  1096,  1774,  1043,
     852,  2210,  4474,   854,  1825,  2503,  2503,  2240,  1812,  1813,
     423,  4515,  5112,  1204,  5114,  2398,  5261,  2094,  1825,  1975,
    3803,  3978,  1505,  5156,  3803,  1990,  1226,  5182,  2137,  2138,
    2346, -2077, -2077, -2077, -2077,  2016,   421,   912, -2077,  1886,
     430,  2158,   430,  5189,  5190,   852,  2146,  2767,   854,  3298,
    1405, -1725, -1725, -1725, -1725,  3616,    45,  2442, -1725,  2352,
    1305,   430,  2772,  4281,    37,    38,    39,    40,  2153,   426,
      43,    44,  1593,  1826,  3552,    45, -2827, -2827, -2827, -2827,
    2671,  2246,  5339, -2827,   273,  1587,  2671,  2274,  2600,  2354,
     379, -2827, -2827,  2126,   369,   370,   372,  4908,    37,    38,
      39,    40,  4216,    79,   374,    44,  3899,   422,  2051,  3800,
    3801,  2671,  3759,  3133,  3820, -1725,   852,  1158,  2126,   854,
    2126,  2875,  4917,  3972, -2828, -2828, -2828, -2828,  3133,  2227,
    4796, -2828,  4798,  3000, -2825, -2825, -2825, -2825,   430, -2828,
   -2828, -2825,   422,  2478,  1887,  1141,  3594,  1569,  2346, -2825,
   -2825,  3850,  3851,  1306,  4235,  3706, -1567,  3708, -2824, -2824,
   -2824, -2824,  3187,  2134,  2135, -2824, -2556,  1541,  2126,  2886,
     274,   423,  1200, -2824, -2824,  3899,   275,  2352,  3364,  1932,
    1541,  4891,  2041, -2420, -2420, -2420, -2420,  4694,  2145,  1978,
   -2420,   276,  4228,  2217,  2588,  1307,  2058,   421, -2420, -2420,
     301, -1963,  1549,  1701,  4645,  4611,   423,  2354, -1963,  1712,
   -1692, -1692, -1692, -1692,  3038,  5393,   264, -1692,  4038, -1725,
   -1725, -1725, -1725,  2671,  1979,  2648, -1725,  2515,  3168,  5335,
    2516,  1275,   421,  3524, -1982,  3169, -1720, -1720, -1720, -1720,
     708, -1982,  4236, -1720,  2024,  3779,   321,  1308,     3,  2341,
    3595,  1767,  5166,   326, -1705, -1705, -1705, -1705,  2927, -2240,
    5301, -1705,   864,  3525,   865,  3973,   429,  1228,  2590,  1172,
   -1732, -1732, -1732, -1732,  5252,   346,  2388, -1732,    37,    38,
      39,    40,   757,  2671,  2876,    44,  2591,  2443,    37,    38,
      39,    40,  2754,   350,  5192,    44,    37,    38,    39,    40,
   -1720,  2126,   368,    44,   903,   373,  4612,  3910,   384,  1411,
    4033,  2382,  -151,  2649,  3273,  4913, -1735, -1735, -1735, -1735,
    1769,  -151,  4237, -1735,  2517,  1980,  -151,  4695,   950,  2416,
    5324,  5325,  1411,   430,  2429,  2429,    37,    38,    39,    40,
    2998,   430,    43,    44,  3004,  4229,  3006,    45,  3799,  3009,
      43,  2203,  3348,  2127,  3289,    45,  1815,  1818,  3293,  5214,
    2801,  4646,  2275,  1550,  2385, -2556,  2887,  3001,   375,  -413,
    1207,  1208,  5498,  2805,  4892,  4217,  1248,  2385,  2127,  1542,
    2127,  1948,  1557,  2601,  3387,  2214,  2181,  3553,  1847,   430,
    3462,   273,    37,    38,    39,    40,  4282,  2773,    43,    44,
    1593,  1826,  1411,    45,   954,  2023,  4195,  2432,  2433,  1557,
    2768,  4594,  4918,  1198,  1888,  4568,  1827,  5029,  3596,  5467,
    2592,  5034,  1583, -2556, -1735, -1735, -1735, -1735,  2127,  2275,
    1827, -1735,  2159,  4038,  5446,  2059,  3134,    35,  1142,   956,
    2877,  1570,   913,  1541,  2296,    41,    42,  2229,  2441,  1821,
    4546,  3866,   961,   961,   375,  3815,  3816,  3817,  3818,  3969,
    4238,  2132,  3818,  5001,  4713,  2271,  1530,  1205,  2373,  1165,
    1535,  1536,  1537,   129,   130,  5560, -2240,   274,  1735,   709,
    1548,  2284,  1736,   275,  1735,  2399, -2077,  2742,  1736,  2744,
    2059,  1040,  1041,  2247,  2154,  2441,  2293,  1365,   276,  3201,
    1200,  3597,  4828,  2639,  2825,  2172, -1725,   301,  4853,  4724,
    1828,  1829,  4857,  2647,  5535,  1206,  2209,  2681,  2927,  2205,
    5050,  2172,  2593,  2796, -1963,  4239,  5540,  4598,  2751,  1411,
    3064, -2827,  5597,  4476,  2340,  2965,  1464,  1411,  1411,  1151,
    4802,  1241, -2240,  4001,  4034,  2792,  1292,   866,  2991,  1166,
     851,  3170,  1152,   321,  3803, -2240,  3897, -1982,  3897,  5070,
     326,  2127,  4847,  5071,  5072,  4896,  5073,  2383,  3388,  4344,
    1522,  2411,  3406,  2732,   868,  5369,  2735,  2736,  5520, -2828,
    2933,   422,   346,  2370,  2371,  2372,  2373,  2755,  1360, -2825,
    2999,    37,    38,    39,    40,  5321,  5588,  1724,    44,  3010,
     350,  1741,  1779,  1742,  4766,  4767,  4768,  4769,  4770,   368,
    1345,  2489,   373, -2824,  2526,   384,  2490,   869,   379,  1259,
    1407,  5530,  1349,  1350,  1351,  2637,  1260,  1261,  1262,  2132,
    5482,  2671,  1352,  4351, -1491,  3349,  4244,  5499, -2420,  1249,
    4131,   423,  4684,  3463,  4493,   423,  2802,  1421, -1494,  1237,
     965,  2656,  4990,  1523,  4582,  1529, -1692,  1534,  1237,   707,
    3578,  2602,  1213,  1538,  4683,  2136,   707,   421,  3528,  1162,
    3897,   421,  5149,  4528, -1725,   375,  3933,   707,  2712,  5158,
    5251,  5054,  1877,  5305,  3194,  3194,  3194,  1529,  1534,  1514,
    1163, -1720,  1517,  3096,  1237,  3985,  3313,  3986,  2974,  2383,
    1200,  3114,   961,  2917,  2918,  2210,   707,  2981,  1164,  2140,
   -1491,   707,  4166,  2984,  1560,  4727,  3275,  1515,  3275,  4170,
    4171,   379,   707,  4174, -1494, -1732,  2346,  3378,  2869,  2653,
    4179, -1692,  1995,  2343,  1528,  1956,  1533,  3378,  2148,  3246,
    5559,  1408,  3952,  2386,  2034,  3362,  1547,   852,   707,  5271,
    1217,  3208,  1167,  1237,  1510,  2352,  1957,  2149,   961,  1462,
    1366,  -151,  -151,  1237,   707,  3125,  1563,  1565,  5575,  2086,
     707,  2150,  4266,  1996,  1214,  4352,  4172,  4173,  5370,  4759,
    1462,   707,  5159,  4880,  5546,  2354,    81,  1878,  1560,  1158,
    1802,  1803,  1793,  3175,  3018,   707,  2312,  2746,  4583,  1465,
    2682,  2719,  3379,  1814,  3746,  1817, -1491,  3899,  2870,  3899,
    2087,  2683,  3379,  2684,  1725,  5100,  4513,  1746,  3662,  1782,
   -1494,  4378,  4379,  4380,  4381,  1013,  2886,  4386,  4387,  4388,
    4389,  4390,  4391,  4392,  4393,  4394,  4395,  3238,  1828,  1829,
      35,  4541,  1527,  3970,  1532,  1014,  2148,  3321,    41,    42,
    1275,  1740,  1743,  1200,  2671,   739,  1105,  1071,  4542,  2889,
    3529,  1705, -1491,  2672,  1711,  2149,  2844,  1754,  1719,  2685,
    5218,  4664,  4542,  3945,  1562,  1564, -1494,  3579,  1015,  2152,
    1726,  3526,  5078,  4434,  4435,  1237,  1237,  2190, -1692,  3748,
     927,  4665,  1096,  1583,   707,  2972,  1096,  5104,  5055,  5400,
    5576,  1892,  5108,  5375,  1071,  5110,   966,  4584,  5272,  3943,
    4585,  3527,  4728,  5483,  3019,   423,  3323,  4202,  5387,  5371,
    1747,  3899,  1237,  3176,  2021,  2341,  1860,  5101,  2191,  3306,
    1997,  5397,  2147,  4606,  1879,  4132,  4294,  3303,  1072,  5407,
    5398,   421,  4195,  5405,  2119,  2000,  5404,  4962,   929,  4180,
    4181,  2001,  1106,  3007,  3008,  5026,  4292,  2230,   967,  1541,
    2232,  3382,  4205,  2236, -1491,  2238,  2696,  2088,  2241,  1880,
    2602,  3382,  2245,  5547,  1185,  2845,  2995,  1861, -1494,  4486,
    1395,  4193,  4903,   707,   707,  1072,  4193,  3813,  3814,  3815,
    3816,  3817,  3818,   968,  3324,   969,  2120,  2578,  2871,  1881,
   -1491,   907,  1542, -1491,  1542,  2696,  3747,  2035,  3363,  2914,
    4542,  2872,  2090,  2809, -1494,  -641,  4295, -1494,  5322,  1875,
    5376,  1215,  3914,  5019,  1998,  3915,  3916,  5327,  1087,  1985,
    2946,  3940,  2091,  1521,  4607,   909,  3917,  3918,  3919,  1794,
    3920,  3921,   206,  1186,  5548,  3922,  3923,  3924,  4932,  4025,
    2002,  1265,  1266,  1267,  2810,  1268,  1269,  1270,  1271,  1272,
    1273,  2089,  1882,  4288, -1692,  3514,  1096,  1096,  5549,   216,
    1862,  3515,  1869, -1692,  5506,  2136, -1692,  1855, -1692,  1275,
    2938,  1073,  5500,  3733,  2916,  2192,  2022,  2509,  5377,  2121,
    4026,  3749,  1156,  2951,  1237,  5319,   937,  3020,   938,  4999,
    2112,  1462,   224,  1187,  4209,  1237,  1188,  2603,  2960,    79,
      37,    38,    39,    40,  3211,    35,  3021,    44,  1074,  1075,
    2577,  1462,  2075,    41,    42,  3304,  2597,  3305,  1073,  3278,
    4608,  3258,  5399,  3897,  4504,  1462,  4530,  3897,  3454,  2959,
    2122,  2161,   235,  4210,  1396,  2977,  5558,  5285,  2996,  2510,
    5280,  5561,  5297,  1157,  4296,   238,  3014,  4211,  1210,  2368,
    2369,  2370,  2371,  2372,  2373,  1074,  1075,  5573,  5594,  3088,
    3516,  3059,  3061,  1237,  5505,  3250,   248,   859,  3068,  2193,
    2997,  5316,  4895,  2092,  3082,  3083,  3084,   860,  2604,  1057,
     249,  2833,  3925,  4505,  3100,  3102,  1152,  2003,  1397,  3112,
    1189,  1860,  5426,   375,  1398,  2462,  5604,  1076,  1556,  2405,
    1186,  2811,  3523,  3472,  1866,  2161,  1867,  1462,  1275,  4297,
    4493,  1158,  4691,  4869,  2123,  3541,  4876,   379,  2231,  5427,
    2233,  2001,  2004,  2237,  1061,  2239,  3444,  3015,  2242,  2243,
    2244,  2541,  5507,  1172,  5337,  4212,  1189,  4027,  5342,  5343,
    5443,  2251,  1861,  1834, -2074,   707,  5100,  1836,  4788,  4195,
    3703,  1034,  2005,  4580,  5167,  2277,  4101,  2278,  5630,  5626,
    1187,  3704,  5240,  2162,  2406,   707,  5450,  5451,  3709,    81,
      81,  4542,    81,  1035,  1186,  5255,  3750,  3445,  1557,   861,
    1237,  4340,  1807,  5256,  4806,  5162,  4807,  2463,   707,  2448,
    2456,  2457, -2188,  2461,  1190,  2812,   375,  1151,  4531,  1305,
    5595,  1837,  1510,  3628,  3629,  3630,  3631,  3517,  1164,  1164,
    4049,  1164,  5227,  1191,  2345,  3636,  4674,  2346,  3926,  3455,
    2002,  5317,  4677,  4678,   707,  4680,  4087,  1761,  5286,  3473,
    4532,  4028,  4058,  3496,  1187,  1862,  1159,  2162,  1462,  4088,
     707,  3499,  3518,  3501,   216,  2596,  2352,  3941,  1807,  3495,
    3751,  4533, -2829,  2749,  2807,   707,  1213,  1189,   707,  -849,
    5228,  4102,  1034,  1069,  3446,  4364,  3927,  4549,  5229,  1237,
    4723,  2588,  3519,  2597,  3899,  5181,  2354,   224,  3899,    37,
      38,    39,    40,  1411,  1035,  1863,    44,  3404,  2589,  3392,
    3475,  3228,  1306,  3680,  4520,  3194,  5230,  1237,  3996,  2746,
      35,   430,  2172, -2221,    37,    38,    39,    40,    41,    42,
      43,    44,  2808,   851,   862,    45,  3153,   235,  4808,  5006,
    1864,  2698,  1782,  1762,   209,  1237,  1237,  1237,  4133,  1237,
     238,  1189,  5216,  1162,  1307,  1735,   739,   739,    35,  1736,
    5257,  2377,  2403,  2404,  4550,  2590,    41,    42,  1104,  1237,
    1865,   248,  1886,  5334,  3494,  3096,  3096,  3476,  5392,  4542,
    3096,  2163,  2119,  2591,  3368,  3259,  3928,   851,  1034,  1932,
    5035,  5231,  5585,  3229,  4193,  1855,  3507,  3393,  5389,  1866,
    2164,  1867, -2829,  5036,  3487,   707,  1308, -2829,  2419,   927,
    1035, -2188,  2172,   707,   707,   422,   422,  3096,  3096,  1034,
    4551,  4333,  4552,  1237,   423,  2506,  3547,  3897,  4103, -2241,
    2598,  1725,  3897,  1275,  2976,  2413,  3447,  3897,  4059,  5419,
    3897,  1035,  2850, -2829,  3480,  4772,  5270,  4773,  5007,  1868,
     421,  2465,   851,  1237,  1070,  2163,  1721,  1237,  1237,  3487,
   -2270,  1218,   739,  4104,  4060,   422,  3154,   929,  2523, -2188,
    3897,  3155,  2545,  1219,  1220,  2507,   920,  1887,   423,   423,
     423,  3401,  2699,   868,  3897,  2465,  2698,  1131,  2361,  2466,
    2172,  3378,  1221,  4105,  2507,  1222,  3481,  1726,  5069,   707,
    2632,  4382,  1010,  4383,   421,   421,   421,  3156,  4267,  2700,
    1583,  4271,    79,    79,  5328,    79,  3251,  2592,  2851,  1699,
    4292,  3029, -2221,  2466,  3735,  1434,   869,  2121,  1964,   423,
     852,  1807,  2701,  2440,  2702,  2508,   423,  1462,  3287,  5188,
    3936,  2582,  4007,   423,  5458,  5331,  5504,  2414,  -436,  2753,
    3482,  2583,  3559,  1096,  2508,   421,  1875,  3656,   927,  2717,
    1875,   910,   421,  5037,  5232,  3902,  3379,  2696,  2584,   421,
   -2829,  2737,  2606,  1138,  4692,  3984,  1965,  2467,  2122, -1014,
   -2221,  3306,  2607,  3400,    35,  1700,  2743,  2468,    37,    38,
      39,    40,    41,    42,  1096,    44,  3380,    37,    38,    39,
      40,  2172,  1462,  1154,    44,  3012,  3969,  5459,  5266,  5145,
    4024,  5147,  3252,  1144,  1223,   937,   929,   938,  2148,  2593,
    2671,  2468,  3897,  1411,  2718,  4384,  1101,  2699, -2241,  2679,
    2933,  3381,  1189,  4050,  3157,  4385,  1462,  2149,  3335,  4693,
    5018,  2075,  2469,  2172,  3483,  5009,  5185,  3479,  4129,   852,
     868,  1189,  2440,  1224,  2700,  3520,   851,  -436,  1966, -2270,
    3624,  5414,  2123, -2829,  3141,  3674,  3142,  5186,  4467,  5028,
    2368,  2369,  2370,  2371,  2372,  2373,  2469,  2701,  3899,  2702,
    4921,  4922,  5453,  3899,  3225,  1411, -2241,  3897,  3899,  3143,
    3521,  3899,  3336,   869,  3072,  1869,  3682,   707,  4468,  4051,
    1869,  2738,  3544,  4466,  2739,  2585,  1967,  2688,  2912,  1968,
    4914,  1767,  2696,  4859,  4130,   868,  5596, -2270,  1462,  2745,
    3522,  3899,   375,  4470,  4339,  3382,  2608,  3721,  4596,  2429,
    2389,  1807,  5075,  1462,  1175,  3899,  1807,  1807,  2689,  3911,
    4983,  2824,  4984,  4985,  4547,  5621,  4986,   423,  1970,  1869,
    1875,  2737,  1462,  1869,  3484,  3218,  1991,  1172,   869,  3422,
    4016,  2609,  3485,  3073,   937,  3486,   938,   870,   707,  2421,
    1802,  1803,   707,   421,  4467,  4915,   940,  3331,  4373,   430,
    1769,  1956,  1305,  1168,   707,  3035,   911,   942,  3144,  1972,
    2075,  1992,   216,  3145,  4597,  1993,     8,  2300,  3146,  1462,
    1007,  5010,  1957,  5532,  4468,  2688,  1517,  4399,  3424,  1367,
    2422,  1368,  1237,  2518,  2519,  3423,  2309,  1388,  1462,  4469,
    1770,  1994,  3335,  3074,  1237,   224,  3075,  4472,  1974,  4470,
    1462, -1020,   129,   130,  2059,   379,  2689,  3023,  4249,  2537,
    2539,  4039,  1462,  2979,  5011,  2980,  2325,  4258,  1389,  2982,
    4121,  2983,  1102,   852,  2985,  4471,  2831,  1237,  2986,   707,
     707,  2338,  1767,  3201,  3425,   235,  4062,  1768,  3897,  5442,
    3934,  4577,   707,  3899,  5105,  1306,  4004,  3802,  4881, -2620,
    1390,  2738,  1462,  4569,  2739,  1462,  3194,   707,   707,  3830,
    1013,  3194,  1229,  3897,  4993,  1210,    81,  3194,   379,    81,
     927,  1251,  1349,  1350,  1351,  1807,  2346,  3034,  3057,   707,
    1014,  3864,  1352,   249,  2676,  1807,  2677,  1307,  4581,  4586,
    3076,  3853,  1388,  2346,  4994,  3147,  1391,  4354,  1509,   430,
    4193,  1769,  1411,  4472,  4599,  3148,  2724,  1355,  3899,  1852,
    1216,  2727,  5617,  1015,    37,    38,    39,    40,   851,  1237,
    1178,    44,  2352,  1389,    37,    38,    39,    40,   929,  3879,
    1275,    44,  1857,  1162,  1162,  2354,  1162,  -540,    43,  1308,
    1179,  1770,  2678,    45,  1853,  1807, -1540,   121,  1807,  1807,
    1180, -1540,  2354,  4343,  1961,  4246,  1237,  1237,  2786,  3201,
    2776,  3725,  1237,  1237,  2782,   125,  1416,  1858,  3081,  1237,
    1237,  1237,  4359,  5279,  1854,  1237,  1467,  1237,  1237,  1237,
    1237,  1237,  1237,  5106,  1237,  4746,  1237,  1237,  4218,  1962,
    1237,  4344,  1227,  2787,  3077,  4308,  4309,  1859,  1953,  4042,
    5185,  1391,  1746,  1242,  1462,  1237,  1237,  1237,  1237,   423,
    3946,  5362,  3855,  1237,  3856, -1540,  5363,  1237,  1807,  5193,
    1237,  5186,  4897,  1237,  1237,  1237,  1237,  1237,  1237,  1237,
    1237,  1237,   430,  1237,  5359,   421,  5361,  3857,  3225,   422,
    5365,  1237,  5366,    74,  1237,  1411,    45,  3325,  1370,  3328,
    1371,  3897,  1181,  5583,  1288, -1540,   209,  3096,  3096,  3096,
    3096,  5364,  1156,  3096,  3096,  3096,  3096,  3096,  3096,  3096,
    3096,  3096,  3096,  4093, -1541,    35,   937,   206,   938, -1541,
    1289,  3662,  2723,    41,    42,  3322,  5606,  4014,  4734,  3899,
    4408,  3261,  1959,  1244,  4466,  2927,   422,  4549,   422,  2788,
    1257,  3982,   943,   423,   216,  1747,  5237,  2008,  1237,  1258,
    2012,  2789,  3993,  3994,  3899,   852,  5241,  1182,  3131,  3096,
    3096,  3318,  1237,  1157,  5529,  1294, -2098,  5046,  2561,   421,
    -173,  1237,  1237,  4098,   970,   851,  2790,   224,  4357,  3633,
    5372,  3858,  1595, -1541,  3634,  3803,  3859,  5242,  1034, -2829,
   -2829, -2829,  2148,  2847,  2200,  5636,  -173,  1717,  1200,  4201,
     423,   216,   423,  2562,  3634,  4467,  3386,  4791,  4099,  1735,
    1035,  2149,  2879,  1736,  4550,  2201,  4647,   235,  2409,  4544,
    4545,  1016,   707, -1541,  2698,  2150,   421,  1183,   421,    79,
     238,  1158,    79,  2563,   224,  4468,  2394,  4648,  4100,  2395,
      81,  1303,    81,  5185,  2148,    80,  1304,  1045,  1462,  3989,
    4469,   248,  1462,  1462,  2136,  2211,  2568,  4193,  5622,  2212,
    4470,  5623,   707,  2149,  5186,  1017,   423,   707,  1357,  1045,
    4551,   707,  4552,  2698,   235,  1956,  2211,  2152,  1359,   707,
    2968,  2698,    37,    38,    39,    40,  4471,   238,  1354,    44,
    3775,  3776,   421,  4234,  2971,  3777,  1957,   707,  4360,   851,
    1237,  1362,  1735,   851, -2077,  4116,  1736,  1375,   248,  3478,
    4527,  -539,  1237,  3860,  4124,  2136,  1462,  2568,  2933,  1237,
    1383,  4565,   249,  3861,  2757,  2143,  2144,  1411,  1462,  1411,
    1394,  3829,   706,  3831,  3832,    35,   430,  1392,  4779,  4780,
    4781,   707,  3899,    41,    42,  1758,  3118,  2029, -1491,  3121,
      45,  2499,  2500,  1096,  4347,  2136,  1159,  1855,  2036,   707,
     707,  3247,  3248,  5262,  4472,  2699, -1562, -1562,  1462,  4219,
    1393,  4221,   852,  2785,  1400,  2440,  2024, -1696, -1696, -1696,
   -1696,  3389,  1403,  2220, -1696,  2221,  2286,  2698,  2287,   430,
     423,   707,  2700,  1414,   423,   955,  1418,  1411,  4315,  4316,
    4317,   973,  1477,  4930,  3946,  2299,  1463,   249,  4482,  3946,
    2905,  2446,  2906,  2447,  2699,  2701,   421,  2702,  2499,  3271,
     421,  1096,  2699,   707,  3488,  1471,  2109,   707,  1488,  1060,
     375,  2449,  2970,  2450,  2971,  2136,  3809,  2568,  4227,  4285,
    4230,  2700,   851, -1565, -1565,   707,  3625,  3908,  3909,  2700,
    2696,  4313,  4314,  4315,  4316,  4317,   707,  4487,  4488,  4489,
    2992,  4764,  2993,  2994,  2701,  2993,  2702, -1059, -1059,   707,
    5211,  3026,  2701,  3027,  2702,  3224,  1472,  3225,   707,  3488,
    3880,  1497,  3881,  5562,   193,    45,  3398,  3464,  3399,  2698,
    3469,  1555,  3470,   375,  3245,  3245,   852,  2698,  3096,  2696,
     852,  1008,  1512,  3451,  2698,  1572,  3582,  2696,  3583,  2441,
    2345,  1559,  3587,  2346,  3588, -1566, -1566,  2347,  2348,  2349,
   -1703, -1703, -1703, -1703,  1237,  1462,  1551, -1703,  2699,    35,
    3649,  1566,  3650,   423,  2350,  1573,  1574,    41,    42,  3488,
    3201,  1807,  2352,  2345,  1582,  3488,  2346,  1589,  2353,  1152,
    2347,  2348,  2349,  1581,  3683,  2700,  2971,  1583,  3727,   421,
    2993,  1837,  3774,    79,  2971,    79,  3139,  2350,   216,  3783,
    2351,  2971,  2354,  1580,  1584,  2352,  1595,  3488,  2701,  3803,
    2702,  2353,  1586,  3804,  3805,  3806,  1585,  1590,  4353,  4128,
    1720,  1592,  4375,  1152,  3789,  1462,  2971,  4134,  3790,   707,
    2971,   224,  1723,  2698,  4163,  2354,  3791,  3822,  2971,  2971,
    3835,  1237,  2971,  2696, -2829, -2829, -2829,  4681,  3813,  3814,
    3815,  3816,  3817,  3818,  1728,  1729,  4404,  4669,  1595,   193,
    2699,  3803,  3840,  2698,  3841,  3804,  3805,  3806,  2699,   852,
    1734,   235,  3592,  1727,  1748,  2699,  4970,  4971,  3882,  4973,
    3883,  1200,  4423,  1755,   238,  2345,  1756,  2700,  2346,  1758,
    4756,   707,  4080,  1759,  4081,  2700,  4085,  1765,  4086,  1237,
    1781,  4446,  2700,  1780,  4279,   248,  4280,  1791,  2355,  5046,
    2701,  1785,  2702,  2356,  3885,  3886,  3887,  2352,  2701,  5563,
    2702,  1792,  4306, -2829,  2971,  2701,  4405,  2702,  4406,  4415,
    1787,  4416,   375,  4570,  2357,  2358,  4426,  1809,  2971,   707,
    4511,  2355,  4512,   216,  1152,  2696,  2356,  2354,  1796,  2359,
     851,  4824,  4516,  2696,  4517,  1462,   851,   707,  1795,  4526,
    2696,  3305,  4548,  4600,  2993,   707,  1797,  2357,  2358,  1237,
    1798,  4621,  1462,  4622,  2699,  1237,   224,  1800,  4685,  3807,
    4686,  2360,  2359,  1462,  4725,  1807,  2993,  4785,  4803,  2275,
    2971,  1808,  1237,  1807,  2361,  1807,  4829,  1237,  3027,  1595,
    3808,  2700,  3803,  1764,  2699,  1766,  3804,  3805,  3806,  4841,
    1799,  2971,  3852,  4899,  2360,  3305,   235,  4905,  1811,  4906,
    1237,  1237,  1237,  4424,  2701,  1237,  2702,  2361,  1840,   238,
    2362,  2700,  1801,  1237,  1237,  1237,  1237, -1694, -1694, -1694,
   -1694,   423,  1841,  4911, -1694,  2993,  1237,   423,  1843,  1237,
     248,  1237,  3808, -2829,  2701,  4912,  2702,  2993, -2829,  2696,
    3809,  1849,  1237,  1237,   249, -1273,  1237,   421, -1273,  5030,
    5080,  5031,  5081,   421,  1855,  5082,  2363,  2971,  1885,  1914,
    1237,   379,  1237,  1890,  1237,  1349,  1350,  1351,  1916,  2696,
   -1697, -1697, -1697, -1697, -2829,  1352,  5090, -1697,  3027,  5164,
    4782,  5165,  1918,  5238,  1237,  2993,  5263,  1919,  5264,  2363,
    1950,  5281,  3809,  3027,  5289,  1237,  5290,  1237,  1237,  1237,
    1951,  5294,  1595,  3225,  1948,  3803,  4734,  1952,  1953,  3804,
    3805,  3806,  1960,  5300,   955,  4256,  1955,  3946,   707,  2361,
    1963,  5302,  1237,  4256,  1986,  1987,  4831,   852,  1999,  2009,
    3836,  4202,  5314,   852,  5315,  1237,  3843,  4203,  5015,  4313,
    4314,  4315,  4316,  4317,  5352,  2010,  5353,  4318,  4204,  2364,
    1237,  2013,  2365,  2366,  2367,  2018,  2368,  2369,  2370,  2371,
    2372,  2373,  2020,  2019,  1237, -1695, -1695, -1695, -1695,  5388,
    2025,  2408, -1695,  3808,  2027,  5406,  4205,  5315,  4206,  5420,
    2028,  3027,  2364,  2030,  2037,  2365,  2366,  2367,  2038,  2368,
    2369,  2370,  2371,  2372,  2373,  2033,  5571,  5572,  5421,  2044,
    3841, -2829,  5422,  1462,  2971,  5432,  1462,  3225,  1462,  5435,
    5457,  4256,  3027,  1462,  5463,   707,  3027,  2045,  3810,  3811,
    3812,  2048,  3813,  3814,  3815,  3816,  3817,  3818,  5464,  2050,
    3027,   707,   707,  3809,  2053,  2056,  1807,  1237,  5490,  5521,
    5491,  3225,  5522,  5523,  2971,  2971,  5525,  5542,  2971,  5543,
    2063,   851,   851,   851,  5579,  4207,  4256,  5582,   707,  5308,
    1851,   707,  5605,  2066,  5315,  1462,  2068,  4709,  4710,  2059,
    3810,  3811,  3812,  2079,  3813,  3814,  3815,  3816,  3817,  3818,
    4714,  5619,  1462,  5620,  4858,  5645,  4861,  5620,  2077,  2080,
     851,  -194,  2082,  2096, -2829,  2084,  3808,  2098,  2105,    74,
    2107,  2368,  2369,  2370,  2371,  2372,  2373,  1462,  3096,  2111,
    2124,   887,  2116,  4208,  5293,  2129,  2130,  5083,  4209,  2131,
    1045,  2132,  1045,  2139,  1045,  5293,  2136,  5643,  5644,  2140,
    1045,  1539,  1540,  2142,  2156,  2169,  2171,  2168,  2179,  2172,
    2182,  2183,   423,   423,   423,  2184,  2185,  2186,  4888,  2187,
    2189,  2194,  2195,  2196,  1045,  1045,  3809,  4210,  2197,  2199,
    2204,  2218,  2252,  1347,  2283,  2909,   707,  2288,   421,   421,
     421,  4211,  2297,  2290,  2291,  2298,  1462,  2304,  1462,   707,
    2306,   423,  2378,  2305,   707,  2307,  2308,   249,  2310,  2311,
    2312,  2313,  2314,   707,  2315,  2317,  2380,  2318,  2412,  2382,
    2424,  1541,  2319,  5350,  2320,   851,  2321,   421,  2322,  4813,
    2936,  3810,  3811,  3812,  2323,  3813,  3814,  3815,  3816,  3817,
    3818,  2324,  2326,  1412,   973,  2327,  2328,  2329,  2434,  2330,
    2331,  2445,  2332,  2333,  2454,  1768,  1770,  2383,  2408,  1462,
    2485,  1807,  2487,  4440,  2496,  2498,  2505,  1189,   852,   852,
     852,  2520,  2522,  2524,  2532,  2535,  2533,  2513,   707,  4212,
    2540,    80,  2564,  2542,  1462,  3951,  3951,  2565, -2772,  2544,
    4303,  2566,  2569,   950,  2570,  2568,  2571,  2572,  2573,  2574,
    2580,  2605,  1045,  4886,  2599,   858,  2611,   852,  2634,  2641,
    4113,  4187,  1462,  2638,  4262,  2640,   423,  1462,  2642,  2643,
    2645,  1830,  1251,   707,  4274,   707,  2646,  2661,  5433,  2662,
    2663,  2674,  2675,  2686,  2338,  2692,  2690,   707,  2696,   707,
    1568,  2693,   421,  2694,  2695,  2704,  1560,  2705,  4302,  2707,
     858,  2706,  1275,  2708,  3810,  3811,  3812,  1152,  3813,  3814,
    3815,  3816,  3817,  3818,  2722,  2713,  2725,  2714,  1045,  2733,
    2729,  2730,   961,  2740,  1588,  1152,  1462,  2741,  2338,  2747,
    2748,  1932,  2769,  2752,  1702,  2758,  2770,  2774,  1714,  1412,
    1716,  2775,   697,   707,  1462,  3139,  2759,  2798,  1095,  3096,
    2799,  2771,  5002,  2800,  2806,  2780,  1095,  2784,  1095,  1462,
    2814,  3873,  5356,  4448,  4449,  4450,  4451,  2815,  2817,  2821,
    2818,   858,   852,  2819,  2827,  2831,  2826,  3891,  2832,  2835,
    2836,  2839,  4928, -1503,   922,  2840,  2848,  2863,  2868,  2881,
    2884,  2843,  2885,  2893,  1980, -1503,  5338,  2899,   707,  2897,
   -1503,  2901,  5116,  2908,  2902,  5341,  5209,  2919,  2921,  5131,
    2913,  2922,  1237,  2926,  2930,   707,   375,  2931,  5346,  2928,
    5348,  2940,  2942,  3946,  2944,  2943,   851,  2927,   706,   706,
    5144,  2945,  2962,  1838,  2963,  2988,  3005,   707,  3011,  3024,
     707,  3113,  3037,  3119, -1503,  4966,  3891,  3064,  2346,  1151,
    3069,  2989,  3152,  3132,  3123,  3138,  3172,  1237,  3173,  3150,
    1462,  3041,  3187,  3204, -1503,  3205,  1237,  3207,  2972,  3210,
    3212,  3215,  1237,  3214,  1237,  3216,  1157,  1237,  3239,  3240,
    3227,  1462,  1237,  1237,  1237,  1237,  3241,  3242,  1237,  1237,
    1237,  1237,  1237,  1237,  1237,  1237,  1237,  1237,  3226,  3262,
    3256,  1237,  1237,  3277, -1503,  3280,  1462,  3279,  3042,  2398,
    3294,  1237, -1503,  3295,  3297,  1237,  3307,   423,  3308,  1237,
    3331,  5469,  3309,  3326,  3329,  3333,  3334,  1237,  3340,    35,
    1237,  3350,  1237,  3351,  3353,  3345,  3355,    41,    42,  3043,
    1462,  1237,  3365,   421,  1237,  1237,  3357,  3373,  3361,  1237,
    1237,  3374,  3377,  3390,  3391,  1717,  1237,  1721,  3609,  5475,
    5477,  3044,    74,    74,  5197,    74,  1237,  3396,  1237,  3407,
    3412,  3413,  3045,  3432,  3426,  3431,  3453,  3458,  3459,  3468,
    1237,  1045,  3461,  3471,  3474,  1807,  1237,  1237,  1237,  3532,
    1807,  3543,  3046,  3550,  3489,  3551,  3554,  3047,  3555,  3556,
    5235,  3562,  3563,  3564,  3566,  3565,  5198,  3573,  3575,  3570,
    3577,  3581,  4765,  3584,  1172,  3480,  3589,  1893,  3601,  3615,
    3619,  3632,  3640,   852,  3617,  3356,  4410,  3626,  3635,  5288,
    3641,  5199,  1251,  3642,  3643,  3644,  1237, -1503,  3652,  3654,
    3655,  3658,  3659,  4629,  3672,  3048,  3673,  5200,  3681,  1237,
    1894,  5201,  3677,  3678,  3679,  3676,  3684,  3687,  5152,  3688,
    2516,  3701,  3715,  3686,  3710,  1462,  3049,  3481,   851,  3712,
    5544,  5202,  3716,   851,  5203,   851,  3689,  3719,  3690,  3720,
    1237,  3699,  3700,  3729,  3730,  3731,  3225,  5204,  2205,  3734,
    3732,  3741,  3038,  3744,   704,  3745,  3762,  1735,  3752,  3755,
    1758,  1736,  5173,  3743,  3760,  5358,  3766,  1275,  1896,  5469,
    1557,  3767,  3769,   707,  3772,  3785,  3610,  3770,  3786,  3787,
    1412,  3482, -1955,  3792,    80,    80,  3788,    80,  3793,   887,
    3795,  3837,  3854,  3902, -1568,  3953,  3871,  3876,  3956,  3954,
    3946,  1897,  3798,  1412,  3964,  3849,  3799,  3958,  3821,  3948,
    5168,  1275,  2971,  3827,  3834,  3960,  3050,  3971,  3862,   423,
    3987,  5589,  3997,  3051,   423,  1462,   423,  5205,  3848,  3052,
    1807,  1047,  4006,  3975,  3872,  5206,  1898,  3995,  3977,  3874,
    3998,  1045,  3907,  3875,  3878,   421,  1045,  1045,  3980,  2279,
     421,  3976,   421,  1047,  2211,  4009,  4011,  3981,  4002,  4019,
    4003,  3053,  4046,  4048,  3054,  4035,  4036,  4052,  4053,  1899,
    4055,  4054,  5207,  1412,  4065,  3483,  4066,  4068,   707,  4074,
    4075,   707,  3055,  4076,  4084,  4115,  4094,  4117,  4120,  4119,
    4123,  4125,  4126,  4154,  4127,   375,  4135,  4137,  1901,  4150,
    4138,  4142,  4139,  4158,  4136,   375,  4140,  3056,  4141,  4145,
    4147,  4143,  2767,  4144,  5283,  3611,  4149,  4156,  4146,  4169,
    4175,  2514,  4148,  1539,  1540,   852,  4151,  4176,  4178,   375,
     852,  4160,   852,  3451,  4162,  4595,   209,  4198,  2654,  4185,
    1903,  4226,  2529,  1237,  4241,  4243,  2342,  1904,  4225,  2536,
    2538,  4741,  4245,  2340,  1905,  2344,  4232,  4247,  3612,  4255,
    2345,  4265,  2655,  2346,  4256,  4268,   707,   707,  1411,  2387,
    1462,  4269,  4263,  4272,  1907,  4273,  4276,  4277,  4289,   707,
    4300,   707,  1908,  2158,  4335,  3484,   422,  4323,  4336,  4325,
    4310,  4337,  2352,  3485,  4346,  4338,  3486,  4349, -2829,  4348,
    1412,  4341,  4350,  2418,  2420,  4358,  4312,  4361,  1412,  1412,
    4363,  4367,  2299,  3824,  4302,  1045,  3803, -1954,  1462,  1237,
    1237,  4376,  2354,  3823,  4417,  1045,  4428,  4447,  1158,  4401,
    4441,  4457,  4484,  4479,  4506,  4402,  1909,  4509,  4403,  4497,
    4409,  5452,  4514,  4529,  4429,  2345,  4432,  4535,  2346,  4465,
     423,  4481,  2347,  2348,  2349,  4494,  4499,  4498,  4496,  4501,
    4522,  4556,   858,  4571,  4502,  4558,  4564,  4572,  4573,  2350,
    4574,  4576,  4578,  4602,  4559,  4587,   421,  2352,  4590,  4901,
    4605,  4603,   707,  2353,  4604,  1045,  4615,  3863,  1045,  1045,
    4616,  4617,  4618,  4623,   706,  4624,  4619,  2345,  4620,  4626,
    2346,  4627,  4636,  1237,  2347,  2348,  2349,  2354,  4637,  4644,
    4659,  4661,  3764,  4663,  1237,  4582,  4666,  4673,  3768,  4675,
    5425,  2350,  2338,  4699,  4676,  4679,  4696,  1411, -2829,  2352,
    4672,  4688,  5434, -2829,  5449,  2353,  4706,  5436,  4455,  5438,
    4458,  4291,  4718,  4704,  1237,  4712,  4719,  2993,  1807,  4721,
    4722,  4738,  4739,  4754,  1237,  1237,  4752,  1462,  1045,  2354,
    4760,  1237,  1237,  4751,  4757,  4755,  1237,  1462,  4935, -2829,
    4762,  1237,  4758,  4778,  1237,  1237,  4763,  4787,  4783,  1237,
    4789,  4790,  4794,  1275,  1595,  1237,  4795,  3803,  4797,  4805,
    4889,  3804,  3805,  3806,  1253,  4814,  4815,  4800,  4809,  4816,
    4822,  1282,  4810,  1237,  4818,  4817, -1956,  1237,  4832,  4837,
    4849,  4852,  1300,  2355,  2361,  4854,  4855,  4850,  2356,  1237,
    4862,  4868,  4867,  4863,  1237,   851,  4870,  4871,  4873,  4874,
    1237,  4875,  4887,  4894,  4898,  4900,  4902,  2903,  4907,  2357,
    2358,   697,  4908,  4940,  4916,  4933,   697,  1237,  4934,  4941,
    2518,  2519,  4942,  4953,  2359,  4956,  4963,   697,  3900,  4965,
      81,  2915,  4968,  2750,  4969,  2355,  4974,  4982,  4987,   851,
    2356,  2923,  4995,  2924,  4996,  5003,  1237,  5008,  5012,  5013,
    2929,  5014,  5016,  5021,  5023,  2932,  2360,  5041,  5042,  5043,
    5052,  2357,  2358,  5044,  1462,  5032, -2829,  5039,  2613,  2361,
    5062,  5057,  2362,  2614,  5067,  5066,  2359,  5076,  5086,  5084,
    5087,   707,  5095,  1095,  5077,  1411,   423,  1095,  5088,  5079,
    5138,  5109,  5089,  5129,  5141,  1462,  5102,  3900,  5135,    74,
    2345,  5146,    74,  2346,  5113,  5157,  2615,  5160,  2360,  5191,
    5142,   707,   421,  5161,  5170,  5210,  1462,  5175,  5176,  2616,
    5180,  2361,  5212,   707,  2362,  5219,  4695,  5221,  5222,  5245,
     423,  1462,  2352,  2617,  1237,  2859,  5224,  5225, -2829,  5246,
    5226,  5244,  5250,  5248,   707,  5253,  5254,  5265,  3808,  5269,
    5284,  2363,  5267,  5268,  5275,  5287,   421,  5291,  5303, -2829,
    5296,  5330,  2354,  5299,  5304,  5308,  2368,  2369,  2370,  2371,
    2372,  2373,  1807,  2618,  1462,  5312,  5306,  5332,  5345,  5323,
    5373,  5378,  5382,  5383,  2619,  5385,  5390,  5395,  5401,  5402,
    5403,  5410,   852,  5413,  5418,  5411,  1237,  5412,  3070,  3071,
    5423,  5424,  5441,  2363,  2620,  3085,  3086,  1237,  3809,  2621,
    5431,  5437,  5444,  5445,  5460,  1595,  5440,  5456,  3803,  5339,
    5447,  5474,  3804,  3805,  3806,  5480,  5481,  4433,  5484,  5486,
    5494,  5492,  5495,  5509,  3124,  5489,   852,  5501,  5502,  4113,
    5503,  5510,  5519,  5533,  2364,  4442,  5538,  2365,  2366,  2367,
    5545,  2368,  2369,  2370,  2371,  2372,  2373,  1095,  1095,  5531,
    1462,    80,  1462,  3794,    80,  5482,  5483,  5552, -2829,  5553,
    5557,  5574,  5580, -2829,  5593,  5612,  5614,  5615,  2622,  5613,
    5618,  5624,  5625,  5628,  5632,  5633,  5637,  5639,   697,   697,
    2529,  5640,   375,  5641,  5638,  1170,  2364,   707,  2781,  2365,
    2366,  2367,  1984,  2368,  2369,  2370,  2371,  2372,  2373, -2829,
    2623,  3621,  3937,  1237,  2431,  3844,  3457,  1462,  4061,  1917,
    5136,  4593,  1237,  3542,  4682,  5367,  4184,  5468,  4883,  5591,
    5247,  4708,  5249,  5234,  5000,  4000,  5534,  3728,  5150,  1237,
    1237,   887,  5587,  1237,  5487,  5485,  5551,  4005,  4742,  4726,
    4703,  3599,  1983,    79,  2361,   375,  3600,  1237,  4591,  4078,
    2860,  4715,  1237,  3080,  3244,  3244,  5017,  1237,  3590,  4251,
    1237,  1237,  5592,  5642,  5629,  2624,  5223,  4199,  1237,  1237,
    4186,  2625,  5555,  5174,  2626,  1152,  3810,  3811,  3812,  5462,
    3813,  3814,  3815,  3816,  3817,  3818,  5539,  2842,  5177,  1065,
    1237,  2272,  4784,  5318,   851,  3300,  4748,  1152,   707,  3808,
     707,  1045,  2285,  2627,  1237,  3988,  5408,  1413,  3031,  3032,
    2628,  1489,  3033,  4960,  5565,  4157,  5631,  2629,  2579,  3220,
    2978,  1830,  3221,    74,  2630,    74, -2829,  5528,  1731,  4729,
    4518,  4890,  2219,  3724,  2451,  3944,  3255,  2482,  1462,   707,
    2481,  2393,  3955,  3236,  1807,  4495,  5524,  5439,  1237,  2631,
    4878,  3957,  3254,  2486,  1047,  5239,  1047,  4848,  1047,  3809,
    3209,  4460,  1045,  4860,  1047,  5298,  2491,  5430,  4456,  5429,
    4519,  4319,  5282,  5132,  4411,  3891,  5526,  5518,  5527,  3891,
    5258,  3177,  3947,  3869,  3780,   423,  3939,  3186,  1047,  1047,
    3867,  1237,  1203,  4301,  3675,   382,  2118,  2904,  5511,  3281,
    1173,   382,  3285,  1508,  3272,  2280,   700,  3288,  2504,  1819,
    3932,   421,  4524,  1820,  3286,  4879,  4525,  2397,  1196, -2829,
    3726,   375,  4500,    83,  5137,  2990,  2368,  2369,  2370,  2371,
    2372,  2373,  1848,   382,  2497,  2501,  1546,  3292,  2345,     0,
       0,  2346,  1237,     0,  1462,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1251,     0,   706,     0,     0,
    2352,     0,   851,     0,  1237,  1462, -2829,  1237,   382,  1237,
       0,     0,  2208,  1838,     0,    80,     0,    80,     0,     0,
       0,   852,     0,     0,  5196,     0,     0,     0,     0,     0,
    2354,     0,     0,  1237,     0,     0,     0,  1237,     0,     0,
       0,     0,     0,  1462,     0,  1045,  1047,     0,  1237,     0,
       0,     0,     0,  1045,  1412,  1045,  1091,     0,     0,     0,
     704,   704,     0,     0,  1091,  1835,  1091,  3810,  3811,  3812,
    1237,  3813,  3814,  3815,  3816,  3817,  3818,     0,     0,   382,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   423,  2345,  4436,     0,  2346,     0,  1462,
       0,     0,     0,  1462,  1462,     0,     0,     0,  1237,     0,
       0,     0,  1047,     0,     0,  5396,     0,     0,     0,   421,
       0,     0,     0,  1716,   707,   858,  2352,     0,     0,     0,
       0,  5134, -2829,     0,     0,     0, -2829,     0,     0,     0,
       0, -2829,     0,     0,     0,     0,     0,     0,     0,  3900,
       0,  3900,  1237,     0,     0,     0,  2354,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1237,  2345,     0,     0,  2346, -2829,     0,     0,
   -2829, -2829, -2829,     0,     0,     0,     0,     0,     0,     0,
     851,  1807,  1462,  1462,     0,     0,     0,     0,     0,   852,
       0,  1595,     0,  5417,  3803,  2352,     0,     0,  3804,  3805,
    3806,  2353,     0,     0,     0,  1237,     0,     0,  1237,     0,
       0,  4437,  2361,     0,     0,     0,     0,  1237,     0,     0,
       0,     0,  1237,     0,  1237,  2354,  1237,  3691,  3694,     0,
     382,     0,     0,  1237,   858,     0,     0,     0,  5611,     0,
       0,     0,     0,  2345,  1095,     0,  2346,     0,     0,     0,
    1237,     0, -2829,  3900,     0,     0,     0, -2829,     0,     0,
       0,     0,  3561,     0,     0,   382,     0,     0,     0,     0,
    3561,   423,     0,   707,     0,  2352,     0,     0,  3561,     0,
    3561, -2829,     0,     0,  3891,  1095,     0,     0,     0,  3891,
       0,     0,  3891, -2829, -2829,     0,     0,   421,     0,     0,
       0,     0,     0,     0,   697,  2354,  1045,     0,     0,     0,
       0,     0,     0,  1237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5143,     0,  3627,     0,     0,     0,
       0,  2355,     0,     0,     0,     0,  2356,     0,  2361,     0,
       0,     0,     0,     0,  1237,  1237,     0,     0,     0,     0,
       0,     0,     0,   379,  5556,  1237,  3657,  5567,  5568,  5569,
       0,     0,     0,   707,  1412,  1047,     0,  5570,     0,     0,
    4835,     0,  2359,     0,     0,  1237,     0,   852,     0,     0,
    5196,     0,     0,     0,   851, -2829,     0, -2829,     0,     0,
    3696,     0,     0,     0,  2368,  2369,  2370,  2371,  2372,  2373,
       0,     0,     0,     0,     0,     0,     0,     0,   379,     0,
       0, -2829,  5567,  5568,  5569,     0, -2829,  2361,     0,     0,
   -2829,  1237,  5570,     0,     0,     0,  1412,  1237,  1237,     0,
    1237,     0,     0,     0,     0,     0,     0,  1807,   858,     0,
       0,     0,     0,     0,     0,  3809,   375,   851,     0,  1237,
       0,     0, -2829,     0,     0,     0,     0,     0,     0,     0,
       0,   707,     0,     0,     0,     0,   851,     0,   379,     0,
       0,   375,  5567,  5568,  5569,   423,     0,     0,     0,     0,
       0,     0,  5570,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2361,     0,  2363,
       0,   421,  2779,     0,     0,     0,  2529,     0,     0,  3935,
       0,  1045,     0, -2829,     0,     0,     0,     0,     0,     0,
    2368,  2369,  2370,  2371,  2372,  2373,     0,     0,     0,     0,
       0,     0,  1237,  1237,     0,  3950,  3950,     0,   423,  3891,
       0,     0,     0,     0,     0,     0,  1237,     0,     0,     0,
    2338,     0,     0,     0,     0,     0,     0,   423,  1237,  1237,
       0,     0,     0,     0,   421,  1047,     0,     0,     0,     0,
    1047,  1047,  2338,  2849,     0,     0,     0,  2862,     0, -2829,
       0,   852,     0,   421,  5601,     0,     0,     0,     0,  2779,
       0,     0,  2364,     0,     0, -2829, -2829, -2829,     0,  2368,
    2369,  2370,  2371,  2372,  2373,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3664,
       0,     0,     0,  3810,  3811,  3812,     0,  3813,  3814,  3815,
    3816,  3817,  3818,     0,     0,     0,     0,     0,  1893,     0,
       0,     0,     0,     0,   852,     0,     0,  5601,     0,     0,
       0,     0,     0,     0,     0,     0,   704,     0,     0,     0,
       0,     0,     0,   852,     0,  2939,  5601,     0,     0,     0,
       0,  1894, -2829,  1412,     0,     0,   375,     0,     0,  2368,
    2369,  2370,  2371,  2372,  2373,     0,     0,     0,     0,     0,
       0,     0,     0,  2779,     0,     0,     0,     0,     0,     0,
     382,     0,     0,     0,   382,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3900,     0,   700,     0,
    3900,     0,     0,     0,     0,   700,     0,     0,     0,  1896,
     858,     0,     0,     0,     0,     0,   700,     0,     0,  1047,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1047,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1897,     0,     0,   700,     0,     0,     0,     0,
     700,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   700,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3665,     0,     0,     0,     0,  1898,  5602,     0,
       0,     0,     0,     0,     0,     0,     0,   700,     0,  1047,
       0,     0,  1047,  1047,     0,     0,  1412,     0,     0,     0,
       0,     0,     0,   700,     0,     0,     0,     0,     0,   700,
    1899,     0,     0,     0,  3664,     0,     0,     0,     0,     0,
     700,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1893,   700,     0,     0,     0,     0,  1901,
       0,  5602,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   383,     0,
    5602,     0,  1047,     0,   383,  1045,  1894,     0,     0,   701,
    1045,     0,     0,     0,     0,     0,     0,   209,     0,     0,
       0,  1903,     0,  4083,     0,  1457,     0,     0,  1904,     0,
       0,     0,     0,  4231,     0,  1905,   383,     0,     0,     0,
       0,  3664,     0,  2655,     0,   375,  1457,     0,     0,     0,
       0,     0,     0,     0,     0,  1907,     0,     0,   375,     0,
    1893,     0,     0,  1908,  1896,     0,  4122,   858,     0,     0,
    5005,  1091,     0,   700,     0,  1091,     0,     0,     0,     0,
       0,   383,     0,  3667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1894,   382,     0,     0,  1897,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4307,     0,     0,
       0,     0,     0,  5610,  3694,     0,  4155,  1909,     0,     0,
       0,  3668,  4291,     0,     0,     0,     0,  3665,     0,     0,
       0,     0,  1898,     0,     0,     0,     0,   697,  3561,     0,
       0,     0,     0,     0,     0,  3561,  3561,     0,     0,  3561,
       0,  1896,   383,     0,  1095,     0,  3561,     0,     0,  4183,
       0,     0,   700,   700,     0,  1899,     0,  4196,     0,     0,
       0,     0,  4196,   375,     0,     0,     0,  3310,  1412,     0,
    1412,     0,  3314,     0,  1897,     0,  3317,     0,     0,     0,
    1045,   858,     0,     0,  1901,   858,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3341,     0,  3665,     0,     0,     0,  4254,  1898,
    3900,     0,  1095,     0,     0,  3900,     0,     0,     0,     0,
    3900,     0,   209,  3900,  5111,     0,  3666,     0,     0,     0,
       0,     0,     0,  1904,     0,  1091,  1091,  4284,  1412,     0,
    1905,     0,  1899,     0,     0,     0,  3394,     0,  2655,     0,
       0,     0,     0,  3900,     0,     0,     0,     0,     0,     0,
    1907,     0,     0,     0,   697,     0,  3696,  3900,  1908,     0,
       0,  1901,     0,     0,  2345,     0,     0,  2346,     0,     0,
       0,  2347,  2348,  2349,     0,     0,     0,     0,  3667,     0,
       0,     0,     0,     0,     0,     0,  3442,     0,  2350,  1920,
       0,     0,     0,   383,     0,  1921,  2352,     0,     0,   209,
       0,  5172,  2353,  1903,     0,     0,     0,     0,     0,     0,
    1904,     0,  1909,     0,   858,     0,  3668,  1905,   697,     0,
    1964,     0,  3490,     0,     0,  2655,  2354,     0,   383,     0,
       0,     0,     0,     0,     0,  1922,     0,  1907,     0,     0,
    3502,     0,     0,     0,  1251,  1908,     0,  1457,     0,     0,
       0,  3512,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3537,  3667,     0,  1457,  1965,     0,
       0,     0,     0,   697,  4521,     0,     0,  2345,     0,     0,
    2346,  1457,     0,     0,  2347,  2348,  2349,  1924,     0,     0,
       0,     0,     0,     0,  1925,  3900,     0,  1926,     0,  1909,
       0,  2350,     0,  3668,     0,     0,     0,     0,     0,  2352,
       0,  4421,     0,     0,   700,  2353,     0,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2355,     0,   700,     0,     0,  2356,     0,  2354,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1966,     0,     0,  1928,     0,     0,     0,   700,  2357,  2358,
    3900,     0,     0,  1457,     0,  1047,     0,     0,     0,   704,
       0,     0,     0,  2359,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1835,     0,     0,  1045,     0,
       0,     0,     0,   700,     0,     0,     0,     0,  1967,     0,
       0,  1968,     0,     0,     0,  2360,     0,     0,     0,   700,
       0,  1969,     0,  1930,     0,     0,     0,     0,  2361,     0,
    1045,  2362,     0,  1931,   700,     0,  1047,   700,     0,     0,
       0,  1932,     0,     0,     0,     0,     0,     0,     0,     0,
    1970,  1933,     0,     0,     0,  2355,     0,     0,     0,     0,
    2356,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2357,  2358,     0,     0,  5384,  1971,     0,     0,  1935,
    1936,  1972,     0,     0,     0,     0,  2359,     0,     0,     0,
    1539,  1540,   858,     0,  1457,     0,     0,     0,   858,     0,
    2363,     0,     0,     0,  3740,     0,  1973,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2360,     0,
    1974,     0,  3754,     0,     0,     0,     0,     0,     0,     0,
    3740,  2361,     0,     0,  2362,     0,     0,     0,     0,     0,
       0,  3900,     0,     0,     0,     0,     0,     0,     0,     0,
    4196,     0,     0,     0,   700,     0,     0,     0,     0,     0,
       0,     0,   700,   700,     0,     0,  3900,     0,     0,  1938,
       0,     0,     0,   382,     0,     0,     0,     0,     0,  1047,
       0,     0,     0,  4630,     0,     0,  4631,  1047,  4632,  1047,
       0,     0,     0,  2364,     0,     0,  2365,  2366,  2367,     0,
    2368,  2369,  2370,  2371,  2372,  2373,     0,     0,     0,     0,
    3122,     0,     0,  2363,  3694,  3694,  3694,  3694,  3694,     0,
       0,     0,     0,     0,     0,     0,     0,   382,   382,   382,
       0,     0,  3561,     0,     0,     0,     0,     0,  3561,  3561,
       0,  3561,  1045,     0,  2417,     0,  5497,  4183,   700,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   383,     0,     0,     0,   383,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   382,     0,
       0,   701,     0,     0,     0,   382,     0,     0,   701,     0,
       0,     0,   382,     0,     0,     0,     0,     0,     0,   701,
       0,     0,  1091,     0,     0,     0,  2364,     0,  5537,  2365,
    2366,  2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,     0,
       0,     0,     0,  4197,     0,     0,     0,     0,   701,     0,
       0,     0,     0,   701,     0,     0,     0,     0,     0,  4745,
       0,     0,     0,  1091,   701,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3900,     0,     0,     0,     0,     0,
    1251,  1251,     0,     0,     0,     0,     0,     0,     0,     0,
     701,     0,     0,  1457,     0,     0,  3696,  3696,  3696,  3696,
    3696,     0,     0,     0,     0,     0,   701,     0,     0,     0,
       0,     0,   701,     0,     0,     0,     0,     0,  2529,     0,
    3990,     0,     0,   701,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   858,   858,   858,     0,   701,     0,     0,
       0,  4793,     0,    74,  4793,     0,  4793,     0,     0,     0,
       0,     0,  1893,     0,     0,     0,     0,     0,  1457,     0,
       0,     0,     0,  4012,     0,     0,   700,     0,     0,     0,
    1047,     0,   858,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1894,  2345,     0,     0,  2346,
       0,     0,  1457,  2347,  2348,  2349,     0,     0,     0,  5635,
       0,     0,     0,     0,     0,  1045,     0,     0,     0,     0,
    2350,  1251,  1251,     0,     0,  1895,   382,     0,  2352,     0,
       0,     0,     0,     0,  2353,     0,     0,  4950,  4951,     0,
       0,     0,  4954,  4955,     0,     0,   701,   700,     0,     0,
       0,   700,     0,  1896,  1045,     0,     0,     0,  2354,     0,
       0,     0,     0,   700,     0,     0,     0,   383,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4089,     0,     0,  1457,     0,  1897,  4877,     0,     0,
    4884,  4885,     0,     0,  4109,     0,     0,   858,     0,  1457,
       0,     0,     0,     0,     0,     0,     0,  1457,     0,     0,
       0,     0,     0,     0,     0,    80,     0,     0,  1457,     0,
       0,  1898,     0,     0,     0,     0,     0,     0,  1920,     0,
       0,     0,   699,     0,  1921,   701,   701,     0,   700,   700,
    2345,     0,     0,  2346,     0,     0,     0,  2347,  2348,  2349,
       0,   700,     0,     0,  1899,     0,     0,     0,     0,   849,
       0,     0,     0,     0,  2355,  1457,   700,   700,     0,  2356,
       0,     0,  2352,  4164,  1922,     0,     0,     0,  2353,     0,
       0,     0,  1900,  1901,  1457,  1047,     0,     0,   700,     0,
    2357,  2358,     0,     0,     0,     0,  1457,     0,     0,     0,
       0,     0,  2354,     0,   849,  2359,     0,     0,  1457,     0,
       0,     0,     0,     0,     0,     0,  4196,  1902,     0,     0,
       0,   209,     0,  1923,     0,  1903,  1924,     0,     0,     0,
       0,     0,  1904,  1925,     0,     0,  1926,  2360,     0,  1905,
       0,     0,     0,     0,     0,     0,     0,  1906,  1457,     0,
    2361,  1457,  1090,  2362,     0,     0,     0,  4977,  4978,  1907,
    1090,  1927,  1090,     0,     0,     0,  3561,  1908,  3561,  3561,
       0,  2345,  3561,     0,  2346,   849,     0,     0,  2347,  2348,
    2349,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1928,     0,     0,  2350,     0,     0,     0,     0,
       0,     0,     0,  2352,     0,     0,     0,     0,  2355,  2353,
       0,  5133,     0,  2356,     0,  5025,     0,     0,   382,     0,
       0,  1909,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2363,  2354,  2357,  2358,     0,  2155,     0,     0,
       0,     0,     0,  2779,  5045,     0,     0,     0,   858,  2359,
    1929,     0,  1930,     0,     0,     0,     0,     0,     0,     0,
    4342,     0,  1931,     0,     0,     0,     0,     0,     0,     0,
    1932,  1045,     0,     0,     0,     0,     0,     0,  2188,     0,
    1933,  2360,     0,  4793,     0,  4356,  2198,  4793,  4793,     0,
    4793,     0,  2206,     0,  2361,     0,     0,     0,     0,     0,
    1457,     0,     0,     0,     0,     0,     0,   701,     0,     0,
       0,     0,   382,     0,     0,  1934,     0,     0,  1935,  1936,
       0,     0,     0,     0,     0,  2364,     0,   701,  2365,  2366,
    2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,     0,  2355,
       0,     0,  4369,     0,  2356,  1937,     0,     0,     0,     0,
     701,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2357,  2358,     0,     0,   382,
       0,   382,     0,     0,     0,     0,  2363,     0,     0,     0,
    2359,     0,     0,     0,     0,     0,   701,     0,     0,     0,
       0,   700,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   701,     0,     0,     0,     0,     0,  1938,     0,
       0,     0,  2360,     0,     0,  1920,     0,   701,     0,     0,
     701,  1921,     0,     0,     0,  2361,     0,     0,  2362,     0,
       0,   700,     0,  4196,     0,   382,   700,     0,     0,     0,
     700,     0,     0,     0,     0,     0,     0,     0,   700,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1047,
       0,  1922,     0,     0,  1047,     0,   700,     0,     0,  2364,
       0,     0,  2365,  2366,  2367,  3561,  2368,  2369,  2370,  2371,
    2372,  2373,     0,     0,     0,     0,     0,     0,     0,     0,
     858,     0,     0,     0,     0,   858,     0,   858,     0,     0,
       0,     0,     0,     0,  1457,     0,     0,  2363,  1457,  1457,
     700,     0,     0,  1924,     0,     0,     0,     0,  1920,     0,
    1925,     0,  1091,  1926,  1921,     0,     0,  1045,   700,   700,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   701,  1927,  1964,
       0,     0,     0,     0,     0,   701,   701,     0,  4566,   382,
     700,     0,     0,   382,  1922,     0,   383,     0,     0,     0,
       0,     0,  1457,     0,     0,     0,     0,     0,     0,  1928,
       0,     0,     0,     0,  1457,     0,     0,     0,     0,     0,
    1091,     0,   700,     0,     0,     0,   700,  1965,     0,     0,
    2364,     0,     0,  2365,  2366,  2367,  5415,  2368,  2369,  2370,
    2371,  2372,  2373,     0,   700,     0,  1924,  4420,     0,     0,
     383,   383,   383,  1925,  1457,   700,  1926,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1929,   700,  1930,
    1920,   701,     0,     0,  1047,     0,  1921,   700,     0,  1931,
       0,  1927,  2345,     0,     0,  2346,     0,  1932,     0,  2347,
    2348,  2349,     0,  4649,     0,     0,  4652,  1933,     0,     0,
       0,   383,     0,     0,     0,     0,  2350,     0,   383,  1966,
       0,     0,  1928,     0,  2352,   383,  1922,     0,     0,  1412,
    2353,     0,     0,  5360,     0,     0,     0,     0,     0,     0,
       0,     0,   382,  5368,     0,  1935,  1936,     0,     0,     0,
       0,     0,     0,     0,  2354,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1967,     0,     0,
    1968,     0,  1937,     0,     0,  2709,     0,     0,  1924,     0,
    1969,     0,  1930,     0,     0,  1925,     0,     0,  1926,     0,
       0,     0,  1931,     0,     0,     0,     0,     0,     0,     0,
    1932,     0,     0,     0,     0,     0,  4716,     0,   700,  1970,
    1933,     0,     0,  1927,     0,     0,     0,     0,     0,     0,
       0,  1457,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1938,     0,     0,     0,     0,
       0,     0,     0,     0,  1928,  3492,   849,     0,  1935,  1936,
    1972,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2355,     0,     0,     0,   699,  2356,     0,     0,     0,     0,
     700,   699,     0,     0,     0,  3493,     0,     0,     0,   701,
       0,     0,   699,     0,     0,     0,  2357,  2358,  1412,  1974,
       0,  1457,  5472,     0,  5473,     0,     0,     0,  5478,  5479,
       0,  2359,  1929,     0,  1930,     0,     0,  3740,     0,     0,
       0,   699,     0,     0,  1931,     0,   699,     0,   700,     0,
       0,     0,  1932,     0,     0,     0,     0,   699,  5600,   383,
       0,     0,  1933,  2360,     0,     0,   700,     0,  1938,     0,
       0,     0,     0,     0,   700,     0,  2361,     0,     0,  2362,
     701,     0,     0,   699,   701,     0,     0,     0,  2910,     0,
       0,     0,     0,     0,     0,     0,   701,  2710,     0,   699,
    1935,  1936,     0,     0,     0,   699,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   699,     0,     0,     0,
       0,  5600,     0,     0,     0,     0,     0,  2711,     0,     0,
     699,     0,  1047,  2937,     0,     0,     0,  2941,     0,     0,
    5600,     0,     0,  2947,  2948,     0,     0,     0,     0,     0,
     382,  1457,     0,     0,     0,     0,   382,   858,  2363,     0,
       0,     0,     0,     0,  1047,     0,  2964,     0,  1457,     0,
       0,   701,   701,     0,     0,     0,  1920,     0,     0,  1457,
    2345,     0,  1921,  2346,   701,     0,     0,  2347,  2348,  2349,
    1938,     0,     0,     0,     0,     0,     0,     0,     0,   701,
     701,   858,     0,     0,  2350,     0,  1412,     0,     0,     0,
       0,     0,  2352,     0,     0,     0,     0,     0,  2353,     0,
    5603,   701,  1922,     0,     0,     0,     0,  1090,     0,   699,
       0,  1090,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2354,     0,     0,     0,     0,   700,     0,     0,
       0,  2364,     0,     0,  2365,  2366,  2367,     0,  2368,  2369,
    2370,  2371,  2372,  2373,     0,     0,     0,     0,  4537,     0,
       0,     0,     0,     0,  1924,     0,     0,     0,     0,     0,
       0,  1925,     0,  5603,  1926,     0,     0,  1920,     0,     0,
       0,     0,     0,  1921,     0,  1459,  4947,     0,     0,     0,
       0,     0,  5603,     0,     0,     0,     0,     0,  4957,  1927,
       0,     0,     0,     0,     0,     0,  1459,     0,   699,   699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1922,     0,     0,     0,     0,     0,     0,
    1928,     0,     0,     0,   700,     0,     0,     0,  2355,     0,
       0,   383,     0,  2356,     0,     0,     0,     0,     0,     0,
     700,   700,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2357,  2358,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1924,  1047,   700,     0,  2359,
     700,     0,  1925,     0,     0,  1926,     0,     0,  1929,     0,
    1930,  1090,  1090,     0,     0,     0,     0,  3217,     0,     0,
    1931,     0,     0,     0,     0,     0,     0,     0,  1932,  1457,
    1927,  2360,  1457,     0,  1457,     0,     0,     0,  1933,  1457,
       0,     0,     0,     0,  2361,     0,     0,  2362,     0,     0,
       0,     0,     0,     0,     0,   383,     0,     0,     0,     0,
       0,  1928,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1988,     0,     0,  1935,  1936,     0,     0,
       0,   382,   382,   382,     0,     0,     0,     0,     0,     0,
       0,  1457,  3740,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1989,     0,   700,     0,     0,  1457,     0,
       0,     0,   383,     0,   383,     0,     0,     0,   700,  1929,
     382,  1930,     0,   700,     0,     0,  2363,     0,     0,     0,
       0,  1931,   700,  1457,   701,     0,     0,     0,     0,  1932,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1938,     0,     0,     0,
       0,     0,     0,     0,   701,     0,   858,     0,   383,   701,
       0,     0,     0,   701,  2014,     0,     0,  1935,  1936,     0,
       0,   701,     0,     0,     0,     0,     0,   700,     0,     0,
     699,     0,  1457,  3740,  1457,  3740,     0,     0,     0,   701,
       0,     0,     0,     0,  2015,     0,     0,     0,     0,  2364,
     699,     0,  2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,
    2372,  2373,     0,     0,     0,   382,  4801,     0,     0,  1047,
       0,     0,   700,   699,   700,     0,     0,  1459,     0,     0,
       0,     0,     0,   701,     0,     0,   700,     0,   700,     0,
       0,     0,     0,     0,     0,  1457,  2345,  1459,     0,  2346,
       0,   701,   701,  2347,  2348,  2349,     0,  1938,  1047,   699,
       0,  1459,     0,     0,     0,     0,     0,     0,     0,     0,
    1457,     0,     0,     0,     0,   699,     0,     0,  2352,     0,
       0,     0,   383,   701,  2353,     0,   383,     0,     0,     0,
     699,     0,   700,   699,     0,     0,     0,     0,  1457,     0,
       0,     0,     0,  1457,     0,     0,     0,     0,  2354,     0,
       0,     0,     0,     0,     0,   701,     0,     0,     0,   701,
       0,     0,     0,     0,     0,     0,     0, -2332,     0,     0,
       0,     0,     0,     0,   858,     0,     0,   701,     0,     0,
       0,     0,     0,  1459,     0,     0,     0,   700,   701,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   701,  1457,     0,   700,     0,     0,     0,     0,     0,
     701,     0,     0,     0,     0,     0, -2332,     0,     0,     0,
    1457,     0,     0,     0,     0,     0,   700,     0, -2332,   700,
       0,     0,     0, -2332,     0,  1457,     0,     0, -2332,     0,
       0,     0,     0, -2332,     0,     0, -2332,     0,     0, -2332,
       0,     0,     0,     0,  2355,     0,     0,     0,     0,  2356,
     699,     0,     0,     0,     0,   383,     0,     0,   699,   699,
       0,     0,     0,     0,     0,     0,     0, -2332,     0,   849,
   -2829, -2829,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2359,     0, -2332,     0,     0,
       0,     0,     0,     0,     0,     0,   382,     0,     0,  3685,
       0,     0,     0,     0,  1459,     0,     0,     0,     0,     0,
       0,   974,     0,     0,     0,     0,   975, -2829,  3702,     0,
       0,   701,     0,   849,     0,     0,  1457, -2332,   976, -2332,
    2361,     0,     0,  3711,     0, -2332,  3713,  3714,     0,     0,
       0,  3717,  3718,     0,   699,     0,     0,  1457,  3722,   977,
       0,     0,   858,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   978,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1457,     0,     0,     0,   979,     0,     0,     0,
       0,     0,     0,   701,     0, -2332,     0,     0,   849,     0,
       0,     0,     0,     0,   980,     0,     0,     0,  1090,     0,
    2345,     0,     0,  2346,     0,  1047,  1457,  2347,  2348,  2349,
       0,     0,  2363,     0,     0,     0,   981,     0,     0,     0,
       0,     0,  3763,     0,  2350,     0,     0,   982,     0,     0,
       0,   701,  2352,     0,  1061,   983,     0,     0,  2353,  1090,
       0,     0,     0,     0,     0,     0,     0,   984,     0,   701,
       0,     0,   985,     0,     0,     0,     0,   701,   986,     0,
   -2332,     0,  2354,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   987,     0,     0,     0,     0,
       0,     0,     0,     0, -2332,     0, -2332, -2332,     0,     0,
       0,     0,   700,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2364,     0,     0,  2365,  2366,
    2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,     0,     0,
   -2332,   988,     0, -2332, -2332,     0, -2332,     0,     0,     0,
       0,  1457,     0,   383,     0,     0,     0,     0,   382,   383,
       0,     0,   699,   382,     0,   382,     0,     0,     0,     0,
       0,     0,     0,   989,     0,     0,   858,     0,  3740,     0,
       0,     0,     0,     0,   990,     0,     0,     0,  2355,     0,
       0,     0,     0,  2356,   991,     0,     0,     0,     0,     0,
       0,     0,     0,  2560,   887,     0,     0,     0,     0,     0,
       0,     0,   849,     0,  2357,  2358,     0,   700,     0,     0,
     700,     0,     0,     0,     0,     0,     0,     0,     0,  2359,
       0,   992,     0,   699,     0,     0,   993,   699,   994,   858,
       0,     0,     0,     0,   995,     0,     0,   996,     0,   699,
     701,  1457,     0,     0,     0,     0,     0,     0,   858,     0,
       0,  2360,     0,     0,     0,     0,     0,  1920,  2560,     0,
       0,     0,     0,  1921,  2361,     0,   997,  2362,     0,   998,
       0,  1047,     0,   999,     0,     0,     0,     0,     0,     0,
    1000,     0,  1001,     0,     0,     0,     0,  1002,     0,     0,
       0,     0,  1459,     0,     0,   700,   700,     0,     0,  1003,
       0,     0,     0,  1922,     0,     0,     0,     0,   700,     0,
     700,     0,  1004,     0,   699,   699,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,     0,     0,
       0,     0,  4010,     0,     0,     0,     0,   701,     0,     0,
       0,     0,   699,   699,     0,     0,  2363,     0,     0,     0,
    5416,     0,     0,   701,   701,  1924,     0,     0,     0,     0,
       0,     0,  1925,     0,   699,  1926,     0,     0,     0,     0,
       0,     0,     0,     0,  1459,     0,     0,     0,     0,   382,
     701,     0,     0,   701,     0,     0,  1457,     0,     0,  1459,
    1927,     0,  2345,     0,     0,  2346,     0,  2560,     0,  2347,
    2348,  2349,     0,     0,     0,     0,     0,     0,  1459,     0,
       0,   700,  4067,     0,  4069,     0,  2350,     0,     0,     0,
       0,  1928,     0,     0,  2352,     0,     0,     0,     0,     0,
    2353,     0,     0,     0,  1457,     0,     0,     0,     0,  2364,
       0,     0,  2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,
    2372,  2373,     0,     0,  2354,  1459,  4836,     0,     0,     0,
       0,     0,     0,     0,   383,   383,   383,     0,     0,     0,
       0,     0,     0,     0,  1459,     0,     0,     0,     0,  1929,
       0,  1930,     0,     0,  1920,     0,  1459,     0,   701,     0,
    1921,  1931,     0,     0,   849,     0,     0,     0,  1459,  1932,
       0,   701,     0,   383,     0,     0,   701,     0,     0,  1933,
       0,     0,     0,     0,     0,   701,     0,     0,     0,     0,
       0,     0,     0,  4152,     0,     0,     0,     0,     0,  4159,
    1922,     0,     0,     0,     0,     0,     0,     0,  1459,     0,
       0,  1459,     0,     0,  2635,     0,     0,  1935,  1936,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2355,  2345,     0,     0,  2346,  2356,     0,     0,  2347,  2348,
    2349,     0,     0,  1457,  2636,     0,     0,     0,     0,     0,
     701,     0,  1924,  1457,     0,  2350,  2357,  2358,     0,  1925,
       0,     0,  1926,  2352,     0,     0,     0,     0,     0,  2353,
    2345,  2359,     0,  2346,     0,     0,     0,  2347,  2348,  2349,
       0,     0,     0,     0,     0,     0,     0,  1927,   383,     0,
       0,     0,     0,  2354,  2350,   701,     0,   701,     0,     0,
       0,     0,  2352,  2360,     0,     0,     0,  1938,  2353,   701,
     700,   701,     0,     0,     0,   382,  2361,     0,  1928,  2362,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2354,     0,     0,     0,     0,   699,     0,     0,
     700,     0,     0,  4304,     0,     0,     0,     0,     0,     0,
       0,     0,   700,     0,     0,     0,     0,     0,     0,   382,
    1459,     0,     0,     0,     0,   701,  4321,  4322,     0,  4324,
       0,  4326,  4327,   700,     0,     0,  1929,   699,  1930,     0,
    1457,   849,   699,     0,  4334,     0,   699,     0,  1931,     0,
       0,     0,     0,     0,   699,     0,  1932,     0,  2363,  2355,
    3198,     0,     0,     0,  2356,     0,  1933,     0,     0,     0,
       0,  1457,   699,     0,     0,     0,     0,     0,     0,     0,
     701,     0,     0,     0,  4355,  2357,  2358,     0,     0,     0,
       0,     0,  1457,     0,     0,     0,     0,   701,  2355,     0,
    2359,  3403,     0,  2356,  1935,  1936,     0,  1457,     0,     0,
       0,     0,     0,     0,     0,     0,   699,     0,     0,   701,
       0,     0,   701,     0,  2357,  2358,     0,     0,  1090,     0,
       0,  1937,  2360,     0,   699,   699,     0,     0,     0,  2359,
       0,     0,     0,     0,     0,  2361,     0,     0,  2362,     0,
    1457,  2364,     0,     0,  2365,  2366,  2367,     0,  2368,  2369,
    2370,  2371,  2372,  2373,     0,   849,   699,     0,  5074,   849,
    1920,  2360,     0,     0,     0,     0,  1921,     0,     0,     0,
       0,     0,     0,     0,  2361,     0,   700,  2362,     0,     0,
       0,     0,     0,     0,  1938,     0,  1090,     0,   699,   383,
       0,     0,   699,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1922,     0,     0,     0,
     699,     0,     0,     0,  3296,     0,     0,  2363,  2560,  3302,
       0,   699,     0,     0,     0,     0,     0,     0,  1457,     0,
       0,     0,     0,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2363,     0,  1924,     0,
       0,     0,     0,     0,  2345,  1925,     0,  2346,  1926,     0,
       0,  2347,  2348,  2349,     0,     0,     0,     0,     0,     0,
       0,     0,  1459,  1457,     0,     0,     0,   700,  2350,   700,
       0,     0,     0,  1927,  1459,     0,  2352,     0,   849,     0,
       0,     0,  2353,     0,     0,     0,     0,     0,     0,     0,
    2364,     0,     0,  2365,  2366,  2367,     0,  2368,  2369,  2370,
    2371,  2372,  2373,     0,  1928,     0,  2354,  5085,   700,     0,
       0,     0,     0,     0,  1459,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2364,
       0,     0,  2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,
    2372,  2373,     0,     0,   699,     0,  5094,     0,     0,     0,
       0,     0,     0,     0,   382,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,  1930,   701,     0,     0,     0,     0,
       0,     0,     0,     0,  1931,     0,     0,     0,     0,     0,
       0,     0,  1932,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1933,     0,  1457,     0,     0,     0,     0,     0,
    1445,     0,     0,     0,     0,     0,   699,     0,     0,     0,
       0,   383,  2355,     0,     0,     0,   383,  2356,   383,     0,
       0,  1445,     0,     0,     0,     0,     0,  3505,     0,     0,
    1935,  1936,     0,     0,     0,     0,     0,     0,  2357,  2358,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2359,   699,     0,     0,  3506,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     701,  1459,   699,   701,     0,   745,     0,     0,     0,     0,
     699,     0,     0,     0,     0,  2360,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2361,     0,
    1457,  2362,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   745,     0,     0,     0,     0,     0,     0,     0,
    1938,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1457,   382,   745,     0,     0,     0,     0,     0,     0,
    2345,  2560,     0,  2346,     0,     0,     0,  2347,  2348,  2349,
       0,  1056,     0,     0,     0,     0,   849,     0,   701,   701,
       0,     0,   849,   700,  2350,     0,  1058,     0,     0,  1457,
       0,   701,  2352,   701,  1066,     0,     0,     0,  2353,     0,
    2363,     0,     0,     0,     0,     0,     0,     0,     0,  1080,
       0,  1056,     0,     0,     0,  1103,     0,     0,     0,     0,
       0,     0,  2354,     0,     0,  1135,     0,     0,     0,     0,
       0,     0,     0,  4771,  1140,     0,     0,     0,     0,     0,
       0,  4774,  4775,  4776,  4777,  1457,     0,     0,     0,  1457,
    1457,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   383,     0,     0,     0,     0,     0,     0,     0,
    1920,     0,     0,   699,     0,  2345,  1921,     0,  2346,     0,
       0,     0,  2347,  2348,  2349,     0,     0,     0,     0,     0,
       0,  1459,     0,  2364,   701,     0,  2365,  2366,  2367,  2350,
    2368,  2369,  2370,  2371,  2372,  2373,     0,  2352,  1459,     0,
    5097,     0,     0,  2353,     0,     0,  1922,     0,     0,  1459,
       0,     0,     0,     0,     0,     0,     0,     0,  2355,     0,
       0,     0,     0,  2356,     0,     0,     0,  2354,     0,  1457,
     382,     0,   700,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2357,  2358,     0,     0,     0,     0,
       0,     0,  2032,     0,     0,     0,     0,     0,  1924,  2359,
     699,     0,     0,     0,     0,  1925,     0,     0,  1926,     0,
       0,     0,  2047,     0,     0,     0,   699,   699,     0,     0,
       0,     0,     0,     0,     0,     0,  2057,     0,     0,     0,
       0,  2360,     0,  1927,     0,     0,     0,     0,     0,     0,
       0,     0,  1920,   699,  2361,     0,   699,  2362,  1921,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   700,     0,  1928,     0,     0,     0,     0,     0,
       0,     0,     0,  2355,     0,     0,     0,     0,  2356,     0,
       0,     0,     0,  3198,  3198,  3198,     0,     0,  1922,     0,
       0,     0,     0,     0,     0,     0,     0,  4919,     0,  2357,
    2358,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2359,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,  1930,     0,  2363,   849,   849,   849,
       0,  4938,  4939,     0,  1931,     0,     0,     0,     0,     0,
    1924,     0,  1932,     0,     0,     0,  2360,  1925,     0,     0,
    1926,   699,  1933,   701,     0,     0,     0,     0,   383,  2361,
     700,     0,  2362,     0,   699,     0,   849,     0,     0,   699,
       0,     0,     0,     0,   382,  1927,     0,     0,   699,     0,
       0,     0,     0,   701,     0,     0,     0,  3545,     0,  2560,
    1935,  1936,  3302,     0,  3302,   701,     0,     0,     0,  2560,
       0,     0,   383,     0,     0,     0,  1928,     0,     0,     0,
    4980,  4981,     0,     0,     0,     0,   701,  3546,     0,  2364,
       0,     0,  2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,
    2372,  2373,     0,     0,     0,     0,  5148,   382,     0,  2281,
       0,  2363,     0,   699,     0,     0,     0,     0,     0,     0,
       0,  1459,     0,     0,     0,     0,   382,     0,     0,     0,
       0,     0,     0,     0,  1929,     0,  1930,     0,  1459,     0,
       0,     0,     0,     0,     0,     0,  1931,     0,     0,     0,
    1938,   849,     0,     0,  1932,     0,     0,     0,   699,     0,
     699,     0,   745,  2560,  1933,     0,     0,     0,     0,     0,
       0,     0,   699,     0,   699,  5061,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5063,  5064,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4040,
       0,  5068,  1935,  1936,  2364,     4,     0,  2365,  2366,  2367,
       0,  2368,  2369,  2370,  2371,  2372,  2373,     0,     0,     0,
       0,  5179,     0,     0,     0,     5,     0,     0,   699,  4041,
       0,     0,  1459,     0,  1459,     6,     7,     0,     0,   701,
       0,     0,     9,    10,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,   699,     0,    45,     0,     0,     0,     0,
       0,     0,  1938,     0,     0,  1459,     0,     0,     0,     0,
     699,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1459,     0,   699,     0,     0,   699,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3302,     0,
     701,     0,   701,  3302,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1233,  1239,  1239,   745,     0,  1239,     0,  1247,
       0,  1233,     0,  1135,     0,     0,  1277,     0,     0,     0,
       0,   701,  1135,     0,     0,  1135,     0,     0,     0,  1239,
       0,  1135,   849,     0,     0,     0,     0,     0,     0,  1314,
      47,     0,  1459,     0,     0,  1135,     0,  1233,     0,     0,
    1239,     0,   745,     0,  1239,     0,     0,     0,    48,     0,
    3302,  1277,     0,     0,     0,  1380,     0,   383,     0,     0,
       0,     0,  1239,     0,     0,  1459,     0,     0,     0,    49,
       0,     0,     0,     0,     0,     0,  1920,     0,     0,     0,
       0,     0,  1921,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,     0,     0,  1233,     0,     0,     0,
       0,   745,  5278,     0,     0,     0,  1233,  2716,     0,     0,
    1277,  2345,     0,     0,  2346,     0,     0,     0,  2347,  2348,
    2349,     0,  1922,     0,     0,     0,     0,  1239,     0,    51,
       0,     0,    52,     0,     0,  2350,     0,     0,     0,     0,
       0,     0,     0,  2352,     0,     0,     0,    53,     0,  2353,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1459,     0,     0,     0,
       0,     0,     0,  2354,  1924,     0,     0,     0,     0,     0,
    5320,  1925,     0,  1135,  1926,     0,     0,  1459,     0,  2797,
       0,     0,     0,     0,     0,     0,     0,     0,  1135,     0,
    1579,     0,     0,     0,  2813,     0,     0,     0,     0,  1927,
       0,     0,  1459,     0,     0,     0,     0,     0,   699,     0,
       0,     0,     0,  2834,     0,  5351,    54,     0,  1689,  1689,
       0,     0,     0,   745,  1135,   383,     0,     0,     0,     0,
    1928,     0,     0,     0,     0,     0,  1459,     0,     0,     0,
       0,     0,     0,  1135,     0,     0,     0,  1135,     0,     0,
       0,     0,     0,     0,   849,  1689,   701,     0,     0,   849,
    2900,   849,    55,     0,     0,     0,  1135,     0,     0,  2355,
       0,     0,     0,     0,  2356,     0,     0,    56,  1135,  2911,
       0,     0,     0,     0,  3198,     0,     0,     0,  1929,     0,
    1930,  1445,    57,     0,     0,  2357,  2358,     0,     0,     0,
    1931,     0,     0,  2925,     0,     0,     0,     0,  1932,     0,
    2359,     0,     0,   699,     0, -2334,   699,     0,  1933,     0,
      58,     0,     0,     0,     0,     0,     0,     0,    59,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1501,
       0,     0,  2360,  2956,    71,  1502,  1445,     0,     0,     0,
       0,     0,     0,  4091,     0,  2361,  1935,  1936,  2362,     0,
    1135,  2560,     0,     0, -2334,     0,     0,     0,     0,  1135,
       0,     0,     0,     0,  1239,  1239, -2334,     0,     0,     0,
       0, -2334,     0,  4092,     0,     0, -2334,     0,     0,     0,
       0, -2334,     0,     0, -2334,     0,  2345, -2334,     0,  2346,
       0,   699,   699,  2347,  2348,  2349,     0,     0,     0,     0,
       0,     0,     0,   383,   699,   701,   699,     0,     0,     0,
    2350,     0,     0,     0,     0, -2334,     0,  1233,  2352,     0,
       0,     0,     0,     0,  2353,     0,     0,  2363,  1233,     0,
       0,     0,  1277,     0,     0, -2334,  1938,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1239,  2354,     0,
       0,  3302,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1135,     0,     0,
       0,     0,     0,  1239,  1239, -2334,     0, -2334,     0,     0,
       0,     0,     0, -2334,     0,  3126,     0,     0,     0,     0,
    1135,  1135,  1135,     0,  1239,   701,  1233,     0,     0,     0,
       0,  2115,     0,     0,     0,     0,     0,   699,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2364,     0,     0,  2365,  2366,  2367,     0,  2368,  2369,  2370,
    2371,  2372,  2373, -2334,     0,     0,     0,  5217,     0,     0,
       0,     0,  5584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2355,     0,     0,     0,     0,  2356,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1239,     0,  1239,  1239,     0,     0,     0,     0,
    2357,  2358,  1061,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   701,     0,  2359,  1459,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   383, -2334,     0,
       0,     0,     0,  1689,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2360,     0,     0,
       0,     0, -2334,     0, -2334, -2334,     0,     0,     0,     0,
    2361,     0,     0,  2362,  2560,     0,     0,     0,  1315,     0,
       0,  2255,  2255,  1316,     0,     0,  1135,     0,  1056,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2334,     0,
     383, -2334, -2334,     0, -2334,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2289,     0,  1317,  1135,     0,   383,
    2295,     0,     0,     0,     0,     0,     0,     0,     0,  1318,
    1319,     0,  1689,     0,     0,     0,     0,     0,     0,  1320,
       0,     0,     0,  1321,     0,     0,     0,     0,     0,     0,
       0,     0,  2363,     0,     0,     0,     0,     0,     0,     0,
    1689,  1322,     0,     0,     0,     0,   699,     0,     0,     0,
       0,   849,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1323,     0,     0,     0,  3360,  1689,  1689,
    1689,     0,  1689,     0,  1324,     0,   699,     0,     0,  3375,
       0,     0,  1325,     0,     0,     0,     0,     0,   699,     0,
       0,     0,  1689,  1459,  1326,   849,     0,     0,     0,  1327,
       0,     0,     0,  1459,     0,     0,     0,     0,     0,   699,
       0,     0,     0,     0,   745,   745,     0,     0,     0,  3408,
       0,     0,  1328,     0,     0,  2364,     0,     0,  2365,  2366,
    2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,     0,     0,
       0,     0,  5465,  1135,     0,     0,  1689,  1329,     0,     0,
       0,     0,     0,     0,     0,  3198,     0,     0,     0,     0,
    3198,     0,     0,     0,     0,     0,  3198,     0,  1330,     0,
       0,     0,     0,     0,     0,     0,  1689,     0,     0,     0,
    1689,  1689,     0,     0,     0,     0,     0,     0, -2348,     0,
    1256,  1135,  1135,  2495,     0,     0,     0,     0,     0,  1286,
    1331,     0,     0,     0,     0,     0,     0,     0,  1302,     0,
       0,     0,     0,     0,     0,     0,  1312,     0,     0,     0,
     745,  1332,  1353,     0,     0,     0,     0,     0,     0,     0,
    1459,   887,     0,     0,     0,     0,     0, -2348,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2348,
       0,     0,     0,     0, -2348,     0,     0,     0,  1333, -2348,
       0,  1459,   699,  1334, -2348,  1335,     0, -2348,     0,     0,
   -2348,  1336,     0,     0,  1337,     0,  3586,     0,     0,     0,
       0,     0,  1459,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3302, -2348,     0,
       0,     0,     0,  1338,     0,     0,  1339,     0,     0,     0,
    1340,     0,  2644,     0,     0,     0,     0,  1341, -2348,  1342,
       0,     0,     0,     0,  1343,     0,     0,     0,     0,     0,
    1135,  2670,     0,     0,     0,     0,     0,     0,     0,  1135,
    1459,     0,  1239,     0,     0,     0,     0,     0,     0,  1344,
       0,     0,     0,     0,     0,     0,     0,     0, -2348,     0,
   -2348,  1277,     0,  1135,     0,     0, -2348,     0,     0,     0,
       0,  1135,     0,   699,  1135,   699,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1577,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1135,     0,
       0,     0,     0,     0,     0,     0,  1239,  1239,  1239,  1239,
    1135,     0,     0,     0,   699,     0, -2348,     0,     0,     0,
       0,  1709,     0,     0,  1135,     0,  5049,     0,  1459,     0,
       0,     0,     0,     0,     0,     0,  2794,     0,  1135,     0,
    1733,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1239,  1239,     0,     0,     0,     0,     0,     0,     0,  1239,
     849,     0,     0,  1760,     0,  1061,     0,     0,     0,  1239,
       0,     0,     0,     0,     0,     0,  3753,     0,     0,     0,
       0,     0,     0,  1459,     0,     0,     0,     0,  1135,     0,
       0, -2348,     0,  3765,     0,     0,     0,  1239,  1239,  1239,
    1239,     0,     0,     0,  3771,     0,     0,     0,     0,  1135,
       0,     0,     0,     0,     0, -2348,  1135, -2348, -2348,  2794,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1233,     0,     0,     0,     0,
       0,     0,   745,     0,     0,     0,     0,  1689,     0,     0,
       0, -2348,     0,     0, -2348, -2348,     0, -2348,     0,     0,
       0,     0,     0,     0,     0,     0,  1945,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1233,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1277,     0,     0,     0,  1239,     0,     0,  1239,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1239,     0,     0,
       0,     0,     0,     0,  3302,  1239,  1239,     0,     0,     0,
       0,     0,     0,  2345,     0,     0,  2346,     0,     0,  1135,
    2347,  2348,  2349,     0,     0,     0,     0,     0,   849,     0,
       0,     0,     0,     0,     0,     0,     0,  2350,     0,     0,
       0,     0,     0,     0,     0,  2352,     0,     0,     0,     0,
       0,  2353,     0,  2255,     0,     0,     0,     0,     0,   699,
    1239,     0,  1233,     0,  2070,     0,  1135,  1135,     0,  1239,
       0,     0,     0,     0,     0,  2354,  1135,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1135,  2100,  2103,  2104,
       0,  1056,  1056,     0,     0,  3040,     0,     0,     0,  1689,
    1689,     0,     0,     0,     0,  1689,  1689,     0,     0,     0,
    3302,     0,  1689,  1689,  1689,     0,     0,     0,  1689,  1277,
    1689,  1689,  1689,  1689,  1689,  1689,     0,  1689,     0,  1689,
    1689,     0,     0,  1689,     0,     0,     0,     0,     0,     0,
       0,  1459,     0,     0,     0,     0,     0,     0,  1689,  1689,
    1689,  1689,     0,     0,     0,  1239,  1689,     0,     0,     0,
    1689,     0,     0,  1689,     0,     0,  1689,  1689,  1689,  1689,
    1689,  1689,  1689,  1689,  1689,     0,  1689,     0,     0,  1459,
       0,  2355,     0,  1135,  1689,     0,  2356,  1689,     0,     0,
       0,     0,     0,     0,     0,     0,  4017,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2357,  2358,  1135,
       0,     0,     0,  4029,     0,     0,   849,     0,   699,     0,
       0,     0,  2359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1459,     0,     0,     0,  1459,
    1459,     0,     0,     0,     0,     0,     0,  1135,     0,  1135,
       0,  1689,     0,  1709,  2360,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1689,     0,  2361,     0,     0,
    2362,     0,     0,     0,  1689,  1689,     0,     0,     0,     0,
       0,     0,     0,     0,  1709,     0,     0,     0,  1135,     0,
       0,     0,     0,     0,     0,  3263,     0,  3270,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4106,   699,  4108,
       0,     0,     0,     0,     0,     0,     0,     0,  2345,     0,
       0,  2346,     0,     0,     0,  2347,  2348,  2349,  5049,  1459,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2350,     0,     0,     0,     0,     0,     0,  2363,
    2352,     0,     0,     0,     0,     0,  2353,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4153,     0,     0,     0,     0,   745,     0,     0,     0,     0,
    2354,     0,     0,     0,  1056,     0,  1056,     0,     0,     0,
       0,     0,     0,     0,     0,  4167,     0,     0,     0,     0,
       0,     0,     0,  1689,     0,     0,   699,     0,     0,     0,
       0,     0,     0,     0,     0,  1233,     0,  1239,  1239,     0,
     849,     0,  1233,     0,  1277,     0,  1239,     0,  1239,     0,
    2435,     0,  1239,     0,     0,  1135,     0,     0,     0,     0,
       0,     0,  2364,     0,     0,  2365,  2366,  2367,     0,  2368,
    2369,  2370,  2371,  2372,  2373,     0,     0,     0,     0,  5496,
       0,     0,     0,     0,     0,     0,  2670,     0,     0,     0,
       0,     0,     0,     0,  3410,     0,     0,     0,     0,  2493,
       0,  3421,     0,   849,     0,     0,  2355,  3408,     0,     0,
    1135,  2356,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   849,     0,     0,     0,     0,     0,     0,  1135,
       0,     0,  2357,  2358,  3466,  3466,     0,     0,     0,     0,
    4305,     0,     0,   745,     0,     0,     0,  2359,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1239,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2360,
       0,     0,     0,     0,     0,     0,     0,     0,  3531,     0,
    3534,  3536,  2361,     0,     0,  2362,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1239,
       0,     0,     0,     0,     0,     0,     0,  1239,     0,  1239,
       0,     0,     0,     0,     0,  1239,     0,  2664,     0,     0,
       0,  4368,     0,     0,     0,     0,  2687,  1689,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2670,  4377,     0,  3466,     0,  1135,     0,     0,  3622,
    2721,     0,  1056,     0,  2363,     0,     0,     0,  2728,     0,
       0,  2731,     0,     0,     0,     0,     0,  4400,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3531,     0,
       0,     0,     0,     0,     0,     0,     0,  1239,  3648,     0,
       0,     0,     0,     0,     0,     0,     0,  2766,     0,     0,
       0,  2281,     0,  2115,     0,     0,     0,     0,     0,     0,
       0,  2783,     0,     0,  1689,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2795,     0,     0,  3695,  3698,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1239,     0,  1239,  3466,  1239,  3466,  2364,     0,     0,
    2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,
       0,     0,     0,     0,  5616,     0,     0,     0,     0,     0,
       0,     0,  1689,  2345,     0,  2846,  2346,     0,     0,     0,
    2347,  2348,  2349,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2345,     0,  2255,  2346,  2880,  2350,     0,  2347,
    2348,  2349,     0,  2892,     0,  2352,     0,     0,     0,     0,
       0,  2353,  2345,     0,     0,  2346,  2350,     0,     0,  2347,
    2348,  2349,     0,     0,  2352,     0,     0,     0,     0,     0,
    2353,     0,  1135,     0,     0,  2354,  2350,     0,     0,  3782,
       0,     0,  1233,     0,  2352,     0,     0,     0,  1233,     0,
    2353,     0,     0,     0,  2354,     0,     0,     0,     0,  1239,
       0,     0,     0,     0,  2345,  1689,     0,  2346,     0,     0,
    1689,  2347,  2348,  2349,  2354,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2350,     0,
       0,     0,  3228,  1689,  1689,  1689,  2352,     0,  1689,     0,
       0,     0,  2353,     0,     0,     0,  1689,  1689,  1689,  1689,
       0,     0,     0,     0,     0,     0,  2975,     0,     0,  1689,
       0,     0,  1689,     0,  1689,     0,  2354,     0,     0,     0,
       0,     0,     0,     0,     0,  1689,  1689,     0,     0,  1689,
       0,  2355,     0,     0,     0,     0,  2356,     0,     0,     0,
       0,  1277,     0,  1689,     0,  1689,     0,  1689,     0,     0,
    2355,     0,     0,  1709,  1709,  2356,     0,  2357,  2358,     0,
       0,     0,     0,     0,  3229,     0,     0,  1689,     0,     0,
    2355,  1135,  2359,  3030,     0,  2356,  2357,  2358,  3901,     0,
    1689,  1689,  1689,     0,     0,     0,     0,     0,     0,     0,
       0,  2359,     0,     0,     0,     0,  2357,  2358,     0,     0,
       0,     0,     0,     0,  2360,  1689,     0,     0,     0,     0,
       0,  2359,     0,     0,     0,     0,     0,  2361,  1689,     0,
    2362,     0,  2355,  2360,     0,     0,     0,  2356,     0,     0,
       0,     0,     0,  1689,     0,     0,  2361,     0,     0,  2362,
       0,     0,     0,  2360,     0,     0,     0,  3901,  2357,  2358,
    3963,     0,     0,  3966,     0,  3270,  2361,     0,     0,  2362,
       0,  4711,     0,  2359,     0,     0,     0,     0,     0,     0,
    3185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2360,  3206,     0,     0,  2363,
       0,     0,     0,     0,     0,     0,     0,     0,  2361,     0,
       0,  2362,     0,     0,     0,     0,     0,     0,  2363,     0,
    1689,     0,  3466,     0,     0,     0,     0,  2255,     0,     0,
       0,     0,     0,     0,  3219,     0,  3222,     0,  2363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1239,     0,  1239,  1239,  1239,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1709,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2363,     0,  2364,     0,     0,  2365,  2366,  2367,     0,  2368,
    2369,  2370,  2371,  2372,  2373,     0,     0,     0,     0,  5634,
       0,  2364,     0,     0,  2365,  2366,  2367,     0,  2368,  2369,
    2370,  2371,  2372,  2373,     0,     0,  3213,     0,     0,     0,
       0,  2364,     0,     0,  2365,  2366,  2367,     0,  2368,  2369,
    2370,  2371,  2372,  2373,     0,  3230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2281,   857,
       0,     0,     0,     0,     0,  1135,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2364,     0,     0,  2365,  2366,  2367,     0,
    2368,  2369,  2370,  2371,  2372,  2373,     0,     0,     0,     0,
       0,     0,     0,  2345,   857,     0,  2346,     0,     0,     0,
    2347,  2348,  2349,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2350,     0,     0,
       0,     0,     0,     0,     0,  2352,     0,     0,     0,     0,
       0,  2353,     0,     0,     0,     0,     0,     0,  1239,     0,
       0,     0,  1094,     0,     0,  3466,  3466,     0,     0,     0,
    1094,     0,  1094,     0,     0,  2354,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   857,     0,  3433,     0,     0,
       0,     0,     0,     0,     0,  4920,     0,     0,     0,     0,
       0,     0,  1135,  1135,     0,     0,  3460,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1135,     0,
       0,     0,     0,     0,     0,     0,  4937,     0,     0,     0,
       0,     0,     0,  2255,  1135,     0,     0,     0,     0,     0,
       0,     0,  2255,  1135,  1135,     0,     0,  4952,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3823,
    1135,     0,     0,     0,  3824,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   745,     0,     0,
       0,  2355,     0,     0,     0,     0,  2356,     0,     0,     0,
       0,     0,     0,     0,  3695,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4979,     0,  2357,  2358,     0,
       0,  1239,     0,  1239,     0,     0,     0,  1239,     0,     0,
       0,     0,  2359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1233,     0,     0,     0,  2345,
       0,     0,  2346,  3618,     0,  1135,  2347,  2348,  2349,     0,
       0,     0,     0,     0,  2360,     0,     0,     0,     0,     0,
       0,  1135,     0,  2350,     0,     0,     0,  2361,     0,     0,
    2362,  2352,     0,  1239,     0,     0,     0,  2353,     0,     0,
    1689,     0,     0,     0,     0,     0,     0,     0,     0,  1689,
       0,     0,     0,  5051,     0,  1689,     0,  1689,     0,     0,
    1689,  2354,     0,     0,     0,  1689,  1689,  1689,  1689,     0,
       0,  1689,  1689,  1689,  1689,  1689,  1689,  1689,  1689,  1689,
    1689,     0,     0,     0,  1689,  1689,     0,     0,     0,     0,
       0,     0,     0,     0,  1689,     0,     0,     0,  1689,     0,
       0,     0,  1689,     0,     0,     0,     0,     0,  2281,  2363,
    1689,     0,     0,  1689,     0,  1689,     0,     0,     0,     0,
       0,     0,     0,     0,  1689,     0,     0,  1689,  1689,     0,
       0,     0,  1689,  1689,     0,     0,     0,  4444,     0,  1689,
       0,     0,     0,     0,     0,     0,  1135,  1135,  1135,  1233,
       0,  3901,  4464,     0,     0,     0,  4464,  4478,     0,     0,
       0,     0,     0,  1689,     0,     0,     0,  2355,     0,  1689,
    1689,  1689,  2356,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3757,
       0,     0,     0,  2357,  2358,     0,     0,     0,     0,     0,
       0,     0,  2364,     0,     0,  2365,  2366,  2367,  2359,  2368,
    2369,  2370,  2371,  2372,  2373,     0,     0,     0,     0,  1689,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3270,     0,  1689,     0,     0,     0,     0,     0,     0,     0,
    2360,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2361,     0,     0,  2362,     0,     0,     0,
       0,     0,     0,  4543,  2255,  2255,     0,  2794,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4412,     0,
       0,     0,     0,     0,     0,     0,  1239,  1239,  1239,  1239,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2670,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4589,
       0,     0,     0,     0,     0,  2363,     4,     0,  3884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4413,     0,     0,     0,     0,     5,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     6,     7,     0,     0,
       0,     8,     0,     9,    10,     0,  2281,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,    36,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,  4153,     0,    45,     0,     0,  4667,
       0,     0,     0,     0,     0,     0,     0,     0,  2364,     0,
       0,  2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,  2372,
    2373,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1135,     0,  1239,     0,  1689,     0,    46,     0,
    2281,     0,  1135,     0,  2281,  2281,   857,     0,  4702,     0,
       0,     0,     0,     0,  1235,     0,     0,  2670,     0,     0,
       0,     0,     0,  1235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1135,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3531,     0,     0,
       0,     0,     0,     0,  4735,     0,     0,     0,     0,  1235,
       0,     0,     0,     0,  1135,     0,     0,     0,  2794,     0,
       0,    47,  1689,  1689,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    48,
       0,     0,     0,     0,  5409,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3695,  3695,  3695,  3695,  3695,     0,
      49,     0,     0,     0,  3466,     0,  3466,     0,  1235,     0,
       0,     0,     0,     0,  1460,     0,     0,     0,  1235,     0,
       0,     0,     0,    50,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1460,     0,     0,     0,     0,
       0,  2345,     0,     0,  2346,     0,  1689,     0,  2347,  2348,
    2349,     0,  4114,     0,     0,     0,     0,  1689,     0,     0,
      51,     0,     0,    52,     0,  2350,     0,     0,     0,     0,
       0,     0,     0,  2352,     0,     0,     0,     0,    53,  2353,
       0,     0,     0,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1689,  1689,     0,
       0,     0,     0,  2354,  1689,  1689,     0,     0,     0,  1689,
       0,     0,     0,     0,  1689,     0,     0,  1689,  1689,     0,
       0,     0,  1689,  4840,     0,     0,     0,     0,  1689,  1135,
    1135,  1135,  1135,     0,     0,     0,  4464,  4478,     0,  4464,
    1235,  1235,  4851,     0,     0,     0,  3901,  1094,     0,     0,
    3901,  1094,     0,     0,     0,     0,  4866,    54,     0,     0,
       0,     0,  1689,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,     0,  1689,     0,     0,     0,  1235,     0,  4223,
    4224,     0,     0,  1277,     0,     0,  5577,     0,     0,     0,
    1689,     0,     0,  3963,     0,  4233,     0,     0,  3270,     0,
       0,     0,     0,    55,     0,     0,     0,     0,     0,  2355,
       0,  4250,     0,     0,  2356,     0,  1056,     0,    56,  1689,
    4259,  4260,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    57,     0,  2357,  2358,  4278,     0,  3466,
    3466,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2359,     0,     0,     0,     0,     0,     0,  2670,     0,     0,
       0,    58,     0,     0,     0,     0,  4936,     0,     0,    59,
       0,    60,    61,    62,    63,    64,     0,     0,    65,    66,
      67,    68,  2360,    69,    70,    71,    72,    73,     0,     0,
       0,     0,     0,     0,     0,  2361,     0,     0,  2362,     0,
       0,     0,     0,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5578,     0,
       0,  1094,  1094,     0,     0,     0,     0,  1239,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1709,     0,
       0,     0,  1239,     0,     0,     0,     0,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,  1460,     0,     0,     0,
    1235,     0,     0,     0,     0,     0,     0,     0,     0,  1689,
       0,     0,     0,     0,     0,     0,  1460,  2363,     0,     0,
    1233,     0,     0,     0,     0,  2670,     0,     0,     0,     0,
    1460,     0,     0,  2255,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2345,  1239,  2670,
    2346,     0,     0,     0,  2347,  2348,  2349,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1235,     0,
       0,  2350,     0,     0,     0,     0,     0,     0,  1135,  2352,
       0,  5060,     0,     0,     0,  2353,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4452,  4453,  4454,     0,     0,     0,  2354,
    2364,     0,  1460,  2365,  2366,  2367,     0,  2368,  2369,  2370,
    2371,  2372,  2373,     0,     0,     0,  1689,     0,     0,     0,
       0,     0,     0,     0,     0,  1689,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1689,  1689,     0,     0,  1689,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1233,  4464,     0,     0,     0,  3901,     0,     0,     0,     0,
    3901,     0,     0,  3901,  1233,  1235,  3531,     0,  5115,     0,
       0,  1689,  1689,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4543,     0,  2355,     0,     0,     0,     0,
    2356,     0,     0,     0,     0,     0,     0,  4543,  1277,  1239,
    1239,  1239,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2357,  2358,  1460,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2359,     0,     0,  2345,
       0,     0,  2346,     0,     0,     0,  2347,  2348,  2349,     0,
       0,  1233,  1277,     0,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,  2350,     0,     0,  3828,     0,  2360,     0,
       0,  2352,     0,     0,     0,     0,     0,  2353,     0,     0,
       0,  2361,  1235,     0,  2362,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1233,     0,     0,  1135,     0,     0,
    3796,  2354,     0,     0,     0,     0,     0,  4702,     0,     0,
    1235,  1235,  1235,  1135,  1235,  3466,     0,     0,     0,     0,
    2670,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4735,     0,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,  1239,  1135,  4543,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1689,     0,     0,
    1689,     0,  1689,     0,     0,     0,     0,  2345,  1235,   857,
    2346,     0,     0,     0,  2347,  2348,  2349,     0,     0,  4687,
       0,     0,     0,     0,     0,     0,  1689,  2355,     0,  4697,
    3901,  2350,  2356,     0,  5115,     0,     0,     0,  1235,  2352,
       0,  1689,  1235,  1235,     0,  2353,     0,     0,     0,     0,
    5311,     0,     0,  2357,  2358,     0,     0,     0,     0,     0,
       0,     0,     0,  1689,  4717,     0,     0,     0,  2359,  2354,
       0,     0,     0,     0,     0,     0,  2364,     0,  1135,  2365,
    2366,  2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,     0,
       0,  2892,     0,     0,     0,     0,  1448,     0,     0,     0,
    2360,  1689,     0,     0,     0,     0,     0,     0,  1239,  1239,
    1239,  1239,     0,  2361,     0,     0,  2362,  1448,     0,     0,
       0,     0,  1460,     0,     0,     0,     0,     0,   857,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1094,     0,
       0,     0,     0,     0,     0,  1233,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3833,     0,
       0,     0,     0,     0,     0,  1689,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2355,     0,     0,     0,  1094,
    2356,     0,     0,     0,     0,     0,     0,  1460,     0,  1450,
       0,     0,     0,     0,     0,  2363,     0,     0,     0,     0,
       0,  2357,  2358,     0,     0,     0,     0,     0,  1689,     0,
    1450,  1233,     0,     0,     0,     0,  2359,     0,     0,     0,
    1689,  1460,     0,     0,     0,  1689,     0,  1689,     0,  1689,
       0,     0,     0,     0,     0,     0,  4543,     0,     0,     0,
       0,     0,  1239,     0,  1277,     0,     0,     0,  2360,     0,
       0,     0,     0,  1689,     0,     0,     0,     0,     0,     0,
       0,  2361,     0,     0,  2362,     0,  4843,  4844,  4845,  4846,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2255,  2255,     0,     0,  2364,     0,
       0,  2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,  2372,
    2373,     0,     0,  1460,     0,     0,     0,     0,     0,     0,
       0,  1239,     0,     0,     0,     0,  1233,     0,  1460,     0,
       0,     0,     0,     0,     0,     0,  1460,     0,     0,     0,
       0,     0,   857,     0,     0,     0,     0,  1460,     0,  5060,
       0,     0,     0,  2363,     0,     0,     0,  1689,  1689,     0,
       0,     0,  3531,     0,     0,     0,     0,     0,  1689,     0,
       0,  5311,     0,     0,     0,  3270,     0,     0,     0,     0,
       0,     0,  2345,     0,     0,  2346,     0,     0,  1233,  2347,
    2348,  2349,     0,     0,  1460,     0,     0,     0,  1239,     0,
       0,     0,     0,     0,     0,  2255,  2350,  1235,     0,  3839,
       0,     0,     0,  1460,  2352,     0,     0,     0,     0,  1235,
    2353,     0,     0,     0,     0,  1460,     0,     0,     0,     0,
       0,     0,     0,     0,  4543,     0,     0,  1460,     0,     0,
    1233,  1233,     0,  1689,  2354,     0,  2364,     0,  1448,  2365,
    2366,  2367,  1235,  2368,  2369,  2370,  2371,  2372,  2373,     0,
       0,     0,  1689,     0,     0,     0,     0,     0,  1448,  1239,
       0,     0,     0,     0,     0,     0,     0,  1460,     0,     0,
    1460,     0,  1448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1450,     0,     0,  1235,  1689,  1689,     0,     0,     0,
    2355,     0,     0,     0,     0,  2356,     0,     0,     0,  1233,
       0,  1450,     0,     0,  1448,     0,     0,     0,     0,     0,
       0,  1233,  1233,     0,     0,  1450,  2357,  2358,     0,     0,
       0,  1235,  1235,     0,     0,  5053,     0,  1235,  1235,     0,
       0,  2359,     0,     0,  1235,  1235,  1235,     0,     0,     0,
    1235,     0,  1235,  1235,  1235,  1235,  1235,  1235,     0,  1235,
       0,  1235,  1235,     0,     0,  1235,     0,     0,     0,     0,
       0,     0,     0,  2360,     0,     0,     0,     0,     0,  1460,
    1235,  1235,  1235,  1235,   857,     0,  2361,     0,  1235,  2362,
       0,     0,  1235,     0,     0,  1235,     0,     0,  1235,  1235,
    1235,  1235,  1235,  1235,  1235,  1235,  1235,  1450,  1235,     0,
       0,     0,     0,     0,     0,     0,  1235,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2363,     0,
       0,     0,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1235,     0,     0,     0,     0,     0,     0,
       0,     0,     5,     0,     0,     0,     0,  1235,     0,     0,
       0,     0,     6,     7,     0,     0,  1235,  1235,     0,     9,
      10,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,  1450,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,   871,     0,     0,     0,
       0,  2364,     0,     0,  2365,  2366,  2367,     0,  2368,  2369,
    2370,  2371,  2372,  2373,  5215,     0,     0,     0,     0,     0,
       0,     0,     0,  1460,     0,     0,  2345,  1460,  1460,  2346,
    1709,     0,     0,  2347,  2348,  2349,     0,     0,     0,     0,
       0,   857,   872,     0,    46,     0,     0,     0,     0,     0,
    2350,     0,     0,     0,     0,     0,   873,     0,  2352,     0,
       0,  5260,     0,     0,  2353,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   874,  1235,     0,     0,     0,     0,
     875,     0,     0,     0,     0,     0,     0,  1235,  2354,     0,
       0,  1460,     0,     0,  1235,     0,   876,     0,     0,     0,
       0,     0,     0,  1460,     0,     0,     0,   877,     0,     0,
       0,     0,     0,     0,     0,   878,     0,    47,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   879,  1094,     0,
       0,     0,   880,     0,     0,    48,     0,     0,   881,     0,
       0,     0,     0,  1460,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   882,    49,     0,     0,     0,
       0,     0,     0,     0,  1448,   857,     0,     0,     0,   857,
       0,     0,     0,     0,     0,  5326,     0,     0,     0,    50,
     883,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2355,     0,  1094,     0,     0,  2356,
       0,   884,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    51,     0,     0,    52,
    2357,  2358,     0,     0,     0,     0,     0,     0,     0,  1448,
       0,     0,     0,   885,    53,  2359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   886,     0,     0,  1450,     0,     0,
       0,     0,     0,  1448,   887,     0,     0,  2360,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2361,     0,     0,  2362,     0,     0,     0,     0,     0,     0,
       0,   888,     0,     0,     0,     0,   889,     0,   890,  1235,
    1460,     0,     0,     0,   891,     0,     0,   892,   857,     0,
       0,     0,     0,    54,     0,     0,     0,     0,     0,     0,
       0,     0,  1450,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   893,   894,     0,     0,   895,
       0,     0,     0,   896,     0,  1448,     0,     0,     0,     0,
       0,     0,   897,     0,     0,     0,  1450,   898,     0,    55,
    1448,     0,  2363,     0,     0,     0,     0,     0,  1448,   899,
    1460,     0,     0,     0,    56,     0,     0,     0,     0,  1448,
       0,     0,   900,     0,     0,     0,  1235,     0,     0,    57,
       0,  4365,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    58,     0,     0,
       0,     0,     0,     0,     0,    59,  1448,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1501,  2207,  1450,     0,
       0,    71,     0,     0,  1235,  1448,     0,     0,     0,     0,
       0,     0,     0,  1450,     0,  2364,     0,  1448,  2365,  2366,
    2367,  1450,  2368,  2369,  2370,  2371,  2372,  2373,     0,  1448,
       0,     0,  1450,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1460,     0,     0,     0,     0,     0,     0,     0,     0,  1448,
       0,     0,  1448,     0,  1235,     0,     0,  1460,     0,  1450,
    1235,     0,     0,     0,     0,     0,     0,     0,  1460,     0,
       0,     0,     0,     0,     0,     0,     0,  1235,  1450,     0,
       0,     0,  1235,     0,     0,     0,     0,     0,     0,     0,
    1450,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1450,     0,     0,  1235,  1235,  1235,     0,     0,
    1235,     0,     0,     0,     0,     0,     0,     0,  1235,  1235,
    1235,  1235,     0,     0,     0,     0,   857,     0,     0,     0,
       0,  1235,   857,     0,  1235,     0,  1235,     0,     0,     0,
       0,     0,  1450,     0,     0,  1450,     0,  1235,  1235,     0,
       0,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1235,     0,  1235,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1235,  1448,  1235,  1235,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1235,     0,     0,    85,     0,
       0,     0,     0,     0,    89,     0,     0,     0,    93,  1235,
      94,     0,    96,    97,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   106,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1450,     0,     0,     0,     0,   118,
     119,     0,     0,     0,     0,     0,     0,     0,  1460,     0,
       0,  1460,     0,  1460,     0,     0,     0,     0,  1460,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1235,     0,     0,     0,     0,     0,     0,   127,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   128,
       0,   129,   130,     0,     0,     0,     0,     0,     0,     0,
    1460,     0,     0,     0,     0,     0,  1169,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1460,     0,     0,
       0,     0,     0,     0,     0,     0,   140,     0,   141,   142,
       0,     0,     0,     0,   145,  1448,   146,     0,     0,  1448,
    1448,     0,  1460,     0,     0,     0,     0,   148,     0,   149,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   152,     0,   153,     0,     0,   156,
       0,     0,     0,     0,     0,     0,     0,   857,   857,   857,
       0,     0,   157,     0,   158,     0,     0,     0,   159,     0,
       0,     0,     0,     0,   160,     0,     0,     0,     0,     0,
       0,     0,   162,  1448,   164,     0,     0,     0,     0,     0,
     166,  1460,     0,  1460,     0,  1448,   857,     0,     0,     0,
       0,     0,     0,     0,     0,   170,     0,     0,  1450,     0,
       0,     0,  1450,  1450,     0,     0,     0,     0,     0,     0,
       0,   174,     0,     0,     0,  2345,     0,     0,  2346,     0,
       0,     0,  2347,  2348,  2349,  1448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2350,
       0,     0,  4419,     0,  1460,     0,     0,  2352,     0,     0,
     185,   186,     0,  2353,     0,     0,   187,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1450,     0,   188,  1460,
       0,     0,     0,     0,     0,     0,     0,  2354,  1450,   193,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1460,     0,     0,
       0,   857,  1460,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1450,   203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1092,   205,     0,     0,     0,     0,   206,   207,  1092,   208,
    1092,     0,     0,     0,   209,     0,     0,     0,     0,   210,
       0,     0,   212,     0,     0,     0,     0,   214,     0,     0,
       0,  1460,   215,   216,     0,     0,     0,     0,     0,     0,
     217,     0,     0,     0,   219,     0,     0,     0,     0,  1460,
       0,     0,  1448,  2355,   222,     0,     0,     0,  2356,     0,
       0,     0,     0,     0,  1460,     0,   224,   915,     0,     0,
       0,     0,   916,     0,     0,     0,     0,     0,     0,  2357,
    2358,     0,     0,     0,   917,   230,     0,   231,     0,     0,
       0,     0,     0,     0,  2359,   233,     0,     0,     0,     0,
       0,   234,     0,     0,     0,   918,   235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1235,   919,   238,
       0,     0,  1448,     0,     0,     0,  2360,     0,   920,     0,
       0,     0,  -802,     0,     0,     0,     0,     0,     0,  2361,
     248,     0,  2362,     0,     0,  1450,     0,     0,     0,     0,
     921,     0,     0,     0,   249,     0,   922,     0,  -147,     0,
       0,     0,  1235,     0,     0,  1460,     0,     0,     0,     0,
       0,  1235,   923,     0,     0,     0,     0,  1235,     0,  1235,
       0,     0,  1235,   924,     0,     0,  1460,  1235,  1235,  1235,
    1235,   925,     0,  1235,  1235,  1235,  1235,  1235,  1235,  1235,
    1235,  1235,  1235,   926,     0,     0,  1235,  1235,     0,     0,
     927,  1460,     0,     0,   928,  1450,  1235,     0,     0,     0,
    1235,  2363,   857,     0,  1235,     0,     0,     0,     0,     0,
       0, -1014,  1235,     0,     0,  1235,     0,  1235,     0,     0,
       0,     0,     0,     0,     0,  1460,  1235,     0,     0,  1235,
    1235,     0,  1448,     0,  1235,  1235,     0,     0,     0,     0,
       0,  1235,     0,     0,     0,     0,     0,     0,   929,  1448,
       0,  1235,     0,  1235,     0,     0,     0,  -540,     0,     0,
    1448,     0,     0,     0,     0,  1235,     0,     0,     0,     0,
       0,  1235,  1235,  1235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   930,
       0,     0,   931,     0,  2364,     0,     0,  2365,  2366,  2367,
       0,  2368,  2369,  2370,  2371,  2372,  2373,     0,     0,     0,
     932,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1235,     0,     0,     0,  1450,     0,     0,     0,  -436,
       0,     0,     0,     0,  1235,     0,     0,     0,     0,     0,
       0,     0,  1450,     0,     0,     0,     0,   933,     0,     0,
    1460,     0,     0,  1450,   934,     0,     0,     0,     0,     0,
    -436,     0,     0,   935,     0,  1235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  -436,     0,     0,   936,   937,     0,   938,   939,
       0,     0,     0,     0,     0,     0,     0,     0,   940,     0,
       0,     0,     0,   941,     0,     4,     0,     0,     0,   942,
       0,     0,   943,     0,     0,   944,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     5,     0,     0,  -436,     0,
       0,     0,     0,     0,   857,     6,     7,     0,     0,   857,
    1460,   857,     9,    10,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
    1448,     0,     0,  1448,     0,  1448,     0,     0,     0,     0,
    1448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1448,  1238,  1240,     0,     0,  1243,  1235,  1245,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1296,
       0,     0,     0,  1450,     0,  1460,  1450,     0,  1450,     0,
       0,     0,     0,  1450,  1448,     0,     0,     0,     0,     0,
    1358,     0,     0,     0,  1361,     0,     0,     0,     0,     0,
      47,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1385,     0,     0,     0,     0,     0,    48,     0,
       0,     0,  1231,  1460,  1235,  1235,     0,     0,     0,     0,
       0,  1231,     0,     0,     0,  1450,     0,     0,     0,    49,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1450,  1448,     0,  1448,     0,     0,     0,     0,
       0,     0,    50,     0,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1450,     0,     0,
       0,     0,  2345,     0,     0,  2346,     0,     0,     0,  2347,
    2348,  2349,     0,     0,     0,     0,     0,     0,     0,    51,
       0,     0,    52,     0,     0,     0,  2350,     0,  1235,     0,
       0,     0,     0,     0,  2352,     0,  1448,    53,     0,  1235,
    2353,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,     0,  1458,     0,     0,     0,  1231,     0,     0,     0,
       0,  1448,     0,     0,  2354,     0,  1450,     0,  1450,  1235,
       0,     0,     0,  1458,     0,     0,     0,     0,     0,  1235,
    1235,     0,  1460,     0,     0,     0,  1235,  1235,     0,  1448,
       0,  1235,  1460,     0,  1448,     0,  1235,     0,     0,  1235,
    1235,     0,     0,     0,  1235,     0,     0,     0,     0,     0,
    1235,     0,     0,     0,     0,     0,    54,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1235,  1450,
       0,     0,  1235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1235,     0,     0,     0,     0,  1235,
       0,     0,     0,  1448,  1450,  1235,     0,     0,     0,     0,
       0,     0,    55,     0,     0,     0,     0,     0,     0,     0,
    2355,  1448,  1235,     0,     0,  2356,     0,    56,  1231,  1231,
       0,     0,  1450,     0,     0,  1092,  1448,  1450,     0,  1092,
       0,     0,    57,     0,     0,     0,  2357,  2358,     0,     0,
       0,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2359,     0,     0,     0,  1231,     0,     0,     0,  1460,
      58,     0,     0,     0,     0,     0,     0,     0,    59,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1501,
    2967,   857,     0,  2360,    71,     0,  1450,     0,     0,     0,
    1460,     0,     0,     0,  1946,  1947,  2361,     0,     0,  2362,
       0,     0,     0,     0,  1450,     0,     0,     0,     0,     0,
       0,  1460,     0,     0,     0,     0,     0,     0,     0,  1450,
       0,     0,     0,     0,     0,   857,  1460,  1448,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1460,
       0,     0,     0,  1448,     0,     0,     0,  2049,  2363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1235,     0,     0,     0,     0,     0,     0,     0,  1092,
    1092,     0,  1235,  2072,  2073,     0,     0,  1448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1450,     0,     0,     0,  2106,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,  1458,     0,     0,     0,  1231,     0,
       0,  1450,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1458,  1460,     0,  1460,     0,     0,
       0,     0,     0,     0,     0,     0,  1450,     0,  1458,     0,
       0,  2364,     0,     0,  2365,  2366,  2367,     0,  2368,  2369,
    2370,  2371,  2372,  2373,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1450,     0,     0,     0,  2176,  2178,  1231,     0,  1235,     0,
       0,     0,  1460,     0,     0,     0,     0,  1235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1448,     0,  1235,  1235,     0,     0,  1235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1458,     0,  1235,     0,     0,     0,     0,  1235,     0,     0,
       0,     0,  1235,     0,     0,  1235,  1235,     0,     0,     0,
       0,     0,     0,  1235,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1451,
       0,     0,     0,  1231,     0,  1450,     0,     0,     0,     0,
       0,     0,  1448,     0,     0,     0,     0,     0,     0,     0,
    1451,     0,     0,  1460,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1458,     0,     0,     0,     0,     0,     0,     0,     0,
     857,     0,     0,     0,     0,     0,  1235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1450,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,  1235,     0,  1460,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,  1231,
    1231,     0,  1231,     0,     0,     0,     0,  1448,     0,  1235,
    1460,     0,  1235,     0,  1235,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1235,     0,
       0,     0,  1235,     0,     0,     0,     0,     0,  1460,     0,
       0,     0,     0,  1235,     0,  1448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1235,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   857,     0,
    1450,     0,     0,     0,  1460,     0,  1231,     0,  1460,  1460,
    1231,  1231,     0,  1235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1450,     0,
       0,     0,     0,     0,     0,     0,     0,  1235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1458,  1451,  2691,     0,  1448,     0,     0,  1460,  1460,     0,
       0,     0,     0,     0,  1448,     0,  1092,     0,     0,     0,
       0,  1451,     0,     0,     0,     0,     0,     0,     0,     0,
    1235,     0,     0,  1235,     0,  1451,     0,     0,     0,     0,
       0,     0,  1235,     0,     0,     0,     0,  1235,     0,  1235,
       0,  1235,     0,     0,     0,     0,     0,  1092,  1235,     0,
       0,     0,     0,     0,     0,  1458,  2762,  2763,  2764,  2765,
       0,     0,     0,     0,     0,  1235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   857,  1450,     0,  1458,
       0,     0,     0,     0,     0,     0,     0,  1450,     0,     0,
    2803,  2804,     0,     0,     0,     0,     0,  1451,     0,  2816,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2828,
       0,     0,     0,     0,     0,     0,     0,     0,  1235,     0,
       0,  1448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2864,  2865,  2866,
    2867,     0,     0,     0,     0,     0,     0,     0,     0,  1235,
    1235,     0,  1448,     0,     0,     0,     0,     0,     0,     0,
    1235,  1458,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1448,     0,     0,  1458,     0,     0,     0,
    1235,     0,     0,     0,  1458,     0,     0,     0,  1448,     0,
       0,     0,     0,     0,     0,  1458,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1450,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1235,     0,  1451,     0,
       0,  1448,  1235,  1235,  2950,  1235,     0,  2953,     0,     0,
       0,     0,  1458,     0,     0,  1450,     0,  2958,     0,     0,
       0,     0,     0,     0,  1235,  1231,  2966,     0,     0,     0,
       0,  1458,     0,     0,     0,     0,  1450,  1231,     0,     0,
       0,     0,     0,  1458,     0,     0,     0,     0,     0,     0,
     857,  1450,     0,     0,     0,  1458,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1448,
       0,     0,     0,     0,  1450,  1458,     0,     0,  1458,     0,
       0,     0,     0,     0,     0,     0,     0,  1235,  1235,     0,
       0,     0,     0,   857,     0,     0,     0,     0,     0,     0,
       0,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   857,  1235,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3136,     0,     0,     0,     0,
       0,     0,  1450,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
    1231,     0,     0,     0,     0,  1231,  1231,     0,     0,     0,
       0,     0,  1231,  1231,  1231,     0,     0,     0,  1231,     0,
    1231,  1231,  1231,  1231,  1231,  1231,     0,  1231,     0,  1231,
    1231,     0,     0,  1231,     0,     0,     0,  1450,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1458,  1231,  1231,
    1231,  1231,     0,     0,     0,     0,  1231,     0,     0,     0,
    1231,     0,     0,  1231,     0,     0,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1448,  1231,  1451,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1451,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,     0,  1450,     0,
       0,     0,     0,     0,  1231,  1231,  1451,     0,     0,     0,
       0,  1448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3358,  3359,     0,
       0,     0,     0,     0,     0,     0,  3370,     0,  3372,     0,
    1448,  1458,  3376,     0,     0,  1458,  1458,     0,  1451,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1451,  1450,     0,     0,     0,     0,     0,
       0,  1451,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1451,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,  1450,  1448,     0,     0,     0,
    1448,  1448,     0,     0,     0,  1231,     0,     0,     0,  1458,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,  1458,     0,     0,     0,     0,     0,     0,     0,  1451,
       0,     0,     0,  1450,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1092,     0,  1451,     0,
       0,  3497,     0,     0,     0,     0,     0,     0,     0,     0,
    1451,  1458,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1451,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1450,
    1448,     4,     0,  1450,  1450,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3558,
       0,     5,  1451,     0,  1092,  1451,     0,  3567,     0,  3569,
       0,     6,     7,     0,     0,  3571,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1450,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3646,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,  1458,     0,
       0,     0,     0,    46,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3705,     0,  3707,     0,     0,     0,     0,
       0,     0,     0,     0,  1451,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1458,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    48,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    49,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,     0,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,  3773,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    51,     0,     0,    52,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    53,     0,     0,     0,     0,  1458,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,     0,  1458,     0,     0,  1231,     0,
       0,     0,     0,     0,     0,     0,  1458,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,  1451,     0,
       0,     0,  1451,  1451,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,  1231,  1231,     0,     0,  1231,     0,
       0,     0,    54,     0,     0,     0,  1231,  1231,  1231,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,  1231,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,  1231,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,  1451,     0,    55,     0,
       0,     0,     0,  1231,     0,  1231,     0,  1231,  1451,     0,
       0,     0,     0,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,    57,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,     0,
    1231,  1231,  1231,     0,     0,     0,     0,     0,  1451,     0,
       0,     0,     0,     0,     0,     0,    58,     0,     0,     0,
       0,     0,     0,     0,    59,  1231,    60,    61,    62,    63,
      64,     0,     0,    65,    66,  1501,     0,     0,  1231,     0,
      71,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4020,     0,  4021,  4022,  4023,     0,
       0,     0,     0,     0,     0,     0,  1458,     0,     0,  1458,
     960,  1458,     0,     0,     0,     0,  1458,     0,     0,   960,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     960,     0,     0,     0,     0,  1451,     0,     0,  1458,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1458,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1149,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1149,     0,     0,     0,     0,
    1458,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1451,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1458,
       0,  1458,     0,     0,     0,     0,     0,     0,  4168,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1458,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1451,     0,  1458,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1451,     0,     0,     0,  1199,     0,     0,     0,
       0,     0,     0,  1451,     0,  1458,     0,     0,     0,     0,
    1458,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4328,     0,  4329,     0,     0,     0,  4331,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1458,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1458,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1458,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4362,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,  1458,     0,     0,     0,     0,     0,  1231,
       0,     0,     0,     0,     0,  1231,     0,  1231,     0,     0,
    1231,     0,     0,     0,  1458,  1231,  1231,  1231,  1231,     0,
       0,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,     0,     0,  1451,  1231,  1231,  1451,     0,  1451,  1458,
       0,     0,     0,  1451,  1231,     0,     0,     0,  1231,     0,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,  1231,     0,  1231,   960,   960,     0,     0,
       0,     0,     0,  1458,  1231,     0,     0,  1231,  1231,     0,
       0,     0,  1231,  1231,     0,     0,     0,     0,     0,  1231,
       0,     0,     0,     0,     0,  1451,     0,     0,     0,  1231,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1451,  1231,  1199,     0,     0,     0,     0,  1231,
    1231,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4560,  4561,  4562,  4563,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1458,     0,
       0,     0,     0,     0,     0,     0,  1451,     0,  1451,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1246,     0,     0,     0,     0,
       0,     0,     0,  1279,     0,     0,  1283,  1284,     0,  1287,
       0,     0,  1293,     0,  1295,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1451,
       0,     0,     0,     0,  1356,     0,     0,     0,     0,     0,
       0,     0,  1364,     0,     0,     0,     0,     0,     0,  1376,
       0,     0,  1381,  1382,  1451,     0,     0,  1384,  1458,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1199,     0,   960,     0,     0,     0,
       0,     0,  1451,     0,     0,     0,     0,  1451,     0,     0,
       0,     0,     0,  1417,  4689,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1479,     0,
    1483,     0,     0,  1485,     0,  1487,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   960,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1451,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1451,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,  1451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1578,     0,     0,     0,     0,
       0,     0,     0,  1458,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1458,  1231,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1149,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1451,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1451,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1451,     0,     0,     0,
       0,     0,     0,     0,     0,  1842,  1231,  1844,     0,     0,
       0,  1846,     0,     0,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1451,  1884,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,  1231,     0,
    1458,     0,     0,     0,  1231,  1231,     0,     0,     0,  1231,
    1458,     0,     0,     0,  1231,     0,     0,  1231,  1231,     0,
       0,     0,  1231,     0,     0,     0,     0,     0,  1231,     0,
    2017,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,  2031,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,  2042,
       0,  2043,  1231,     0,     0,     0,     0,  1231,     0,  2046,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,  2052,     0,     0,     0,     0,  2061,     0,     0,  2065,
    1231,     0,     0,     0,     0,  1451,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,     0,  2110,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1458,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4972,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4976,     0,     0,     0,     0,     0,  1458,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1458,
       0,     0,     0,   705,     0,  1451,     0,     0,   749,     0,
     749,     0,     0,     0,  1458,     0,     0,  1231,     0,     0,
     749,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5027,     0,
       0,     0,     0,     0,     0,   749,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   749,     0,  1458,     0,     0,
       0,     0,     0,     0,     0,     0,   749,   749,     0,     0,
     749,     0,     0,     0,     0,     0,   749,     0,     0,  1231,
    1048,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,  2273,     0,     0,     0,
       0,     0,  1048,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   749,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1458,     0,  1458,     0,     0,     0,     0,
    1451,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,  1451,     0,
    1458,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5153,
    5154,  5154,  1231,  1231,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
    1231,     0,     0,  1231,  1231,     0,     0,     0,     0,     0,
       0,  1231,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,  1149,  2453,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1458,     0,     0,     0,     0,     0,  1451,     0,     0,
       0,  1231,     0,   749,     0,     0,     0,  1451,     0,     0,
       0,  2527,     0,  5259,  2527,     0,     0,     0,     0,     0,
       0,     0,  2534,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2543,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2633,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,  1458,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,  1458,     0,
    1231,     0,  1231,     0,  1451,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2720,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,  5347,
    1231,  5349,     0,     0,     0,  1451,  1458,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1451,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,  1451,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1458,     0,     0,     0,  1458,  1458,     0,     0,
       0,  1231,     0,     0,     0,   749,     0,     0,     0,     0,
       0,     0,     0,     0,  1451,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2838,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,   749,   749,     0,     0,     0,     0,     0,
       0,     0,  5154,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1458,  1458,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   749,  1451,     0,     0,     0,     0,     0,  1231,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,  1231,     0,  1231,     0,  1231,
       0,  5493,     0,     0,     0,  2935,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2949,
       0,     0,  2952,  1231,  2954,     0,  2955,  1451,     0,     0,
       0,     0,  2957,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5541,     0,
       0,     0,     0,  2987,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,  2453,     0,     0,     0,  2453,
       0,  2453,     0,     0,  2453,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,  1231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,  5590,
       0,     0,     0,     0,     0,     0,     0,     0,  1451,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1404,   749,     0,   749,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
    1231,  1231,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,     0,   749,  3199,     0,   749,   749,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   705,     0,  1048,     0,  1048,     0,     0,
       0,     0,     0,   705,     0,     0,     0,   749,     0,     0,
       0,     0,     0,     0,  1451,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1048,  1048,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1451,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,     0,     0,   749,     0,   749,     0,     0,     0,
       0,  1231,  1231,  1451,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1451,
       0,     0,     0,  1451,  1451,     0,     0,     0,     0,     0,
       0,     0,  3311,  3312,     0,   705,     0,  3315,  3316,     0,
       0,     0,  3319,     0,     0,     0,     0,     0,     0,   705,
     705,     0,     0,  1824,     0,     0,  3330,     0,     0,     0,
       0,     0,     0,  3339,     0,     0,     0,  3342,  3343,     0,
       0,  3346,  3347,     0,     0,     0,     0,     0,  3352,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3369,     0,  3371,     0,     0,     0,     0,     0,     0,
       0,   705,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3395,  1451,     0,     0,     0,  3397,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3402,     0,     0,     0,     0,     0,     0,     0,     0,  3409,
       0,  3411,     0,     0,  3414,  3417,  3419,     0,     0,     0,
       0,  3427,  3430,     0,     0,     0,     0,     0,     0,     0,
       0,  3443,     0,     0,     0,     0,  3452,     0,     0,     0,
       0,  3456,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3498,     0,
    3500,     0,     0,     0,     0,  3503,     0,     0,     0,  3504,
       0,  3508,  3509,  3510,  3511,     0,  3513,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3538,
    3539,  3540,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3548,  3549,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3593,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   705,     0,     0,     0,     0,   749,
       0,   749,     0,     0,   749,     0,   749,     0,     0,   749,
     749,   749,     0,     0,     0,  2250,     0,     0,     0,     0,
       0,     0,   749,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   749,     0,   749,     0,
       0,     0,     0,   749,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2453,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3758,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2391,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   749,   749,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   705,     0,     0,     0,     0,   705,
     705,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   749,     0,   705,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2531,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3942,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   705,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   705,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3991,  3992,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2453,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   705,     0,
       0,   705,   705,     0,     0,     0,     0,     0,  4013,     0,
       0,     0,  4015,     0,     0,     0,     0,     0,  4018,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4030,  4032,     0,     0,     0,  4032,
       0,     0,     0,     0,  4043,  4044,  4045,     0,  4047,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4064,
       0,   705,     0,     0,     0,     0,     0,     0,     0,  4070,
    4071,  4072,  4073,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4090,     0,     0,  4095,
    4096,  4097,     0,     0,     0,     0,     0,     0,     0,  4110,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4161,     0,     0,     0,     0,     0,     0,     0,  4165,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4177,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   749,     0,   749,     0,     0,     0,
     749,     0,   749,     0,     0,   749,     0,     0,     0,   749,
       0,     0,     0,     0,  2391,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4257,     0,     0,
       0,  4261,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4299,     0,     0,     0,     0,     0,   960,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4320,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4330,     0,     0,     0,  4332,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2453,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,  2250,     0,     0,     0,
       0,  1236,     0,  3200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2531,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,     0,     0,
       0,     0,  1461,     0,     0,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1461,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   705,     0,     0,     0,   705,     0,
       0,     0,     0,     0,  3284,     0,  1824,     0,     0,   749,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   705,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1236,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4554,     0,  4555,     0,
       0,     0,     0,     0,     0,     0,  4557,     0,     0,     0,
       0,     0,     0,     0,     0,  1236,     0,     0,     0,     0,
       0,     0,     0,  4567,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4575,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4588,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4592,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4601,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   705,     0,
       0,     0,  4625,     0,     0,     0,   705,     0,   705,     0,
       0,     0,     0,  4633,  4634,  4635,     0,     0,  4638,  4639,
    4640,  4641,  4642,  4643,     0,     0,     0,     0,  4650,  4651,
       0,  4653,  4654,  4655,  4656,  4657,  4658,     0,  4660,     0,
       0,     0,     0,     0,     0,     0,     0,  4668,     0,  4670,
    4671,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4032,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,  4690,     0,     0,  1461,     0,     0,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1461,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1461,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4032,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1461,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2453,  2453,  2453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4786,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   749,  2250,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   705,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1461,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1453,     0,     0,     0,     0,     0,     0,  1236,  1236,
    1236,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1453,     0,     0,     0,     0,     0,     0,     0,
       0,  4923,  1236,     0,     0,  4924,  4925,  4926,  4927,     0,
       0,  4929,     0,     0,     0,     0,     0,     0,     0,  2531,
       0,     0,     0,     0,   705,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4943,  4944,  4945,     0,  4946,
       0,  4948,  4949,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4958,  4959,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4967,     0,     0,     0,     0,     0,
       0,  2453,  2453,     0,  2453,     0,  1236,     0,     0,     0,
    1236,  1236,     0,     0,     0,     0,  4975,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5020,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1461,     0,     0,     0,     0,     0,  5038,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5065,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1461,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1461,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2453,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2453,     0,     0,     0,     0,     0,
       0,     0,     0,  1453,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1453,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1453,     0,     0,
       0,  1461,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1461,     0,     0,     0,
       0,     0,     0,     0,  1461,     0,     0,     0,     0,  5169,
       0,     0,     0,     0,     0,  1461,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   705,     0,
    5178,     0,     0,   705,     0,  5183,  5184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1453,
       0,     0,  1461,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1236,     0,     0,     0,     0,
    5236,  1461,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,  1461,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1461,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1673,  1673,     0,
    1236,     0,     0,   749,  4032,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5277,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1461,     0,     0,  1461,     0,
       0,     0,     0,     0,  1751,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2453,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5313,     0,     0,     0,     0,
       0,     0,  1236,   705,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5329,     0,
       0,     0,     0,     0,     0,     0,     0,  5336,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
    1236,     0,     0,     0,     0,  1236,  1236,     0,  2453,     0,
       0,     0,  1236,  1236,  1236,     0,     0,     0,  1236,     0,
    1236,  1236,  1236,  1236,  1236,  1236,     0,  1236,     0,  1236,
    1236,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1461,  1236,  1236,
    1236,  1236,     0,     0,     0,     0,  1236,     0,     0,     0,
    1236,     0,     0,  1236,     0,     0,  1236,  1236,  1236,  1236,
    1236,  1236,  1236,  1236,  1236,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,  1236,     0,  4032,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2453,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5454,     0,     0,
       0,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5466,     0,     0,  1236,     0,     0,     0,     0,
    3284,     0,     0,     0,  1236,  1236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1453,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1461,     0,     0,     0,  1461,  1461,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5536,     0,     0,     0,     0,     0,     0,
       0,   705,     0,     0,  1453,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,  5554,
       0,     0,     0,   705,     0,  1236,     0,     0,  1453,  1461,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,  1461,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2302,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1461,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2316,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,  2334,  2335,  2336,
       0,  2339,     0,  1453,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1453,     0,     0,     0,     0,     0,
       0,  2381,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1453,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2436,     0,     0,     0,     0,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1453,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1453,  2460,     0,  1236,  1461,  2472,
    2477,     0,     0,     0,     0,   705,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1453,     0,     0,  1453,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1461,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2531,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1453,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1461,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,  1461,     0,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,  1461,     0,     0,     0,
       0,     0,     0,     0,     0,  1236,     0,     0,     0,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,   705,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,  1236,  1236,     0,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,  1236,  1236,  1236,  1236,
       0,     0,     0,     0,     0,     0,     0,   705,     0,  1236,
       0,     0,  1236,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1236,  1236,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1454,
       0,     0,     0,  1236,     0,  1236,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1454,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1236,     0,
    1236,  1236,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1236,     0,     0,     0,     0,
    1453,     0,     0,     0,  1453,  1453,     0,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1453,     0,
       0,     0,     0,     0,     0,     0,  1461,     0,     0,  1461,
    1453,  1461,     0,     0,     0,     0,  1461,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1461,     0,
       0,     0,     0,     0,  3067,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1461,     0,  3087,     0,  3089,
       0,   749,  3101,  3104,  3109,     0,     0,     0,     0,  3115,
       0,     0,  3120,     0,     0,     0,     0,     0,     0,     0,
    1461,     0,     0,     0,     0,     0,     0,  3127,  3128,  3129,
    3130,     0,     0,     0,     0,  3137,     0,     0,     0,  3149,
       0,     0,  3151,     0,     0,  3158,  3159,  3160,  3161,  3162,
    3163,  3164,  3165,  3166,   705,  3167,     0,     0,     0,     0,
       0,     0,     0,  1673,     0,     0,  3195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1461,
       0,  1461,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1454,     0,     0,     0,     0,     0,  1453,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1751,  1454,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,     0,     0,     0,     0,
       0,     0,  1461,  2335,  2336,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1461,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1453,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1461,     0,     0,     0,     0,
    1461,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1456,     0,     0,     0,     0,     0,     0,  1454,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1456,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1461,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3344,     0,     0,     0,     0,  1461,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1461,     0,     0,     0,     0,     0,     0,     0,
     705,     0,     0,     0,     0,     0,     0,  1453,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1453,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1236,     0,     0,  1454,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   705,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,  1461,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,     0,  1236,     0,  1236,     0,     0,
    1236,     0,     0,     0,  1461,  1236,  1236,  1236,  1236,     0,
       0,  1236,  1236,  1236,  1236,  1236,  1236,  1236,  1236,  1236,
    1236,     0,     0,     0,  1236,  1236,     0,     0,     0,  1461,
       0,     0,     0,     0,  1236,     0,     0,     0,  1236,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,  1236,     0,  1236,     0,     0,     0,     0,
       0,     0,     0,  1461,  1236,     0,     0,  1236,  1236,     0,
       0,     0,  1236,  1236,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,  3585,     0,     0,  1236,
       0,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,  1236,
    1236,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1456,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
       0,     0,  1456,     0,     0,  1453,     0,     0,  1453,     0,
    1453,     0,  1236,     0,     0,  1453,  1456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1461,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1454,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1453,     0,     0,
       0,  3723,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1453,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1456,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1453,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1454,     0,     0,     0,     0,     0,  1461,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1454,     0,     0,     0,
       0,     0,     0,     0,  3778,     0,     0,     0,     0,  3784,
       0,     0,     0,     0,     0,     0,     0,     0,  1453,     0,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2339,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3109,     0,  3109,  3109,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3842,     0,
       0,  3845,     0,  3847,     0,     0,     0,     0,     0,  1456,
       0,     0,     0,     0,     0,     0,     0,     0,  1454,     0,
       0,  1453,     0,     0,     0,     0,  1236,     0,     0,     0,
       0,     0,  3865,  1454,  3868,     0,  3870,     0,     0,     0,
       0,  1454,     0,     0,     0,     0,  1453,     0,     0,     0,
       0,     0,  1454,  1461,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3195,
    3195,  3195,     0,     0,  1453,     0,     0,     0,     0,  1453,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3938,     0,     0,     0,     0,  1454,
       0,  1461,  1236,  1236,     0,     0,     0,  2460,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1454,     0,
       0,     0,  2477,     0,     0,     0,     0,     0,     0,     0,
    1454,     0,     0,     0,     0,     0,     0,     0,  1453,     0,
       0,     0,  1454,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1453,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1453,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1454,     0,     0,  1454,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3999,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,  1236,     0,
    1461,     0,     0,     0,  1236,  1236,     0,     0,     0,  1236,
    1461,     0,     0,     0,  1236,     0,     0,  1236,  1236,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,  1236,     0,
       0,     0,  1453,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,  1456,     0,
    1236,     0,     0,  1453,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,  1453,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,     0,  1454,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1453,  1456,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1461,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1456,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1461,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1461,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1461,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1456,
       0,     0,     0,     0,     0,     0,     0,  1453,     0,     0,
       0,     0,     0,     0,  1456,     0,     0,  1461,     0,     0,
       0,     0,  1456,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1456,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1454,     0,
       0,     0,  1454,  1454,     0,     0,     0,     0,     0,     0,
    1456,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1456,
       0,     0,     0,  1461,     0,  1461,     0,  1453,     0,     0,
       0,  1456,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1456,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1454,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1454,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,     0,     0,
    1461,     0,     0,  1456,     0,  1236,  1456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,  1236,     0,     0,  1236,     0,  1454,  4366,
       0,     0,     0,     0,     0,     0,     0,     0,  4370,     0,
    1236,     0,     0,     0,  4371,  1236,  4372,     0,     0,     0,
    1236,     0,     0,  1236,  1236,     0,     0,     0,     0,     0,
       0,  1236,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4396,  4397,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,  3115,  1453,     0,     0,     0,     0,  1236,     0,  4422,
       0,     0,  4425,     0,  4427,     0,     0,     0,     0,     0,
       0,     0,     0,  4431,     0,     0,     0,     0,     0,     0,
       0,  4438,  4439,     0,     0,     0,     0,     0,     0,     0,
       0,  1461,     0,     0,     0,     0,     0,     0,     0,     0,
    1453,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4483,     0,     0,  1456,     0,     0,  4490,  4491,
    3195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1236,  1454,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4508,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1751,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1236,     0,  1461,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,  1461,     0,
    1236,     0,  1236,     0,     0,     0,     0,     0,     0,  1453,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1453,
       0,     0,     0,     0,     0,     0,  1236,     0,     0,     0,
    1236,     0,     0,     0,     0,     0,  1461,     0,     0,     0,
       0,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1456,
       0,     0,  1461,  1456,  1456,     0,  1461,  1461,     0,     0,
       0,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1454,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1454,  2375,  1236,  1453,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1456,     0,     0,
       0,     0,     0,     0,     0,  1236,     0,     0,     0,  1456,
       0,     0,     0,     0,     0,     0,     0,  1453,     0,     0,
       0,     0,     0,     0,     0,  1461,  1461,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1453,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1236,  1456,
       0,  1236,     0,  1453,     0,     0,     0,     0,     0,     0,
    1236,     0,  2375,     0,     0,  1236,     0,  1236,     0,  1236,
       0,     0,     0,     0,     0,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,  1453,     0,     0,     0,
       0,  4749,  4750,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1453,  4799,     0,  1236,  1236,     0,
       0,     0,     0,     0,     0,     0,  4804,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,  1456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1236,     0,
       0,     0,     0,  1454,     0,     0,  1454,     0,  1454,     0,
       0,     0,     0,  1454,     0,     0,  4819,  4821,     0,  1453,
       0,     0,     0,  4825,  4826,     0,     0,     0,  4827,     0,
       0,     0,     0,  4830,     0,     0,  4833,  4834,     0,     0,
       0,  4838,     0,     0,  1236,     0,     0,  4842,     0,     0,
    1236,  1236,     0,  1236,     0,     0,  1456,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,  3195,  1454,     0,     0,     0,  3195,     0,     0,     0,
       0,     0,  3195,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1454,     0,  1673,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4904,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1453,     0,     0,     0,     0,  1236,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,  1454,     0,  1454,     0,
       0,  1236,  1236,     0,     0,     0,  1456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1456,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1456,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4964,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1454,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1453,     0,     0,     0,
       0,     0,     0,     0,  1454,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1453,  4998,     0,
       0,     0,  1454,     0,     0,     0,     0,  1454,     0,     0,
       0,     0,     0,     0,  2375,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1454,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1454,     0,     0,     0,     0,     0,
       0,  1453,     0,     0,     0,  1453,  1453,     0,     0,  1454,
       0,     0,     0,  2375,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2375,     0,     0,
       0,  3097,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2375,  2375,  2375,     0,     0,
    2375,  5091,  5092,     0,     0,  5093,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1456,     0,     0,  1456,     0,  1456,
       0,     0,     0,     0,  1456,     0,     0,     0,     0,     0,
    5127,  5128,  2375,     0,     0,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1454,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1454,     0,     0,     0,     0,  1456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2375,     0,     0,
       0,     0,     0,  1456,     0,     0,  1454,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2375,     0,     0,     0,     0,     0,     0,  1456,     0,
       0,     0,     0,  2375,     0,     0,     0,     0,  2375,     0,
    1454,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,  1456,     0,  1456,
     107,   108,   109,   110,     0,   111,   112,   113,   114,     0,
     115,   116,   117,     0,     0,     0,     0,     0,   120,   121,
       0,     0,     0,     0,   122,     0,     0,     0,     0,     0,
       0,     0,     0,   123,     0,   124,     0,   125,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,  3115,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1456,     0,     0,     0,     0,  1454,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5295,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1456,     0,   132,     0,     0,
    2339,   134,   135,   136,   137,   138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   139,     0,     0,
       0,     0,  1751,  1456,   143,     0,   144,     0,  1456,     0,
       0,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   150,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,     0,     0,     0,
    5344,   154,   155,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1456,     0,   161,
       0,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,     0,     0,  1456,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
    1456,   171,     0,   172,  5394,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   175,   176,     0,     0,     0,
       0,     0,   177,     0,   178,     0,     0,   179,   180,     0,
     181,     0,     0,     0,     0,     0,     0,     0,     0,   182,
     183,     0,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5127,     0,
       0,     0,     0,     0,     0,   189,   190,   191,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,  5455,     0,     0,     0,     0,     0,     0,     0,
    1454,  1456,     0,   197,   198,     0,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,  1456,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1456,  1454,     0,
       0,     0,     0,     0,   211,     0,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,  1456,   221,     0,     0,     0,  5515,  5515,     0,     0,
       0,     0,     0,     0,     0,     0,   223,  5127,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
       0,     0,  5515,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1454,     0,     0,
       0,  5586,     0,     0,     0,  3274,     0,  1454,     0,     0,
       0,     0,     0,     0,     0,     0,  1456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2375,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2375,     0,
    2375,     0,     0,  3097,  3097,     0,  3819,     0,  3097,     0,
       0,     0,  2375,     0,     0,  2375,     0,     0,     0,     0,
    2375,     0,     0,     0,     0,     0,  2375,     0,     0,     0,
       0,  2375,     0,     0,  5515,  5627,     0,     0,  2375,  2375,
    2375,  2375,     0,     0,     0,  3097,  3097,     0,  2375,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2375,     0,  2375,     0,     0,     0,  1456,     0,     0,  2375,
    2375,  2375,  2375,  2375,  2375,  2375,  2375,  2375,  2375,     0,
       0,     0,     0,     0,  1454,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2375,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    85,     0,     0,    86,    87,
      88,    89,    90,    91,    92,    93,  1454,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     106,  1454,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,     0,   115,   116,   117,   118,   119,     0,     0,
       0,   120,   121,     0,     0,     0,     0,   122,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,     0,
     125,   126,    35,     0,  1454,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1456,     0,     0,     0,     0,   127,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,   129,   130,
       0,     0,     0,     0,     0,     0,     0,     0,   131,     0,
     132,     0,     0,   133,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,     0,  2375,     0,     0,     0,  1456,
     139,     0,     0,   140,     0,   141,   142,   143,     0,   144,
       0,   145,     0,   146,     0,   147,     0,     0,     0,     0,
       0,     0,  1454,     0,   148,     0,   149,   150,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,   152,     0,   153,   154,   155,   156,     0,     0,     0,
       0,     0, -1518,     0,     0,     0,     0,     0,     0,   157,
       0,   158,     0,     0,     0,   159,     0,     0,     0,     0,
       0,   160,   161,     0,     0,     0,     0,  1454,     0,   162,
     163,   164,     0,     0,   165,     0,     0,   166,     0,     0,
     167,     0,     0,     0,     0,     0,   168,     0,   169,     0,
       0,     0,   170,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,   174,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,   176,
       0,     0, -1518,     0,     0,   177,     0,   178,  1456,     0,
     179,   180,     0,   181,     0,     0,     0,     0,  1456,     0,
       0,     0,   182,   183,     0,   184,     0,   185,   186,     0,
       0,     0,     0,   187,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,     0,     0,   189,   190,
     191,     0,     0,   192,     0,     0,   193,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,  1454,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,   203,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2375,   204,   205,     0,
       0,     0,     0,   206,   207,     0,   208,     0,     0,     0,
       0,   209,     0,     0,     0,     0,   210,   211,     0,   212,
       0,   213,     0,     0,   214,     0,     0,     0,     0,   215,
     216,     0,     0,     0,     0,  1456,     0,   217,     0,   218,
       0,   219,   220,     0,     0,   221,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,   224,     0,   225,  1456,     0,     0,     0,
       0,     0,   226,   227,  1454,     0,     0,     0,   228,     0,
     229,     0,   230,     0,   231,     0,     0,  1456,     0,   232,
       0,     0,   233,     0,     0, -1518,     0,     0,   234,     0,
       0,     0,  1456,   235,   236,  1454,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,   238,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,     0,  2375,     0,     0,   248,     0,     0,
       0,     0,     0,  1454,     0,  1456,     0,     0,     0,     0,
       0,   249,     0,     0,     0,  -147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2375,
       0,     0,     0,     0,     0,  2375,     0,     0,     0,  1454,
       0,     0,     0,  1454,  1454,     0,     0,     0,     0,     0,
       0,  3819,  3819,     0,     0,  3097,  3097,  3097,  3097,     0,
       0,  3097,  3097,  3097,  3097,  3097,  3097,  3097,  3097,  3097,
    3097,  3819,     0,  1456,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2375,     0,     0,  2375,     0,  2375,     0,
       0,  3819,  3819,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2375,  3097,  3097,  2375,
       0,  2375,     0,     0,     0,     0,     0,     0,  1456,     0,
       0,     0,     0,  1454,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2375,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2375,     0,     0,     0,     0,     0,     0,     0,     0,  1456,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1456,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1456,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1456,     0,     0,     0,  1456,  1456,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1456,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2375,     0,     0,
       0,  2375,  2375,  2375,     0,     0,     0,     0,     0,  3819,
    3819,  3819,  3819,     0,     0,     0,     0,  3819,  3819,  3819,
    3819,  3819,  3819,  3819,  3819,  3819,  3819,  2375,  2375,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2375,     0,     0,  2375,     0,  2375,     0,
       0,     0,  2375,     0,     0,  3819,  3819,     0,     0,  2375,
    2375,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2375,     0,     0,     0,     0,     0,
       0,  2375,  2375,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2375,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,     0,   115,   116,   117,     0,     0,     0,     0,     0,
     120,   121,     0,     0,     0,     0,   122,     0,     0,     0,
       0,     0,     0,     0,     0,   123,     0,   124,     0,   125,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3819,     0,     0,     0,     0,     0,     0,   132,
       0,     0,     0,   134,   135,   136,   137,   138,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   139,
       0,     0,     0,     0,     0,     0,   143,     0,   144,     0,
       0,     0,     0,     0,   147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   150,     0,     0,     0,
    2375,  2375,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,     0,   163,
    2375,     0,     0,   165,     0,  2375,  3097,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
    2375,     0,  2375,   171,     0,   172,  2375,  2375,  2375,     0,
       0,  2375,     0,   173,  2375,  2375,     0,     0,     0,  2375,
       0,     0,     0,  2375,     0,     0,     0,   175,   176,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,     0,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   189,   190,   191,
       0,     0,   192,     0,     0,  2375,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,  2375,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,     0,
     213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,  2375,
       0,   220,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,     0,     0,   225,     0,     0,     0,     0,     0,
       0,   226,   227,     0,     0,     0,     0,   228,     0,   229,
       0,     0,     0,     0,     0,     0,     0,     0,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,     0,     0,   237,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3819,  3097,     0,     0,
       0,     0,   239,   240,   241,   242,   243,   244,   245,   246,
     247,     0,  2375,  2375,  2375,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3276,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2375,  2375,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3819,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2375,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2375,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2375,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2375,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2375,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     759,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     760,   104,   105,   714,   761,     0,   107,   108,   109,   110,
     762,   763,   112,   113,   114,     0,   115,   764,   765,   715,
     716,     0,     0,     0,   717,   718,     0,  2375,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2375,   431,
     432,   433,   434,   435,   436,   437,   438,   766,   439,   440,
     441,   767,   768,   769,   770,   771,   772,   773,   442,   443,
     774,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,   775,   449,   450,   451,   452,   453,   776,   777,
     454,   455,   778,   139,   456,   779,   457,   458,   459,   460,
     143,   780,   144,   781,   461,   462,   463,   464,   147,   465,
     466,   782,   783,   467,   468,   469,   470,   471,   472,   784,
     150,   473,   474,   785,   786,   787,   788,   151,   789,   790,
     791,   476,   477,   478,   479,   728,   480,   154,   155,   481,
     792,   482,   793,   483,   484,   485,   486,   487,   488,   794,
     489,   490,   491,   795,   796,   492,   493,   494,   495,   496,
     797,   497,   498,   499,   798,   500,   501,   502,   799,   503,
     504,   505,   506,   163,   507,   508,   509,   165,   800,   510,
     801,   511,   512,   167,   513,   802,   514,   803,   515,   168,
     804,   169,   516,   517,   518,   805,   519,   171,   806,   172,
     520,   807,   521,   522,   730,   523,   524,   173,   525,   526,
     527,   528,   808,   529,   530,   531,   532,   533,   534,   809,
     535,   175,   176,   810,   536,   537,   538,   811,   177,   812,
     178,   813,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,   814,   815,   546,   182,   183,   547,   184,   816,
     548,   549,   550,   817,   818,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,   190,   191,   565,   566,   192,   819,   567,   568,
     194,   569,   820,   195,   570,   196,   571,   572,   573,   821,
     574,   822,   823,   575,   576,   577,   824,   825,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,   826,   588,   589,   201,   590,   202,   591,   592,
     593,   827,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,   828,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   829,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,   830,   629,   630,   631,   632,   633,   831,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
     832,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,   833,   653,   654,   834,   655,   225,   656,
     657,   658,   659,   660,   835,   226,   227,   836,   837,   662,
     663,   228,   664,   229,   838,   665,   666,   667,   668,   669,
     670,   671,   839,   840,   672,   673,   674,   675,   676,   841,
     842,   677,   678,   679,   680,   681,   843,   236,   844,   682,
     237,   683,   684,   685,   686,   845,   846,   687,   847,   848,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   759,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
    1008,    98,    99,   100,   101,   102,   103,   760,   104,   105,
     714,   761,     0,   107,   108,   109,   110,   762,   763,   112,
     113,   114,     0,   115,   764,   765,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1593,  1594,  1595,    45,  1596,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  3189,   439,   440,   441,     0,     0,
       0,     0,  1597,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,  1598,   136,  1599,  1600,     0,
     449,   450,   451,   452,   453,  1601,  1602,   454,   455,  1603,
    1604,   456,     0,   457,   458,   459,   460,  1605,     0,  1606,
       0,   461,   462,   463,   464,   147,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,  1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,
     478,   479,   728,   480,  1614,  1615,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
    3190,     0,   492,   493,  1429,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
    1616,   507,   508,   509,  1617,  1618,   510,     0,   511,   512,
    1619,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,  1620,     0,  1621,   520,     0,   521,
     522,   730,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,  1432,  1622,     0,  1623,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,  1624,   183,   547,   184,     0,   548,   549,   550,
    1625,  1626,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,  1627,   190,
    1628,   565,   566,   192,  1629,   567,   568,   194,   569,  1630,
    1631,   570,  1632,   571,   572,   573,     0,   574,     0,     0,
    1633,   576,   577,     0,     0,   578,   197,   198,   579,   199,
    1634,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,  1635,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,  1636,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,  1637,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,  1638,   635,   636,   218,
     637,   638,   220,   639,   640,  1639,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,  1640,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,  1641,  1642,     0,     0,   662,   663,  1643,   664,
    1644,  1645,   665,   666,   667,   668,   669,   670,   671,     0,
    1646,   672,   673,   674,   675,   676,  1647,     0,   677,   678,
     679,   680,   681,   734,  1648,  3191,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,  1656,   735,   694,   695,  1657,     0,     0,     0,     0,
       0,     0,  1658,  1659,  3192,     0,     0,     0,     0,     0,
       0,  1661,  3193,   759,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1593,  1594,  1595,    45,  1596,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1597,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,  1598,   136,  1599,  1600,     0,   449,   450,   451,   452,
     453,  1601,  1602,   454,   455,  1603,  1604,   456,     0,   457,
     458,   459,   460,  1605,     0,  1606,     0,   461,   462,   463,
     464,   147,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,  1607,  1608,  1609,
    1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,   480,
    1614,  1615,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
    1429,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,  1616,   507,   508,   509,
    1617,  1618,   510,     0,   511,   512,  1619,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
    1620,     0,  1621,   520,     0,   521,   522,   730,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
    1432,  1622,     0,  1623,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,  1624,   183,
     547,   184,     0,   548,   549,   550,  1625,  1626,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,  1627,   190,  1628,   565,   566,   192,
    1629,   567,   568,   194,   569,  1630,  1631,   570,  1632,   571,
     572,   573,     0,   574,     0,     0,  1633,   576,   577,     0,
       0,   578,   197,   198,   579,   199,  1634,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,  1635,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,  1636,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,  1637,   622,   623,
     624,   625,   626,   627,   733,   628,   216,   629,   630,   631,
     632,   633,  1638,   635,   636,   218,   637,   638,   220,   639,
     640,  1639,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,  1640,     0,   653,   654,   224,
     655,   225,   656,   657,   658,   659,   660,     0,  1641,  1642,
       0,     0,   662,   663,  1643,   664,  1644,  1645,   665,   666,
     667,   668,   669,   670,   671,     0,  1646,   672,   673,   674,
     675,   676,  1647,     0,   677,   678,   679,   680,   681,  2337,
    1648,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,   238,   688,   689,   690,   691,   692,   693,   239,
    1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,   694,
     695,  1657,     0,   248,     0,     0,     0,     0,  1658,  1659,
       0,     0,     0,     0,     0,     0,     0,  1661,  5307,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1593,  1594,  1595,    45,
    1596,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1597,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,  1598,   136,  1599,
    1600,     0,   449,   450,   451,   452,   453,  1601,  1602,   454,
     455,  1603,  1604,   456,     0,   457,   458,   459,   460,  1605,
       0,  1606,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,  1607,  1608,  1609,  1610,  1611,  1612,  1613,
     476,   477,   478,   479,   728,   480,  1614,  1615,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1616,   507,   508,   509,  1617,  1618,   510,     0,
     511,   512,  1619,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,  1620,     0,  1621,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,  1432,  1622,     0,  1623,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,  1624,   183,   547,   184,     0,   548,
     549,   550,  1625,  1626,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1627,   190,  1628,   565,   566,   192,  1629,   567,   568,   194,
     569,  1630,  1631,   570,  1632,   571,   572,   573,     0,   574,
       0,     0,  1633,   576,   577,     0,     0,   578,   197,   198,
     579,   199,  1634,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,  1635,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1636,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,  1637,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,  1638,   635,
     636,   218,   637,   638,   220,   639,   640,  1639,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,  1640,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,  1641,  1642,     0,     0,   662,   663,
    1643,   664,  1644,  1645,   665,   666,   667,   668,   669,   670,
     671,     0,  1646,   672,   673,   674,   675,   676,  1647,     0,
     677,   678,   679,   680,   681,   734,  1648,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,  1656,   735,   694,   695,  1657,     0,     0,
       0,     0,     0,     0,  1658,  1659,     0,     0,     0,     0,
       0,     0,     0,  1661,  3099,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
       0,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1593,  1594,  1595,    45,  1596,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1597,     0,     0,   442,   443,     0,   444,   445,   132,   446,
     447,   448,   134,  1598,   136,  1599,  1600,     0,   449,   450,
     451,   452,   453,  1601,  1602,   454,   455,  1603,  1604,   456,
       0,   457,   458,   459,   460,  1605,     0,  1606,     0,   461,
     462,   463,   464,   147,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,   150,   473,   474,     0,  1607,
    1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,
     728,   480,  1614,  1615,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,  1429,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,  1616,   507,
     508,   509,  1617,  1618,   510,     0,   511,   512,  1619,   513,
       0,   514,     0,   515,   168,     0,   169,   516,   517,   518,
       0,   519,  1620,     0,  1621,   520,     0,   521,   522,   730,
     523,   524,   173,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,   175,   176,     0,   536,
     537,   538,  1432,  1622,     0,  1623,     0,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,     0,     0,   546,
    1624,   183,   547,   184,     0,   548,   549,   550,  1625,  1626,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,  1627,   190,  1628,   565,
     566,   192,  1629,   567,   568,   194,   569,  1630,  1631,   570,
    1632,   571,   572,   573,     0,   574,     0,     0,  1633,   576,
     577,     0,     0,   578,   197,   198,   579,   199,  1634,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
    1635,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,  1636,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   211,   619,   620,   621,  1637,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,  1638,   635,   636,   218,   637,   638,
     220,   639,   640,  1639,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,  1640,     0,   653,
     654,     0,   655,   225,   656,   657,   658,   659,   660,     0,
    1641,  1642,     0,     0,   662,   663,  1643,   664,  1644,  1645,
     665,   666,   667,   668,   669,   670,   671,     0,  1646,   672,
     673,   674,   675,   676,  1647,     0,   677,   678,   679,   680,
     681,   734,  1648,     0,   682,   237,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,
     735,   694,   695,  1657,     0,     0,     0,     0,     0,     0,
    1658,  1659,     0,     0,     0,     0,     0,     0,     0,  1661,
    4374,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1593,  1594,
    1595,    45,  1596,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1597,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1598,
     136,  1599,  1600,     0,   449,   450,   451,   452,   453,  1601,
    1602,   454,   455,  1603,  1604,   456,     0,   457,   458,   459,
     460,  1605,     0,  1606,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,   476,   477,   478,   479,   728,   480,  1614,  1615,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1616,   507,   508,   509,  1617,  1618,
     510,     0,   511,   512,  1619,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1620,     0,
    1621,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1432,  1622,
       0,  1623,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1624,   183,   547,   184,
       0,   548,   549,   550,  1625,  1626,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1627,   190,  1628,   565,   566,   192,  1629,   567,
     568,   194,   569,  1630,  1631,   570,  1632,   571,   572,   573,
       0,   574,     0,     0,  1633,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1634,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1635,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1636,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1637,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1638,   635,   636,   218,   637,   638,   220,   639,   640,  1639,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1640,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1641,  1642,     0,     0,
     662,   663,  1643,   664,  1644,  1645,   665,   666,   667,   668,
     669,   670,   671,     0,  1646,   672,   673,   674,   675,   676,
    1647,     0,   677,   678,   679,   680,   681,   734,  1648,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,  1657,
       0,     0,     0,     0,     0,     0,  1658,  1659,     0,     0,
       0,     0,     0,     0,     0,  1661,  4445,   759,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   760,   104,   105,
     714,   761,     0,   107,   108,   109,   110,   762,   763,   112,
     113,   114,     0,   115,   764,   765,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,     0,  1422,   136,  1423,  1424,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,  1425,
    1426,   456,     0,   457,   458,   459,   460,     0,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,     0,   476,   477,
     478,   479,   728,   480,  1427,  1428,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,  1429,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
       0,   507,   508,   509,     0,     0,   510,     0,   511,   512,
    1430,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,     0,     0,     0,   520,     0,   521,
     522,   730,   523,   524,   173,   525,   526,   527,   528,  2546,
     529,   530,   531,   532,   533,   534,     0,   535,   175,  2547,
       0,   536,   537,   538,  1432,  1433,     0,  1434,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,     0,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,  1435,   190,
    1436,   565,   566,     0,     0,   567,   568,   194,   569,     0,
       0,   570,  1437,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,  2549,   198,   579,   199,
       0,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,     0,   590,     0,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,  1438,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,     0,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,  2550,
     637,   638,   220,   639,   640,  1440,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,  1441,  1442,     0,     0,   662,   663,     0,   664,
       0,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,  1443,  2551,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   735,   694,   695,     0,     0,     0,     0,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,  2658,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,     0,  1422,   136,  1423,
    1424,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,  1425,  1426,   456,     0,   457,   458,   459,   460,     0,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,     0,
     476,   477,   478,   479,   728,   480,  1427,  1428,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,     0,   507,   508,   509,     0,     0,   510,     0,
     511,   512,  1430,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,     0,     0,     0,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,  2546,   529,   530,   531,   532,   533,   534,     0,   535,
     175,  2547,     0,   536,   537,   538,  1432,  1433,     0,  1434,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,     0,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1435,   190,  1436,   565,   566,     0,     0,   567,   568,   194,
     569,     0,     0,   570,  1437,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,  2549,   198,
     579,   199,     0,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,     0,   590,     0,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1438,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,     0,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,  2550,   637,   638,   220,   639,   640,  1440,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,  1441,  1442,     0,     0,   662,   663,
       0,   664,     0,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,  1443,  2551,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   735,   694,   695,     0,     0,     0,
       0,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,  3660,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1593,  1594,
    1595,    45,  1596,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1597,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1598,
     136,  1599,  1600,     0,   449,   450,   451,   452,   453,  1601,
    1602,   454,   455,  1603,  1604,   456,     0,   457,   458,   459,
     460,  1605,     0,  1606,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,   476,   477,   478,   479,   728,   480,  1614,  1615,
     481,  1750,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1616,   507,   508,   509,  1617,  1618,
     510,     0,   511,   512,  1619,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1620,     0,
    1621,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1432,  1622,
       0,  1623,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1624,   183,   547,   184,
       0,   548,   549,   550,  1625,  1626,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1627,   190,  1628,   565,   566,   192,  1629,   567,
     568,   194,   569,  1630,  1631,   570,  1632,   571,   572,   573,
       0,   574,     0,     0,  1633,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1634,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1635,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1636,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1637,   622,   623,   624,   625,
     626,   627,   733,   628,   216,   629,   630,   631,   632,   633,
    1638,   635,   636,   218,   637,   638,   220,   639,   640,  1639,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1640,     0,   653,   654,   224,   655,   225,
     656,   657,   658,   659,   660,     0,  1641,  1642,     0,     0,
     662,   663,  1643,   664,  1644,  1645,   665,   666,   667,   668,
     669,   670,   671,     0,  1646,   672,   673,   674,   675,   676,
    1647,     0,   677,   678,   679,   680,   681,  2337,  1648,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
     238,   688,   689,   690,   691,   692,   693,   239,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,  1657,
       0,   248,     0,     0,     0,     0,  1658,  1659,     0,     0,
       0,     0,     0,     0,     0,  1661,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1593,  1594,  1595,    45,  1596,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1597,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1598,   136,  1599,  1600,     0,   449,
     450,   451,   452,   453,  1601,  1602,   454,   455,  1603,  1604,
     456,     0,   457,   458,   459,   460,  1605,     0,  1606,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,
     479,   728,   480,  1614,  1615,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1429,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1616,
     507,   508,   509,  1617,  1618,   510,     0,   511,   512,  1619,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1620,     0,  1621,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1432,  1622,     0,  1623,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1624,   183,   547,   184,     0,   548,   549,   550,  1625,
    1626,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1627,   190,  1628,
     565,   566,   192,  1629,   567,   568,   194,   569,  1630,  1631,
     570,  1632,   571,   572,   573,     0,   574,     0,     0,  1633,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1634,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1635,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1636,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1637,   622,   623,   624,   625,   626,   627,   733,   628,   216,
     629,   630,   631,   632,   633,  1638,   635,   636,   218,   637,
     638,   220,   639,   640,  1639,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1640,     0,
     653,   654,   224,   655,   225,   656,   657,   658,   659,   660,
       0,  1641,  1642,     0,     0,   662,   663,  1643,   664,  1644,
    1645,   665,   666,   667,   668,   669,   670,   671,     0,  1646,
     672,   673,   674,   675,   676,  1647,     0,   677,   678,   679,
     680,   681,  2337,  1648,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,   238,   688,   689,   690,   691,
     692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,
    1656,   735,   694,   695,  1657,     0,   248,     0,     0,     0,
       0,  1658,  1659,     0,     0,     0,     0,     0,     0,     0,
    1661,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1593,  1594,
    1595,    45,  1596,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1597,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1598,
     136,  1599,  1600,  3105,   449,   450,   451,   452,   453,  1601,
    1602,   454,   455,  1603,  1604,   456,     0,   457,   458,   459,
     460,  1605,     0,  1606,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,   476,   477,   478,   479,   728,   480,  1614,  1615,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1616,   507,   508,   509,  1617,  1618,
     510,     0,   511,   512,  1619,   513,     0,   514,     0,   515,
     168,  3106,   169,   516,   517,   518,     0,   519,  1620,     0,
    1621,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1432,  1622,
       0,  1623,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,  3107,   546,  1624,   183,   547,   184,
       0,   548,   549,   550,  1625,  1626,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1627,   190,  1628,   565,   566,   192,  1629,   567,
     568,   194,   569,  1630,  1631,   570,  1632,   571,   572,   573,
       0,   574,     0,     0,  1633,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1634,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1635,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1636,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1637,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1638,   635,   636,   218,   637,   638,   220,   639,   640,  1639,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1640,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1641,  1642,     0,  3108,
     662,   663,  1643,   664,  1644,  1645,   665,   666,   667,   668,
     669,   670,   671,     0,  1646,   672,   673,   674,   675,   676,
    1647,     0,   677,   678,   679,   680,   681,   734,  1648,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,  1657,
       0,     0,     0,     0,     0,     0,  1658,  1659,     0,     0,
       0,     0,     0,     0,     0,  1661,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1593,  1594,  1595,    45,  1596,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1597,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1598,   136,  1599,  1600,     0,   449,
     450,   451,   452,   453,  1601,  1602,   454,   455,  1603,  1604,
     456,     0,   457,   458,   459,   460,  1605,     0,  1606,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,
     479,   728,   480,  1614,  1615,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1429,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1616,
     507,   508,   509,  1617,  1618,   510,     0,   511,   512,  1619,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1620,     0,  1621,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1432,  1622,     0,  1623,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1624,   183,   547,   184,     0,   548,   549,   550,  1625,
    1626,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1627,   190,  1628,
     565,   566,   192,  1629,   567,   568,   194,   569,  1630,  1631,
     570,  1632,   571,   572,   573,     0,   574,     0,     0,  1633,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1634,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1635,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1636,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1637,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1638,   635,   636,   218,   637,
     638,   220,   639,   640,  1639,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1640,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1641,  1642,     0,     0,   662,   663,  1643,   664,  1644,
    1645,   665,   666,   667,   668,   669,   670,   671,     0,  1646,
     672,   673,   674,   675,   676,  1647,     0,   677,   678,   679,
     680,   681,   734,  1648,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,
    1656,   735,   694,   695,  1657,     0,     0,     0,     0,     0,
       0,  1658,  1659,     0,     0,     0,     0,     0,  2299,  3060,
    1661,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1593,  1594,
    1595,    45,  1596,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1597,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1598,
     136,  1599,  1600,     0,   449,   450,   451,   452,   453,  1601,
    1602,   454,   455,  1603,  1604,   456,     0,   457,   458,   459,
     460,  1605,     0,  1606,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,   476,   477,   478,   479,   728,   480,  1614,  1615,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1616,   507,   508,   509,  1617,  1618,
     510,     0,   511,   512,  1619,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1620,     0,
    1621,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1432,  1622,
       0,  1623,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1624,   183,   547,   184,
       0,   548,   549,   550,  1625,  1626,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1627,   190,  1628,   565,   566,   192,  1629,   567,
     568,   194,   569,  1630,  1631,   570,  1632,   571,   572,   573,
       0,   574,     0,     0,  1633,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1634,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1635,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1636,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1637,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1638,   635,   636,   218,   637,   638,   220,   639,   640,  1639,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1640,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1641,  1642,     0,     0,
     662,   663,  1643,   664,  1644,  1645,   665,   666,   667,   668,
     669,   670,   671,     0,  1646,   672,   673,   674,   675,   676,
    1647,     0,   677,   678,   679,   680,   681,   734,  1648,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,  1657,
       0,     0,     0,     0,     0,     0,  1658,  1659,  1660,     0,
       0,     0,     0,     0,     0,  1661,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1593,  1594,  1595,    45,  1596,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1597,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1598,   136,  1599,  1600,     0,   449,
     450,   451,   452,   453,  1601,  1602,   454,   455,  1603,  1604,
     456,     0,   457,   458,   459,   460,  1605,     0,  1606,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,
     479,   728,   480,  1614,  1615,   481,  1750,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1429,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1616,
     507,   508,   509,  1617,  1618,   510,     0,   511,   512,  1619,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1620,     0,  1621,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1432,  1622,     0,  1623,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1624,   183,   547,   184,     0,   548,   549,   550,  1625,
    1626,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1627,   190,  1628,
     565,   566,   192,  1629,   567,   568,   194,   569,  1630,  1631,
     570,  1632,   571,   572,   573,     0,   574,     0,     0,  1633,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1634,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1635,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1636,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1637,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1638,   635,   636,   218,   637,
     638,   220,   639,   640,  1639,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1640,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1641,  1642,     0,     0,   662,   663,  1643,   664,  1644,
    1645,   665,   666,   667,   668,   669,   670,   671,     0,  1646,
     672,   673,   674,   675,   676,  1647,     0,   677,   678,   679,
     680,   681,   734,  1648,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,
    1656,   735,   694,   695,  1657,     0,     0,     0,     0,     0,
       0,  1658,  1659,     0,     0,     0,     0,     0,     0,     0,
    1661,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1593,  1594,
    1595,    45,  1596,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  2470,   439,
     440,   441,     0,     0,     0,     0,  1597,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1598,
     136,  1599,  1600,     0,   449,   450,   451,   452,   453,  1601,
    1602,   454,   455,  1603,  1604,   456,     0,   457,   458,   459,
     460,  1605,     0,  1606,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,   476,   477,   478,   479,   728,   480,  1614,  1615,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1616,   507,   508,   509,  1617,  1618,
     510,     0,   511,   512,  1619,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1620,     0,
    1621,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1432,  1622,
       0,  1623,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1624,   183,   547,   184,
       0,   548,   549,   550,  1625,  1626,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1627,   190,  1628,   565,   566,   192,  1629,   567,
     568,   194,   569,  1630,  1631,   570,  1632,   571,   572,   573,
       0,   574,     0,     0,  1633,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1634,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1635,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1636,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1637,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1638,   635,   636,   218,   637,   638,   220,   639,   640,  1639,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1640,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1641,  1642,     0,     0,
     662,   663,  1643,   664,  1644,  1645,   665,   666,   667,   668,
     669,   670,   671,     0,  1646,   672,   673,   674,   675,   676,
    1647,     0,   677,   678,   679,   680,   681,   734,  1648,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,  1657,
       0,     0,     0,     0,     0,     0,  1658,  1659,     0,     0,
       0,     0,     0,     0,     0,  1661,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1593,  1594,  1595,    45,  1596,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1597,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1598,   136,  1599,  1600,     0,   449,
     450,   451,   452,   453,  1601,  1602,   454,   455,  1603,  1604,
     456,     0,   457,   458,   459,   460,  1605,     0,  1606,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,
     479,   728,   480,  1614,  1615,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1429,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1616,
     507,   508,   509,  1617,  1618,   510,     0,   511,   512,  1619,
     513,     0,   514,     0,   515,   168,  3106,   169,   516,   517,
     518,     0,   519,  1620,     0,  1621,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1432,  1622,     0,  1623,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1624,   183,   547,   184,     0,   548,   549,   550,  1625,
    1626,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1627,   190,  1628,
     565,   566,   192,  1629,   567,   568,   194,   569,  1630,  1631,
     570,  1632,   571,   572,   573,     0,   574,     0,     0,  1633,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1634,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1635,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1636,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1637,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1638,   635,   636,   218,   637,
     638,   220,   639,   640,  1639,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1640,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1641,  1642,     0,     0,   662,   663,  1643,   664,  1644,
    1645,   665,   666,   667,   668,   669,   670,   671,     0,  1646,
     672,   673,   674,   675,   676,  1647,     0,   677,   678,   679,
     680,   681,   734,  1648,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,
    1656,   735,   694,   695,  1657,     0,     0,     0,     0,     0,
       0,  1658,  1659,     0,     0,     0,     0,     0,     0,     0,
    1661,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1593,  1594,
    1595,    45,  1596,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1597,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1598,
     136,  1599,  1600,     0,   449,   450,   451,   452,   453,  1601,
    1602,   454,   455,  1603,  1604,   456,     0,   457,   458,   459,
     460,  1605,     0,  1606,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,   476,   477,   478,   479,   728,   480,  1614,  1615,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1616,   507,   508,   509,  1617,  1618,
     510,     0,   511,   512,  1619,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1620,     0,
    1621,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1432,  1622,
       0,  1623,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1624,   183,   547,   184,
       0,   548,   549,   550,  1625,  1626,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1627,   190,  1628,   565,   566,   192,  1629,   567,
     568,   194,   569,  1630,  1631,   570,  1632,   571,   572,   573,
       0,   574,     0,     0,  1633,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1634,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1635,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1636,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1637,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1638,   635,   636,   218,   637,   638,   220,   639,   640,  1639,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1640,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1641,  1642,     0,     0,
     662,   663,  1643,   664,  1644,  1645,   665,   666,   667,   668,
     669,   670,   671,     0,  1646,   672,   673,   674,   675,   676,
    1647,     0,   677,   678,   679,   680,   681,   734,  1648,  4492,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,  1657,
       0,     0,     0,     0,     0,     0,  1658,  1659,     0,     0,
       0,     0,     0,     0,     0,  1661,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1593,  1594,  1595,    45,  1596,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1597,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1598,   136,  1599,  1600,     0,   449,
     450,   451,   452,   453,  1601,  1602,   454,   455,  1603,  1604,
     456,     0,   457,   458,   459,   460,  1605,     0,  1606,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,  4507,
    1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,
     479,   728,   480,  1614,  1615,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1429,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1616,
     507,   508,   509,  1617,  1618,   510,     0,   511,   512,  1619,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1620,     0,  1621,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1432,  1622,     0,  1623,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1624,   183,   547,   184,     0,   548,   549,   550,  1625,
    1626,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1627,   190,  1628,
     565,   566,   192,  1629,   567,   568,   194,   569,  1630,  1631,
     570,  1632,   571,   572,   573,     0,   574,     0,     0,  1633,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1634,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1635,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1636,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1637,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1638,   635,   636,   218,   637,
     638,   220,   639,   640,  1639,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1640,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1641,  1642,     0,     0,   662,   663,  1643,   664,  1644,
    1645,   665,   666,   667,   668,   669,   670,   671,     0,  1646,
     672,   673,   674,   675,   676,  1647,     0,   677,   678,   679,
     680,   681,   734,  1648,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,
    1656,   735,   694,   695,  1657,     0,     0,     0,     0,     0,
       0,  1658,  1659,     0,     0,     0,     0,     0,     0,     0,
    1661,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1593,  1594,
    1595,    45,  1596,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1597,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,  5512,  1598,
     136,  1599,  1600,     0,   449,   450,   451,   452,   453,  1601,
    1602,   454,   455,  1603,  1604,   456,     0,   457,   458,   459,
     460,  1605,     0,  1606,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,  5513,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,   476,   477,   478,   479,   728,   480,  1614,  1615,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1616,   507,   508,   509,  1617,  1618,
     510,     0,   511,   512,  1619,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1620,     0,
    1621,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1432,  1622,
       0,  1623,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1624,   183,   547,   184,
       0,   548,   549,   550,  1625,  1626,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1627,   190,  1628,   565,   566,   192,  1629,   567,
     568,   194,   569,  1630,  1631,   570,  1632,   571,   572,   573,
       0,   574,     0,     0,  1633,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1634,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1635,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1636,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1637,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1638,   635,   636,   218,   637,   638,   220,   639,   640,  1639,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1640,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1641,  1642,     0,     0,
     662,   663,  1643,   664,  1644,  1645,   665,   666,   667,   668,
    5514,   670,   671,     0,  1646,   672,   673,   674,   675,   676,
    1647,     0,   677,   678,   679,   680,   681,   734,  1648,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,  1657,
       0,     0,     0,     0,     0,     0,  1658,  1659,     0,     0,
       0,     0,     0,     0,     0,  1661,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1593,  1594,  1595,    45,  1596,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1597,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1598,   136,  1599,  1600,     0,   449,
     450,   451,   452,   453,  1601,  1602,   454,   455,  1603,  1604,
     456,     0,   457,   458,   459,   460,  1605,     0,  1606,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,  5513,
    1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,
     479,   728,   480,  1614,  1615,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1429,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1616,
     507,   508,   509,  1617,  1618,   510,     0,   511,   512,  1619,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1620,     0,  1621,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1432,  1622,     0,  1623,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1624,   183,   547,   184,     0,   548,   549,   550,  1625,
    1626,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1627,   190,  1628,
     565,   566,   192,  1629,   567,   568,   194,   569,  1630,  1631,
     570,  1632,   571,   572,   573,     0,   574,     0,     0,  1633,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1634,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1635,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1636,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1637,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1638,   635,   636,   218,   637,
     638,   220,   639,   640,  1639,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1640,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1641,  1642,     0,     0,   662,   663,  1643,   664,  1644,
    1645,   665,   666,   667,   668,  5514,   670,   671,     0,  1646,
     672,   673,   674,   675,   676,  1647,     0,   677,   678,   679,
     680,   681,   734,  1648,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,
    1656,   735,   694,   695,  1657,     0,     0,     0,     0,     0,
       0,  1658,  1659,     0,     0,     0,     0,     0,     0,     0,
    1661,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1593,  1594,
    1595,    45,  1596,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1597,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1598,
     136,  1599,  1600,     0,   449,   450,   451,   452,   453,  1601,
    1602,   454,   455,  1603,  1604,   456,     0,   457,   458,   459,
     460,  1605,     0,  1606,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,   476,   477,   478,   479,   728,   480,  1614,  1615,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1616,   507,   508,   509,  1617,  1618,
     510,     0,   511,   512,  1619,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1620,     0,
    1621,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1432,  1622,
       0,  1623,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1624,   183,   547,   184,
       0,   548,   549,   550,  1625,  1626,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1627,   190,  1628,   565,   566,   192,  1629,   567,
     568,   194,   569,  1630,  1631,   570,  1632,   571,   572,   573,
       0,   574,     0,     0,  1633,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1634,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1635,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1636,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1637,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1638,   635,   636,   218,   637,   638,   220,   639,   640,  1639,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1640,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1641,  1642,     0,     0,
     662,   663,  1643,   664,  1644,  1645,   665,   666,   667,   668,
     669,   670,   671,     0,  1646,   672,   673,   674,   675,   676,
    1647,     0,   677,   678,   679,   680,   681,   734,  1648,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,  1657,
       0,     0,     0,     0,     0,     0,  1658,  1659,     0,     0,
       0,     0,     0,     0,     0,  1661,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1593,  1594,  1595,    45,  1596,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1597,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1598,   136,  1599,  1600,     0,   449,
     450,   451,   452,   453,  1601,  1602,   454,   455,  1603,  1604,
     456,     0,   457,   458,   459,   460,  1605,     0,  1606,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,
     479,   728,   480,  1614,  1615,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1429,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1616,
     507,   508,   509,  1617,  1618,   510,     0,   511,   512,  1619,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1620,     0,  1621,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1432,  1622,     0,  1623,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1624,   183,   547,   184,     0,   548,   549,   550,  1625,
    1626,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1627,   190,  1628,
     565,   566,   192,  1629,   567,   568,   194,   569,  1630,  1631,
     570,  1632,   571,   572,   573,     0,   574,     0,     0,  1633,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1634,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1635,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1636,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1637,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1638,   635,   636,   218,   637,
     638,   220,   639,   640,  1639,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1640,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1641,  1642,     0,     0,   662,   663,  1643,   664,  1644,
    1645,   665,   666,   667,   668,   669,   670,   671,     0,  1646,
     672,   673,   674,   675,   676,  1647,     0,   677,   678,   679,
     680,   681,   734,  1648,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,
    1656,   735,   694,   695,  1657,     0,     0,     0,     0,     0,
       0,  2473,  2474,     0,     0,     0,     0,     0,     0,     0,
    1661,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1593,  1594,
    1595,    45,  1596,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1597,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1598,
     136,  1599,  1600,     0,   449,   450,   451,   452,   453,  1601,
    1602,   454,   455,  1603,  1604,   456,     0,   457,   458,   459,
     460,  1605,     0,  1606,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,   476,   477,   478,   479,   728,   480,  1614,  1615,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1616,   507,   508,   509,  1617,  1618,
     510,     0,   511,   512,  1619,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1620,     0,
    1621,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1432,  1622,
       0,  1623,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1624,   183,   547,   184,
       0,   548,   549,   550,  1625,  1626,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1627,   190,  1628,   565,   566,   192,  1629,   567,
     568,   194,   569,  1630,  1631,   570,  1632,   571,   572,   573,
       0,   574,     0,     0,  1633,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1634,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1635,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1636,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1637,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1638,   635,   636,   218,   637,   638,   220,   639,   640,  1639,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1640,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1641,  1642,     0,     0,
     662,   663,  1643,   664,  1644,  1645,   665,   666,   667,   668,
     669,   670,   671,     0,  1646,   672,   673,   674,   675,   676,
    1647,     0,   677,   678,   679,   680,   681,   734,  1648,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,  4811,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,  1657,
       0,     0,     0,     0,     0,     0,  1658,  1659,     0,     0,
       0,     0,     0,     0,     0,  1661,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1593,  1594,  1595,    45,  1596,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1597,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1598,   136,  1599,  1600,     0,   449,
     450,   451,   452,   453,  1601,  1602,   454,   455,  1603,  1604,
     456,     0,   457,   458,   459,   460,  1605,     0,  1606,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,
     479,   728,   480,  1614,  1615,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1429,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1616,
     507,   508,   509,  1617,  1618,   510,     0,   511,   512,  1619,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1620,     0,  1621,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1432,  1622,     0,  1623,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1624,   183,   547,   184,     0,   548,   549,   550,  1625,
    1626,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1627,   190,  1628,
     565,  4820,   192,  1629,   567,   568,   194,   569,  1630,  1631,
     570,  1632,   571,   572,   573,     0,   574,     0,     0,  1633,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1634,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1635,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1636,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1637,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1638,   635,   636,   218,   637,
     638,   220,   639,   640,  1639,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1640,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1641,  1642,     0,     0,   662,   663,  1643,   664,  1644,
    1645,   665,   666,   667,   668,   669,   670,   671,     0,  1646,
     672,   673,   674,   675,   676,  1647,     0,   677,   678,   679,
     680,   681,   734,  1648,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,
    1656,   735,   694,   695,  1657,     0,     0,     0,     0,     0,
       0,  1658,  1659,     0,     0,     0,     0,     0,     0,     0,
    1661,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1593,  1594,
    1595,    45,  1596,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1597,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1598,
     136,  1599,  1600,     0,   449,   450,   451,   452,   453,  1601,
    1602,   454,   455,  1603,  1604,   456,     0,   457,   458,   459,
     460,  1605,     0,  1606,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,  5117,     0,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,   476,   477,   478,   479,   728,   480,  1614,  1615,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1616,   507,   508,   509,  1617,  1618,
     510,     0,   511,   512,  1619,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1620,     0,
    5118,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1432,  1622,
       0,  1623,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1624,   183,   547,   184,
       0,   548,   549,   550,  1625,  1626,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1627,   190,  1628,   565,   566,   192,  1629,   567,
     568,   194,   569,  1630,  1631,   570,  1632,   571,   572,   573,
       0,   574,     0,     0,  1633,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1634,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1635,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1636,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,  5119,  1637,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1638,   635,   636,   218,   637,   638,   220,   639,   640,  1639,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1640,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1641,  1642,     0,     0,
     662,   663,  1643,   664,  1644,  1645,   665,   666,   667,   668,
     669,   670,   671,     0,  1646,   672,   673,   674,   675,   676,
    1647,     0,   677,   678,   679,   680,   681,   734,  1648,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,  1657,
       0,     0,     0,     0,     0,     0,  1658,  1659,     0,     0,
       0,     0,     0,     0,     0,  5120,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1593,  1594,  1595,    45,  1596,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1597,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448, -2829,  1598,   136,  1599,  1600,     0,   449,
     450,   451,   452,   453,  1601,  1602,   454,   455,  1603,  1604,
     456,     0,   457,   458,   459,   460,  1605,     0,  1606,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,  5513,
    1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,
     479,   728,   480,  1614,  1615,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1429,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1616,
     507,   508,   509,  1617,  1618,   510,     0,   511,   512,  1619,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1620,     0,  1621,   520,     0,   521,   522,
     730,   523,   524, -2829,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1432,  1622,     0,  1623,     0,   539,     0,
       0,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1624,   183,   547, -2829,     0,   548,   549,   550,  1625,
    1626,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1627,   190,  1628,
     565,   566,   192,  1629,   567,   568,     0,   569,  1630,  1631,
     570,  1632,   571,   572,   573,     0,   574,     0,     0,  1633,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1634,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1635,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1636,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1637,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1638,   635,   636,   218,   637,
     638, -2829,   639,   640,  1639,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1640,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1641,  1642,     0,     0,   662,   663,  1643,   664,  1644,
    1645,   665,   666,   667,   668,  5514,   670,   671,     0,  1646,
     672,   673,   674,   675,   676,  1647,     0,   677,   678,   679,
     680,   681,   734,  1648,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,
    1656,   735,   694,   695, -2829,     0,     0,     0,     0,     0,
       0,  1658,  1659,     0,     0,     0,     0,     0,     0,     0,
    1661,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1593,  1594,
    1595,    45,  1596,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1597,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1598,
     136,  1599,  1600,     0,   449,   450,   451,   452,   453,  1601,
    1602,   454,   455,  1603,  1604,   456,     0,   457,   458,   459,
     460,  1605,     0,  1606,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,   476,   477,   478,   479,   728,   480,  1614,  1615,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1616,   507,   508,   509,  1617,  1618,
     510,     0,   511,   512,  1619,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1620,     0,
    1621,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1432,  1622,
       0,  1623,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1624,   183,   547,   184,
       0,   548,   549,   550,  1625,  1626,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1627,   190,  1628,   565,   566,   192,     0,   567,
     568,   194,   569,  1630,  1631,   570,  1632,   571,   572,   573,
       0,   574,     0,     0,  1633,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1634,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1635,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1636,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  3091,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1638,   635,   636,   218,   637,   638,   220,   639,   640,  1639,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1640,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1641,  1642,     0,     0,
     662,   663,  1643,   664,  1644,  1645,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
    1647,     0,   677,   678,   679,   680,   681,   734,  1648,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,     0,
       0,     0,     0,     0,     0,     0,  3092,  3093,     0,     0,
       0,     0,     0,     0,     0,  3094,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1593,  1594,     0,    45,  1596,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1597,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1598,   136,  1599,  1600,     0,   449,
     450,   451,   452,   453,  1601,  1602,   454,   455,  1603,  1604,
     456,     0,   457,   458,   459,   460,  1605,     0,  1606,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,
     479,   728,   480,  1614,  1615,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1429,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1616,
     507,   508,   509,  1617,  1618,   510,     0,   511,   512,  1619,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1620,     0,  1621,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1432,  1622,     0,  1623,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1624,   183,   547,   184,     0,   548,   549,   550,  1625,
    1626,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1627,   190,  1628,
     565,   566,   192,     0,   567,   568,   194,   569,  1630,  1631,
     570,  1632,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1634,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1635,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1636,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    3232,  3233,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1638,   635,   636,   218,   637,
     638,   220,   639,   640,  1639,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1640,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1641,  1642,     0,     0,   662,   663,  1643,   664,  1644,
    1645,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,  1647,     0,   677,   678,   679,
     680,   681,   734,  1648,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,
    1656,   735,   694,   695,     0,     0,     0,     0,     0,     0,
       0,  3234,  3235,     0,     0,     0,     0,     0,     0,     0,
    3094,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1593,  1594,
    1595,    45,  1596,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1597,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1598,
     136,  1599,  1600,     0,   449,   450,   451,   452,   453,  1601,
    1602,   454,   455,  1603,  1604,   456,     0,   457,   458,   459,
     460,  1605,     0,  1606,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,   476,   477,   478,   479,   728,   480,  1614,  1615,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1616,   507,   508,   509,  1617,  1618,
     510,     0,   511,   512,  1619,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1620,     0,
    1621,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1432,  1622,
       0,  1623,     0,   539,     0,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1624,   183,   547,   184,
       0,   548,   549,   550,  1625,  1626,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1627,   190,  1628,   565,   566,   192,     0,   567,
     568,   194,   569,  1630,  1631,   570,  1632,   571,   572,   573,
       0,   574,     0,     0,  1633,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1634,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1635,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1636,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  3091,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1638,   635,   636,   218,   637,   638,   220,   639,   640,  1639,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1640,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1641,  1642,     0,     0,
     662,   663,  1643,   664,  1644,  1645,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
    1647,     0,   677,   678,   679,   680,   681,   734,  1648,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,     0,
       0,     0,     0,     0,     0,     0,  3092,  3093,     0,     0,
       0,     0,     0,     0,     0,  3094,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1593,  1594,     0,    45,  1596,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1597,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1598,   136,  1599,  1600,     0,   449,
     450,   451,   452,   453,  1601,  1602,   454,   455,  1603,  1604,
     456,     0,   457,   458,   459,   460,  1605,     0,  1606,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,
     479,   728,   480,  1614,  1615,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1429,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1616,
     507,   508,   509,  1617,  1618,   510,     0,   511,   512,  1619,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1620,     0,  1621,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1432,  1622,     0,  1623,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1624,   183,   547,   184,     0,   548,   549,   550,  1625,
    1626,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1627,   190,  1628,
     565,   566,   192,     0,   567,   568,   194,   569,  1630,  1631,
     570,  1632,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1634,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1635,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1636,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    3091,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1638,   635,   636,   218,   637,
     638,   220,   639,   640,  1639,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1640,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1641,  1642,     0,     0,   662,   663,  1643,   664,  1644,
    1645,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,  1647,     0,   677,   678,   679,
     680,   681,   734,  1648,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,
    1656,   735,   694,   695,     0,     0,     0,   759,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
    3094,    98,    99,   100,   101,   102,   103,   760,   104,   105,
     714,   761,     0,   107,   108,   109,   110,   762,   763,   112,
     113,   114,     0,   115,   764,   765,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1593,  1594,     0,    45,  1596,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1597,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,  1598,   136,  1599,  1600,     0,
    4407,   450,   451,   452,   453,  1601,  1602,   454,   455,  1603,
    1604,   456,     0,   457,   458,   459,   460,  1605,     0,  1606,
       0,   461,   462,   463,   464,   147,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,  1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,
     478,   479,   728,   480,  1614,  1615,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,  1429,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
    1616,   507,   508,   509,  1617,  1618,   510,     0,   511,   512,
    1619,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,  1620,     0,  1621,   520,     0,   521,
     522,   730,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,  1432,  1622,     0,  1623,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,  1624,   183,   547,   184,     0,   548,   549,   550,
    1625,  1626,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,  1627,   190,
    1628,   565,   566,   192,     0,   567,   568,   194,   569,  1630,
    1631,   570,  1632,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
    1634,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,  1635,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,  1636,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,  3091,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,  1638,   635,   636,   218,
     637,   638,   220,   639,   640,  1639,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,  1640,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,  1641,  1642,     0,     0,   662,   663,  1643,   664,
    1644,  1645,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,  1647,     0,   677,   678,
     679,   680,   681,   734,  1648,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,  1656,   735,   694,   695,     0,     0,     0,   759,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,  3094,    98,    99,   100,   101,   102,   103,   760,   104,
     105,   714,   761,     0,   107,   108,   109,   110,   762,   763,
     112,   113,   114,     0,   115,   764,   765,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1593,  1594,  1595,    45,  1596,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1597,     0,     0,   442,   443,     0,   444,
     445,   132,   446,   447,   448,     0,  1598,   136,  1599,  1600,
       0,   449,   450,   451,   452,   453,  1601,  1602,   454,   455,
    1603,  1604,   456,     0,   457,   458,   459,   460,  1605,     0,
    1606,     0,   461,   462,   463,   464,   147,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,   150,   473,
     474,     0,  1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,
     477,   478,   479,   728,   480,  1614,  1615,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,  1429,   495,   496,     0,   497,
     498,   499,     0,   500,     0,   502,     0,   503,   504,   505,
     506,  1616,   507,   508,   509,  1617,  1618,   510,     0,   511,
     512,  1619,   513,     0,   514,     0,   515,   168,     0,   169,
     516,   517,   518,     0,   519,  1620,     0,  1621,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,   175,
     176,     0,   536,   537,   538,  1432,  1622,     0,  1623,     0,
     539,     0,     0,   540,   181,   541,   542,   543,   544,   545,
       0,     0,   546,  1624,   183,   547,     0,     0,   548,   549,
     550,  1625,  1626,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,  1627,
     190,  1628,   565,   566,   192,  1629,   567,   568,     0,   569,
    1630,  1631,   570,  1632,   571,   572,   573,     0,   574,     0,
       0,  1633,   576,   577,     0,     0,   578,   197,   198,   579,
     199,  1634,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,  1635,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,  1636,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   211,   619,
     620,   621,  1637,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,  1638,   635,   636,
     218,   637,   638,     0,   639,   640,  1639,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
    1640,     0,   653,   654,     0,   655,   225,   656,   657,   658,
     659,   660,     0,  1641,  1642,     0,     0,   662,   663,  1643,
     664,  1644,  1645,   665,   666,   667,   668,   669,   670,   671,
       0,  1646,   672,   673,   674,   675,   676,  1647,     0,   677,
     678,   679,   680,   681,   734,  1648,     0,   682,   237,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,  1649,  1650,  1651,  1652,  1653,
    1654,  1655,  1656,   735,   694,   695,     0,     0,     0,     0,
       0,     0,     0,  1658,  1659,     0,     0,     0,     0,     0,
       0,     0,  1661,   759,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,  1602,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,  1605,     0,  1606,     0,   461,   462,   463,
     464,   147,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,  1607,  1608,  1609,
    1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
    1617,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
    1620,     0,   172,   520,     0,   521,   522,   730,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,  3888,     0,   546,  1624,   183,
     547,   184,     0,   548,   549,   550,  1625,  1626,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,  1631,   570,   196,   571,
     572,   573,     0,   574,     0,  1132,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,  1634,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,  1635,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,  3889,   623,
     624,   625,   626,   627,   733,   628,   216,   629,   630,   631,
     632,   633,  1638,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,  1640,     0,   653,   654,   224,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,  1643,   664,  1644,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,  1647,     0,   677,   678,   679,   680,   681,  2337,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,   238,   688,   689,   690,   691,   692,   693,   239,
    1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,   694,
     695,     0,     0,   248,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,  3890,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,   135,   136,   137,   138,     0,   449,   450,   451,
     452,   453,     0,  1602,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,  1605,     0,  1606,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,  1607,  1608,
    1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,  1617,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,  1620,     0,   172,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,  3888,     0,   546,  1624,
     183,   547,   184,     0,   548,   549,   550,  1625,  1626,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,   190,   191,   565,   566,
     192,     0,   567,   568,   194,   569,     0,  1631,   570,   196,
     571,   572,   573,     0,   574,     0,  1132,   575,   576,   577,
       0,     0,   578,   197,   198,   579,   199,  1634,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,  1635,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,   213,  3889,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,  1638,   635,   636,   218,   637,   638,   220,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,  1640,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,  1643,   664,  1644,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,  1647,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,
     694,   695,     0,     0,     0,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,  3890,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
       0,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   132,   446,
     447,   448,   134,   135,   136,   137,   138,     0,   449,   450,
     451,   452,   453,     0,  1602,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,  1605,     0,  1606,     0,   461,
     462,   463,   464,   147,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,   150,   473,   474,     0,  1607,
    1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,  1617,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,   168,     0,   169,   516,   517,   518,
       0,   519,  1620,     0,   172,   520,     0,   521,   522,   730,
     523,   524,   173,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,   175,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,     0,     0,   546,
    1624,   183,   547,   184,     0,   548,   549,   550,  1625,  1626,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,   190,   191,   565,
     566,   192,     0,   567,   568,   194,   569,     0,  1631,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,   198,   579,   199,  1634,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
    1635,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   211,   619,   620,   621,   213,
    3889,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,  1638,   635,   636,   218,   637,   638,
     220,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,  1640,     0,   653,
     654,     0,   655,   225,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,  1643,   664,  1644,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,  1647,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,   237,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,
     735,   694,   695,     0,     0,     0,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,   249,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,   135,   136,   137,   138,     0,   449,
     450,   451,   452,   453,     0,  1602,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,  1605,     0,  1606,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,  1617,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1620,     0,   172,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1624,   183,   547,   184,     0,   548,   549,   550,  1625,
    1626,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,   190,   191,
     565,   566,   192,     0,   567,   568,   194,   569,     0,  1631,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1634,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1635,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1638,   635,   636,   218,   637,
     638,   220,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1640,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,  1643,   664,  1644,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,  1647,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,
    1656,   735,   694,   695,     0,     0,     0,   759,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
    4538,    98,    99,   100,   101,   102,   103,   760,   104,   105,
     714,   761,     0,   107,   108,   109,   110,   762,   763,   112,
     113,   114,     0,   115,   764,   765,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,     0,     0,     0,     0,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,  5171,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,  4461,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0, -1624,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0, -1624,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535, -1624,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540, -1624,   541,   542,   543,   544,   545,
       0,     0,   546,   182, -1624,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
   -1624,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618, -1624,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,     0,     0,     0,     0,
       0,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,  1758,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,     0,     0,
       0,     0,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,  3692,  3693,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,     0,
       0,     0,     0,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,  3693,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,   216,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,   224,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,  2337,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,   238,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
       0,     0,   248,     0,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,   249,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,   216,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,   224,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,  2337,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,   238,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,     0,     0,   248,     0,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,   249,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,     0,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,  1732,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,     0,     0,     0,     0,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,  3264,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,     0,     0,     0,     0,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
    4442,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,     0,     0,     0,   759,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,  4865,    98,    99,   100,   101,   102,   103,   760,   104,
     105,   714,   761,     0,   107,   108,   109,   110,   762,   763,
     112,   113,   114,     0,   115,   764,   765,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,  1259,    45,     0,
       0,     0,     0,     0,  1260,  1261,  1262,   431,   432,   433,
     434,   435,   436,   437,   438,   766,   439,   440,   441,   767,
     768,   769,   770,   771,   772,   773,   442,   443,   774,   444,
     445,   132,   446,   447,   448,     0,  1422,   136,  1423,  1424,
     775,   449,   450,   451,   452,   453,   776,   777,   454,   455,
    1425,  1426,   456,   779,   457,   458,   459,   460,     0,   780,
     144,   781,   461,   462,   463,   464,   147,   465,   466,   726,
     783,   467,   468,   469,   470,   471,   472,   784,   150,   473,
     474,     0,   786,   787,   788,   151,   789,   790,   791,   476,
     477,   478,   479,   728,   480,  1427,  1428,   481,   792,   482,
     793,   483,   484,   485,   486,   487,   488,   794,   489,   490,
     491,   795,   796,   492,   493,  1429,   495,   496,   797,   497,
     498,   499,   798,   500,   501,   502,   799,   503,   504,   505,
     506,     0,   507,   508,   509,     0,   800,   510,   801,   511,
     512,  1430,   513,   802,   514,   803,   515,   168,   804,   169,
     516,   517,   518,   805,   519,     0,   806,     0,   520,   807,
     521,   522,   730,   523,   524,   173,   525,   526,   527,   528,
     808,   529,   530,   531,   532,   533,   534,   809,   535,   175,
       0,     0,   536,   537,   538,  1432,  1433,   812,  1434,   813,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
     814,   815,   546,     0,   183,   547,   184,   816,   548,   549,
     550,   817,   818,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,  1435,
     190,  1436,   565,   566,  4961,   819,   567,   568,   194,   569,
     820,     0,   570,  1437,   571,   572,   573,   821,   574,   822,
     823,  4188,   576,   577,   824,   825,   578,     0,   198,   579,
     199,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     826,   588,   589,     0,   590,     0,   591,   592,   593,   827,
     594,   595,   596,   597,   598,   599,   600,   601,  1438,   602,
     603,   604,   605,   828,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   829,   617,   618,   211,   619,
     620,   621,     0,   622,   623,   624,   625,   626,   627,   733,
     628,   830,   629,   630,   631,   632,   633,   831,   635,   636,
    2550,   637,   638,   220,   639,   640,  1440,   641,   832,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
       0,   833,   653,   654,   834,   655,   225,   656,   657,   658,
     659,   660,   835,  1441,  1442,     0,   837,   662,   663,     0,
     664,     0,   838,   665,   666,   667,   668,   669,   670,   671,
       0,   840,   672,   673,   674,   675,   676,   841,   842,   677,
     678,   679,   680,   681,     0,  1443,   844,   682,   237,   683,
     684,   685,   686,   845,   846,   687,   847,   848,   688,   689,
     690,   691,   692,   693,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   735,   694,   695,     0,     0,     0,  1265,
    1266,  1267,     0,  4189,  4190,  1270,  1271,  1272,  1273,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,  1259,    45,
       0,     0,     0,     0,     0,  1260,  1261,  1262,   431,   432,
     433,   434,   435,   436,   437,   438,   766,   439,   440,   441,
     767,   768,   769,   770,   771,   772,   773,   442,   443,   774,
     444,   445,   132,   446,   447,   448,     0,  1422,   136,  1423,
    1424,   775,   449,   450,   451,   452,   453,   776,   777,   454,
     455,  1425,  1426,   456,   779,   457,   458,   459,   460,     0,
     780,   144,   781,   461,   462,   463,   464,   147,   465,   466,
     726,   783,   467,   468,   469,   470,   471,   472,   784,   150,
     473,   474,     0,   786,   787,   788,   151,   789,   790,   791,
     476,   477,   478,   479,   728,   480,  1427,  1428,   481,   792,
     482,   793,   483,   484,   485,   486,   487,   488,   794,   489,
     490,   491,   795,   796,   492,   493,  1429,   495,   496,   797,
     497,   498,   499,   798,   500,   501,   502,   799,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   800,   510,   801,
     511,   512,  1430,   513,   802,   514,   803,   515,   168,   804,
     169,   516,   517,   518,   805,   519,     0,   806,     0,   520,
     807,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,   808,   529,   530,   531,   532,   533,   534,   809,   535,
     175,     0,     0,   536,   537,   538,  1432,  1433,   812,  1434,
     813,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,   814,   815,   546,     0,   183,   547,   184,   816,   548,
     549,   550,   817,   818,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1435,   190,  1436,   565,   566,     0,   819,   567,   568,   194,
     569,   820,     0,   570,  1437,   571,   572,   573,   821,   574,
     822,   823,  4188,   576,   577,   824,   825,   578,     0,   198,
     579,   199,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   826,   588,   589,     0,   590,     0,   591,   592,   593,
     827,   594,   595,   596,   597,   598,   599,   600,   601,  1438,
     602,   603,   604,   605,   828,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   829,   617,   618,   211,
     619,   620,   621,     0,   622,   623,   624,   625,   626,   627,
     733,   628,   830,   629,   630,   631,   632,   633,   831,   635,
     636,  2550,   637,   638,   220,   639,   640,  1440,   641,   832,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,     0,   833,   653,   654,   834,   655,   225,   656,   657,
     658,   659,   660,   835,  1441,  1442,     0,   837,   662,   663,
       0,   664,     0,   838,   665,   666,   667,   668,   669,   670,
     671,     0,   840,   672,   673,   674,   675,   676,   841,   842,
     677,   678,   679,   680,   681,     0,  1443,   844,   682,   237,
     683,   684,   685,   686,   845,   846,   687,   847,   848,   688,
     689,   690,   691,   692,   693,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   735,   694,   695,     0,     0,     0,
    1265,  1266,  1267,     0,  4189,  4190,  1270,  1271,  1272,  1273,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1259,     0,
       0,     0,     0,     0,     0,  1260,  1261,  1262,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,  1263,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,  1264,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,     0,     0,     0,
    1265,  1266,  1267,     0,  1268,  1269,  1270,  1271,  1272,  1273,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1259,     0,
       0,     0,     0,     0,     0,  1260,  1261,  1262,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,  1372,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,  1373,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,     0,     0,     0,
    1265,  1266,  1267,     0,  1268,  1269,  1270,  1271,  1272,  1273,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1259,     0,
       0,     0,     0,     0,     0,  1260,  1261,  1262,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,  1473,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,  1474,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,  1475,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,     0,     0,     0,
    1265,  1266,  1267,     0,  1268,  1269,  1270,  1271,  1272,  1273,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1259,     0,
       0,     0,     0,     0,     0,  1260,  1261,  1262,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,  2039,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,  2040,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,     0,     0,     0,
    1265,  1266,  1267,     0,  1268,  1269,  1270,  1271,  1272,  1273,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1259,     0,
       0,     0,     0,     0,     0,  1260,  1261,  1262,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,     0,     0,     0,
    1265,  1266,  1267,     0,  1268,  1269,  1270,  1271,  1272,  1273,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1259,     0,
       0,     0,     0,     0,     0,  1260,  1261,  1262,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,  3366,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,  3367,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,     0,     0,     0,
    1265,  1266,  1267,     0,  1268,  1269,  1270,  1271,  1272,  1273,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1259,     0,
       0,     0,     0,     0,     0,  1260,  1261,  1262,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,  5151,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,     0,     0,     0,
    1265,  1266,  1267,     0,  1268,  1269,  1270,  1271,  1272,  1273,
     759,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     760,   104,   105,   714,   761,     0,   107,   108,   109,   110,
     762,   763,   112,   113,   114,     0,   115,   764,   765,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   766,   439,   440,
     441,   767,   768,   769,   770,   771,   772,   773,   442,   443,
     774,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,   775,   449,   450,   451,   452,   453,   776,   777,
     454,   455,   778,   139,   456,   779,   457,   458,   459,   460,
     143,   780,   144,   781,   461,   462,   463,   464,   147,   465,
     466,   782,   783,   467,   468,   469,   470,   471,   472,   784,
     150,   473,   474,   785,   786,   787,   788,   151,   789,   790,
     791,   476,   477,   478,   479,   728,   480,   154,   155,   481,
     792,   482,   793,   483,   484,   485,   486,   487,   488,   794,
     489,   490,   491,   795,   796,   492,   493,   494,   495,   496,
     797,   497,   498,   499,   798,   500,   501,   502,   799,   503,
     504,   505,   506,   163,   507,   508,   509,   165,   800,   510,
     801,   511,   512,   167,   513,   802,   514,   803,   515,   168,
     804,   169,   516,   517,   518,   805,   519,   171,   806,   172,
     520,   807,   521,   522,   730,   523,   524,   173,   525,   526,
     527,   528,   808,   529,   530,   531,   532,   533,   534,   809,
     535,   175,   176,   810,   536,   537,   538,   811,   177,   812,
     178,   813,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,   814,   815,   546,   182,   183,   547,   184,   816,
     548,   549,   550,   817,   818,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,   190,   191,   565,   566,   192,   819,   567,   568,
     194,   569,   820,   195,   570,   196,   571,   572,   573,   821,
     574,   822,   823,   575,   576,   577,   824,   825,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,   826,   588,   589,   201,   590,   202,   591,   592,
     593,   827,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,   828,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   829,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,   830,   629,   630,   631,   632,   633,   831,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
     832,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,   833,   653,   654,   834,   655,   225,   656,
     657,   658,   659,   660,   835,   226,   227,   836,   837,   662,
     663,   228,   664,   229,   838,   665,   666,   667,   668,   669,
     670,   671,   839,   840,   672,   673,   674,   675,   676,   841,
     842,   677,   678,   679,   680,   681,   843,   236,   844,   682,
     237,   683,   684,   685,   686,   845,   846,   687,   847,   848,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,   759,    86,
      87,    88,   711,    90,    91,    92,   712,  2438,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   760,   104,
     105,   714,   761,     0,   107,   108,   109,   110,   762,   763,
     112,   113,   114,     0,   115,   764,   765,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   132,   446,   447,   448,     0,  1422,   136,  1423,  1424,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
    1425,  1426,   456,     0,   457,   458,   459,   460,     0,     0,
     144,     0,   461,   462,   463,   464,   147,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,   150,   473,
     474,     0,     0,     0,     0,   151,     0,     0,     0,   476,
     477,   478,   479,   728,   480,  1427,  1428,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,  1429,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,     0,   507,   508,   509,     0,     0,   510,     0,   511,
     512,  1430,   513,     0,   514,     0,   515,   168,     0,   169,
     516,   517,   518,     0,   519,     0,     0,     0,   520,     0,
     521,   522,   730,   523,   524,   173,   525,   526,   527,   528,
    2546,   529,   530,   531,   532,   533,   534,     0,   535,   175,
    2547,     0,   536,   537,   538,  1432,  1433,     0,  1434,     0,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
       0,     0,   546,     0,   183,   547,   184,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,  1435,
     190,  1436,   565,   566,     0,     0,   567,   568,   194,   569,
       0,     0,   570,  1437,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,  2548,   578,  2549,   198,   579,
     199,     0,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,     0,   590,     0,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,  1438,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   211,   619,
     620,   621,     0,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
    2550,   637,   638,   220,   639,   640,  1440,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,     0,   655,   225,   656,   657,   658,
     659,   660,     0,  1441,  1442,     0,     0,   662,   663,     0,
     664,     0,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,     0,  1443,  2551,   682,   237,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   735,   694,   695,     0,    86,    87,    88,
     711,    90,    91,    92,   712,  2552,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,     0,    86,    87,    88,   711,    90,
      91,    92,   712,  1139,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,    86,    87,    88,   711,    90,    91,    92,
     712,  5476,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   431,  1029,   433,   434,   435,   436,   437,   438,  1030,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,  1031,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,  1032,   167,   513,     0,   514,     0,
    1033,     0,  1034,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,  1035,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,  1036,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,  1037,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,  1038,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
    1039,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
       0,     0,     0,     0,     0,     0,     0,  1040,  1041,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   431,  1029,   433,
     434,   435,   436,   437,   438,  1030,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,  1063,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
    1032,   167,   513,     0,   514,     0,  1064,     0,  1034,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
    1035,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,  1036,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,  1037,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
    1038,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,  1039,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,     0,     0,     0,     0,
       0,     0,     0,  1040,  1041,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,  1526,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,  1034,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,  1035,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,     0,     0,     0,     0,  1040,
    1041,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,   430,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,  1531,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
    1034,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,  1035,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,     0,     0,
       0,     0,     0,     0,     0,  1040,  1041,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,   729,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,  1703,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,     0,     0,     0,     0,  1109,  1704,
      86,    87,    88,   711,    90,    91,    92,   712,  1110,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,  1111,
     455,  1082,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
    1112,     0,  1113,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,  1114,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,  1115,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
    1116,   620,   621,   213,   622,   623,   624,  1117,   626,   627,
     733,   628,     0,   629,   630,   631,   632,  1118,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,  1119,   227,     0,     0,  1120,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,  1086,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,  1121,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,   759,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   760,   104,   105,
     714,   761,     0,   107,   108,   109,   110,   762,   763,   112,
     113,   114,     0,   115,   764,   765,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   766,   439,   440,   441,   767,   768,
     769,   770,   771,   772,   773,   442,   443,   774,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,   775,
     449,   450,   451,   452,   453,   776,   777,   454,   455,   778,
     139,   456,   779,   457,   458,   459,   460,   143,   780,   144,
     781,   461,   462,   463,   464,   147,   465,   466,   782,   783,
     467,   468,   469,   470,   471,   472,   784,   150,   473,   474,
     785,   786,   787,   788,   151,   789,   790,   791,   476,   477,
     478,   479,   728,   480,   154,   155,   481,   792,   482,   793,
     483,   484,   485,   486,   487,   488,   794,   489,   490,   491,
     795,   796,   492,   493,   494,   495,   496,   797,   497,   498,
     499,   798,   500,   501,   502,   799,   503,   504,   505,   506,
     163,   507,   508,   509,   165,   800,   510,   801,   511,   512,
     167,   513,   802,   514,   803,   515,   168,   804,   169,   516,
     517,   518,   805,   519,   171,   806,   172,   520,   807,   521,
     522,   730,   523,   524,   173,   525,   526,   527,   528,   808,
     529,   530,   531,   532,   533,   534,   809,   535,   175,   176,
     810,   536,   537,   538,   811,   177,   812,   178,   813,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,   814,
     815,   546,   182,   183,   547,   184,   816,   548,   549,   550,
     817,   818,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,   190,
     191,   565,   566,   192,   819,   567,   568,   194,   569,   820,
     195,   570,   196,   571,   572,   573,   821,   574,   822,   823,
     575,   576,   577,   824,   825,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,   826,
     588,   589,   201,   590,   202,   591,   592,   593,   827,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,   828,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   829,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
     830,   629,   630,   631,   632,   633,   831,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,   832,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
     833,   653,   654,   834,   655,   225,   656,   657,   658,   659,
     660,   835,   226,   227,   836,   837,   662,   663,   228,   664,
     229,   838,   665,   666,   667,   668,   669,   670,   671,   839,
     840,   672,   673,   674,   675,   676,   841,   842,   677,   678,
     679,   680,   681,   843,   236,   844,   682,   237,   683,   684,
     685,   686,   845,   846,   687,   847,   848,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
       0,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   766,   439,   440,   441,   767,   768,   769,   770,
     771,   772,   773,   442,   443,   774,   444,   445,   132,   446,
     447,   448,   134,   135,   136,   137,   138,   775,   449,   450,
     451,   452,   453,   776,   777,   454,   455,   778,   139,   456,
     779,   457,   458,   459,   460,   143,   780,   144,   781,   461,
     462,   463,   464,   147,   465,   466,   782,   783,   467,   468,
     469,   470,   471,   472,   784,   150,   473,   474,   785,   786,
     787,   788,   151,   789,   790,   791,   476,   477,   478,   479,
     728,   480,   154,   155,   481,   792,   482,   793,   483,   484,
     485,   486,   487,   488,   794,   489,   490,   491,   795,   796,
     492,   493,   494,   495,   496,   797,   497,   498,   499,   798,
     500,   501,   502,   799,   503,   504,   505,   506,   163,   507,
     508,   509,   165,   800,   510,   801,   511,   512,   167,   513,
     802,   514,   803,   515,   168,   804,   169,   516,   517,   518,
     805,   519,   171,   806,   172,   520,   807,   521,   522,   730,
     523,   524,   173,   525,   526,   527,   528,   808,   529,   530,
     531,   532,   533,   534,   809,   535,   175,   176,   810,   536,
     537,   538,   811,   177,   812,   178,   813,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,   814,   815,   546,
     182,   183,   547,   184,   816,   548,   549,   550,   817,   818,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,   190,   191,   565,
     566,   192,   819,   567,   568,   194,   569,   820,   195,   570,
     196,   571,   572,   573,   821,   574,   822,   823,   575,   576,
     577,   824,   825,   578,   197,   198,   579,   199,   200,   580,
     581,   582,   583,   584,   585,   586,   587,   826,   588,   589,
     201,   590,   202,   591,   592,   593,   827,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
     828,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   829,   617,   618,   211,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,   830,   629,
     630,   631,   632,   633,   831,   635,   636,   218,   637,   638,
     220,   639,   640,   221,   641,   832,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,   833,   653,
     654,   834,   655,   225,   656,   657,   658,   659,   660,   835,
     226,   227,   836,   837,   662,   663,   228,   664,   229,   838,
     665,   666,   667,   668,   669,   670,   671,   839,   840,   672,
     673,   674,   675,   676,   841,   842,   677,   678,   679,   680,
     681,   843,   236,   844,   682,   237,   683,   684,   685,   686,
     845,   846,   687,   847,   848,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,   759,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,  3434,   436,   437,   438,
     766,   439,   440,   441,   767,   768,   769,   770,   771,   772,
     773,   442,   443,   774,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,   775,   449,   450,   451,   452,
     453,   776,   777,   454,   455,   778,   139,   456,   779,   457,
     458,   459,   460,   143,   780,   144,   781,   461,   462,   463,
     464,   147,   465,   466,   782,   783,   467,   468,   469,   470,
     471,   472,   784,   150,   473,   474,   785,   786,   787,   788,
     151,   789,   790,   791,   476,   477,   478,   479,   728,   480,
     154,   155,   481,   792,   482,   793,   483,   484,   485,   486,
     487,   488,   794,   489,   490,   491,   795,   796,   492,   493,
     494,  3435,   496,   797,   497,   498,   499,   798,   500,   501,
     502,   799,   503,   504,   505,   506,   163,   507,   508,   509,
     165,   800,   510,   801,   511,   512,   167,   513,   802,   514,
     803,   515,   168,   804,   169,   516,   517,   518,   805,   519,
     171,   806,   172,   520,   807,   521,   522,   730,   523,   524,
     173,   525,   526,   527,   528,   808,   529,   530,   531,   532,
     533,   534,   809,   535,   175,   176,   810,   536,   537,   538,
     811,   177,   812,   178,   813,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,   814,   815,   546,   182,   183,
     547,   184,   816,   548,   549,   550,   817,   818,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,   190,   191,   565,   566,   192,
     819,   567,   568,   194,   569,   820,   195,   570,   196,   571,
     572,   573,   821,   574,   822,   823,   575,   576,   577,   824,
     825,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,   826,   588,   589,   201,   590,
     202,   591,   592,   593,   827,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,   828,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     829,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,   830,   629,   630,   631,
     632,   633,   831,  3436,   636,   218,   637,   638,   220,   639,
     640,   221,   641,   832,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,   833,   653,   654,   834,
     655,   225,   656,   657,   658,   659,   660,   835,   226,   227,
     836,   837,   662,   663,   228,   664,   229,   838,   665,   666,
     667,   668,   669,   670,   671,   839,   840,   672,   673,   674,
     675,   676,   841,   842,   677,   678,   679,   680,   681,   843,
     236,   844,   682,   237,   683,   684,   685,   686,   845,   846,
     687,   847,   848,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,   135,
     136,   137,   138,     0,   449,   450,   451,   452,   453,     0,
    1602,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,  1605,     0,  1606,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,  1617,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1620,     0,
     172,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1624,   183,   547,   184,
       0,   548,   549,   550,  1625,  1626,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,   190,   191,   565,   566,   192,     0,   567,
     568,   194,   569,     0,  1631,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1634,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1635,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1638,   635,   636,   218,   637,   638,   220,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1640,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,  1643,   664,  1644,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
    1647,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,   759,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   760,   104,   105,
     714,   761,     0,   107,   108,   109,   110,   762,   763,   112,
     113,   114,     0,   115,   764,   765,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  1415,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
       0,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   132,   446,
     447,   448,   134,   135,   136,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,   144,     0,   461,
     462,   463,   464,   147,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,   150,   473,   474,     0,     0,
       0,     0,   151,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,   168,     0,   169,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,  1466,   173,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,   175,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,     0,     0,   546,
     182,   183,   547,   184,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,   190,   191,   565,
     566,   192,     0,   567,   568,   194,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,   198,   579,   199,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   211,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
     220,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,   225,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,   237,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,   759,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
       0,  1422,   136,  1423,  1424,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,  1425,  1426,   456,     0,   457,
     458,   459,   460,     0,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,     0,   476,   477,   478,   479,   728,   480,
    1427,  1428,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
    1429,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,     0,   507,   508,   509,
       0,     0,   510,     0,   511,   512,  1430,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
       0,     0,     0,   520,     0,   521,   522,   730,   523,   524,
     173,   525,   526,   527,   528,  2546,   529,   530,   531,   532,
     533,   534,     0,   535,   175,  2547,     0,   536,   537,   538,
    1432,  1433,     0,  1434,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,     0,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,  1435,   190,  1436,   565,   566,     0,
       0,   567,   568,   194,   569,     0,     0,   570,  1437,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,  2549,   198,   579,   199,     0,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,     0,   590,
       0,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,  1438,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,     0,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,  2550,   637,   638,   220,   639,
     640,  1440,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,  1441,  1442,
       0,     0,   662,   663,     0,   664,     0,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
    1443,  2551,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   735,   694,
     695,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,     0,  1422,
     136,  1423,  1424,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,  1425,  1426,   456,     0,   457,   458,   459,
     460,     0,     0,   144,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,     0,     0,     0,   151,     0,
       0,     0,   476,   477,   478,   479,   728,   480,  1427,  1428,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,     0,   507,   508,   509,     0,     0,
     510,     0,   511,   512,  1430,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,     0,     0,
       0,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,     0,     0,   536,   537,   538,  1432,  1433,
       0,  1434,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,     0,   183,   547,   184,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1435,   190,  1436,   565,   566,     0,     0,   567,
     568,   194,   569,  2646,     0,   570,  1437,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
       0,   198,   579,   199,     0,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,     0,   590,     0,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1438,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,     0,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,  2550,   637,   638,   220,   639,   640,  1440,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,  4286,   655,   225,
     656,   657,   658,   659,   660,     0,  1441,  1442,     0,     0,
     662,   663,     0,   664,     0,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,     0,  1443,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   735,   694,   695,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,     0,  1422,   136,  1423,
    1424,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,  1425,  1426,   456,     0,   457,   458,   459,   460,     0,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,     0,
     476,   477,   478,   479,   728,   480,  1427,  1428,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,     0,   507,   508,   509,     0,     0,   510,     0,
     511,   512,  1430,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,     0,     0,     0,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,     0,     0,   536,   537,   538,  1432,  1433,     0,  1434,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,     0,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1435,   190,  1436,   565,   566,  2715,     0,   567,   568,   194,
     569,     0,     0,   570,  1437,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,     0,   198,
     579,   199,     0,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,     0,   590,     0,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1438,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,     0,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,  1439,   637,   638,   220,   639,   640,  1440,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,  1441,  1442,     0,     0,   662,   663,
       0,   664,     0,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,  1443,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   735,   694,   695,   759,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   760,   104,   105,
     714,   761,     0,   107,   108,   109,   110,   762,   763,   112,
     113,   114,     0,   115,   764,   765,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,     0,  1422,   136,  1423,  1424,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,  1425,
    1426,   456,     0,   457,   458,   459,   460,     0,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,     0,   476,   477,
     478,   479,   728,   480,  1427,  1428,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,  1429,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
       0,   507,   508,   509,     0,     0,   510,     0,   511,   512,
    1430,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,     0,     0,     0,   520,     0,   521,
     522,   730,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,     0,
       0,   536,   537,   538,  1432,  1433,     0,  1434,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,     0,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,  1435,   190,
    1436,   565,   566,  4107,     0,   567,   568,   194,   569,     0,
       0,   570,  1437,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,     0,   198,   579,   199,
       0,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,     0,   590,     0,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,  1438,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,     0,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,  1439,
     637,   638,   220,   639,   640,  1440,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,  1441,  1442,     0,     0,   662,   663,     0,   664,
       0,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,  1443,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   735,   694,   695,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
       0,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   132,   446,
     447,   448,     0,  1422,   136,  1423,  1424,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,  1425,  1426,   456,
       0,   457,   458,   459,   460,     0,     0,   144,     0,   461,
     462,   463,   464,   147,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,   150,   473,   474,     0,     0,
       0,     0,   151,     0,     0,     0,   476,   477,   478,   479,
     728,   480,  1427,  1428,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,  1429,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,     0,   507,
     508,   509,     0,     0,   510,     0,   511,   512,  1430,   513,
       0,   514,     0,   515,   168,     0,   169,   516,   517,   518,
       0,   519,     0,     0,     0,   520,     0,   521,   522,   730,
     523,  1431,   173,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,   175,     0,     0,   536,
     537,   538,  1432,  1433,     0,  1434,     0,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,     0,     0,   546,
       0,   183,   547,   184,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,  1435,   190,  1436,   565,
     566,     0,     0,   567,   568,   194,   569,     0,     0,   570,
    1437,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,     0,   198,   579,   199,     0,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
       0,   590,     0,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,  1438,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   211,   619,   620,   621,     0,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,  1439,   637,   638,
     220,   639,   640,  1440,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,     0,   655,   225,   656,   657,   658,   659,   660,     0,
    1441,  1442,     0,     0,   662,   663,     0,   664,     0,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,     0,  1443,     0,   682,   237,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     735,   694,   695,   759,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
       0,  1422,   136,  1423,  1424,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,  1425,  1426,   456,     0,   457,
     458,   459,   460,     0,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,     0,   476,   477,   478,   479,   728,   480,
    1427,  1428,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
    1429,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,     0,   507,   508,   509,
       0,     0,   510,     0,   511,   512,  1430,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
       0,     0,     0,   520,     0,   521,   522,   730,   523,  1492,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,     0,     0,   536,   537,   538,
    1432,  1433,     0,  1434,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,     0,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,  1435,   190,  1436,   565,   566,     0,
       0,   567,   568,   194,   569,     0,     0,   570,  1437,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,     0,   198,   579,   199,     0,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,     0,   590,
       0,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,  1438,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,     0,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,  1439,   637,   638,   220,   639,
     640,  1440,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,  1441,  1442,
       0,     0,   662,   663,     0,   664,     0,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
    1443,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   735,   694,
     695,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,     0,  1422,
     136,  1423,  1424,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,  1425,  1426,   456,     0,   457,   458,   459,
     460,     0,     0,   144,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,     0,     0,     0,   151,     0,
       0,     0,   476,   477,   478,   479,   728,   480,  1427,  1428,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,     0,   507,   508,   509,     0,     0,
     510,     0,   511,   512,  1430,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,     0,     0,
       0,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,     0,     0,   536,   537,   538,  1432,  1433,
       0,  1434,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,     0,   183,   547,   184,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1435,   190,  1436,   565,   566,     0,     0,   567,
     568,   194,   569,     0,     0,   570,  1437,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
       0,   198,   579,   199,     0,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,     0,   590,     0,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1438,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,     0,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,  1439,   637,   638,   220,   639,   640,  1440,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1441,  1442,     0,     0,
     662,   663,     0,   664,     0,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,     0,  1443,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   735,   694,   695,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,     0,  1422,   136,  1423,
    1424,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,  1425,  1426,   456,     0,   457,   458,   459,   460,     0,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,     0,
     476,   477,   478,   479,   728,   480,  1427,  1428,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,     0,   507,   508,   509,     0,     0,   510,     0,
     511,   512,  1430,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,     0,     0,     0,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,     0,     0,   536,   537,   538,  1432,  1433,     0,  1434,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,     0,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1435,   190,  1436,   565,   566,     0,     0,   567,   568,   194,
     569,     0,     0,   570,  1437,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,     0,   198,
     579,   199,     0,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,     0,   590,     0,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1438,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,     0,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,  2550,   637,   638,   220,   639,   640,  1440,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,  1441,  1442,     0,     0,   662,   663,
       0,   664,     0,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,  1443,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   735,   694,   695,   759,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   760,   104,   105,
     714,   761,     0,   107,   108,   109,   110,   762,   763,   112,
     113,   114,     0,   115,   764,   765,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,     0,  1422,   136,  1423,  1424,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,  1425,
    1426,   456,     0,   457,   458,   459,   460,     0,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,     0,   476,   477,
     478,   479,   728,   480,  1427,  1428,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,  1429,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
       0,   507,   508,   509,     0,     0,   510,     0,   511,   512,
    1430,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,     0,     0,     0,   520,     0,   521,
     522,   730,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,     0,
       0,   536,   537,   538,  1432,  1433,     0,  1434,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,     0,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,  1435,   190,
    1436,   565,   566,     0,     0,   567,   568,   194,   569,     0,
       0,   570,  1437,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,     0,   198,   579,   199,
       0,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,     0,   590,     0,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,  1438,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,     0,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,     0,
     637,   638,   220,   639,   640,  1440,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,  1441,  1442,     0,     0,   662,   663,     0,   664,
       0,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,  1443,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   735,   694,   695,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
       0,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   132,   446,
     447,   448,     0,     0,   136,     0,     0,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,     0,     0,   456,
       0,   457,   458,   459,   460,     0,     0,   144,     0,   461,
     462,   463,   464,   147,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,   150,   473,   474,     0,     0,
       0,     0,   151,     0,     0,     0,   476,   477,   478,   479,
     728,   480,     0,     0,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,     0,   507,
     508,   509,     0,     0,   510,     0,   511,   512,     0,   513,
       0,   514,     0,   515,   168,     0,   169,   516,   517,   518,
       0,   519,     0,     0,     0,   520,     0,   521,   522,   730,
     523,   524,   173,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,   175,     0,     0,   536,
     537,   538,     0,     0,     0,     0,     0,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,     0,     0,   546,
       0,   183,   547,   184,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,     0,   190,     0,   565,
     566,     0,     0,   567,   568,   194,   569,     0,     0,   570,
       0,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,     0,   198,   579,   199,     0,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
       0,   590,     0,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   211,   619,   620,   621,     0,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,     0,   637,   638,
     220,   639,   640,     0,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,     0,   655,   225,   656,   657,   658,   659,   660,     0,
       0,     0,     0,     0,   662,   663,     0,   664,     0,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,     0,     0,     0,   682,   237,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   766,
     439,   440,   441,   767,   768,   769,   770,   771,   772,   773,
     442,   443,   774,   444,   445,   132,   446,   447,   448,   134,
     135,   136,   137,   138,   775,   449,   450,   451,   452,   453,
     776,   777,   454,   455,     0,   139,   456,   779,   457,   458,
     459,   460,   143,   780,   144,   781,   461,   462,   463,   464,
     147,   465,   466,   782,   783,   467,   468,   469,   470,   471,
     472,   784,   150,   473,   474,     0,   786,   787,   788,   151,
     789,   790,   791,   476,   477,   478,   479,     0,   480,   154,
     155,   481,   792,   482,   793,   483,   484,   485,   486,   487,
     488,   794,   489,   490,   491,   795,   796,   492,   493,   494,
     495,   496,   797,   497,   498,   499,   798,   500,   501,   502,
     799,   503,   504,   505,   506,   163,   507,   508,   509,   165,
     800,   510,   801,   511,   512,   167,   513,   802,   514,   803,
     515,   168,   804,   169,   516,   517,   518,   805,   519,   171,
     806,   172,   520,   807,   521,   522,     0,   523,   524,   173,
     525,   526,   527,   528,   808,   529,   530,   531,   532,   533,
     534,   809,   535,   175,   176,     0,   536,   537,   538,     0,
     177,   812,   178,   813,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,   814,   815,   546,   182,   183,   547,
     184,   816,   548,   549,   550,   817,   818,   551,   552,   553,
     554,   555,   556,   557,   558,   559,     0,   560,   561,     0,
     562,   563,   564,   189,   190,   191,   565,   566,   192,   819,
     567,   568,   194,   569,   820,   195,   570,   196,   571,   572,
     573,   821,   574,   822,   823,   575,   576,   577,   824,   825,
     578,   197,   198,   579,   199,   200,   580,   581,   582,   583,
     584,   585,   586,   587,   826,   588,   589,   201,   590,   202,
     591,   592,   593,   827,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,   828,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   829,
     617,   618,   211,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,     0,   628,   830,   629,   630,   631,   632,
     633,   831,   635,   636,   218,   637,   638,   220,   639,   640,
     221,   641,   832,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,   833,   653,   654,   834,   655,
     225,   656,   657,   658,   659,   660,   835,   226,   227,     0,
     837,   662,   663,   228,   664,   229,   838,   665,   666,   667,
     668,   669,   670,   671,     0,   840,   672,   673,   674,   675,
     676,   841,   842,   677,   678,   679,   680,   681,     0,   236,
     844,   682,   237,   683,   684,   685,   686,   845,   846,   687,
     847,   848,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,     0,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,  1202,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,  2588,   457,
     458,   459,   460,   143,     0,     0,  2665,   461,   462,   463,
     464,     0,   465,   466,   726,  2589,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,  2666,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
    2591,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  2667,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,  2592,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,  2593,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,  2588,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,  2589,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,  2666,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,  2591,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,  3602,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,  2592,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,  2593,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,  1097,   437,   438,  1049,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,  1050,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,  1098,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,  1051,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
    1052,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,  1049,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,  1050,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,  3327,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,  1051,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,  1052,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,  2588,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
    2589,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,  2666,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,  2591,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,  2592,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,  2593,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   724,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,   727,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,   729,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1049,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,  1050,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,  1051,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,  1052,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,   957,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   958,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   959,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,  2257,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
    2258,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,  2259,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,  2260,   515,     0,     0,     0,  2261,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,  2262,  2263,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,  2264,   626,   627,   733,   628,     0,
    2265,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,  2266,   655,     0,  2267,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,  2268,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,  1050,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,  1051,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,  1052,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,  2246,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,   430,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,  3178,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,  3179,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,  2528,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,  3180,   655,     0,   656,
    3181,   658,  3182,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,  3183,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   751,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,   729,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   905,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1290,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,  1291,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
    1132,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,  1406,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,   129,   130,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  3415,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,  3416,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,  3428,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,  3429,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,   430,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   963,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,  1011,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,  1067,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,  1132,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1254,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,  1255,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,  1706,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,  1891,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,  1132,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  1943,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,  1944,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,  2113,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,  2246,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,  2528,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,  4461,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,  4475,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,  1079,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1081,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
    1082,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,  1083,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,  1084,   227,     0,     0,  1085,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,  1086,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,  1126,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,  1082,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,  1127,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
    1128,   227,     0,     0,  1129,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,  1086,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,  1146,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,  1278,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,  1285,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  1301,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,  1363,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  1378,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    1420,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,  1478,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,  1482,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,  1484,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,  1486,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,  1490,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,  1498,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,  1717,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,  1111,   455,  1082,   139,  1718,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,  1115,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,  1116,   620,   621,   213,   622,   623,
     624,  1117,   626,   627,   733,   628,     0,   629,   630,   631,
     632,  1710,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,  1119,   227,
       0,     0,  1120,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,  1086,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,  1121,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,  1845,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1081,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,  1082,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,  1086,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    2069,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,  2099,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,  2101,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,  2173,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,  2175,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,  2177,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,  2294,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,  2494,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,     0,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,  2890,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  2894,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    2934,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,  3338,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,  3405,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,  3418,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,  3420,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,  3535,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,  3557,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,  1111,   455,  1082,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,  1115,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,  1116,   620,   621,   213,   622,   623,
     624,  1117,   626,   627,   733,   628,     0,   629,   630,   631,
     632,  1710,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,  1119,   227,
       0,     0,  1120,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,  1086,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,  1121,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,  1082,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,  1086,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,  1111,   455,  1082,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,  1115,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,  1116,   620,
     621,   213,   622,   623,   624,  1117,   626,   627,   733,   628,
       0,   629,   630,   631,   632,  1710,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,  2575,   657,   658,   659,
     660,     0,  1119,   227,     0,     0,  1120,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,  1086,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,  1121,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,  1111,   455,  1082,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,  1115,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,  1116,   620,   621,   213,   622,
     623,   624,  2650,   626,   627,   733,   628,     0,   629,   630,
     631,   632,  2651,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,  1119,
     227,     0,     0,  2652,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
    1086,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,  1121,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,  1111,   455,  1082,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,  1115,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,  1116,   620,   621,   213,   622,   623,   624,  1117,
     626,   627,   733,   628,     0,   629,   630,   631,   632,  2651,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,  1119,   227,     0,     0,
    2652,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,  1086,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,  1121,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,     0,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,     0,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,     0,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
   -2584,   115,   116,   117,     0,     0,     0,     0,     0,   120,
     121,     0,     0,     0,     0,   122,     0,     0,     0,     0,
       0,     0,     0,     0,   123,     0,   124,     0,   125,   126,
      35,     0,   425,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   132,     0,
       0,     0,   134,   135,   136,   137,   138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   139,     0,
       0,     0,     0,     0,     0,   143,     0,   144,     0,     0,
       0,     0,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   150,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   154,   155,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,     0,   167,     0,
       0,     0,     0,     0,   168,     0,   169,     0,     0,     0,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,   192,     0,     0,     0,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   218,     0,     0,
     220,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,   225,     0,     0,     0,     0,     0,     0,
     226,   227,     0,     0,     0,     0,   228,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,   232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,     0,     0,   237,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114, -2585,   115,   116,   117,     0,     0,
       0,     0,     0,   120,   121,     0,     0,     0,     0,   122,
       0,     0,     0,     0,     0,     0,     0,     0,   123,     0,
     124,     0,   125,   126,    35,     0,  1197,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   132,     0,     0,     0,   134,   135,   136,   137,
     138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   139,     0,     0,     0,     0,     0,     0,   143,
       0,   144,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   161,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     189,   190,   191,     0,     0,   192,     0,     0,     0,   194,
       0,     0,   195,     0,   196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,     0,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,   226,   227,     0,     0,     0,     0,
     228,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,   237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,     0,   115,
     116,   117,     0,     0,     0,     0,     0,   120,   121,     0,
       0,     0,     0,   122,     0,     0,     0,     0,     0,     0,
       0,     0,   123,     0,   124,     0,   125,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   132,     0,     0,     0,
     134,   135,   136,   137,   138,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   139,     0,     0,     0,
       0,     0,     0,   143,     0,   144,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   161,     0,
       0,     0,     0,     0,     0,     0,   163,     0,     0,     0,
     165,     0,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,   192,
       0,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,     0,
       0,   225,     0,     0,     0,     0,     0,     0,   226,   227,
       0,     0,     0,     0,   228,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,     0,     0,   237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,     0,   115,   116,   117,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     132,     0,     0,     0,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,     0,   143,     0,   144,
       0,     0,     0,     0,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   161,     0,     0,     0,     0,     0,     0,     0,
     163,     0,     0,     0,   165,     0,     0,     0,     0,     0,
     167,     0,     0,     0,     0,     0,   168,     0,   169,     0,
       0,     0,     0,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,   176,
       0,     0,     0,     0,     0,   177,     0,   178,     0,     0,
     179,   180,     0,   181,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,     0,     0,   192,     0,     0,     0,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,   225,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,     0,     0,     0,     0,     0,     0,     0,     0,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   132,     0,     0,     0,   134,   135,
     136,   137,   138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   139,     0,     0,     0,     0,     0,
       0,   143,     0,   144,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,     0,   167,     0,     0,     0,     0,     0,
     168,     0,   169,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   175,   176,     0,     0,     0,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,     0,     0,   182,   183,     0,   184,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,     0,   192,     0,     0,
       0,   194,     0,     0,   195,     0,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,     0,     0,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,   225,
       0,     0,     0,     0,     0,     0,   226,   227,     0,     0,
       0,     0,   228,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,   237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,   135,
     136,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,     0,   139,   456,     0,   457,   458,   459,
     460,   143,     0,   144,     0,   461,   462,   463,   464,   147,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,     0,     0,     0,   151,     0,
       0,     0,   476,   477,   478,   479,     0,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,  2222,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,     0,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,   182,   183,   547,   184,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,     0,   560,   561,     0,   562,
     563,   564,   189,   190,   191,   565,   566,   192,     0,   567,
     568,   194,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,  2223,     0,   575,   576,   577,     0,     0,   578,
     197,   198,   579,   199,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,     0,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,   220,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,  2224,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,     0,   236,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    35,   694,   695,     0,
       0,     0,     0,     0,    41,    42,  1802,  1803,  5354,     0,
       0,     0,     0,     0,     0,  5355,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,   129,   130,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,   135,
     136,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,     0,   139,   456,     0,   457,   458,   459,
     460,   143,     0,   144,     0,   461,   462,   463,   464,   147,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,     0,     0,     0,   151,     0,
       0,     0,   476,   477,   478,   479,     0,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,     0,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,   182,   183,   547,   184,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,     0,   560,   561,     0,   562,
     563,   564,   189,   190,   191,   565,   566,   192,     0,   567,
     568,   194,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,   198,   579,   199,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,     0,   628,   216,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,   220,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,   224,   655,   225,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   235,   236,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
     238,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,   694,   695,    35,
     430,   248,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,   249,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,   135,   136,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,     0,   139,   456,     0,
     457,   458,   459,   460,   143,     0,   144,     0,   461,   462,
     463,   464,   147,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,     0,     0,
       0,   151,     0,     0,     0,   476,   477,   478,   479,     0,
     480,   154,   155,   481,  2425,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,  2222,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,     0,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,   182,
     183,   547,   184,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,     0,   560,
     561,     0,   562,   563,   564,   189,   190,   191,   565,   566,
     192,     0,   567,   568,   194,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,  2223,     0,   575,   576,   577,
       0,     0,   578,   197,   198,   579,   199,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,     0,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,   220,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,  2224,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
       0,   236,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
     694,   695,     0,     0,     0,     0,     0,    35,   430,  1802,
    1803,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,   134,
     135,   136,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,     0,   139,   456,     0,   457,   458,
     459,   460,   143,     0,   144,     0,   461,   462,   463,   464,
     147,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,     0,     0,     0,   151,
       0,     0,     0,   476,   477,   478,   479,     0,   480,   154,
     155,   481,  2430,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
    2222,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,     0,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,   182,   183,   547,
     184,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,     0,   560,   561,     0,
     562,   563,   564,   189,   190,   191,   565,   566,   192,     0,
     567,   568,   194,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,  2223,     0,   575,   576,   577,     0,     0,
     578,   197,   198,   579,   199,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,     0,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,   220,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,  2224,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,     0,   236,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,     0,   694,   695,
       0,     0,     0,     0,     0,    35,   430,  1802,  1803,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
       0,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,  2222,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,  2223,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,  2224,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,     0,   694,   695,     0,     0,
       0,     0,     0,    35,   430,  1802,  1803,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   132,   446,   447,   448,   134,   135,   136,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
       0,   139,   456,     0,   457,   458,   459,   460,   143,     0,
     144,     0,   461,   462,   463,   464,   147,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,     0,   150,   473,
     474,     0,     0,     0,     0,   151,     0,     0,     0,   476,
     477,   478,   479,     0,   480,   154,   155,   481,  3320,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,  2222,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,   168,     0,   169,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,     0,   523,   524,   173,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,   175,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
       0,     0,   546,   182,   183,   547,   184,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,     0,   560,   561,     0,   562,   563,   564,   189,
     190,   191,   565,   566,   192,     0,   567,   568,   194,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,  2223,
       0,   575,   576,   577,     0,     0,   578,   197,   198,   579,
     199,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   211,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,     0,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,   220,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,   225,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,  2224,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,     0,   236,     0,   682,   237,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,     0,   694,   695,     0,     0,     0,     0,
       0,    35,   430,  1040,  1041,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,   135,   136,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,     0,   139,
     456,     0,   457,   458,   459,   460,   143,     0,   144,     0,
     461,   462,   463,   464,   147,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
       0,     0,     0,   151,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
       0,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,   182,   183,   547,   184,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
       0,   560,   561,     0,   562,   563,   564,   189,   190,   191,
     565,   566,   192,     0,   567,   568,   194,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,   198,   579,   199,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,     0,   628,     0,
     629,   630,   631,   632,   633,   634,   635,   636,   218,   637,
     638,   220,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,   226,   227,   661,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,     0,   236,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,     0,   694,   695,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,   634,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   694,   695,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,     0,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,  2222,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
    2223,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,  2224,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   694,   695,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,     0,
     476,   477,   478,   479,     0,   480,   154,   155,   481,  2410,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   694,   695,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,     0,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   694,   695,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,     0,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,  2202,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   694,   695,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  1280,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,   634,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   694,   695,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  1297,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,  1298,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,   634,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   694,   695,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,   634,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,  2777,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   694,   695,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,  3737,   172,   520,
       0,   521,   522,     0,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,   634,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   694,   695,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,   634,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   694,   695,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,  1386,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,   634,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   694,   695,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,  1468,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,   634,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   694,   695,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,  1480,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,   634,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   694,   695,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,  1494,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,  1495,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,   634,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   694,   695,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
     129,   130,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,     0,
     476,   477,   478,   479,     0,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,     0,   694,   695
};

static const yytype_int16 yycheck[] =
{
       2,   930,   970,    78,   249,   885,  1520,    78,    78,    78,
     166,  1467,    78,   393,   210,   393,  1163,    78,    84,    96,
    1191,  1113,  1471,   116,  1168,  1050,  1051,  1052,  1476,   106,
    1130,  1056,   188,   230,   153,  1300,   377,  1108,  2261,   152,
    1233,  1439,  1877,  1374,   970,   149,  1136,  1920,  1459,  1017,
     930,  2211,  1310,  1287,  1385,  1914,  3037,    94,  1756,   164,
     989,  1427,  1428,  1586,   141,  1738,  1550,  3202,   161,  1355,
     757,  1437,  3600,  2025,  3409,  3187,    78,  3627,  1925,   156,
     159,  3382,    84,  2849,   203,  1920,  1257,    89,  1442,   164,
    2399,  2840,  3669,  1120,   131,  1360,   224,   170,  1457,  1364,
     131,  2386,    78,  2450,  1369,  1936,  3656,  2096,    84,   989,
    1976,  2767,  1377,   881,   116,   152,   153,  2299,  1760,  3947,
     888,   992,  1387,  3584,  3434,   162,  3436,   758,  3589,    78,
    1416,   899,  1003,  3589,  1286,   365,   379,   210,  3013,   232,
     116,  1988,  4275,  1210,  3256,  3191,  2714,  1210,  1116,  3264,
     152,  3189,  3190,  3890,   379,  3862,  2108,  4002,  4056,   161,
     928,  1016,  1993,  1994,  1002,   933,   203,  3998,  4264,   209,
    4262,  2554,  2555,  1796,  1797,  1798,   944,  4265,  1851,   219,
    2147,  4278,  4274,  4287,  2807,   161,  2283,   217,  4002,   248,
    1116,  2393,  2815,  3896,  2817,  3122,  4736,   166,  2474,  4212,
    1906,  3295,  2476,  1855,  3693,  1425,  1426,   209,  1250,  4929,
    4543,  2200,  3825,  1160,  1513,   217,  1436,   219,  1160,   188,
     116,  1504,  3895,   116,    14,  1791,  1792,  1533,  1205,  1206,
     232,  3965,  4865,    21,  4867,    10,  5044,   111,    14,  1286,
      87,    30,  1008,  4910,    87,  1292,   865,  4967,  1614,  1615,
      87,    74,    75,    76,    77,  1302,   232,   124,    81,    98,
      71,   138,    71,  4971,  4972,   161,  1632,   117,   161,  2554,
     957,    74,    75,    76,    77,  2843,    85,   160,    81,   116,
     187,    71,   117,   185,    74,    75,    76,    77,  1642,    84,
      80,    81,    82,    83,   152,    85,    74,    75,    76,    77,
     148,    14,   230,    81,    78,   235,   148,   257,   157,   146,
     385,    89,    90,   131,   385,   385,   385,   146,    74,    75,
      76,    77,   217,     2,   385,    81,  3187,   393,  1353,  3092,
    3093,   148,   235,   115,  3097,   138,   232,   342,   131,   232,
     131,   210,   187,  3270,    74,    75,    76,    77,   115,  1520,
    4361,    81,  4363,   178,    74,    75,    76,    77,    71,    89,
      90,    81,   428,  1770,   203,   236,   131,   235,    87,    89,
      90,  3134,  3135,   280,   102,  2943,   337,  2945,    74,    75,
      76,    77,   235,  1603,  1604,    81,   276,   276,   131,   332,
      78,   393,   429,    89,    90,  3256,    78,   116,  2621,   340,
     276,   336,  1331,    74,    75,    76,    77,   187,  1628,   350,
      81,    78,   243,  1513,   140,   322,   235,   393,    89,    90,
      78,   102,   368,  1110,   230,   237,   428,   146,   109,   185,
      74,    75,    76,    77,   241,  5239,   385,    81,  3384,    74,
      75,    76,    77,   148,   385,   189,    81,   309,   102,  5169,
     312,  1331,   428,   385,   102,   109,    74,    75,    76,    77,
      29,   109,   190,    81,  1722,   205,    78,   374,     0,  1662,
     235,   225,  4937,    78,    74,    75,    76,    77,   527,   235,
    5113,    81,    37,   415,    39,   534,    14,   867,   214,   867,
      74,    75,    76,    77,  5034,    78,  1689,    81,    74,    75,
      76,    77,    14,   148,   373,    81,   232,   390,    74,    75,
      76,    77,   157,    78,  4979,    81,    74,    75,    76,    77,
     138,   131,    78,    81,   184,    78,   338,   532,    78,  1497,
     245,   276,    71,   277,  2501,  4548,    74,    75,    76,    77,
     294,    80,   270,    81,   406,   486,    85,   327,   661,  1720,
    5155,  5156,  1520,    71,  1725,  1726,    74,    75,    76,    77,
    2258,    71,    80,    81,  2262,   396,  2264,    85,   529,  2267,
      80,  1497,   105,   391,  2541,    85,  1207,  1208,  2545,  4995,
    2036,   387,   532,   529,  1684,   475,   529,   412,    78,   192,
     709,   710,  5396,  2041,   529,   490,   178,  1697,   391,   475,
     391,   529,   532,   452,   452,  1512,  1477,   465,  1227,    71,
     452,   385,    74,    75,    76,    77,   518,   452,    80,    81,
      82,    83,  1590,    85,   661,   532,  4087,  1727,  1728,   532,
     480,  4087,   477,   428,   473,   452,   426,  4729,   403,  5347,
     366,  4737,   531,   533,    74,    75,    76,    77,   391,   532,
     426,    81,   529,  3599,  5321,   529,   438,    70,   529,   661,
     529,   529,   529,   276,  1590,    78,    79,  1522,  2341,   480,
    4005,   438,   709,   710,   164,   522,   523,   524,   525,   532,
     408,   484,   525,  4696,  4234,  1556,  1032,   475,   525,   190,
    1036,  1037,  1038,   106,   107,  5503,   452,   385,   527,   268,
    1046,  1572,   531,   385,   527,   480,   529,  1972,   531,  1974,
     529,   520,   521,   426,   532,  2388,  1587,   178,   385,  2392,
     757,   486,  4429,  1894,  2055,   532,   529,   385,  4465,  4257,
     520,   521,  4469,  1904,  5454,   523,  1502,   105,   527,   532,
    4753,   532,   468,  2029,   425,   473,  5466,   452,  1982,  1717,
     490,   529,  5556,  4456,  1661,  2204,   178,  1725,  1726,   249,
    4373,   874,   518,  3331,   479,  2023,   894,   322,  2252,   270,
     863,   425,  1017,   385,    87,   531,  3888,   425,  3890,  4790,
     385,   391,  4455,  4794,  4795,  4519,  4797,   532,  2635,   532,
    1020,  1717,  2665,  1964,   454,  5211,  1967,  1968,  5431,   529,
    2166,   867,   385,   522,   523,   524,   525,   452,   921,   529,
    2259,    74,    75,    76,    77,  5148,  5536,   235,    81,  2268,
     385,   234,  1163,   236,  4313,  4314,  4315,  4316,  4317,   385,
     909,  1778,   385,   529,  1811,   385,  1778,   497,   913,    84,
     959,  5446,   913,   913,   913,  1892,    91,    92,    93,   484,
     190,   148,   913,   178,   164,   388,  3622,  5397,   529,   441,
     157,   863,  4197,  2710,  3910,   867,  2037,   980,   164,   871,
     102,  1913,   475,  1029,   178,  1031,   110,  1033,   880,   881,
     235,   185,  1513,  1039,  4185,   529,   888,   863,   193,   379,
    4002,   867,  4905,  3987,   529,   385,  3205,   899,  1945,  4912,
    5033,   235,    98,   416,  3189,  3190,  3191,  1063,  1064,  1013,
    1153,   529,  1017,  2320,   916,  3298,  2568,  3300,  2217,   532,
     957,  2328,   959,  2143,  2144,  2208,   928,  2233,  1153,   529,
     240,   933,  3555,  2239,  1062,   332,  2502,  1014,  2504,  3562,
    3563,  1016,   944,  3566,   240,   529,    87,   245,   190,  2655,
    3573,   185,   154,   529,  1031,   494,  1033,   245,   496,  3235,
    5500,   963,  3236,   529,   178,   178,  1043,   863,   970,   320,
     863,   529,   473,   975,  1011,   116,   515,   515,  1015,   981,
     441,   520,   521,   985,   986,  2344,  1063,  1064,   229,   154,
     992,   529,   335,   195,    25,   320,  3564,  3565,   114,  4300,
    1002,  1003,  4913,   521,   131,   146,  1008,   203,  1136,   342,
     520,   521,    25,   399,    96,  1017,   529,  2883,   322,   441,
     388,  1950,   320,   276,   216,   276,   336,  3888,   270,  3890,
     195,   399,   320,   401,   452,  4849,  3963,  1142,  2897,  1167,
     336,  3804,  3805,  3806,  3807,   164,   332,  3810,  3811,  3812,
    3813,  3814,  3815,  3816,  3817,  3818,  3819,  2464,   520,   521,
      70,  4906,  1031,  3265,  1033,   184,   496,  2581,    78,    79,
    1950,  1137,   485,  1110,   148,  1112,   102,   179,  4892,  2104,
     385,  1112,   392,   157,  1114,   515,   378,  1146,  1118,   457,
    5001,   100,  4906,   338,  1063,  1064,   392,   452,   217,   529,
     518,   385,  4809,  3866,  3867,  1107,  1108,   154,   342,   216,
     239,   120,  1114,   531,  1116,  2215,  1118,  4854,   452,  5252,
     361,  1249,  4859,   236,   179,  4862,   358,   431,   479,  3226,
     434,   415,   529,   473,   216,  1137,   396,   140,  5226,   255,
    1142,  4002,  1144,   529,   337,  2338,   156,  4850,   195,  2560,
     352,  5247,  2550,   237,   350,   452,   190,   342,   260,  5263,
    5248,  1137,  4623,  5260,   124,    98,  5258,  4623,   297,   432,
     433,   104,   198,  2265,  2266,  4725,  4753,  1523,   410,   276,
    1526,   479,   185,  1529,   494,  1531,   529,   352,  1534,   385,
     185,   479,  1538,   320,   180,   487,   238,   207,   494,   532,
     237,  3584,  4537,  1205,  1206,   260,  3589,   520,   521,   522,
     523,   524,   525,   445,   474,   447,   176,  1868,   460,   415,
     530,   485,   475,   533,   475,   529,   418,   441,   441,  2136,
    5044,   473,   100,   154,   530,   533,   270,   533,  5149,  1241,
     353,   272,     8,   529,   446,    11,    12,  5158,  1288,  1289,
    2179,  3218,   120,  2221,   338,   336,    22,    23,    24,   272,
      26,    27,   381,   249,   391,    31,    32,    33,  4578,   154,
     203,   516,   517,   518,   195,   520,   521,   522,   523,   524,
     525,   446,   478,  3666,   518,    98,  1288,  1289,   415,   408,
     300,   104,  1241,   527,   103,   529,   530,   531,   532,  2179,
    2171,   403,  5398,  3001,  2142,   352,   499,  2930,   421,   269,
     195,   418,   213,  2184,  1316,  5146,   445,   399,   447,   322,
    1399,  1323,   441,   309,   327,  1327,   312,   322,  2199,  1008,
      74,    75,    76,    77,  2434,    70,   418,    81,   440,   441,
     350,  1343,   471,    78,    79,   530,   185,   532,   403,  2520,
     434,   185,  5250,  4465,   227,  1357,   238,  4469,   144,  2197,
     320,   180,   481,   366,   401,  2220,  5499,   320,   410,   309,
    5077,  5504,  5109,   274,   408,   494,   213,   380,   475,   520,
     521,   522,   523,   524,   525,   440,   441,  5512,   185,  2318,
     203,  2298,  2299,  1395,  5407,  2487,   515,    25,  2305,   446,
     442,   323,  4517,   271,  2311,  2312,  2313,    35,   403,   232,
     529,  2062,   178,   286,  2321,  2322,  1661,   350,   455,  2326,
     406,   156,   373,   913,   461,   227,  5559,   529,   452,   188,
     249,   352,  2763,   403,   444,   180,   446,  1439,  2318,   473,
    4486,   342,  4205,  4481,   404,    98,  4492,  1522,  1525,   400,
    1527,   104,   385,  1530,   441,  1532,   185,   294,  1535,  1536,
    1537,  1841,   271,  1841,  5171,   468,   406,   352,  5175,  5176,
    5315,  1548,   207,  2540,   336,  1477,  5290,  2540,  4353,  4940,
    2936,   235,   415,   322,  4940,  1562,    98,  1564,  5621,  5614,
     309,  2940,  5020,   312,   253,  1497,  5324,  5325,  2946,  1501,
    1502,  5315,  1504,   257,   249,   132,   399,   236,   532,   137,
    1512,  3734,  1191,   140,   198,   415,   200,   319,  1520,  1749,
    1763,  1764,   276,  1766,   510,   446,  1016,  1017,   410,   187,
     327,  1210,  1569,  2864,  2865,  2866,  2867,   350,  1763,  1764,
    3399,  1766,   102,   529,    84,  2876,  4169,    87,   314,   335,
     203,   473,  4175,  4176,  1556,  4178,   518,   102,   511,   529,
     442,   446,   203,  2734,   309,   300,   467,   312,  1570,   531,
    1572,  2742,   385,  2744,   408,   157,   116,  3219,  1257,  2731,
     473,   463,   122,   327,   278,  1587,  2217,   406,  1590,   415,
     150,   203,   235,   349,   323,  3777,   362,   187,   158,  1601,
    4256,   140,   415,   185,  4465,   415,   146,   441,  4469,    74,
      75,    76,    77,  2581,   257,   350,    81,  2664,   157,   189,
     385,   112,   280,  2909,  3971,  3910,   186,  1629,  3326,  3495,
      70,    71,   532,   276,    74,    75,    76,    77,    78,    79,
      80,    81,   336,  1736,   272,    85,   122,   481,   332,   108,
     385,   303,  1780,   198,   389,  1657,  1658,  1659,  3505,  1661,
     494,   406,  4997,  1153,   322,   527,  1703,  1704,    70,   531,
     297,  1673,  1703,  1704,   264,   214,    78,    79,   283,  1681,
     415,   515,    98,   415,  2731,  3092,  3093,   452,  5238,  5503,
    3097,   510,   124,   232,  2623,   529,   462,  1790,   235,   340,
     190,   261,  5530,   194,  4087,   531,  2753,   277,  5236,   444,
     529,   446,   252,   203,  2726,  1717,   374,   257,  1720,   239,
     257,   475,   532,  1725,  1726,  1791,  1792,  3134,  3135,   235,
     320,  3720,   322,  1735,  1736,   180,  2783,  4849,   350,   276,
     322,   452,  4854,  2623,   176,   185,   475,  4859,   389,  5277,
    4862,   257,   164,   293,   156,  4323,  5057,  4325,   217,   494,
    1736,   282,  1855,  1765,   306,   510,   424,  1769,  1770,  2781,
     276,     7,  1809,   385,   415,  1841,   252,   297,  1809,   533,
    4892,   257,  1848,    19,    20,   249,   157,   203,  1790,  1791,
    1792,  2662,   444,   454,  4906,   282,   303,   454,   338,   320,
     532,   245,    38,   415,   249,    41,   208,   518,  4789,  1811,
    1889,   198,   161,   200,  1790,  1791,  1792,   293,  3649,   471,
     531,  3652,  1501,  1502,  5159,  1504,   326,   366,   240,   452,
    5407,   452,   475,   320,  3005,   275,   497,   269,   129,  1841,
    1736,  1520,   494,  1736,   496,   309,  1848,  1849,  2535,   387,
    3209,   230,  3336,  1855,   342,  5165,  5406,   297,   378,  1987,
     262,   240,   327,  1865,   309,  1841,  1868,  2892,   239,   350,
    1872,   365,  1848,   363,   434,   491,   320,   529,   257,  1855,
     420,   177,   196,   232,   188,  3296,   177,   374,   320,   260,
     533,  3302,   206,  2661,    70,   518,   403,   418,    74,    75,
      76,    77,    78,    79,  1906,    81,   350,    74,    75,    76,
      77,   532,  1914,   533,    81,   494,   532,   405,  5053,  4900,
    3368,  4902,   422,   529,   160,   445,   297,   447,   496,   468,
     148,   418,  5044,  2901,   415,   322,   365,   444,   475,   157,
    3306,   385,   406,   349,   420,   332,  1948,   515,   475,   253,
    4716,   471,   473,   532,   356,  4704,   494,  2725,   349,  1855,
     454,   406,  1855,   199,   471,   350,  2059,   487,   259,   475,
     341,  5272,   404,   513,   198,  2901,   200,   515,   236,  4728,
     520,   521,   522,   523,   524,   525,   473,   494,  4849,   496,
    4558,  4559,  5327,  4854,   532,  2963,   533,  5109,  4859,   223,
     385,  4862,   529,   497,   180,  1954,  2913,  2009,   266,   415,
    1959,   307,  2780,   165,   310,   394,   307,   231,  2131,   310,
     188,   225,   529,   281,   415,   454,  5554,   533,  2030,   320,
     415,  4892,  1522,   291,  3732,   479,   350,  2963,   349,  3210,
      22,  1720,  4805,  2045,   533,  4906,  1725,  1726,   262,  3196,
    4673,  2053,  4675,  4676,  4006,  5605,  4679,  2059,   349,  2008,
    2062,   177,  2064,  2012,   466,  2445,   350,  2445,   497,   401,
    3356,   385,   474,   249,   445,   477,   447,   127,  2080,   159,
     520,   521,  2084,  2059,   236,   253,   457,   475,  3797,    71,
     294,   494,   187,   532,  2096,  2291,   146,   468,   322,   390,
     471,   385,   408,   327,   415,   389,    40,  1597,   332,  2111,
     160,   215,   515,  5448,   266,   231,  2221,  3826,   401,   445,
     200,   447,  2124,  1802,  1803,   457,  1616,   378,  2130,   281,
     334,   415,   475,   309,  2136,   441,   312,   395,   429,   291,
    2142,   529,   106,   107,   529,  2220,   262,  2275,  3632,  1828,
    1829,  3385,  2154,  2230,   258,  2232,  1646,  3641,   409,  2236,
     327,  2238,   212,  2059,  2241,   317,  2059,  2169,  2245,  2171,
    2172,  1661,   225,  3846,   457,   481,  3410,   230,  5290,  5314,
    3207,  4054,  2184,  5044,   336,   280,   529,  3094,  4497,   535,
     441,   307,  2194,  4040,   310,  2197,  4481,  2199,  2200,  3106,
     164,  4486,   871,  5315,   237,   475,  2208,  4492,  2283,  2211,
     239,   880,  2283,  2283,  2283,  1894,    87,  2290,  2297,  2221,
     184,  3150,  2283,   529,   399,  1904,   401,   322,  4059,  4060,
     406,  3138,   378,    87,   267,   459,   487,  3760,    70,    71,
    4623,   294,  3210,   395,  4091,   469,  1954,   916,  5109,   350,
     272,  1959,  5587,   217,    74,    75,    76,    77,  2351,  2261,
       5,    81,   116,   409,    74,    75,    76,    77,   297,  3176,
    3150,    81,   350,  1763,  1764,   146,  1766,   306,    80,   374,
      25,   334,   457,    85,   385,  1964,   225,    50,  1967,  1968,
      35,   230,   146,   494,   350,   441,  2298,  2299,   350,  3972,
    2008,  2988,  2304,  2305,  2012,    68,   975,   385,  2310,  2311,
    2312,  2313,  3768,  5076,   415,  2317,   985,  2319,  2320,  2321,
    2322,  2323,  2324,   475,  2326,  4277,  2328,  2329,  3593,   385,
    2332,   532,    16,   385,   510,  3689,  3690,   415,   257,  3386,
     494,   487,  2447,   368,  2346,  2347,  2348,  2349,  2350,  2351,
    3230,   322,   198,  2355,   200,   294,   327,  2359,  2037,  4982,
    2362,   515,  4522,  2365,  2366,  2367,  2368,  2369,  2370,  2371,
    2372,  2373,    71,  2375,  5199,  2351,  5201,   223,   532,  2445,
    5205,  2383,  5207,     2,  2386,  3353,    85,  2583,   445,  2585,
     447,  5503,   137,  5528,   389,   334,   389,  3804,  3805,  3806,
    3807,   372,   213,  3810,  3811,  3812,  3813,  3814,  3815,  3816,
    3817,  3818,  3819,  3460,   225,    70,   445,   381,   447,   230,
     415,  4280,   415,    78,    79,  2581,  5561,  3353,  4263,  5290,
    3837,  2492,  1282,   457,   165,   527,  2502,   187,  2504,   374,
     331,   533,   471,  2445,   408,  2447,  5014,  1297,  2450,   487,
    1300,   386,  3323,  3324,  5315,  2351,   399,   202,  2351,  3866,
    3867,  2574,  2464,   274,  5445,   405,   385,  4752,   350,  2445,
     389,  2473,  2474,   350,   284,  2568,   411,   441,  3764,   336,
     230,   327,    84,   294,   341,    87,   332,   430,   235,    91,
      92,    93,   496,  2078,   230,  5630,   415,   118,  2535,   336,
    2502,   408,  2504,   385,   341,   236,  2634,   327,   385,   527,
     257,   515,  2097,   531,   264,   251,   230,   481,   139,  4003,
    4004,   485,  2524,   334,   303,   529,  2502,   272,  2504,  2208,
     494,   342,  2211,   415,   441,   266,   333,   251,   415,   336,
    2542,   284,  2544,   494,   496,     2,    34,   166,  2550,   524,
     281,   515,  2554,  2555,   529,   532,   531,  4940,   530,   536,
     291,   533,  2564,   515,   515,   529,  2568,  2569,   529,   188,
     320,  2573,   322,   303,   481,   494,   532,   529,   457,  2581,
     536,   303,    74,    75,    76,    77,   317,   494,   308,    81,
     528,   528,  2568,  3618,   532,   532,   515,  2599,  3769,  2692,
    2602,   457,   527,  2696,   529,  3476,   531,   387,   515,  2722,
     524,   306,  2614,   459,  3485,   529,  2618,   531,  3984,  2621,
     405,  4032,   529,   469,   403,   137,   138,  3595,  2630,  3597,
     260,  3105,    89,  3107,  3108,    70,    71,   306,  4336,  4337,
    4338,  2643,  5503,    78,    79,   530,  2330,  1316,   533,  2333,
      85,   532,   533,  2655,  3744,   529,   467,   531,  1327,  2661,
    2662,   399,   400,  5046,   395,   444,   399,   400,  2670,  3595,
     161,  3597,  2568,   403,    84,  2568,  3934,    74,    75,    76,
      77,   403,   534,   530,    81,   532,   530,   303,   532,    71,
    2692,  2693,   471,   308,  2696,   152,   251,  3665,   522,   523,
     524,   158,   128,  4576,  3584,   527,   457,   529,  3901,  3589,
     494,   530,   496,   532,   444,   494,  2692,   496,   532,   533,
    2696,  2723,   444,  2725,  2726,   153,  1395,  2729,   405,   186,
    2220,   530,   530,   532,   532,   529,   338,   531,  3609,  3665,
    3611,   471,  2835,   399,   400,  2747,  2850,    89,    90,   471,
     529,   520,   521,   522,   523,   524,  2758,  3904,  3905,  3906,
     530,   530,   532,   530,   494,   532,   496,    89,    90,  2771,
    4993,   530,   494,   532,   496,   530,   487,   532,  2780,  2781,
     445,   284,   447,   323,   324,    85,   530,   403,   532,   303,
     530,   336,   532,  2283,  2473,  2474,  2692,   303,  4205,   529,
    2696,   535,   529,  2696,   303,   128,   530,   529,   532,  4482,
      84,   403,   530,    87,   532,   399,   400,    91,    92,    93,
      74,    75,    76,    77,  2826,  2827,   529,    81,   444,    70,
     494,   532,   496,  2835,   108,   487,   485,    78,    79,  2841,
    4513,  2520,   116,    84,   280,  2847,    87,   452,   122,  3094,
      91,    92,    93,   512,   530,   471,   532,   531,   530,  2835,
     532,  2540,   530,  2542,   532,  2544,  2356,   108,   408,   530,
     111,   532,   146,   118,   339,   116,    84,  2879,   494,    87,
     496,   122,   336,    91,    92,    93,   339,   230,  3759,   403,
     512,   336,  3799,  3138,   530,  2897,   532,   403,   530,  2901,
     532,   441,   339,   303,   403,   146,   530,   530,   532,   532,
     530,  2913,   532,   529,   516,   517,   518,  4182,   520,   521,
     522,   523,   524,   525,   512,   280,  3833,  4161,    84,   324,
     444,    87,   530,   303,   532,    91,    92,    93,   444,  2835,
     522,   481,  2835,   118,   234,   444,  4644,  4645,   445,  4647,
     447,  2988,   108,   532,   494,    84,   529,   471,    87,   530,
    4291,  2963,   530,   530,   532,   471,   530,   128,   532,  2971,
     276,  3878,   471,   235,   530,   515,   532,   535,   252,  5264,
     494,   533,   496,   257,  3181,  3182,  3183,   116,   494,   529,
     496,   535,   530,   122,   532,   494,   530,   496,   532,   530,
     522,   532,  2492,   403,   278,   279,   530,   111,   532,  3011,
     530,   252,   532,   408,  3259,   529,   257,   146,   452,   293,
    3113,  4419,   530,   529,   532,  3027,  3119,  3029,   272,   530,
     529,   532,   530,   403,   532,  3037,   452,   278,   279,  3041,
     452,   530,  3044,   532,   444,  3047,   441,   529,   494,   257,
     496,   325,   293,  3055,   530,  2734,   532,   530,   530,   532,
     532,   209,  3064,  2742,   338,  2744,   530,  3069,   532,    84,
     278,   471,    87,  1157,   444,  1159,    91,    92,    93,   530,
     452,   532,   211,   530,   325,   532,   481,   530,   128,   532,
    3092,  3093,  3094,   108,   494,  3097,   496,   338,   272,   494,
     341,   471,   452,  3105,  3106,  3107,  3108,    74,    75,    76,
      77,  3113,   278,   530,    81,   532,  3118,  3119,   452,  3121,
     515,  3123,   278,   252,   494,   530,   496,   532,   257,   529,
     338,   529,  3134,  3135,   529,   530,  3138,  3113,   533,   530,
     530,   532,   532,  3119,   531,   530,   420,   532,   415,   529,
    3152,  3226,  3154,   498,  3156,  3226,  3226,  3226,   385,   529,
      74,    75,    76,    77,   293,  3226,   530,    81,   532,   530,
    4341,   532,   257,   530,  3176,   532,   530,   218,   532,   420,
     531,   530,   338,   532,   530,  3187,   532,  3189,  3190,  3191,
     218,   530,    84,   532,   529,    87,  5031,   336,   257,    91,
      92,    93,   336,   530,   661,   532,   385,  4087,  3210,   338,
     218,   530,  3214,   532,   257,   218,   108,  3113,   336,   230,
    3113,   140,   530,  3119,   532,  3227,  3119,   146,  4712,   520,
     521,   522,   523,   524,   530,   385,   532,   528,   157,   513,
    3242,   218,   516,   517,   518,   533,   520,   521,   522,   523,
     524,   525,   187,   292,  3256,    74,    75,    76,    77,   530,
     475,   532,    81,   278,   336,   530,   185,   532,   187,   530,
     308,   532,   513,   529,   331,   516,   517,   518,   487,   520,
     521,   522,   523,   524,   525,   457,  5509,  5510,   530,   405,
     532,   420,   530,  3295,   532,   530,  3298,   532,  3300,   530,
     530,   532,   532,  3305,   530,  3307,   532,   230,   516,   517,
     518,   284,   520,   521,   522,   523,   524,   525,   530,   530,
     532,  3323,  3324,   338,   529,   140,  3005,  3329,   530,   530,
     532,   532,   530,   530,   532,   532,   530,   530,   532,   532,
     111,  3434,  3435,  3436,   530,   264,   532,   530,  3350,   532,
    4543,  3353,   530,   322,   532,  3357,   498,  4228,  4229,   529,
     516,   517,   518,   322,   520,   521,   522,   523,   524,   525,
    4241,   530,  3374,   532,  4470,   530,  4472,   532,   336,   118,
    3473,   118,   462,   230,   513,   350,   278,   487,   487,  1008,
     153,   520,   521,   522,   523,   524,   525,  3399,  4805,   230,
     218,   369,   534,   322,  5102,   218,   529,  4814,   327,   218,
    1029,   484,  1031,   362,  1033,  5113,   529,  5640,  5641,   529,
    1039,  1040,  1041,   218,   110,   218,   218,   498,   218,   532,
     218,   336,  3434,  3435,  3436,   218,   218,   336,  4509,   218,
     218,   230,   218,   336,  1063,  1064,   338,   366,   218,   218,
     218,   441,   529,   910,   111,  2124,  3458,   292,  3434,  3435,
    3436,   380,   336,   230,   230,   529,  3468,   529,  3470,  3471,
     230,  3473,   495,   529,  3476,   529,   529,   529,   529,   529,
     529,   529,   529,  3485,   529,   529,   347,   529,   111,   276,
     168,   276,   529,  5191,   529,  3588,   529,  3473,   529,  4406,
    2169,   516,   517,   518,   529,   520,   521,   522,   523,   524,
     525,   529,   529,   970,   971,   529,   529,   529,   292,   529,
     529,   278,   529,   529,   111,   230,   334,   532,   532,  3531,
     230,  3210,   332,  3874,   415,   522,   272,   406,  3434,  3435,
    3436,   532,   184,   474,   532,    14,   518,   312,  3550,   468,
     532,  1008,   452,   529,  3556,  3234,  3235,   452,   529,   529,
    3679,   403,   452,  3676,   452,   531,   403,   294,   452,   452,
     518,   157,  1191,  4502,   452,   116,   403,  3473,   218,   407,
    3473,  3583,  3584,   336,  3645,   336,  3588,  3589,   289,   452,
     452,  1210,  2261,  3595,  3655,  3597,   327,   452,  5296,   474,
     444,   336,   336,   399,  3094,   529,   332,  3609,   529,  3611,
    1067,   452,  3588,   452,   250,   157,  3744,   532,  3679,   257,
     161,   350,  4502,   218,   516,   517,   518,  3872,   520,   521,
     522,   523,   524,   525,   179,   475,   452,   475,  1257,   128,
     452,   452,  3679,   128,  1101,  3890,  3648,   452,  3138,   452,
     452,   340,   117,   444,  1111,   452,   117,   403,  1115,  1116,
    1117,   532,    89,  3665,  3666,  3155,   452,   336,   209,  5076,
     278,   452,  4697,   498,   336,   452,   217,   452,   219,  3681,
     336,  3171,  5196,  3880,  3881,  3882,  3883,   278,   278,   462,
     452,   232,  3588,   494,   111,  3588,   529,  3187,   100,   336,
     218,   322,  4573,   213,   185,   529,   218,   300,   332,   322,
     322,   475,   111,   230,   486,   225,  5172,   111,  3720,   529,
     230,   284,  4869,   404,   531,  5173,  4991,   110,   450,  4876,
     529,   450,  3734,   527,   452,  3737,  3226,   452,  5187,   415,
    5189,   218,   218,  4623,   218,   475,  3839,   527,  1205,  1206,
    4894,   475,   218,  1210,   218,    14,   331,  3759,   452,   326,
    3762,   314,   235,   314,   274,  4636,  3256,   490,    87,  3259,
     529,   532,   452,   450,   532,   529,   243,  3779,   226,   529,
    3782,   101,   235,   532,   294,   518,  3788,   454,  4888,   532,
     530,   250,  3794,   534,  3796,   250,   274,  3799,   418,   282,
     532,  3803,  3804,  3805,  3806,  3807,   337,   532,  3810,  3811,
    3812,  3813,  3814,  3815,  3816,  3817,  3818,  3819,   529,   111,
     475,  3823,  3824,   530,   334,    34,  3828,   530,   148,    10,
     344,  3833,   342,   128,   530,  3837,   452,  3839,   452,  3841,
     475,  5355,   403,   403,   529,   282,   282,  3849,   327,    70,
    3852,   452,  3854,   452,   452,   327,   308,    78,    79,   179,
    3862,  3863,   487,  3839,  3866,  3867,   529,   405,   457,  3871,
    3872,   230,   284,   327,   220,   118,  3878,   424,    99,  5363,
    5364,   201,  1501,  1502,   124,  1504,  3888,   336,  3890,   322,
     220,   292,   212,   399,   292,   292,   335,   452,   444,   532,
    3902,  1520,   336,   452,   336,  3584,  3908,  3909,  3910,   251,
    3589,   412,   232,   452,   385,   452,   374,   237,   278,   111,
    5012,   278,   278,   475,   278,   475,   166,   278,   371,   284,
     335,   260,  4312,   518,  4312,   156,   518,   130,   218,   230,
     230,   332,   412,  3839,   487,  2614,  3839,   232,   529,  5096,
     529,   191,  2621,   218,   218,   217,  3958,   467,   494,   322,
     111,   322,   336,  4119,   336,   285,   284,   207,   111,  3971,
     163,   211,   248,   248,   230,   523,   530,   512,  4907,   512,
     312,   218,   284,   527,   336,  3987,   306,   208,  4081,   336,
    5474,   231,   336,  4086,   234,  4088,   530,   412,   530,   230,
    4002,   530,   530,   257,   257,   257,   532,   247,   532,   532,
     498,    99,   241,   529,    89,   235,   128,   527,   311,   494,
     530,   531,  4951,   452,   336,  5196,   457,  4907,   221,  5543,
     532,   441,   331,  4035,   284,   530,   257,   487,   530,   530,
    1497,   262,   347,   530,  1501,  1502,   235,  1504,   530,   369,
     530,   355,   235,   491,   337,   337,   452,   346,   302,   473,
    4940,   254,   530,  1520,   336,   512,   529,   491,   530,   514,
    4941,  4951,   532,   530,   530,   481,   396,   518,   529,  4081,
     128,  5537,   339,   403,  4086,  4087,  4088,   327,   530,   409,
    3769,   166,   260,   533,   529,   335,   289,   336,   518,   529,
     336,  1720,   530,   529,   529,  4081,  1725,  1726,   530,  1566,
    4086,   532,  4088,   188,   532,   218,   452,   530,   529,   498,
     529,   441,   268,   327,   444,   452,   452,   452,   322,   322,
     340,   218,   372,  1590,   407,   356,   218,   218,  4140,   407,
     407,  4143,   462,   292,   260,   452,   220,   475,   356,   294,
     356,   472,   452,   322,   452,  3645,   452,   304,   351,   336,
     304,   403,   304,   218,   452,  3655,   452,   487,   452,   403,
     403,   452,   117,   452,  5081,   396,   403,   415,   452,   278,
     278,  1800,   452,  1802,  1803,  4081,   452,   278,   278,  3679,
    4086,   452,  4088,  4086,   452,  4088,   389,   530,   391,   245,
     393,   532,  1821,  4205,   452,   118,  1663,   400,   530,  1828,
    1829,  4272,   387,  5120,   407,  1672,   462,   178,   439,   530,
      84,   530,   415,    87,   532,   335,  4228,  4229,  5196,  1686,
    4232,   336,   529,   111,   427,   218,   452,   218,   230,  4241,
     245,  4243,   435,   138,   230,   466,  4312,   475,   403,   475,
     528,   403,   116,   474,   339,   403,   477,   216,   122,   412,
    1717,   532,   216,  1720,  1721,   278,   529,   278,  1725,  1726,
     278,   209,   527,   235,  4335,  1894,    87,   347,  4280,  4281,
    4282,   532,   146,   230,   486,  1904,   235,   532,   342,   530,
     491,   235,   243,   515,   337,   530,   489,   392,   530,   518,
     530,  5326,   155,   462,   529,    84,   530,   230,    87,   532,
    4312,   529,    91,    92,    93,   530,   528,   530,   532,   530,
     518,   111,   863,   452,   529,   475,   284,   268,   128,   108,
     444,   218,   529,   452,   475,   462,  4312,   116,   407,  4535,
     403,   452,  4344,   122,   452,  1964,   452,   211,  1967,  1968,
     452,   403,   530,   518,  1811,   385,   530,    84,   530,   529,
      87,   494,   128,  4365,    91,    92,    93,   146,   444,   230,
     220,   146,  3041,   218,  4376,   178,   462,   278,  3047,   278,
    5287,   108,  3872,   370,   278,   278,   282,  5355,   252,   116,
     530,   529,  5299,   257,  5323,   122,   263,  5304,  3888,  5306,
    3890,   494,   498,   529,  4406,   529,   230,   532,  4087,   530,
     532,   151,   444,   462,  4416,  4417,   529,  4419,  2037,   146,
      84,  4423,  4424,   532,   452,   532,  4428,  4429,  4584,   293,
     530,  4433,   529,   412,  4436,  4437,   528,   178,   240,  4441,
     235,   278,   278,  5323,    84,  4447,   278,    87,   278,   235,
    4511,    91,    92,    93,   881,   379,   128,   530,   529,   492,
     532,   888,   530,  4465,   530,   492,   347,  4469,   108,   530,
     529,   529,   899,   252,   338,   281,   345,   530,   257,  4481,
     281,   343,   529,   443,  4486,  4578,   128,   246,   530,   530,
    4492,   530,   332,   518,   462,   452,   235,  2116,   494,   278,
     279,   928,   146,   518,   262,   327,   933,  4509,   327,   128,
    4189,  4190,   444,   532,   293,   532,   452,   944,  3187,   140,
    4522,  2140,   452,  1980,   452,   252,   218,   278,   529,  4622,
     257,  2150,   237,  2152,   235,   475,  4538,   257,   529,   412,
    2159,   475,   111,   204,   490,  2164,   325,   111,   235,   336,
     230,   278,   279,   529,  4556,   494,   420,   494,    96,   338,
     530,   265,   341,   101,   276,   339,   293,   235,   480,   379,
     428,  4573,   354,  1114,   529,  5543,  4578,  1118,   530,   529,
     157,   281,   530,   493,   199,  4587,   529,  3256,   530,  2208,
      84,   336,  2211,    87,   529,   380,   134,   530,   325,   230,
     529,  4603,  4578,   452,   452,   192,  4608,   529,   529,   147,
     529,   338,   111,  4615,   341,   305,   327,   260,   529,   217,
    4622,  4623,   116,   161,  4626,  2082,   370,   529,   122,   111,
     530,   529,   340,   530,  4636,   400,   400,   462,   278,   530,
     128,   420,   426,   426,   518,   128,  4622,   111,   530,   513,
     529,   444,   146,   529,   529,   532,   520,   521,   522,   523,
     524,   525,  4341,   201,  4666,   530,   529,   475,   444,   529,
     320,   336,   444,   530,   212,    81,   224,   370,   140,   339,
     140,   199,  4578,   479,    84,   494,  4688,   494,  2307,  2308,
     379,   480,   111,   420,   232,  2314,  2315,  4699,   338,   237,
     529,   529,   415,   235,   377,    84,   532,   444,    87,   230,
     491,   327,    91,    92,    93,   204,   262,   211,   336,   336,
     111,   412,   111,   237,  2343,   529,  4622,   339,   339,  4622,
     529,   237,   530,   530,   513,   529,   128,   516,   517,   518,
     399,   520,   521,   522,   523,   524,   525,  1288,  1289,   529,
    4752,  2208,  4754,   532,  2211,   190,   473,   530,   252,    81,
     529,   399,   386,   257,    97,   532,   108,   529,   306,   532,
     217,   452,   235,   370,   426,   426,   494,   529,  1205,  1206,
    2399,   237,  4272,   237,   494,   385,   513,  4789,  2011,   516,
     517,   518,  1289,   520,   521,   522,   523,   524,   525,   293,
     338,  2848,  3210,  4805,  1726,   532,  2705,  4809,  3410,  1253,
    4887,  4086,  4814,  2775,  4184,  5209,  3580,  5353,  4497,  5543,
    5027,  4226,  5031,  5011,  4690,  3330,  5452,  2993,  4906,  4831,
    4832,   369,  5534,  4835,  5381,  5380,  5483,  3334,  4273,  4259,
    4218,  2838,  1288,  4522,   338,  4335,  2838,  4849,  4081,  3435,
    2083,  4242,  4854,  2310,  2473,  2474,  4715,  4859,  2832,  3634,
    4862,  4863,  5545,  5639,  5620,   403,  5006,  3588,  4870,  4871,
    3583,   409,  5494,  4953,   412,  5120,   516,   517,   518,  5341,
     520,   521,   522,   523,   524,   525,  5462,  2072,  4956,   188,
    4892,  1557,  4344,  5145,  4987,  2555,  4280,  5142,  4900,   278,
    4902,  2520,  1573,   441,  4906,  3305,  5264,   971,  2286,  2286,
     448,  1000,  2287,  4622,  5508,  3534,  5623,   455,  1872,  2447,
    2221,  2540,  2448,  2542,   462,  2544,   420,  5444,  1131,  4261,
    3969,  4512,  1515,  2976,  1755,  3227,  2490,  1773,  4940,  4941,
    1772,  1697,  3242,  2464,  4623,  3913,  5437,  5308,  4950,   487,
    4495,  3256,  2489,  1775,  1029,  5016,  1031,  4456,  1033,   338,
    2417,  3890,  2581,  4471,  1039,  5110,  1780,  5290,  3888,  5289,
    3970,  3699,  5079,  4878,  3841,  4465,  5440,  5427,  5441,  4469,
    5041,  2380,  3230,  3155,  3065,  4987,  3214,  2383,  1063,  1064,
    3153,  4993,   661,  3676,  2902,    78,  1403,  2118,  5418,  2524,
     394,    84,  2532,  1010,  2499,  1569,    89,  2540,  1792,  1208,
    3204,  4987,  3976,  1208,  2533,  4496,  3977,  1700,   427,   513,
    2989,  4511,  3940,     2,  4888,  2250,   520,   521,   522,   523,
     524,   525,  1228,   116,  1786,  1790,  1042,  2544,    84,    -1,
      -1,    87,  5044,    -1,  5046,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3734,    -1,  2524,    -1,    -1,
     116,    -1,  5165,    -1,  5076,  5077,   122,  5079,   161,  5081,
      -1,    -1,  1501,  2540,    -1,  2542,    -1,  2544,    -1,    -1,
      -1,  4987,    -1,    -1,  4987,    -1,    -1,    -1,    -1,    -1,
     146,    -1,    -1,  5105,    -1,    -1,    -1,  5109,    -1,    -1,
      -1,    -1,    -1,  5115,    -1,  2734,  1191,    -1,  5120,    -1,
      -1,    -1,    -1,  2742,  2581,  2744,   209,    -1,    -1,    -1,
    1205,  1206,    -1,    -1,   217,  1210,   219,   516,   517,   518,
    5142,   520,   521,   522,   523,   524,   525,    -1,    -1,   232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5165,    84,   211,    -1,    87,    -1,  5171,
      -1,    -1,    -1,  5175,  5176,    -1,    -1,    -1,  5180,    -1,
      -1,    -1,  1257,    -1,    -1,  5246,    -1,    -1,    -1,  5165,
      -1,    -1,    -1,  2650,  5196,  1736,   116,    -1,    -1,    -1,
      -1,  4880,   122,    -1,    -1,    -1,   252,    -1,    -1,    -1,
      -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3888,
      -1,  3890,  5224,    -1,    -1,    -1,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5244,    84,    -1,    -1,    87,   293,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5353,  4940,  5264,  5265,    -1,    -1,    -1,    -1,    -1,  5165,
      -1,    84,    -1,  5275,    87,   116,    -1,    -1,    91,    92,
      93,   122,    -1,    -1,    -1,  5287,    -1,    -1,  5290,    -1,
      -1,   211,   338,    -1,    -1,    -1,    -1,  5299,    -1,    -1,
      -1,    -1,  5304,    -1,  5306,   146,  5308,  2926,  2927,    -1,
     393,    -1,    -1,  5315,  1855,    -1,    -1,    -1,  5563,    -1,
      -1,    -1,    -1,    84,  1865,    -1,    87,    -1,    -1,    -1,
    5332,    -1,   252,  4002,    -1,    -1,    -1,   257,    -1,    -1,
      -1,    -1,  2799,    -1,    -1,   428,    -1,    -1,    -1,    -1,
    2807,  5353,    -1,  5355,    -1,   116,    -1,    -1,  2815,    -1,
    2817,   122,    -1,    -1,  4854,  1906,    -1,    -1,    -1,  4859,
      -1,    -1,  4862,   293,   420,    -1,    -1,  5353,    -1,    -1,
      -1,    -1,    -1,    -1,  1811,   146,  3005,    -1,    -1,    -1,
      -1,    -1,    -1,  5395,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4894,    -1,  2863,    -1,    -1,    -1,
      -1,   252,    -1,    -1,    -1,    -1,   257,    -1,   338,    -1,
      -1,    -1,    -1,    -1,  5426,  5427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5508,  5495,  5437,  2893,  5508,  5508,  5508,
      -1,    -1,    -1,  5445,  2901,  1520,    -1,  5508,    -1,    -1,
     211,    -1,   293,    -1,    -1,  5457,    -1,  5353,    -1,    -1,
    5353,    -1,    -1,    -1,  5557,   278,    -1,   513,    -1,    -1,
    2927,    -1,    -1,    -1,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5563,    -1,
      -1,   252,  5563,  5563,  5563,    -1,   257,   338,    -1,    -1,
     420,  5503,  5563,    -1,    -1,    -1,  2963,  5509,  5510,    -1,
    5512,    -1,    -1,    -1,    -1,    -1,    -1,  5196,  2059,    -1,
      -1,    -1,    -1,    -1,    -1,   338,  5016,  5620,    -1,  5531,
      -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5543,    -1,    -1,    -1,    -1,  5639,    -1,  5623,    -1,
      -1,  5041,  5623,  5623,  5623,  5557,    -1,    -1,    -1,    -1,
      -1,    -1,  5623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,   420,
      -1,  5557,  2009,    -1,    -1,    -1,  3205,    -1,    -1,  3208,
      -1,  3210,    -1,   513,    -1,    -1,    -1,    -1,    -1,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,  5614,  5615,    -1,  3234,  3235,    -1,  5620,  5109,
      -1,    -1,    -1,    -1,    -1,    -1,  5628,    -1,    -1,    -1,
    5120,    -1,    -1,    -1,    -1,    -1,    -1,  5639,  5640,  5641,
      -1,    -1,    -1,    -1,  5620,  1720,    -1,    -1,    -1,    -1,
    1725,  1726,  5142,  2080,    -1,    -1,    -1,  2084,    -1,   420,
      -1,  5557,    -1,  5639,  5557,    -1,    -1,    -1,    -1,  2096,
      -1,    -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
      -1,    -1,    -1,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,   130,    -1,
      -1,    -1,    -1,    -1,  5620,    -1,    -1,  5620,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1811,    -1,    -1,    -1,
      -1,    -1,    -1,  5639,    -1,  2172,  5639,    -1,    -1,    -1,
      -1,   163,   513,  3210,    -1,    -1,  5246,    -1,    -1,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2200,    -1,    -1,    -1,    -1,    -1,    -1,
     863,    -1,    -1,    -1,   867,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4465,    -1,   881,    -1,
    4469,    -1,    -1,    -1,    -1,   888,    -1,    -1,    -1,   221,
    2351,    -1,    -1,    -1,    -1,    -1,   899,    -1,    -1,  1894,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1904,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   254,    -1,    -1,   928,    -1,    -1,    -1,    -1,
     933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   284,    -1,    -1,    -1,    -1,   289,  5557,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   970,    -1,  1964,
      -1,    -1,  1967,  1968,    -1,    -1,  3353,    -1,    -1,    -1,
      -1,    -1,    -1,   986,    -1,    -1,    -1,    -1,    -1,   992,
     322,    -1,    -1,    -1,   111,    -1,    -1,    -1,    -1,    -1,
    1003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   130,  1017,    -1,    -1,    -1,    -1,   351,
      -1,  5620,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,
    5639,    -1,  2037,    -1,    84,  3584,   163,    -1,    -1,    89,
    3589,    -1,    -1,    -1,    -1,    -1,    -1,   389,    -1,    -1,
      -1,   393,    -1,  3440,    -1,   981,    -1,    -1,   400,    -1,
      -1,    -1,    -1,  3612,    -1,   407,   116,    -1,    -1,    -1,
      -1,   111,    -1,   415,    -1,  5495,  1002,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,    -1,    -1,  5508,    -1,
     130,    -1,    -1,   435,   221,    -1,  3483,  2568,    -1,    -1,
    4699,  1114,    -1,  1116,    -1,  1118,    -1,    -1,    -1,    -1,
      -1,   161,    -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   163,  1137,    -1,    -1,   254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3686,    -1,    -1,
      -1,    -1,    -1,  5563,  3693,    -1,  3533,   489,    -1,    -1,
      -1,   493,   494,    -1,    -1,    -1,    -1,   284,    -1,    -1,
      -1,    -1,   289,    -1,    -1,    -1,    -1,  2524,  3555,    -1,
      -1,    -1,    -1,    -1,    -1,  3562,  3563,    -1,    -1,  3566,
      -1,   221,   232,    -1,  2655,    -1,  3573,    -1,    -1,  3576,
      -1,    -1,  1205,  1206,    -1,   322,    -1,  3584,    -1,    -1,
      -1,    -1,  3589,  5623,    -1,    -1,    -1,  2564,  3595,    -1,
    3597,    -1,  2569,    -1,   254,    -1,  2573,    -1,    -1,    -1,
    3769,  2692,    -1,    -1,   351,  2696,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2599,    -1,   284,    -1,    -1,    -1,  3635,   289,
    4849,    -1,  2723,    -1,    -1,  4854,    -1,    -1,    -1,    -1,
    4859,    -1,   389,  4862,  4863,    -1,   393,    -1,    -1,    -1,
      -1,    -1,    -1,   400,    -1,  1288,  1289,  3664,  3665,    -1,
     407,    -1,   322,    -1,    -1,    -1,  2643,    -1,   415,    -1,
      -1,    -1,    -1,  4892,    -1,    -1,    -1,    -1,    -1,    -1,
     427,    -1,    -1,    -1,  2661,    -1,  3693,  4906,   435,    -1,
      -1,   351,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,   455,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2693,    -1,   108,    98,
      -1,    -1,    -1,   393,    -1,   104,   116,    -1,    -1,   389,
      -1,  4950,   122,   393,    -1,    -1,    -1,    -1,    -1,    -1,
     400,    -1,   489,    -1,  2835,    -1,   493,   407,  2725,    -1,
     129,    -1,  2729,    -1,    -1,   415,   146,    -1,   428,    -1,
      -1,    -1,    -1,    -1,    -1,   144,    -1,   427,    -1,    -1,
    2747,    -1,    -1,    -1,  4993,   435,    -1,  1323,    -1,    -1,
      -1,  2758,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2771,   455,    -1,  1343,   177,    -1,
      -1,    -1,    -1,  2780,  3973,    -1,    -1,    84,    -1,    -1,
      87,  1357,    -1,    -1,    91,    92,    93,   196,    -1,    -1,
      -1,    -1,    -1,    -1,   203,  5044,    -1,   206,    -1,   489,
      -1,   108,    -1,   493,    -1,    -1,    -1,    -1,    -1,   116,
      -1,  3848,    -1,    -1,  1477,   122,    -1,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   252,    -1,  1497,    -1,    -1,   257,    -1,   146,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     259,    -1,    -1,   262,    -1,    -1,    -1,  1520,   278,   279,
    5109,    -1,    -1,  1439,    -1,  2520,    -1,    -1,    -1,  2524,
      -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2540,    -1,    -1,  4087,    -1,
      -1,    -1,    -1,  1556,    -1,    -1,    -1,    -1,   307,    -1,
      -1,   310,    -1,    -1,    -1,   325,    -1,    -1,    -1,  1572,
      -1,   320,    -1,   322,    -1,    -1,    -1,    -1,   338,    -1,
    4119,   341,    -1,   332,  1587,    -1,  2581,  1590,    -1,    -1,
      -1,   340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     349,   350,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,
     257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   278,   279,    -1,    -1,  5224,   385,    -1,    -1,   388,
     389,   390,    -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,
    4189,  4190,  3113,    -1,  1570,    -1,    -1,    -1,  3119,    -1,
     420,    -1,    -1,    -1,  3011,    -1,   415,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,
     429,    -1,  3029,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3037,   338,    -1,    -1,   341,    -1,    -1,    -1,    -1,    -1,
      -1,  5290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4087,    -1,    -1,    -1,  1717,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1725,  1726,    -1,    -1,  5315,    -1,    -1,   478,
      -1,    -1,    -1,  1736,    -1,    -1,    -1,    -1,    -1,  2734,
      -1,    -1,    -1,  4120,    -1,    -1,  4123,  2742,  4125,  2744,
      -1,    -1,    -1,   513,    -1,    -1,   516,   517,   518,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
     530,    -1,    -1,   420,  4313,  4314,  4315,  4316,  4317,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1790,  1791,  1792,
      -1,    -1,  4169,    -1,    -1,    -1,    -1,    -1,  4175,  4176,
      -1,  4178,  4341,    -1,  1720,    -1,  5395,  4184,  1811,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   863,    -1,    -1,    -1,   867,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1841,    -1,
      -1,   881,    -1,    -1,    -1,  1848,    -1,    -1,   888,    -1,
      -1,    -1,  1855,    -1,    -1,    -1,    -1,    -1,    -1,   899,
      -1,    -1,  1865,    -1,    -1,    -1,   513,    -1,  5457,   516,
     517,   518,    -1,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,   530,    -1,    -1,    -1,    -1,   928,    -1,
      -1,    -1,    -1,   933,    -1,    -1,    -1,    -1,    -1,  4276,
      -1,    -1,    -1,  1906,   944,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5503,    -1,    -1,    -1,    -1,    -1,
    5509,  5510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     970,    -1,    -1,  1849,    -1,    -1,  4313,  4314,  4315,  4316,
    4317,    -1,    -1,    -1,    -1,    -1,   986,    -1,    -1,    -1,
      -1,    -1,   992,    -1,    -1,    -1,    -1,    -1,  4497,    -1,
    3307,    -1,    -1,  1003,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3434,  3435,  3436,    -1,  1017,    -1,    -1,
      -1,  4358,    -1,  4522,  4361,    -1,  4363,    -1,    -1,    -1,
      -1,    -1,   130,    -1,    -1,    -1,    -1,    -1,  1914,    -1,
      -1,    -1,    -1,  3350,    -1,    -1,  2009,    -1,    -1,    -1,
    3005,    -1,  3473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   163,    84,    -1,    -1,    87,
      -1,    -1,  1948,    91,    92,    93,    -1,    -1,    -1,  5628,
      -1,    -1,    -1,    -1,    -1,  4584,    -1,    -1,    -1,    -1,
     108,  5640,  5641,    -1,    -1,   193,  2059,    -1,   116,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,  4606,  4607,    -1,
      -1,    -1,  4611,  4612,    -1,    -1,  1116,  2080,    -1,    -1,
      -1,  2084,    -1,   221,  4623,    -1,    -1,    -1,   146,    -1,
      -1,    -1,    -1,  2096,    -1,    -1,    -1,  1137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3458,    -1,    -1,  2030,    -1,   254,  4494,    -1,    -1,
    4497,  4498,    -1,    -1,  3471,    -1,    -1,  3588,    -1,  2045,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2053,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4522,    -1,    -1,  2064,    -1,
      -1,   289,    -1,    -1,    -1,    -1,    -1,    -1,    98,    -1,
      -1,    -1,    89,    -1,   104,  1205,  1206,    -1,  2171,  2172,
      84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,  2184,    -1,    -1,   322,    -1,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,   252,  2111,  2199,  2200,    -1,   257,
      -1,    -1,   116,  3550,   144,    -1,    -1,    -1,   122,    -1,
      -1,    -1,   350,   351,  2130,  3210,    -1,    -1,  2221,    -1,
     278,   279,    -1,    -1,    -1,    -1,  2142,    -1,    -1,    -1,
      -1,    -1,   146,    -1,   161,   293,    -1,    -1,  2154,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4623,   385,    -1,    -1,
      -1,   389,    -1,   193,    -1,   393,   196,    -1,    -1,    -1,
      -1,    -1,   400,   203,    -1,    -1,   206,   325,    -1,   407,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,  2194,    -1,
     338,  2197,   209,   341,    -1,    -1,    -1,  4664,  4665,   427,
     217,   231,   219,    -1,    -1,    -1,  4673,   435,  4675,  4676,
      -1,    84,  4679,    -1,    87,   232,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   262,    -1,    -1,   108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,   252,   122,
      -1,  4880,    -1,   257,    -1,  4722,    -1,    -1,  2351,    -1,
      -1,   489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   420,   146,   278,   279,    -1,  1444,    -1,    -1,
      -1,    -1,    -1,  3720,  4751,    -1,    -1,    -1,  3839,   293,
     320,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3737,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     340,  4940,    -1,    -1,    -1,    -1,    -1,    -1,  1485,    -1,
     350,   325,    -1,  4790,    -1,  3762,  1493,  4794,  4795,    -1,
    4797,    -1,  1499,    -1,   338,    -1,    -1,    -1,    -1,    -1,
    2346,    -1,    -1,    -1,    -1,    -1,    -1,  1477,    -1,    -1,
      -1,    -1,  2445,    -1,    -1,   385,    -1,    -1,   388,   389,
      -1,    -1,    -1,    -1,    -1,   513,    -1,  1497,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,    -1,   252,
      -1,    -1,   530,    -1,   257,   415,    -1,    -1,    -1,    -1,
    1520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   278,   279,    -1,    -1,  2502,
      -1,  2504,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,
     293,    -1,    -1,    -1,    -1,    -1,  1556,    -1,    -1,    -1,
      -1,  2524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1572,    -1,    -1,    -1,    -1,    -1,   478,    -1,
      -1,    -1,   325,    -1,    -1,    98,    -1,  1587,    -1,    -1,
    1590,   104,    -1,    -1,    -1,   338,    -1,    -1,   341,    -1,
      -1,  2564,    -1,  4940,    -1,  2568,  2569,    -1,    -1,    -1,
    2573,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2581,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3584,
      -1,   144,    -1,    -1,  3589,    -1,  2599,    -1,    -1,   513,
      -1,    -1,   516,   517,   518,  4982,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4081,    -1,    -1,    -1,    -1,  4086,    -1,  4088,    -1,    -1,
      -1,    -1,    -1,    -1,  2550,    -1,    -1,   420,  2554,  2555,
    2643,    -1,    -1,   196,    -1,    -1,    -1,    -1,    98,    -1,
     203,    -1,  2655,   206,   104,    -1,    -1,  5196,  2661,  2662,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1717,   231,   129,
      -1,    -1,    -1,    -1,    -1,  1725,  1726,    -1,  4035,  2692,
    2693,    -1,    -1,  2696,   144,    -1,  1736,    -1,    -1,    -1,
      -1,    -1,  2618,    -1,    -1,    -1,    -1,    -1,    -1,   262,
      -1,    -1,    -1,    -1,  2630,    -1,    -1,    -1,    -1,    -1,
    2723,    -1,  2725,    -1,    -1,    -1,  2729,   177,    -1,    -1,
     513,    -1,    -1,   516,   517,   518,  5275,   520,   521,   522,
     523,   524,   525,    -1,  2747,    -1,   196,   530,    -1,    -1,
    1790,  1791,  1792,   203,  2670,  2758,   206,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,  2771,   322,
      98,  1811,    -1,    -1,  3769,    -1,   104,  2780,    -1,   332,
      -1,   231,    84,    -1,    -1,    87,    -1,   340,    -1,    91,
      92,    93,    -1,  4140,    -1,    -1,  4143,   350,    -1,    -1,
      -1,  1841,    -1,    -1,    -1,    -1,   108,    -1,  1848,   259,
      -1,    -1,   262,    -1,   116,  1855,   144,    -1,    -1,  5196,
     122,    -1,    -1,  5200,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2835,  5210,    -1,   388,   389,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,    -1,    -1,
     310,    -1,   415,    -1,    -1,   193,    -1,    -1,   196,    -1,
     320,    -1,   322,    -1,    -1,   203,    -1,    -1,   206,    -1,
      -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     340,    -1,    -1,    -1,    -1,    -1,  4243,    -1,  2901,   349,
     350,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2827,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   262,   385,   863,    -1,   388,   389,
     390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,    -1,   881,   257,    -1,    -1,    -1,    -1,
    2963,   888,    -1,    -1,    -1,   415,    -1,    -1,    -1,  2009,
      -1,    -1,   899,    -1,    -1,    -1,   278,   279,  5355,   429,
      -1,  2897,  5359,    -1,  5361,    -1,    -1,    -1,  5365,  5366,
      -1,   293,   320,    -1,   322,    -1,    -1,  4344,    -1,    -1,
      -1,   928,    -1,    -1,   332,    -1,   933,    -1,  3011,    -1,
      -1,    -1,   340,    -1,    -1,    -1,    -1,   944,  5557,  2059,
      -1,    -1,   350,   325,    -1,    -1,  3029,    -1,   478,    -1,
      -1,    -1,    -1,    -1,  3037,    -1,   338,    -1,    -1,   341,
    2080,    -1,    -1,   970,  2084,    -1,    -1,    -1,  2125,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2096,   385,    -1,   986,
     388,   389,    -1,    -1,    -1,   992,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1003,    -1,    -1,    -1,
      -1,  5620,    -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,
    1017,    -1,  4087,  2170,    -1,    -1,    -1,  2174,    -1,    -1,
    5639,    -1,    -1,  2180,  2181,    -1,    -1,    -1,    -1,    -1,
    3113,  3027,    -1,    -1,    -1,    -1,  3119,  4578,   420,    -1,
      -1,    -1,    -1,    -1,  4119,    -1,  2203,    -1,  3044,    -1,
      -1,  2171,  2172,    -1,    -1,    -1,    98,    -1,    -1,  3055,
      84,    -1,   104,    87,  2184,    -1,    -1,    91,    92,    93,
     478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2199,
    2200,  4622,    -1,    -1,   108,    -1,  5543,    -1,    -1,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,
    5557,  2221,   144,    -1,    -1,    -1,    -1,  1114,    -1,  1116,
      -1,  1118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,    -1,    -1,    -1,  3210,    -1,    -1,
      -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,   530,    -1,
      -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,    -1,
      -1,   203,    -1,  5620,   206,    -1,    -1,    98,    -1,    -1,
      -1,    -1,    -1,   104,    -1,   981,  4603,    -1,    -1,    -1,
      -1,    -1,  5639,    -1,    -1,    -1,    -1,    -1,  4615,   231,
      -1,    -1,    -1,    -1,    -1,    -1,  1002,    -1,  1205,  1206,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,
     262,    -1,    -1,    -1,  3307,    -1,    -1,    -1,   252,    -1,
      -1,  2351,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,
    3323,  3324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   278,   279,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   196,  4341,  3350,    -1,   293,
    3353,    -1,   203,    -1,    -1,   206,    -1,    -1,   320,    -1,
     322,  1288,  1289,    -1,    -1,    -1,    -1,  2444,    -1,    -1,
     332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   340,  3295,
     231,   325,  3298,    -1,  3300,    -1,    -1,    -1,   350,  3305,
      -1,    -1,    -1,    -1,   338,    -1,    -1,   341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2445,    -1,    -1,    -1,    -1,
      -1,   262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   385,    -1,    -1,   388,   389,    -1,    -1,
      -1,  3434,  3435,  3436,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3357,  4789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   415,    -1,  3458,    -1,    -1,  3374,    -1,
      -1,    -1,  2502,    -1,  2504,    -1,    -1,    -1,  3471,   320,
    3473,   322,    -1,  3476,    -1,    -1,   420,    -1,    -1,    -1,
      -1,   332,  3485,  3399,  2524,    -1,    -1,    -1,    -1,   340,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2564,    -1,  4987,    -1,  2568,  2569,
      -1,    -1,    -1,  2573,   385,    -1,    -1,   388,   389,    -1,
      -1,  2581,    -1,    -1,    -1,    -1,    -1,  3550,    -1,    -1,
    1477,    -1,  3468,  4900,  3470,  4902,    -1,    -1,    -1,  2599,
      -1,    -1,    -1,    -1,   415,    -1,    -1,    -1,    -1,   513,
    1497,    -1,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,  3588,   530,    -1,    -1,  4584,
      -1,    -1,  3595,  1520,  3597,    -1,    -1,  1323,    -1,    -1,
      -1,    -1,    -1,  2643,    -1,    -1,  3609,    -1,  3611,    -1,
      -1,    -1,    -1,    -1,    -1,  3531,    84,  1343,    -1,    87,
      -1,  2661,  2662,    91,    92,    93,    -1,   478,  4623,  1556,
      -1,  1357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3556,    -1,    -1,    -1,    -1,  1572,    -1,    -1,   116,    -1,
      -1,    -1,  2692,  2693,   122,    -1,  2696,    -1,    -1,    -1,
    1587,    -1,  3665,  1590,    -1,    -1,    -1,    -1,  3584,    -1,
      -1,    -1,    -1,  3589,    -1,    -1,    -1,    -1,   146,    -1,
      -1,    -1,    -1,    -1,    -1,  2725,    -1,    -1,    -1,  2729,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,
      -1,    -1,    -1,    -1,  5165,    -1,    -1,  2747,    -1,    -1,
      -1,    -1,    -1,  1439,    -1,    -1,    -1,  3720,  2758,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2771,  3648,    -1,  3737,    -1,    -1,    -1,    -1,    -1,
    2780,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,
    3666,    -1,    -1,    -1,    -1,    -1,  3759,    -1,   225,  3762,
      -1,    -1,    -1,   230,    -1,  3681,    -1,    -1,   235,    -1,
      -1,    -1,    -1,   240,    -1,    -1,   243,    -1,    -1,   246,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,   257,
    1717,    -1,    -1,    -1,    -1,  2835,    -1,    -1,  1725,  1726,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   274,    -1,  1736,
     278,   279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   293,    -1,   294,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3839,    -1,    -1,  2916,
      -1,    -1,    -1,    -1,  1570,    -1,    -1,    -1,    -1,    -1,
      -1,    96,    -1,    -1,    -1,    -1,   101,   325,  2935,    -1,
      -1,  2901,    -1,  1790,    -1,    -1,  3782,   334,   113,   336,
     338,    -1,    -1,  2950,    -1,   342,  2953,  2954,    -1,    -1,
      -1,  2958,  2959,    -1,  1811,    -1,    -1,  3803,  2965,   134,
      -1,    -1,  5353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3828,    -1,    -1,    -1,   161,    -1,    -1,    -1,
      -1,    -1,    -1,  2963,    -1,   392,    -1,    -1,  1855,    -1,
      -1,    -1,    -1,    -1,   179,    -1,    -1,    -1,  1865,    -1,
      84,    -1,    -1,    87,    -1,  4940,  3862,    91,    92,    93,
      -1,    -1,   420,    -1,    -1,    -1,   201,    -1,    -1,    -1,
      -1,    -1,  3039,    -1,   108,    -1,    -1,   212,    -1,    -1,
      -1,  3011,   116,    -1,   441,   220,    -1,    -1,   122,  1906,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,  3029,
      -1,    -1,   237,    -1,    -1,    -1,    -1,  3037,   243,    -1,
     467,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   260,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   491,    -1,   493,   494,    -1,    -1,
      -1,    -1,  4035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,    -1,    -1,
     527,   306,    -1,   530,   531,    -1,   533,    -1,    -1,    -1,
      -1,  3987,    -1,  3113,    -1,    -1,    -1,    -1,  4081,  3119,
      -1,    -1,  2009,  4086,    -1,  4088,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   338,    -1,    -1,  5557,    -1,  5445,    -1,
      -1,    -1,    -1,    -1,   349,    -1,    -1,    -1,   252,    -1,
      -1,    -1,    -1,   257,   359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1849,   369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2059,    -1,   278,   279,    -1,  4140,    -1,    -1,
    4143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,
      -1,   396,    -1,  2080,    -1,    -1,   401,  2084,   403,  5620,
      -1,    -1,    -1,    -1,   409,    -1,    -1,   412,    -1,  2096,
    3210,  4087,    -1,    -1,    -1,    -1,    -1,    -1,  5639,    -1,
      -1,   325,    -1,    -1,    -1,    -1,    -1,    98,  1914,    -1,
      -1,    -1,    -1,   104,   338,    -1,   441,   341,    -1,   444,
      -1,  5196,    -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,
     455,    -1,   457,    -1,    -1,    -1,    -1,   462,    -1,    -1,
      -1,    -1,  1948,    -1,    -1,  4228,  4229,    -1,    -1,   474,
      -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,  4241,    -1,
    4243,    -1,   487,    -1,  2171,  2172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2184,    -1,    -1,
      -1,    -1,  3339,    -1,    -1,    -1,    -1,  3307,    -1,    -1,
      -1,    -1,  2199,  2200,    -1,    -1,   420,    -1,    -1,    -1,
    5275,    -1,    -1,  3323,  3324,   196,    -1,    -1,    -1,    -1,
      -1,    -1,   203,    -1,  2221,   206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2030,    -1,    -1,    -1,    -1,  4312,
    3350,    -1,    -1,  3353,    -1,    -1,  4232,    -1,    -1,  2045,
     231,    -1,    84,    -1,    -1,    87,    -1,  2053,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,  2064,    -1,
      -1,  4344,  3419,    -1,  3421,    -1,   108,    -1,    -1,    -1,
      -1,   262,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,    -1,  4280,    -1,    -1,    -1,    -1,   513,
      -1,    -1,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,    -1,    -1,   146,  2111,   530,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3434,  3435,  3436,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2130,    -1,    -1,    -1,    -1,   320,
      -1,   322,    -1,    -1,    98,    -1,  2142,    -1,  3458,    -1,
     104,   332,    -1,    -1,  2351,    -1,    -1,    -1,  2154,   340,
      -1,  3471,    -1,  3473,    -1,    -1,  3476,    -1,    -1,   350,
      -1,    -1,    -1,    -1,    -1,  3485,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3530,    -1,    -1,    -1,    -1,    -1,  3536,
     144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2194,    -1,
      -1,  2197,    -1,    -1,   385,    -1,    -1,   388,   389,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    84,    -1,    -1,    87,   257,    -1,    -1,    91,    92,
      93,    -1,    -1,  4419,   415,    -1,    -1,    -1,    -1,    -1,
    3550,    -1,   196,  4429,    -1,   108,   278,   279,    -1,   203,
      -1,    -1,   206,   116,    -1,    -1,    -1,    -1,    -1,   122,
      84,   293,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   231,  3588,    -1,
      -1,    -1,    -1,   146,   108,  3595,    -1,  3597,    -1,    -1,
      -1,    -1,   116,   325,    -1,    -1,    -1,   478,   122,  3609,
    4573,  3611,    -1,    -1,    -1,  4578,   338,    -1,   262,   341,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,    -1,    -1,    -1,  2524,    -1,    -1,
    4603,    -1,    -1,  3680,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4615,    -1,    -1,    -1,    -1,    -1,    -1,  4622,
    2346,    -1,    -1,    -1,    -1,  3665,  3703,  3704,    -1,  3706,
      -1,  3708,  3709,  4636,    -1,    -1,   320,  2564,   322,    -1,
    4556,  2568,  2569,    -1,  3721,    -1,  2573,    -1,   332,    -1,
      -1,    -1,    -1,    -1,  2581,    -1,   340,    -1,   420,   252,
    2386,    -1,    -1,    -1,   257,    -1,   350,    -1,    -1,    -1,
      -1,  4587,  2599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3720,    -1,    -1,    -1,  3761,   278,   279,    -1,    -1,    -1,
      -1,    -1,  4608,    -1,    -1,    -1,    -1,  3737,   252,    -1,
     293,   385,    -1,   257,   388,   389,    -1,  4623,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2643,    -1,    -1,  3759,
      -1,    -1,  3762,    -1,   278,   279,    -1,    -1,  2655,    -1,
      -1,   415,   325,    -1,  2661,  2662,    -1,    -1,    -1,   293,
      -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,   341,    -1,
    4666,   513,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,    -1,  2692,  2693,    -1,   530,  2696,
      98,   325,    -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   338,    -1,  4789,   341,    -1,    -1,
      -1,    -1,    -1,    -1,   478,    -1,  2723,    -1,  2725,  3839,
      -1,    -1,  2729,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,    -1,
    2747,    -1,    -1,    -1,  2550,    -1,    -1,   420,  2554,  2555,
      -1,  2758,    -1,    -1,    -1,    -1,    -1,    -1,  4754,    -1,
      -1,    -1,    -1,    -1,  2771,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2780,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,   196,    -1,
      -1,    -1,    -1,    -1,    84,   203,    -1,    87,   206,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2618,  4809,    -1,    -1,    -1,  4900,   108,  4902,
      -1,    -1,    -1,   231,  2630,    -1,   116,    -1,  2835,    -1,
      -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,    -1,    -1,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,    -1,   262,    -1,   146,   530,  4941,    -1,
      -1,    -1,    -1,    -1,  2670,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,
      -1,    -1,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,    -1,    -1,  2901,    -1,   530,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4987,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   320,    -1,   322,  4035,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   350,    -1,  4940,    -1,    -1,    -1,    -1,    -1,
     981,    -1,    -1,    -1,    -1,    -1,  2963,    -1,    -1,    -1,
      -1,  4081,   252,    -1,    -1,    -1,  4086,   257,  4088,    -1,
      -1,  1002,    -1,    -1,    -1,    -1,    -1,   385,    -1,    -1,
     388,   389,    -1,    -1,    -1,    -1,    -1,    -1,   278,   279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   293,  3011,    -1,    -1,   415,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4140,  2827,  3029,  4143,    -1,    94,    -1,    -1,    -1,    -1,
    3037,    -1,    -1,    -1,    -1,   325,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,
    5046,   341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5077,  5165,   152,    -1,    -1,    -1,    -1,    -1,    -1,
      84,  2897,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,   170,    -1,    -1,    -1,    -1,  3113,    -1,  4228,  4229,
      -1,    -1,  3119,  5196,   108,    -1,   185,    -1,    -1,  5115,
      -1,  4241,   116,  4243,   193,    -1,    -1,    -1,   122,    -1,
     420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   208,
      -1,   210,    -1,    -1,    -1,   214,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,    -1,   224,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4320,   233,    -1,    -1,    -1,    -1,    -1,
      -1,  4328,  4329,  4330,  4331,  5171,    -1,    -1,    -1,  5175,
    5176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      98,    -1,    -1,  3210,    -1,    84,   104,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,  3027,    -1,   513,  4344,    -1,   516,   517,   518,   108,
     520,   521,   522,   523,   524,   525,    -1,   116,  3044,    -1,
     530,    -1,    -1,   122,    -1,    -1,   144,    -1,    -1,  3055,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,
      -1,    -1,    -1,   257,    -1,    -1,    -1,   146,    -1,  5265,
    5353,    -1,  5355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   278,   279,    -1,    -1,    -1,    -1,
      -1,    -1,  1323,    -1,    -1,    -1,    -1,    -1,   196,   293,
    3307,    -1,    -1,    -1,    -1,   203,    -1,    -1,   206,    -1,
      -1,    -1,  1343,    -1,    -1,    -1,  3323,  3324,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1357,    -1,    -1,    -1,
      -1,   325,    -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    98,  3350,   338,    -1,  3353,   341,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5445,    -1,   262,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,   257,    -1,
      -1,    -1,    -1,  3189,  3190,  3191,    -1,    -1,   144,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4554,    -1,   278,
     279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   320,    -1,   322,    -1,   420,  3434,  3435,  3436,
      -1,  4588,  4589,    -1,   332,    -1,    -1,    -1,    -1,    -1,
     196,    -1,   340,    -1,    -1,    -1,   325,   203,    -1,    -1,
     206,  3458,   350,  4573,    -1,    -1,    -1,    -1,  4578,   338,
    5543,    -1,   341,    -1,  3471,    -1,  3473,    -1,    -1,  3476,
      -1,    -1,    -1,    -1,  5557,   231,    -1,    -1,  3485,    -1,
      -1,    -1,    -1,  4603,    -1,    -1,    -1,   385,    -1,  3295,
     388,   389,  3298,    -1,  3300,  4615,    -1,    -1,    -1,  3305,
      -1,    -1,  4622,    -1,    -1,    -1,   262,    -1,    -1,    -1,
    4667,  4668,    -1,    -1,    -1,    -1,  4636,   415,    -1,   513,
      -1,    -1,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,   530,  5620,    -1,  1570,
      -1,   420,    -1,  3550,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3357,    -1,    -1,    -1,    -1,  5639,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   320,    -1,   322,    -1,  3374,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,    -1,    -1,
     478,  3588,    -1,    -1,   340,    -1,    -1,    -1,  3595,    -1,
    3597,    -1,   661,  3399,   350,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3609,    -1,  3611,  4762,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4772,  4773,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   385,
      -1,  4788,   388,   389,   513,     5,    -1,   516,   517,   518,
      -1,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
      -1,   530,    -1,    -1,    -1,    25,    -1,    -1,  3665,   415,
      -1,    -1,  3468,    -1,  3470,    35,    36,    -1,    -1,  4789,
      -1,    -1,    42,    43,    -1,    -1,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,  3720,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,   478,    -1,    -1,  3531,    -1,    -1,    -1,    -1,
    3737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3556,    -1,  3759,    -1,    -1,  3762,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3584,    -1,
    4900,    -1,  4902,  3589,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   871,   872,   873,   874,    -1,   876,    -1,   878,
      -1,   880,    -1,   882,    -1,    -1,   885,    -1,    -1,    -1,
      -1,  4941,   891,    -1,    -1,   894,    -1,    -1,    -1,   898,
      -1,   900,  3839,    -1,    -1,    -1,    -1,    -1,    -1,   908,
     210,    -1,  3648,    -1,    -1,   914,    -1,   916,    -1,    -1,
     919,    -1,   921,    -1,   923,    -1,    -1,    -1,   228,    -1,
    3666,   930,    -1,    -1,    -1,   934,    -1,  4987,    -1,    -1,
      -1,    -1,   941,    -1,    -1,  3681,    -1,    -1,    -1,   249,
      -1,    -1,    -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,
      -1,    -1,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   272,    -1,    -1,    -1,   975,    -1,    -1,    -1,
      -1,   980,  5069,    -1,    -1,    -1,   985,  1948,    -1,    -1,
     989,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,   144,    -1,    -1,    -1,    -1,  1006,    -1,   309,
      -1,    -1,   312,    -1,    -1,   108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   116,    -1,    -1,    -1,   327,    -1,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3782,    -1,    -1,    -1,
      -1,    -1,    -1,   146,   196,    -1,    -1,    -1,    -1,    -1,
    5147,   203,    -1,  1062,   206,    -1,    -1,  3803,    -1,  2030,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1077,    -1,
    1079,    -1,    -1,    -1,  2045,    -1,    -1,    -1,    -1,   231,
      -1,    -1,  3828,    -1,    -1,    -1,    -1,    -1,  4035,    -1,
      -1,    -1,    -1,  2064,    -1,  5192,   406,    -1,  1107,  1108,
      -1,    -1,    -1,  1112,  1113,  5165,    -1,    -1,    -1,    -1,
     262,    -1,    -1,    -1,    -1,    -1,  3862,    -1,    -1,    -1,
      -1,    -1,    -1,  1132,    -1,    -1,    -1,  1136,    -1,    -1,
      -1,    -1,    -1,    -1,  4081,  1144,  5196,    -1,    -1,  4086,
    2111,  4088,   452,    -1,    -1,    -1,  1155,    -1,    -1,   252,
      -1,    -1,    -1,    -1,   257,    -1,    -1,   467,  1167,  2130,
      -1,    -1,    -1,    -1,  3910,    -1,    -1,    -1,   320,    -1,
     322,  2142,   482,    -1,    -1,   278,   279,    -1,    -1,    -1,
     332,    -1,    -1,  2154,    -1,    -1,    -1,    -1,   340,    -1,
     293,    -1,    -1,  4140,    -1,   164,  4143,    -1,   350,    -1,
     510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,    -1,
     520,   521,   522,   523,   524,    -1,    -1,   527,   528,   529,
      -1,    -1,   325,  2194,   534,   535,  2197,    -1,    -1,    -1,
      -1,    -1,    -1,   385,    -1,   338,   388,   389,   341,    -1,
    1249,  3987,    -1,    -1,   213,    -1,    -1,    -1,    -1,  1258,
      -1,    -1,    -1,    -1,  1263,  1264,   225,    -1,    -1,    -1,
      -1,   230,    -1,   415,    -1,    -1,   235,    -1,    -1,    -1,
      -1,   240,    -1,    -1,   243,    -1,    84,   246,    -1,    87,
      -1,  4228,  4229,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5353,  4241,  5355,  4243,    -1,    -1,    -1,
     108,    -1,    -1,    -1,    -1,   274,    -1,  1316,   116,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,   420,  1327,    -1,
      -1,    -1,  1331,    -1,    -1,   294,   478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1346,   146,    -1,
      -1,  4087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1366,    -1,    -1,
      -1,    -1,    -1,  1372,  1373,   334,    -1,   336,    -1,    -1,
      -1,    -1,    -1,   342,    -1,  2346,    -1,    -1,    -1,    -1,
    1389,  1390,  1391,    -1,  1393,  5445,  1395,    -1,    -1,    -1,
      -1,  1400,    -1,    -1,    -1,    -1,    -1,  4344,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,    -1,    -1,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,   392,    -1,    -1,    -1,   530,    -1,    -1,
      -1,    -1,  5529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,   257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1471,    -1,  1473,  1474,    -1,    -1,    -1,    -1,
     278,   279,   441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5543,    -1,   293,  4232,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5557,   467,    -1,
      -1,    -1,    -1,  1512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,
      -1,    -1,   491,    -1,   493,   494,    -1,    -1,    -1,    -1,
     338,    -1,    -1,   341,  4280,    -1,    -1,    -1,    96,    -1,
      -1,  1550,  1551,   101,    -1,    -1,  1555,    -1,  1557,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   527,    -1,
    5620,   530,   531,    -1,   533,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1583,    -1,   134,  1586,    -1,  5639,
    1589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
     148,    -1,  1601,    -1,    -1,    -1,    -1,    -1,    -1,   157,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1629,   179,    -1,    -1,    -1,    -1,  4573,    -1,    -1,    -1,
      -1,  4578,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   201,    -1,    -1,    -1,  2618,  1657,  1658,
    1659,    -1,  1661,    -1,   212,    -1,  4603,    -1,    -1,  2630,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,  4615,    -1,
      -1,    -1,  1681,  4419,   232,  4622,    -1,    -1,    -1,   237,
      -1,    -1,    -1,  4429,    -1,    -1,    -1,    -1,    -1,  4636,
      -1,    -1,    -1,    -1,  1703,  1704,    -1,    -1,    -1,  2670,
      -1,    -1,   260,    -1,    -1,   513,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,   530,  1732,    -1,    -1,  1735,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4481,    -1,    -1,    -1,    -1,
    4486,    -1,    -1,    -1,    -1,    -1,  4492,    -1,   306,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1765,    -1,    -1,    -1,
    1769,  1770,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,
     882,  1780,  1781,  1782,    -1,    -1,    -1,    -1,    -1,   891,
     338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   900,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   908,    -1,    -1,    -1,
    1809,   359,   914,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4556,   369,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   225,
      -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,   396,   235,
      -1,  4587,  4789,   401,   240,   403,    -1,   243,    -1,    -1,
     246,   409,    -1,    -1,   412,    -1,  2827,    -1,    -1,    -1,
      -1,    -1,  4608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4623,   274,    -1,
      -1,    -1,    -1,   441,    -1,    -1,   444,    -1,    -1,    -1,
     448,    -1,  1901,    -1,    -1,    -1,    -1,   455,   294,   457,
      -1,    -1,    -1,    -1,   462,    -1,    -1,    -1,    -1,    -1,
    1919,  1920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1928,
    4666,    -1,  1931,    -1,    -1,    -1,    -1,    -1,    -1,   487,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,    -1,
     336,  1950,    -1,  1952,    -1,    -1,   342,    -1,    -1,    -1,
      -1,  1960,    -1,  4900,  1963,  4902,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1077,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1987,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1995,  1996,  1997,  1998,
    1999,    -1,    -1,    -1,  4941,    -1,   392,    -1,    -1,    -1,
      -1,  1113,    -1,    -1,  2013,    -1,  4752,    -1,  4754,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,  2027,    -1,
    1132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2039,  2040,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2048,
    4987,    -1,    -1,  1155,    -1,   441,    -1,    -1,    -1,  2058,
      -1,    -1,    -1,    -1,    -1,    -1,  3027,    -1,    -1,    -1,
      -1,    -1,    -1,  4809,    -1,    -1,    -1,    -1,  2077,    -1,
      -1,   467,    -1,  3044,    -1,    -1,    -1,  2086,  2087,  2088,
    2089,    -1,    -1,    -1,  3055,    -1,    -1,    -1,    -1,  2098,
      -1,    -1,    -1,    -1,    -1,   491,  2105,   493,   494,  2108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2124,    -1,    -1,    -1,    -1,
      -1,    -1,  2131,    -1,    -1,    -1,    -1,  2136,    -1,    -1,
      -1,   527,    -1,    -1,   530,   531,    -1,   533,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1258,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2179,    -1,    -1,    -1,  2183,    -1,    -1,  2186,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2196,    -1,    -1,
      -1,    -1,    -1,    -1,  4940,  2204,  2205,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,  2218,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,  5165,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,
      -1,   122,    -1,  2252,    -1,    -1,    -1,    -1,    -1,  5196,
    2259,    -1,  2261,    -1,  1366,    -1,  2265,  2266,    -1,  2268,
      -1,    -1,    -1,    -1,    -1,   146,  2275,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2285,  1389,  1390,  1391,
      -1,  2290,  2291,    -1,    -1,  2294,    -1,    -1,    -1,  2298,
    2299,    -1,    -1,    -1,    -1,  2304,  2305,    -1,    -1,    -1,
    5046,    -1,  2311,  2312,  2313,    -1,    -1,    -1,  2317,  2318,
    2319,  2320,  2321,  2322,  2323,  2324,    -1,  2326,    -1,  2328,
    2329,    -1,    -1,  2332,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5077,    -1,    -1,    -1,    -1,    -1,    -1,  2347,  2348,
    2349,  2350,    -1,    -1,    -1,  2354,  2355,    -1,    -1,    -1,
    2359,    -1,    -1,  2362,    -1,    -1,  2365,  2366,  2367,  2368,
    2369,  2370,  2371,  2372,  2373,    -1,  2375,    -1,    -1,  5115,
      -1,   252,    -1,  2382,  2383,    -1,   257,  2386,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3357,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   278,   279,  2408,
      -1,    -1,    -1,  3374,    -1,    -1,  5353,    -1,  5355,    -1,
      -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5171,    -1,    -1,    -1,  5175,
    5176,    -1,    -1,    -1,    -1,    -1,    -1,  2446,    -1,  2448,
      -1,  2450,    -1,  1555,   325,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2464,    -1,   338,    -1,    -1,
     341,    -1,    -1,    -1,  2473,  2474,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1586,    -1,    -1,    -1,  2487,    -1,
      -1,    -1,    -1,    -1,    -1,  2494,    -1,  2496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3468,  5445,  3470,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,  5264,  5265,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,   420,
     116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3531,    -1,    -1,    -1,    -1,  2574,    -1,    -1,    -1,    -1,
     146,    -1,    -1,    -1,  2583,    -1,  2585,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3556,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2602,    -1,    -1,  5543,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2614,    -1,  2616,  2617,    -1,
    5557,    -1,  2621,    -1,  2623,    -1,  2625,    -1,  2627,    -1,
    1732,    -1,  2631,    -1,    -1,  2634,    -1,    -1,    -1,    -1,
      -1,    -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,   530,
      -1,    -1,    -1,    -1,    -1,    -1,  2665,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2673,    -1,    -1,    -1,    -1,  1781,
      -1,  2680,    -1,  5620,    -1,    -1,   252,  3648,    -1,    -1,
    2689,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5639,    -1,    -1,    -1,    -1,    -1,    -1,  2708,
      -1,    -1,   278,   279,  2713,  2714,    -1,    -1,    -1,    -1,
    3681,    -1,    -1,  2722,    -1,    -1,    -1,   293,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2767,    -1,
    2769,  2770,   338,    -1,    -1,   341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2798,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2806,    -1,  2808,
      -1,    -1,    -1,    -1,    -1,  2814,    -1,  1919,    -1,    -1,
      -1,  3782,    -1,    -1,    -1,    -1,  1928,  2826,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2840,  3803,    -1,  2843,    -1,  2845,    -1,    -1,  2848,
    1952,    -1,  2851,    -1,   420,    -1,    -1,    -1,  1960,    -1,
      -1,  1963,    -1,    -1,    -1,    -1,    -1,  3828,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2877,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2886,  2887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1999,    -1,    -1,
      -1,  3862,    -1,  2902,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2013,    -1,    -1,  2913,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2027,    -1,    -1,  2927,  2928,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2940,    -1,  2942,  2943,  2944,  2945,   513,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,   530,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2971,    84,    -1,  2077,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,  2993,    87,  2098,   108,    -1,    91,
      92,    93,    -1,  2105,    -1,   116,    -1,    -1,    -1,    -1,
      -1,   122,    84,    -1,    -1,    87,   108,    -1,    -1,    91,
      92,    93,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
     122,    -1,  3031,    -1,    -1,   146,   108,    -1,    -1,   111,
      -1,    -1,  3041,    -1,   116,    -1,    -1,    -1,  3047,    -1,
     122,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,  3058,
      -1,    -1,    -1,    -1,    84,  3064,    -1,    87,    -1,    -1,
    3069,    91,    92,    93,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,   112,  3092,  3093,  3094,   116,    -1,  3097,    -1,
      -1,    -1,   122,    -1,    -1,    -1,  3105,  3106,  3107,  3108,
      -1,    -1,    -1,    -1,    -1,    -1,  2218,    -1,    -1,  3118,
      -1,    -1,  3121,    -1,  3123,    -1,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3134,  3135,    -1,    -1,  3138,
      -1,   252,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,
      -1,  3150,    -1,  3152,    -1,  3154,    -1,  3156,    -1,    -1,
     252,    -1,    -1,  2265,  2266,   257,    -1,   278,   279,    -1,
      -1,    -1,    -1,    -1,   194,    -1,    -1,  3176,    -1,    -1,
     252,  3180,   293,  2285,    -1,   257,   278,   279,  3187,    -1,
    3189,  3190,  3191,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   293,    -1,    -1,    -1,    -1,   278,   279,    -1,    -1,
      -1,    -1,    -1,    -1,   325,  3214,    -1,    -1,    -1,    -1,
      -1,   293,    -1,    -1,    -1,    -1,    -1,   338,  3227,    -1,
     341,    -1,   252,   325,    -1,    -1,    -1,   257,    -1,    -1,
      -1,    -1,    -1,  3242,    -1,    -1,   338,    -1,    -1,   341,
      -1,    -1,    -1,   325,    -1,    -1,    -1,  3256,   278,   279,
    3259,    -1,    -1,  3262,    -1,  3264,   338,    -1,    -1,   341,
      -1,  4232,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,
    2382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   325,  2408,    -1,    -1,   420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,
      -1,   341,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,
    3329,    -1,  3331,    -1,    -1,    -1,    -1,  3336,    -1,    -1,
      -1,    -1,    -1,    -1,  2446,    -1,  2448,    -1,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3363,    -1,  3365,  3366,  3367,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2487,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     420,    -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,   530,
      -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,    -1,    -1,   528,    -1,    -1,    -1,
      -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,    -1,   475,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4429,   116,
      -1,    -1,    -1,    -1,    -1,  3474,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,    -1,    -1,   516,   517,   518,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,   161,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,
      -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,  3557,    -1,
      -1,    -1,   209,    -1,    -1,  3564,  3565,    -1,    -1,    -1,
     217,    -1,   219,    -1,    -1,   146,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   232,    -1,  2689,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4556,    -1,    -1,    -1,    -1,
      -1,    -1,  3601,  3602,    -1,    -1,  2708,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3617,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4587,    -1,    -1,    -1,
      -1,    -1,    -1,  3632,  3633,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3641,  3642,  3643,    -1,    -1,  4608,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,
    3659,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3676,    -1,    -1,
      -1,   252,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3693,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4666,    -1,   278,   279,    -1,
      -1,  3710,    -1,  3712,    -1,    -1,    -1,  3716,    -1,    -1,
      -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3734,    -1,    -1,    -1,    84,
      -1,    -1,    87,  2845,    -1,  3744,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,
      -1,  3760,    -1,   108,    -1,    -1,    -1,   338,    -1,    -1,
     341,   116,    -1,  3772,    -1,    -1,    -1,   122,    -1,    -1,
    3779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3788,
      -1,    -1,    -1,  4754,    -1,  3794,    -1,  3796,    -1,    -1,
    3799,   146,    -1,    -1,    -1,  3804,  3805,  3806,  3807,    -1,
      -1,  3810,  3811,  3812,  3813,  3814,  3815,  3816,  3817,  3818,
    3819,    -1,    -1,    -1,  3823,  3824,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3833,    -1,    -1,    -1,  3837,    -1,
      -1,    -1,  3841,    -1,    -1,    -1,    -1,    -1,  4809,   420,
    3849,    -1,    -1,  3852,    -1,  3854,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3863,    -1,    -1,  3866,  3867,    -1,
      -1,    -1,  3871,  3872,    -1,    -1,    -1,  3876,    -1,  3878,
      -1,    -1,    -1,    -1,    -1,    -1,  3885,  3886,  3887,  3888,
      -1,  3890,  3891,    -1,    -1,    -1,  3895,  3896,    -1,    -1,
      -1,    -1,    -1,  3902,    -1,    -1,    -1,   252,    -1,  3908,
    3909,  3910,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3031,
      -1,    -1,    -1,   278,   279,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,    -1,    -1,   516,   517,   518,   293,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,  3958,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3969,    -1,  3971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   338,    -1,    -1,   341,    -1,    -1,    -1,
      -1,    -1,    -1,  4002,  4003,  4004,    -1,  4006,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   363,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4025,  4026,  4027,  4028,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4054,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4068,
      -1,    -1,    -1,    -1,    -1,   420,     5,    -1,  3180,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,
      -1,    40,    -1,    42,    43,    -1,  5077,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    -1,  5115,    -1,    85,    -1,    -1,  4158,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,    -1,
      -1,   516,   517,   518,    -1,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4201,    -1,  4203,    -1,  4205,    -1,   137,    -1,
    5171,    -1,  4211,    -1,  5175,  5176,   863,    -1,  4217,    -1,
      -1,    -1,    -1,    -1,   871,    -1,    -1,  4226,    -1,    -1,
      -1,    -1,    -1,   880,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4246,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4256,    -1,    -1,
      -1,    -1,    -1,    -1,  4263,    -1,    -1,    -1,    -1,   916,
      -1,    -1,    -1,    -1,  4273,    -1,    -1,    -1,  4277,    -1,
      -1,   210,  4281,  4282,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   228,
      -1,    -1,    -1,    -1,  5265,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4313,  4314,  4315,  4316,  4317,    -1,
     249,    -1,    -1,    -1,  4323,    -1,  4325,    -1,   975,    -1,
      -1,    -1,    -1,    -1,   981,    -1,    -1,    -1,   985,    -1,
      -1,    -1,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1002,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,  4365,    -1,    91,    92,
      93,    -1,  3474,    -1,    -1,    -1,    -1,  4376,    -1,    -1,
     309,    -1,    -1,   312,    -1,   108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,   327,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4416,  4417,    -1,
      -1,    -1,    -1,   146,  4423,  4424,    -1,    -1,    -1,  4428,
      -1,    -1,    -1,    -1,  4433,    -1,    -1,  4436,  4437,    -1,
      -1,    -1,  4441,  4442,    -1,    -1,    -1,    -1,  4447,  4448,
    4449,  4450,  4451,    -1,    -1,    -1,  4455,  4456,    -1,  4458,
    1107,  1108,  4461,    -1,    -1,    -1,  4465,  1114,    -1,    -1,
    4469,  1118,    -1,    -1,    -1,    -1,  4475,   406,    -1,    -1,
      -1,    -1,  4481,    -1,    -1,    -1,    -1,  4486,    -1,    -1,
      -1,    -1,    -1,  4492,    -1,    -1,    -1,  1144,    -1,  3601,
    3602,    -1,    -1,  4502,    -1,    -1,   229,    -1,    -1,    -1,
    4509,    -1,    -1,  4512,    -1,  3617,    -1,    -1,  4517,    -1,
      -1,    -1,    -1,   452,    -1,    -1,    -1,    -1,    -1,   252,
      -1,  3633,    -1,    -1,   257,    -1,  4535,    -1,   467,  4538,
    3642,  3643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   482,    -1,   278,   279,  3659,    -1,  4558,
    4559,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     293,    -1,    -1,    -1,    -1,    -1,    -1,  4576,    -1,    -1,
      -1,   510,    -1,    -1,    -1,    -1,  4585,    -1,    -1,   518,
      -1,   520,   521,   522,   523,   524,    -1,    -1,   527,   528,
     529,   530,   325,   532,   533,   534,   535,   536,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,   341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4626,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   361,    -1,
      -1,  1288,  1289,    -1,    -1,    -1,    -1,  4646,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3760,    -1,
      -1,    -1,  4661,    -1,    -1,    -1,    -1,    -1,    -1,  1316,
      -1,    -1,    -1,    -1,    -1,    -1,  1323,    -1,    -1,    -1,
    1327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4688,
      -1,    -1,    -1,    -1,    -1,    -1,  1343,   420,    -1,    -1,
    4699,    -1,    -1,    -1,    -1,  4704,    -1,    -1,    -1,    -1,
    1357,    -1,    -1,  4712,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,  4727,  4728,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1395,    -1,
      -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,  4757,   116,
      -1,  4760,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3885,  3886,  3887,    -1,    -1,    -1,   146,
     513,    -1,  1439,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,  4805,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4814,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4831,  4832,    -1,    -1,  4835,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4849,  4850,    -1,    -1,    -1,  4854,    -1,    -1,    -1,    -1,
    4859,    -1,    -1,  4862,  4863,  1512,  4865,    -1,  4867,    -1,
      -1,  4870,  4871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4892,    -1,   252,    -1,    -1,    -1,    -1,
     257,    -1,    -1,    -1,    -1,    -1,    -1,  4906,  4907,  4908,
    4909,  4910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   278,   279,  1570,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,  4950,  4951,    -1,  1601,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,    -1,   111,    -1,   325,    -1,
      -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,   338,  1629,    -1,   341,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4993,    -1,    -1,  4996,    -1,    -1,
     357,   146,    -1,    -1,    -1,    -1,    -1,  5006,    -1,    -1,
    1657,  1658,  1659,  5012,  1661,  5014,    -1,    -1,    -1,    -1,
    5019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5031,    -1,  1681,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5042,  5043,  5044,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5076,    -1,    -1,
    5079,    -1,  5081,    -1,    -1,    -1,    -1,    84,  1735,  1736,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,  4201,
      -1,    -1,    -1,    -1,    -1,    -1,  5105,   252,    -1,  4211,
    5109,   108,   257,    -1,  5113,    -1,    -1,    -1,  1765,   116,
      -1,  5120,  1769,  1770,    -1,   122,    -1,    -1,    -1,    -1,
    5129,    -1,    -1,   278,   279,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5142,  4246,    -1,    -1,    -1,   293,   146,
      -1,    -1,    -1,    -1,    -1,    -1,   513,    -1,  5157,   516,
     517,   518,    -1,   520,   521,   522,   523,   524,   525,    -1,
      -1,  4273,    -1,    -1,    -1,    -1,   981,    -1,    -1,    -1,
     325,  5180,    -1,    -1,    -1,    -1,    -1,    -1,  5187,  5188,
    5189,  5190,    -1,   338,    -1,    -1,   341,  1002,    -1,    -1,
      -1,    -1,  1849,    -1,    -1,    -1,    -1,    -1,  1855,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1865,    -1,
      -1,    -1,    -1,    -1,    -1,  5224,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,
      -1,    -1,    -1,    -1,    -1,  5244,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,  1906,
     257,    -1,    -1,    -1,    -1,    -1,    -1,  1914,    -1,   981,
      -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,
      -1,   278,   279,    -1,    -1,    -1,    -1,    -1,  5287,    -1,
    1002,  5290,    -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,
    5299,  1948,    -1,    -1,    -1,  5304,    -1,  5306,    -1,  5308,
      -1,    -1,    -1,    -1,    -1,    -1,  5315,    -1,    -1,    -1,
      -1,    -1,  5321,    -1,  5323,    -1,    -1,    -1,   325,    -1,
      -1,    -1,    -1,  5332,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   338,    -1,    -1,   341,    -1,  4448,  4449,  4450,  4451,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5363,  5364,    -1,    -1,   513,    -1,
      -1,   516,   517,   518,    -1,   520,   521,   522,   523,   524,
     525,    -1,    -1,  2030,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5390,    -1,    -1,    -1,    -1,  5395,    -1,  2045,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2053,    -1,    -1,    -1,
      -1,    -1,  2059,    -1,    -1,    -1,    -1,  2064,    -1,  5418,
      -1,    -1,    -1,   420,    -1,    -1,    -1,  5426,  5427,    -1,
      -1,    -1,  5431,    -1,    -1,    -1,    -1,    -1,  5437,    -1,
      -1,  5440,    -1,    -1,    -1,  5444,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,  5457,    91,
      92,    93,    -1,    -1,  2111,    -1,    -1,    -1,  5467,    -1,
      -1,    -1,    -1,    -1,    -1,  5474,   108,  2124,    -1,   111,
      -1,    -1,    -1,  2130,   116,    -1,    -1,    -1,    -1,  2136,
     122,    -1,    -1,    -1,    -1,  2142,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5503,    -1,    -1,  2154,    -1,    -1,
    5509,  5510,    -1,  5512,   146,    -1,   513,    -1,  1323,   516,
     517,   518,  2169,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,  5531,    -1,    -1,    -1,    -1,    -1,  1343,  5538,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2194,    -1,    -1,
    2197,    -1,  1357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1323,    -1,    -1,  2261,  5614,  5615,    -1,    -1,    -1,
     252,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,  5628,
      -1,  1343,    -1,    -1,  1439,    -1,    -1,    -1,    -1,    -1,
      -1,  5640,  5641,    -1,    -1,  1357,   278,   279,    -1,    -1,
      -1,  2298,  2299,    -1,    -1,  4757,    -1,  2304,  2305,    -1,
      -1,   293,    -1,    -1,  2311,  2312,  2313,    -1,    -1,    -1,
    2317,    -1,  2319,  2320,  2321,  2322,  2323,  2324,    -1,  2326,
      -1,  2328,  2329,    -1,    -1,  2332,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,  2346,
    2347,  2348,  2349,  2350,  2351,    -1,   338,    -1,  2355,   341,
      -1,    -1,  2359,    -1,    -1,  2362,    -1,    -1,  2365,  2366,
    2367,  2368,  2369,  2370,  2371,  2372,  2373,  1439,  2375,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2383,    -1,    -1,  2386,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1570,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,
      -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2450,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    25,    -1,    -1,    -1,    -1,  2464,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,  2473,  2474,    -1,    42,
      43,    -1,    -1,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,  1570,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,   101,    -1,    -1,    -1,
      -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,  4996,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2550,    -1,    -1,    84,  2554,  2555,    87,
    5012,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,  2568,   147,    -1,   137,    -1,    -1,    -1,    -1,    -1,
     108,    -1,    -1,    -1,    -1,    -1,   161,    -1,   116,    -1,
      -1,  5043,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   179,  2602,    -1,    -1,    -1,    -1,
     185,    -1,    -1,    -1,    -1,    -1,    -1,  2614,   146,    -1,
      -1,  2618,    -1,    -1,  2621,    -1,   201,    -1,    -1,    -1,
      -1,    -1,    -1,  2630,    -1,    -1,    -1,   212,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   220,    -1,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,  2655,    -1,
      -1,    -1,   237,    -1,    -1,   228,    -1,    -1,   243,    -1,
      -1,    -1,    -1,  2670,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   260,   249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1849,  2692,    -1,    -1,    -1,  2696,
      -1,    -1,    -1,    -1,    -1,  5157,    -1,    -1,    -1,   272,
     285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,  2723,    -1,    -1,   257,
      -1,   306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,   312,
     278,   279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1914,
      -1,    -1,    -1,   338,   327,   293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   359,    -1,    -1,  1849,    -1,    -1,
      -1,    -1,    -1,  1948,   369,    -1,    -1,   325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     338,    -1,    -1,   341,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   396,    -1,    -1,    -1,    -1,   401,    -1,   403,  2826,
    2827,    -1,    -1,    -1,   409,    -1,    -1,   412,  2835,    -1,
      -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1914,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   440,   441,    -1,    -1,   444,
      -1,    -1,    -1,   448,    -1,  2030,    -1,    -1,    -1,    -1,
      -1,    -1,   457,    -1,    -1,    -1,  1948,   462,    -1,   452,
    2045,    -1,   420,    -1,    -1,    -1,    -1,    -1,  2053,   474,
    2897,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,  2064,
      -1,    -1,   487,    -1,    -1,    -1,  2913,    -1,    -1,   482,
      -1,   449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   518,  2111,   520,   521,   522,
     523,   524,    -1,    -1,   527,   528,   529,   530,  2030,    -1,
      -1,   534,    -1,    -1,  2971,  2130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2045,    -1,   513,    -1,  2142,   516,   517,
     518,  2053,   520,   521,   522,   523,   524,   525,    -1,  2154,
      -1,    -1,  2064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2194,
      -1,    -1,  2197,    -1,  3041,    -1,    -1,  3044,    -1,  2111,
    3047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3055,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3064,  2130,    -1,
      -1,    -1,  3069,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2154,    -1,    -1,  3092,  3093,  3094,    -1,    -1,
    3097,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3105,  3106,
    3107,  3108,    -1,    -1,    -1,    -1,  3113,    -1,    -1,    -1,
      -1,  3118,  3119,    -1,  3121,    -1,  3123,    -1,    -1,    -1,
      -1,    -1,  2194,    -1,    -1,  2197,    -1,  3134,  3135,    -1,
      -1,  3138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3152,    -1,  3154,    -1,  3156,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3176,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3187,  2346,  3189,  3190,  3191,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3214,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3242,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,     9,    -1,    -1,    -1,    13,  3256,
      15,    -1,    17,    18,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2346,    -1,    -1,    -1,    -1,    44,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3295,    -1,
      -1,  3298,    -1,  3300,    -1,    -1,    -1,    -1,  3305,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3329,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,
      -1,   106,   107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3357,    -1,    -1,    -1,    -1,    -1,   121,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3374,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,   143,   144,
      -1,    -1,    -1,    -1,   149,  2550,   151,    -1,    -1,  2554,
    2555,    -1,  3399,    -1,    -1,    -1,    -1,   162,    -1,   164,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   179,    -1,   181,    -1,    -1,   184,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3434,  3435,  3436,
      -1,    -1,   197,    -1,   199,    -1,    -1,    -1,   203,    -1,
      -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   217,  2618,   219,    -1,    -1,    -1,    -1,    -1,
     225,  3468,    -1,  3470,    -1,  2630,  3473,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   240,    -1,    -1,  2550,    -1,
      -1,    -1,  2554,  2555,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,  2670,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,
      -1,    -1,   111,    -1,  3531,    -1,    -1,   116,    -1,    -1,
     295,   296,    -1,   122,    -1,    -1,   301,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2618,    -1,   313,  3556,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,  2630,   324,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3584,    -1,    -1,
      -1,  3588,  3589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2670,   364,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     209,   376,    -1,    -1,    -1,    -1,   381,   382,   217,   384,
     219,    -1,    -1,    -1,   389,    -1,    -1,    -1,    -1,   394,
      -1,    -1,   397,    -1,    -1,    -1,    -1,   402,    -1,    -1,
      -1,  3648,   407,   408,    -1,    -1,    -1,    -1,    -1,    -1,
     415,    -1,    -1,    -1,   419,    -1,    -1,    -1,    -1,  3666,
      -1,    -1,  2827,   252,   429,    -1,    -1,    -1,   257,    -1,
      -1,    -1,    -1,    -1,  3681,    -1,   441,    96,    -1,    -1,
      -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,   278,
     279,    -1,    -1,    -1,   113,   460,    -1,   462,    -1,    -1,
      -1,    -1,    -1,    -1,   293,   470,    -1,    -1,    -1,    -1,
      -1,   476,    -1,    -1,    -1,   134,   481,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3734,   147,   494,
      -1,    -1,  2897,    -1,    -1,    -1,   325,    -1,   157,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,    -1,   338,
     515,    -1,   341,    -1,    -1,  2827,    -1,    -1,    -1,    -1,
     179,    -1,    -1,    -1,   529,    -1,   185,    -1,   533,    -1,
      -1,    -1,  3779,    -1,    -1,  3782,    -1,    -1,    -1,    -1,
      -1,  3788,   201,    -1,    -1,    -1,    -1,  3794,    -1,  3796,
      -1,    -1,  3799,   212,    -1,    -1,  3803,  3804,  3805,  3806,
    3807,   220,    -1,  3810,  3811,  3812,  3813,  3814,  3815,  3816,
    3817,  3818,  3819,   232,    -1,    -1,  3823,  3824,    -1,    -1,
     239,  3828,    -1,    -1,   243,  2897,  3833,    -1,    -1,    -1,
    3837,   420,  3839,    -1,  3841,    -1,    -1,    -1,    -1,    -1,
      -1,   260,  3849,    -1,    -1,  3852,    -1,  3854,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3862,  3863,    -1,    -1,  3866,
    3867,    -1,  3027,    -1,  3871,  3872,    -1,    -1,    -1,    -1,
      -1,  3878,    -1,    -1,    -1,    -1,    -1,    -1,   297,  3044,
      -1,  3888,    -1,  3890,    -1,    -1,    -1,   306,    -1,    -1,
    3055,    -1,    -1,    -1,    -1,  3902,    -1,    -1,    -1,    -1,
      -1,  3908,  3909,  3910,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,
      -1,    -1,   341,    -1,   513,    -1,    -1,   516,   517,   518,
      -1,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
     359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3958,    -1,    -1,    -1,  3027,    -1,    -1,    -1,   378,
      -1,    -1,    -1,    -1,  3971,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3044,    -1,    -1,    -1,    -1,   396,    -1,    -1,
    3987,    -1,    -1,  3055,   403,    -1,    -1,    -1,    -1,    -1,
     409,    -1,    -1,   412,    -1,  4002,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   441,    -1,    -1,   444,   445,    -1,   447,   448,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   457,    -1,
      -1,    -1,    -1,   462,    -1,     5,    -1,    -1,    -1,   468,
      -1,    -1,   471,    -1,    -1,   474,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,   487,    -1,
      -1,    -1,    -1,    -1,  4081,    35,    36,    -1,    -1,  4086,
    4087,  4088,    42,    43,    -1,    -1,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
    3295,    -1,    -1,  3298,    -1,  3300,    -1,    -1,    -1,    -1,
    3305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3357,   872,   873,    -1,    -1,   876,  4205,   878,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3374,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   898,
      -1,    -1,    -1,  3295,    -1,  4232,  3298,    -1,  3300,    -1,
      -1,    -1,    -1,  3305,  3399,    -1,    -1,    -1,    -1,    -1,
     919,    -1,    -1,    -1,   923,    -1,    -1,    -1,    -1,    -1,
     210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   941,    -1,    -1,    -1,    -1,    -1,   228,    -1,
      -1,    -1,   871,  4280,  4281,  4282,    -1,    -1,    -1,    -1,
      -1,   880,    -1,    -1,    -1,  3357,    -1,    -1,    -1,   249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3374,  3468,    -1,  3470,    -1,    -1,    -1,    -1,
      -1,    -1,   272,    -1,    -1,    -1,    -1,   916,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3399,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
      -1,    -1,   312,    -1,    -1,    -1,   108,    -1,  4365,    -1,
      -1,    -1,    -1,    -1,   116,    -1,  3531,   327,    -1,  4376,
     122,    -1,    -1,    -1,    -1,    -1,   975,    -1,    -1,    -1,
      -1,    -1,   981,    -1,    -1,    -1,   985,    -1,    -1,    -1,
      -1,  3556,    -1,    -1,   146,    -1,  3468,    -1,  3470,  4406,
      -1,    -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,  4416,
    4417,    -1,  4419,    -1,    -1,    -1,  4423,  4424,    -1,  3584,
      -1,  4428,  4429,    -1,  3589,    -1,  4433,    -1,    -1,  4436,
    4437,    -1,    -1,    -1,  4441,    -1,    -1,    -1,    -1,    -1,
    4447,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4465,  3531,
      -1,    -1,  4469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4481,    -1,    -1,    -1,    -1,  4486,
      -1,    -1,    -1,  3648,  3556,  4492,    -1,    -1,    -1,    -1,
      -1,    -1,   452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,  3666,  4509,    -1,    -1,   257,    -1,   467,  1107,  1108,
      -1,    -1,  3584,    -1,    -1,  1114,  3681,  3589,    -1,  1118,
      -1,    -1,   482,    -1,    -1,    -1,   278,   279,    -1,    -1,
      -1,  4538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   293,    -1,    -1,    -1,  1144,    -1,    -1,    -1,  4556,
     510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,    -1,
     520,   521,   522,   523,   524,    -1,    -1,   527,   528,   529,
     530,  4578,    -1,   325,   534,    -1,  3648,    -1,    -1,    -1,
    4587,    -1,    -1,    -1,  1263,  1264,   338,    -1,    -1,   341,
      -1,    -1,    -1,    -1,  3666,    -1,    -1,    -1,    -1,    -1,
      -1,  4608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3681,
      -1,    -1,    -1,    -1,    -1,  4622,  4623,  3782,    -1,  4626,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3803,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4666,
      -1,    -1,    -1,  3828,    -1,    -1,    -1,  1346,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4688,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1288,
    1289,    -1,  4699,  1372,  1373,    -1,    -1,  3862,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3782,    -1,    -1,    -1,  1393,    -1,    -1,  1316,    -1,    -1,
      -1,    -1,    -1,    -1,  1323,    -1,    -1,    -1,  1327,    -1,
      -1,  3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1343,  4752,    -1,  4754,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3828,    -1,  1357,    -1,
      -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3862,    -1,    -1,    -1,  1473,  1474,  1395,    -1,  4805,    -1,
      -1,    -1,  4809,    -1,    -1,    -1,    -1,  4814,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3987,    -1,  4831,  4832,    -1,    -1,  4835,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1439,    -1,  4849,    -1,    -1,    -1,    -1,  4854,    -1,    -1,
      -1,    -1,  4859,    -1,    -1,  4862,  4863,    -1,    -1,    -1,
      -1,    -1,    -1,  4870,  4871,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4892,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4906,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   981,
      -1,    -1,    -1,  1512,    -1,  3987,    -1,    -1,    -1,    -1,
      -1,    -1,  4087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1002,    -1,    -1,  4940,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4950,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4987,    -1,    -1,    -1,    -1,    -1,  4993,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1601,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4087,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1629,    -1,    -1,    -1,    -1,    -1,    -1,  5044,    -1,  5046,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1657,  1658,
    1659,    -1,  1661,    -1,    -1,    -1,    -1,  4232,    -1,  5076,
    5077,    -1,  5079,    -1,  5081,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5105,    -1,
      -1,    -1,  5109,    -1,    -1,    -1,    -1,    -1,  5115,    -1,
      -1,    -1,    -1,  5120,    -1,  4280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5142,  1735,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5165,    -1,
    4232,    -1,    -1,    -1,  5171,    -1,  1765,    -1,  5175,  5176,
    1769,  1770,    -1,  5180,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4280,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5224,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1849,  1323,  1931,    -1,  4419,    -1,    -1,  5264,  5265,    -1,
      -1,    -1,    -1,    -1,  4429,    -1,  1865,    -1,    -1,    -1,
      -1,  1343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5287,    -1,    -1,  5290,    -1,  1357,    -1,    -1,    -1,    -1,
      -1,    -1,  5299,    -1,    -1,    -1,    -1,  5304,    -1,  5306,
      -1,  5308,    -1,    -1,    -1,    -1,    -1,  1906,  5315,    -1,
      -1,    -1,    -1,    -1,    -1,  1914,  1995,  1996,  1997,  1998,
      -1,    -1,    -1,    -1,    -1,  5332,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5353,  4419,    -1,  1948,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4429,    -1,    -1,
    2039,  2040,    -1,    -1,    -1,    -1,    -1,  1439,    -1,  2048,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2058,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5395,    -1,
      -1,  4556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2086,  2087,  2088,
    2089,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5426,
    5427,    -1,  4587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5437,  2030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4608,    -1,    -1,  2045,    -1,    -1,    -1,
    5457,    -1,    -1,    -1,  2053,    -1,    -1,    -1,  4623,    -1,
      -1,    -1,    -1,    -1,    -1,  2064,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4556,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5503,    -1,  1570,    -1,
      -1,  4666,  5509,  5510,  2183,  5512,    -1,  2186,    -1,    -1,
      -1,    -1,  2111,    -1,    -1,  4587,    -1,  2196,    -1,    -1,
      -1,    -1,    -1,    -1,  5531,  2124,  2205,    -1,    -1,    -1,
      -1,  2130,    -1,    -1,    -1,    -1,  4608,  2136,    -1,    -1,
      -1,    -1,    -1,  2142,    -1,    -1,    -1,    -1,    -1,    -1,
    5557,  4623,    -1,    -1,    -1,  2154,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4754,
      -1,    -1,    -1,    -1,  4666,  2194,    -1,    -1,  2197,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5614,  5615,    -1,
      -1,    -1,    -1,  5620,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5639,  5640,  5641,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4809,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2354,    -1,    -1,    -1,    -1,
      -1,    -1,  4754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2298,
    2299,    -1,    -1,    -1,    -1,  2304,  2305,    -1,    -1,    -1,
      -1,    -1,  2311,  2312,  2313,    -1,    -1,    -1,  2317,    -1,
    2319,  2320,  2321,  2322,  2323,  2324,    -1,  2326,    -1,  2328,
    2329,    -1,    -1,  2332,    -1,    -1,    -1,  4809,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2346,  2347,  2348,
    2349,  2350,    -1,    -1,    -1,    -1,  2355,    -1,    -1,    -1,
    2359,    -1,    -1,  2362,    -1,    -1,  2365,  2366,  2367,  2368,
    2369,  2370,  2371,  2372,  2373,  4940,  2375,  1849,    -1,    -1,
      -1,    -1,    -1,    -1,  2383,    -1,    -1,  2386,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1914,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2464,    -1,    -1,  4940,    -1,
      -1,    -1,    -1,    -1,  2473,  2474,  1948,    -1,    -1,    -1,
      -1,  5046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5077,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2616,  2617,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2625,    -1,  2627,    -1,
    5115,  2550,  2631,    -1,    -1,  2554,  2555,    -1,  2030,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2045,  5046,    -1,    -1,    -1,    -1,    -1,
      -1,  2053,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2602,    -1,  5077,  5171,    -1,    -1,    -1,
    5175,  5176,    -1,    -1,    -1,  2614,    -1,    -1,    -1,  2618,
      -1,    -1,  2621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2630,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2111,
      -1,    -1,    -1,  5115,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2655,    -1,  2130,    -1,
      -1,  2740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2142,  2670,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5171,
    5265,     5,    -1,  5175,  5176,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2798,
      -1,    25,  2194,    -1,  2723,  2197,    -1,  2806,    -1,  2808,
      -1,    35,    36,    -1,    -1,  2814,    -1,    -1,    42,    43,
      -1,    -1,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5265,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2886,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2826,  2827,    -1,
      -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2942,    -1,  2944,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2897,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2913,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   272,    -1,
      -1,    -1,  2971,    -1,    -1,    -1,    -1,    -1,    -1,  3058,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,   312,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   327,    -1,    -1,    -1,    -1,  3027,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3041,    -1,    -1,  3044,    -1,    -1,  3047,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3055,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3064,    -1,    -1,    -1,    -1,
    3069,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2550,    -1,
      -1,    -1,  2554,  2555,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3092,  3093,  3094,    -1,    -1,  3097,    -1,
      -1,    -1,   406,    -1,    -1,    -1,  3105,  3106,  3107,  3108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3118,
      -1,    -1,  3121,    -1,  3123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3134,  3135,    -1,    -1,  3138,
      -1,    -1,    -1,    -1,    -1,    -1,  2618,    -1,   452,    -1,
      -1,    -1,    -1,  3152,    -1,  3154,    -1,  3156,  2630,    -1,
      -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3176,   482,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3187,    -1,
    3189,  3190,  3191,    -1,    -1,    -1,    -1,    -1,  2670,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   518,  3214,   520,   521,   522,   523,
     524,    -1,    -1,   527,   528,   529,    -1,    -1,  3227,    -1,
     534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3242,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3363,    -1,  3365,  3366,  3367,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3295,    -1,    -1,  3298,
     153,  3300,    -1,    -1,    -1,    -1,  3305,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     203,    -1,    -1,    -1,    -1,  2827,    -1,    -1,  3357,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3374,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,
    3399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2897,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3468,
      -1,  3470,    -1,    -1,    -1,    -1,    -1,    -1,  3557,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3027,    -1,  3556,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3044,    -1,    -1,    -1,   429,    -1,    -1,    -1,
      -1,    -1,    -1,  3055,    -1,  3584,    -1,    -1,    -1,    -1,
    3589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3710,    -1,  3712,    -1,    -1,    -1,  3716,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3648,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3666,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3772,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3734,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3779,    -1,    -1,  3782,    -1,    -1,    -1,    -1,    -1,  3788,
      -1,    -1,    -1,    -1,    -1,  3794,    -1,  3796,    -1,    -1,
    3799,    -1,    -1,    -1,  3803,  3804,  3805,  3806,  3807,    -1,
      -1,  3810,  3811,  3812,  3813,  3814,  3815,  3816,  3817,  3818,
    3819,    -1,    -1,  3295,  3823,  3824,  3298,    -1,  3300,  3828,
      -1,    -1,    -1,  3305,  3833,    -1,    -1,    -1,  3837,    -1,
      -1,    -1,  3841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3849,    -1,    -1,  3852,    -1,  3854,   709,   710,    -1,    -1,
      -1,    -1,    -1,  3862,  3863,    -1,    -1,  3866,  3867,    -1,
      -1,    -1,  3871,  3872,    -1,    -1,    -1,    -1,    -1,  3878,
      -1,    -1,    -1,    -1,    -1,  3357,    -1,    -1,    -1,  3888,
      -1,  3890,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3374,  3902,   757,    -1,    -1,    -1,    -1,  3908,
    3909,  3910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3399,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4025,  4026,  4027,  4028,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3958,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3987,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3468,    -1,  3470,    -1,
      -1,    -1,    -1,  4002,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   878,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   886,    -1,    -1,   889,   890,    -1,   892,
      -1,    -1,   895,    -1,   897,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3531,
      -1,    -1,    -1,    -1,   917,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   925,    -1,    -1,    -1,    -1,    -1,    -1,   932,
      -1,    -1,   935,   936,  3556,    -1,    -1,   940,  4087,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   957,    -1,   959,    -1,    -1,    -1,
      -1,    -1,  3584,    -1,    -1,    -1,    -1,  3589,    -1,    -1,
      -1,    -1,    -1,   976,  4203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   991,    -1,
     993,    -1,    -1,   996,    -1,   998,    -1,    -1,  1001,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1015,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3648,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3666,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4205,    -1,    -1,  3681,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1078,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4280,  4281,  4282,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3828,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1218,  4365,  1220,    -1,    -1,
      -1,  1224,    -1,    -1,    -1,    -1,    -1,  4376,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3862,  1244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4416,  4417,    -1,
    4419,    -1,    -1,    -1,  4423,  4424,    -1,    -1,    -1,  4428,
    4429,    -1,    -1,    -1,  4433,    -1,    -1,  4436,  4437,    -1,
      -1,    -1,  4441,    -1,    -1,    -1,    -1,    -1,  4447,    -1,
    1303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4465,  1320,    -1,    -1,
    4469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1332,
      -1,  1334,  4481,    -1,    -1,    -1,    -1,  4486,    -1,  1342,
      -1,    -1,    -1,  4492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1354,    -1,    -1,    -1,    -1,  1359,    -1,    -1,  1362,
    4509,    -1,    -1,    -1,    -1,  3987,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4538,
      -1,    -1,    -1,  1396,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4556,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4646,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4661,    -1,    -1,    -1,    -1,    -1,  4587,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4608,
      -1,    -1,    -1,    89,    -1,  4087,    -1,    -1,    94,    -1,
      96,    -1,    -1,    -1,  4623,    -1,    -1,  4626,    -1,    -1,
     106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4727,    -1,
      -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   141,    -1,  4666,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   152,   153,    -1,    -1,
     156,    -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,  4688,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4699,    -1,    -1,    -1,    -1,    -1,  1559,    -1,    -1,    -1,
      -1,    -1,   188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4752,    -1,  4754,    -1,    -1,    -1,    -1,
    4232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4805,    -1,  4280,    -1,
    4809,    -1,    -1,    -1,    -1,  4814,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4908,
    4909,  4910,  4831,  4832,    -1,    -1,  4835,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4849,    -1,    -1,    -1,    -1,  4854,    -1,    -1,    -1,    -1,
    4859,    -1,    -1,  4862,  4863,    -1,    -1,    -1,    -1,    -1,
      -1,  4870,  4871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4892,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1755,  1756,    -1,    -1,    -1,  4906,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4940,    -1,    -1,    -1,    -1,    -1,  4419,    -1,    -1,
      -1,  4950,    -1,   429,    -1,    -1,    -1,  4429,    -1,    -1,
      -1,  1814,    -1,  5042,  1817,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1843,    -1,    -1,    -1,  4993,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1890,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5044,    -1,  5046,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5076,  5077,    -1,
    5079,    -1,  5081,    -1,  4556,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1951,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5105,    -1,    -1,  5188,
    5109,  5190,    -1,    -1,    -1,  4587,  5115,    -1,    -1,    -1,
      -1,  5120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4608,    -1,    -1,    -1,
      -1,    -1,    -1,  5142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5171,    -1,    -1,    -1,  5175,  5176,    -1,    -1,
      -1,  5180,    -1,    -1,    -1,   661,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4666,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2068,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5224,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   709,   710,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5321,    -1,    -1,  5244,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5264,  5265,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   757,  4754,    -1,    -1,    -1,    -1,    -1,  5287,    -1,
      -1,  5290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5299,    -1,    -1,    -1,    -1,  5304,    -1,  5306,    -1,  5308,
      -1,  5390,    -1,    -1,    -1,  2168,  5315,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2182,
      -1,    -1,  2185,  5332,  2187,    -1,  2189,  4809,    -1,    -1,
      -1,    -1,  2195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5467,    -1,
      -1,    -1,    -1,  2246,    -1,    -1,  5395,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2258,    -1,    -1,    -1,  2262,
      -1,  2264,    -1,    -1,  2267,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5426,  5427,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5437,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5457,  5538,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4940,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     956,   957,    -1,   959,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5503,    -1,    -1,    -1,    -1,    -1,
    5509,  5510,    -1,  5512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5531,    -1,    -1,  1011,  2389,    -1,  1014,  1015,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1029,    -1,  1031,    -1,  1033,    -1,    -1,
      -1,    -1,    -1,  1039,    -1,    -1,    -1,  1043,    -1,    -1,
      -1,    -1,    -1,    -1,  5046,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1063,  1064,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5077,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5614,  5615,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5628,
      -1,    -1,    -1,    -1,  1110,    -1,  1112,    -1,    -1,    -1,
      -1,  5640,  5641,  5115,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5171,
      -1,    -1,    -1,  5175,  5176,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2565,  2566,    -1,  1191,    -1,  2570,  2571,    -1,
      -1,    -1,  2575,    -1,    -1,    -1,    -1,    -1,    -1,  1205,
    1206,    -1,    -1,  1209,    -1,    -1,  2589,    -1,    -1,    -1,
      -1,    -1,    -1,  2596,    -1,    -1,    -1,  2600,  2601,    -1,
      -1,  2604,  2605,    -1,    -1,    -1,    -1,    -1,  2611,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2624,    -1,  2626,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2645,  5265,    -1,    -1,    -1,  2650,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2663,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2672,
      -1,  2674,    -1,    -1,  2677,  2678,  2679,    -1,    -1,    -1,
      -1,  2684,  2685,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2694,    -1,    -1,    -1,    -1,  2699,    -1,    -1,    -1,
      -1,  2704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2730,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2741,    -1,
    2743,    -1,    -1,    -1,    -1,  2748,    -1,    -1,    -1,  2752,
      -1,  2754,  2755,  2756,  2757,    -1,  2759,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2772,
    2773,  2774,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2784,  2785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2836,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1520,    -1,    -1,    -1,    -1,  1525,
      -1,  1527,    -1,    -1,  1530,    -1,  1532,    -1,    -1,  1535,
    1536,  1537,    -1,    -1,    -1,  1541,    -1,    -1,    -1,    -1,
      -1,    -1,  1548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1562,    -1,  1564,    -1,
      -1,    -1,    -1,  1569,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2988,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3001,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3032,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1692,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1703,  1704,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1720,    -1,    -1,    -1,    -1,  1725,
    1726,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1809,    -1,  1811,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1821,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1894,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1904,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3308,  3309,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1964,    -1,
      -1,  1967,  1968,    -1,    -1,    -1,    -1,    -1,  3351,    -1,
      -1,    -1,  3355,    -1,    -1,    -1,    -1,    -1,  3361,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3377,  3378,    -1,    -1,    -1,  3382,
      -1,    -1,    -1,    -1,  3387,  3388,  3389,    -1,  3391,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3412,
      -1,  2037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3422,
    3423,  3424,  3425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3459,    -1,    -1,  3462,
    3463,  3464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3472,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3551,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3596,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2230,    -1,  2232,    -1,    -1,    -1,
    2236,    -1,  2238,    -1,    -1,  2241,    -1,    -1,    -1,  2245,
      -1,    -1,    -1,    -1,  2250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3640,    -1,    -1,
      -1,  3644,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3673,    -1,    -1,    -1,    -1,    -1,  3679,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3701,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3715,    -1,    -1,    -1,  3719,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3732,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   871,    -1,    -1,    -1,  2382,    -1,    -1,    -1,
      -1,   880,    -1,  2389,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2399,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   916,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   975,    -1,    -1,    -1,
      -1,    -1,   981,    -1,    -1,    -1,   985,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2520,    -1,    -1,    -1,  2524,    -1,
      -1,    -1,    -1,    -1,  2530,    -1,  2532,    -1,    -1,  2535,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2581,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1107,  1108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4009,    -1,  4011,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4019,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1144,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4036,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4052,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4066,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2734,    -1,
      -1,    -1,  4115,    -1,    -1,    -1,  2742,    -1,  2744,    -1,
      -1,    -1,    -1,  4126,  4127,  4128,    -1,    -1,  4131,  4132,
    4133,  4134,  4135,  4136,    -1,    -1,    -1,    -1,  4141,  4142,
      -1,  4144,  4145,  4146,  4147,  4148,  4149,    -1,  4151,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4160,    -1,  4162,
    4163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1316,    -1,    -1,
      -1,  4204,    -1,    -1,  1323,    -1,    -1,    -1,  1327,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1343,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1357,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1395,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4300,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4336,  4337,  4338,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4348,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2988,  2989,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3005,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1601,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1629,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   981,    -1,    -1,    -1,    -1,    -1,    -1,  1657,  1658,
    1659,    -1,  1661,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4564,  1681,    -1,    -1,  4568,  4569,  4570,  4571,    -1,
      -1,  4574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3205,
      -1,    -1,    -1,    -1,  3210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4598,  4599,  4600,    -1,  4602,
      -1,  4604,  4605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4616,  4617,    -1,  1735,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4637,    -1,    -1,    -1,    -1,    -1,
      -1,  4644,  4645,    -1,  4647,    -1,  1765,    -1,    -1,    -1,
    1769,  1770,    -1,    -1,    -1,    -1,  4659,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4718,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1849,    -1,    -1,    -1,    -1,    -1,  4739,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4778,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1914,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1948,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4852,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4867,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1343,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1357,    -1,    -1,
      -1,  2030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2045,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2053,    -1,    -1,    -1,    -1,  4942,
      -1,    -1,    -1,    -1,    -1,  2064,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3584,    -1,
    4963,    -1,    -1,  3589,    -1,  4968,  4969,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1439,
      -1,    -1,  2111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2124,    -1,    -1,    -1,    -1,
    5013,  2130,    -1,    -1,    -1,    -1,    -1,  2136,    -1,    -1,
      -1,    -1,    -1,  2142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2154,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1107,  1108,    -1,
    2169,    -1,    -1,  3679,  5057,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5067,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2194,    -1,    -1,  2197,    -1,
      -1,    -1,    -1,    -1,  1144,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5138,    -1,    -1,    -1,    -1,
      -1,    -1,  2261,  3769,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5161,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5170,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2298,
    2299,    -1,    -1,    -1,    -1,  2304,  2305,    -1,  5191,    -1,
      -1,    -1,  2311,  2312,  2313,    -1,    -1,    -1,  2317,    -1,
    2319,  2320,  2321,  2322,  2323,  2324,    -1,  2326,    -1,  2328,
    2329,    -1,    -1,  2332,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2346,  2347,  2348,
    2349,  2350,    -1,    -1,    -1,    -1,  2355,    -1,    -1,    -1,
    2359,    -1,    -1,  2362,    -1,    -1,  2365,  2366,  2367,  2368,
    2369,  2370,  2371,  2372,  2373,    -1,  2375,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2383,    -1,    -1,  2386,    -1,  5272,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5330,    -1,    -1,
      -1,  2450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5345,    -1,    -1,  2464,    -1,    -1,    -1,    -1,
    3976,    -1,    -1,    -1,  2473,  2474,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5382,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1849,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2550,    -1,    -1,    -1,  2554,  2555,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5456,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4087,    -1,    -1,  1914,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2602,    -1,    -1,    -1,    -1,    -1,  5492,
      -1,    -1,    -1,  4119,    -1,  2614,    -1,    -1,  1948,  2618,
      -1,    -1,  2621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2630,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1601,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2670,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1629,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2045,    -1,  1657,  1658,  1659,
      -1,  1661,    -1,  2053,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2064,    -1,    -1,    -1,    -1,    -1,
      -1,  1681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1735,    -1,    -1,    -1,    -1,
    2130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2154,  1765,    -1,  2826,  2827,  1769,
    1770,    -1,    -1,    -1,    -1,  4341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2194,    -1,    -1,  2197,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2897,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2913,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2346,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3027,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3041,    -1,    -1,  3044,    -1,    -1,  3047,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3055,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3064,    -1,    -1,    -1,    -1,
    3069,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3092,  3093,  3094,    -1,    -1,  3097,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3105,  3106,  3107,  3108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4623,    -1,  3118,
      -1,    -1,  3121,    -1,  3123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3134,  3135,    -1,    -1,  3138,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   981,
      -1,    -1,    -1,  3152,    -1,  3154,    -1,  3156,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1002,    -1,    -1,    -1,    -1,    -1,    -1,  3176,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3187,    -1,
    3189,  3190,  3191,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3214,    -1,    -1,    -1,    -1,
    2550,    -1,    -1,    -1,  2554,  2555,    -1,    -1,  3227,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3242,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2618,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3295,    -1,    -1,  3298,
    2630,  3300,    -1,    -1,    -1,    -1,  3305,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2670,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3357,    -1,
      -1,    -1,    -1,    -1,  2304,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3374,    -1,  2317,    -1,  2319,
      -1,  4887,  2322,  2323,  2324,    -1,    -1,    -1,    -1,  2329,
      -1,    -1,  2332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3399,    -1,    -1,    -1,    -1,    -1,    -1,  2347,  2348,  2349,
    2350,    -1,    -1,    -1,    -1,  2355,    -1,    -1,    -1,  2359,
      -1,    -1,  2362,    -1,    -1,  2365,  2366,  2367,  2368,  2369,
    2370,  2371,  2372,  2373,  4940,  2375,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2383,    -1,    -1,  2386,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3468,
      -1,  3470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1323,    -1,    -1,    -1,    -1,    -1,  2827,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2450,  1343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1357,    -1,    -1,    -1,    -1,
      -1,    -1,  3531,  2473,  2474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3556,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2897,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3584,    -1,    -1,    -1,    -1,
    3589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     981,    -1,    -1,    -1,    -1,    -1,    -1,  1439,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3648,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2602,    -1,    -1,    -1,    -1,  3666,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5196,    -1,    -1,    -1,    -1,    -1,    -1,  3027,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3044,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3055,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3734,    -1,    -1,  1570,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5275,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3779,    -1,    -1,  3782,    -1,    -1,    -1,    -1,    -1,  3788,
      -1,    -1,    -1,    -1,    -1,  3794,    -1,  3796,    -1,    -1,
    3799,    -1,    -1,    -1,  3803,  3804,  3805,  3806,  3807,    -1,
      -1,  3810,  3811,  3812,  3813,  3814,  3815,  3816,  3817,  3818,
    3819,    -1,    -1,    -1,  3823,  3824,    -1,    -1,    -1,  3828,
      -1,    -1,    -1,    -1,  3833,    -1,    -1,    -1,  3837,    -1,
      -1,    -1,  3841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3849,    -1,    -1,  3852,    -1,  3854,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3862,  3863,    -1,    -1,  3866,  3867,    -1,
      -1,    -1,  3871,  3872,    -1,    -1,    -1,    -1,    -1,  3878,
      -1,    -1,    -1,    -1,    -1,    -1,  2826,    -1,    -1,  3888,
      -1,  3890,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3902,    -1,    -1,    -1,    -1,    -1,  3908,
    3909,  3910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3958,
      -1,    -1,  1343,    -1,    -1,  3295,    -1,    -1,  3298,    -1,
    3300,    -1,  3971,    -1,    -1,  3305,  1357,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3987,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4002,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1849,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3357,    -1,    -1,
      -1,  2971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3374,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1439,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1914,    -1,    -1,    -1,    -1,    -1,  4087,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1948,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3064,    -1,    -1,    -1,    -1,  3069,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3468,    -1,
    3470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3094,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3105,    -1,  3107,  3108,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3118,    -1,
      -1,  3121,    -1,  3123,    -1,    -1,    -1,    -1,    -1,  1570,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2030,    -1,
      -1,  3531,    -1,    -1,    -1,    -1,  4205,    -1,    -1,    -1,
      -1,    -1,  3152,  2045,  3154,    -1,  3156,    -1,    -1,    -1,
      -1,  2053,    -1,    -1,    -1,    -1,  3556,    -1,    -1,    -1,
      -1,    -1,  2064,  4232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3189,
    3190,  3191,    -1,    -1,  3584,    -1,    -1,    -1,    -1,  3589,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3214,    -1,    -1,    -1,    -1,  2111,
      -1,  4280,  4281,  4282,    -1,    -1,    -1,  3227,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2130,    -1,
      -1,    -1,  3242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3648,    -1,
      -1,    -1,  2154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3666,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2194,    -1,    -1,  2197,  4365,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4376,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3329,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4416,  4417,    -1,
    4419,    -1,    -1,    -1,  4423,  4424,    -1,    -1,    -1,  4428,
    4429,    -1,    -1,    -1,  4433,    -1,    -1,  4436,  4437,    -1,
      -1,    -1,  4441,    -1,    -1,    -1,    -1,    -1,  4447,    -1,
      -1,    -1,  3782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4465,    -1,  1849,    -1,
    4469,    -1,    -1,  3803,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4481,    -1,    -1,    -1,    -1,  4486,    -1,    -1,
      -1,    -1,    -1,  4492,    -1,    -1,    -1,    -1,  3828,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4509,    -1,    -1,    -1,  2346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3862,  1914,    -1,    -1,    -1,    -1,    -1,  4538,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4556,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1948,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4587,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4608,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4623,    -1,    -1,  4626,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2030,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3987,    -1,    -1,
      -1,    -1,    -1,    -1,  2045,    -1,    -1,  4666,    -1,    -1,
      -1,    -1,  2053,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2064,    -1,    -1,    -1,    -1,    -1,  4688,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4699,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2550,    -1,
      -1,    -1,  2554,  2555,    -1,    -1,    -1,    -1,    -1,    -1,
    2111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2130,
      -1,    -1,    -1,  4752,    -1,  4754,    -1,  4087,    -1,    -1,
      -1,  2142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2154,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2618,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2630,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4805,    -1,    -1,    -1,
    4809,    -1,    -1,  2194,    -1,  4814,  2197,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4831,  4832,    -1,    -1,  4835,    -1,  2670,  3779,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3788,    -1,
    4849,    -1,    -1,    -1,  3794,  4854,  3796,    -1,    -1,    -1,
    4859,    -1,    -1,  4862,  4863,    -1,    -1,    -1,    -1,    -1,
      -1,  4870,  4871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3823,  3824,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4892,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3841,  4232,    -1,    -1,    -1,    -1,  4906,    -1,  3849,
      -1,    -1,  3852,    -1,  3854,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3863,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3871,  3872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4280,  4950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3902,    -1,    -1,  2346,    -1,    -1,  3908,  3909,
    3910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4993,  2827,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3958,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5044,    -1,  5046,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2897,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5076,  5077,    -1,
    5079,    -1,  5081,    -1,    -1,    -1,    -1,    -1,    -1,  4419,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4429,
      -1,    -1,    -1,    -1,    -1,    -1,  5105,    -1,    -1,    -1,
    5109,    -1,    -1,    -1,    -1,    -1,  5115,    -1,    -1,    -1,
      -1,  5120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2550,
      -1,    -1,  5171,  2554,  2555,    -1,  5175,  5176,    -1,    -1,
      -1,  5180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3027,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3044,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3055,  1673,  5224,  4556,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2618,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5244,    -1,    -1,    -1,  2630,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4587,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5264,  5265,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4608,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5287,  2670,
      -1,  5290,    -1,  4623,    -1,    -1,    -1,    -1,    -1,    -1,
    5299,    -1,  1751,    -1,    -1,  5304,    -1,  5306,    -1,  5308,
      -1,    -1,    -1,    -1,    -1,    -1,  5315,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5332,    -1,    -1,  4666,    -1,    -1,    -1,
      -1,  4281,  4282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5395,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4754,  4365,    -1,  5426,  5427,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4376,    -1,  5437,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2827,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5457,    -1,
      -1,    -1,    -1,  3295,    -1,    -1,  3298,    -1,  3300,    -1,
      -1,    -1,    -1,  3305,    -1,    -1,  4416,  4417,    -1,  4809,
      -1,    -1,    -1,  4423,  4424,    -1,    -1,    -1,  4428,    -1,
      -1,    -1,    -1,  4433,    -1,    -1,  4436,  4437,    -1,    -1,
      -1,  4441,    -1,    -1,  5503,    -1,    -1,  4447,    -1,    -1,
    5509,  5510,    -1,  5512,    -1,    -1,  2897,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3357,    -1,    -1,    -1,    -1,
      -1,    -1,  5531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4481,  3374,    -1,    -1,    -1,  4486,    -1,    -1,    -1,
      -1,    -1,  4492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3399,    -1,  4509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4538,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4940,    -1,    -1,    -1,    -1,  5614,  5615,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5628,
      -1,    -1,    -1,    -1,    -1,    -1,  3468,    -1,  3470,    -1,
      -1,  5640,  5641,    -1,    -1,    -1,  3027,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3044,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3055,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4626,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3531,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5046,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3556,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5077,  4688,    -1,
      -1,    -1,  3584,    -1,    -1,    -1,    -1,  3589,    -1,    -1,
      -1,    -1,    -1,    -1,  2213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5115,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3648,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3666,    -1,    -1,    -1,    -1,    -1,
      -1,  5171,    -1,    -1,    -1,  5175,  5176,    -1,    -1,  3681,
      -1,    -1,    -1,  2302,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2316,    -1,    -1,
      -1,  2320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2334,  2335,  2336,    -1,    -1,
    2339,  4831,  4832,    -1,    -1,  4835,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3295,    -1,    -1,  3298,    -1,  3300,
      -1,    -1,    -1,    -1,  3305,    -1,    -1,    -1,    -1,    -1,
    4870,  4871,  2381,    -1,    -1,  5265,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3803,    -1,    -1,    -1,    -1,  3357,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2436,    -1,    -1,
      -1,    -1,    -1,  3374,    -1,    -1,  3828,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2460,    -1,    -1,    -1,    -1,    -1,    -1,  3399,    -1,
      -1,    -1,    -1,  2472,    -1,    -1,    -1,    -1,  2477,    -1,
    3862,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,  3468,    -1,  3470,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    -1,
      41,    42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    -1,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,  5079,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3531,    -1,    -1,    -1,    -1,  3987,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3556,    -1,   118,    -1,    -1,
    5120,   122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,
      -1,    -1,  5142,  3584,   145,    -1,   147,    -1,  3589,    -1,
      -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5180,   182,   183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4087,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3648,    -1,   210,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,    -1,    -1,
      -1,   222,    -1,    -1,    -1,  3666,    -1,   228,    -1,    -1,
      -1,    -1,    -1,   234,    -1,   236,    -1,    -1,    -1,    -1,
    3681,   242,    -1,   244,  5244,    -1,    -1,    -1,    -1,    -1,
      -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   266,   267,    -1,    -1,    -1,
      -1,    -1,   273,    -1,   275,    -1,    -1,   278,   279,    -1,
     281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,
     291,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5308,    -1,
      -1,    -1,    -1,    -1,    -1,   316,   317,   318,    -1,    -1,
     321,    -1,    -1,    -1,   325,    -1,    -1,   328,    -1,   330,
      -1,    -1,  5332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4232,  3782,    -1,   344,   345,    -1,   347,   348,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   360,
      -1,   362,  3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   375,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3828,  4280,    -1,
      -1,    -1,    -1,    -1,   395,    -1,    -1,    -1,   399,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,   420,
      -1,  3862,   423,    -1,    -1,    -1,  5426,  5427,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   437,  5437,    -1,    -1,
      -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,   450,
     451,    -1,    -1,    -1,    -1,   456,    -1,   458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   482,    -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,  5512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4419,    -1,    -1,
      -1,  5531,    -1,    -1,    -1,   536,    -1,  4429,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3987,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3067,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3087,    -1,
    3089,    -1,    -1,  3092,  3093,    -1,  3095,    -1,  3097,    -1,
      -1,    -1,  3101,    -1,    -1,  3104,    -1,    -1,    -1,    -1,
    3109,    -1,    -1,    -1,    -1,    -1,  3115,    -1,    -1,    -1,
      -1,  3120,    -1,    -1,  5614,  5615,    -1,    -1,  3127,  3128,
    3129,  3130,    -1,    -1,    -1,  3134,  3135,    -1,  3137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3149,    -1,  3151,    -1,    -1,    -1,  4087,    -1,    -1,  3158,
    3159,  3160,  3161,  3162,  3163,  3164,  3165,  3166,  3167,    -1,
      -1,    -1,    -1,    -1,  4556,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3195,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4587,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,  4608,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,  4623,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,  4666,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4232,    -1,    -1,    -1,    -1,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,   106,   107,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
     118,    -1,    -1,   121,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,  3344,    -1,    -1,    -1,  4280,
     138,    -1,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,  4754,    -1,   162,    -1,   164,   165,    -1,    -1,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,   179,    -1,   181,   182,   183,   184,    -1,    -1,    -1,
      -1,    -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,   197,
      -1,   199,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,
      -1,   209,   210,    -1,    -1,    -1,    -1,  4809,    -1,   217,
     218,   219,    -1,    -1,   222,    -1,    -1,   225,    -1,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,    -1,   242,    -1,   244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,   267,
      -1,    -1,   270,    -1,    -1,   273,    -1,   275,  4419,    -1,
     278,   279,    -1,   281,    -1,    -1,    -1,    -1,  4429,    -1,
      -1,    -1,   290,   291,    -1,   293,    -1,   295,   296,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,   317,
     318,    -1,    -1,   321,    -1,    -1,   324,   325,    -1,    -1,
     328,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,   345,  4940,   347,
     348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   360,    -1,   362,    -1,   364,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3585,   375,   376,    -1,
      -1,    -1,    -1,   381,   382,    -1,   384,    -1,    -1,    -1,
      -1,   389,    -1,    -1,    -1,    -1,   394,   395,    -1,   397,
      -1,   399,    -1,    -1,   402,    -1,    -1,    -1,    -1,   407,
     408,    -1,    -1,    -1,    -1,  4556,    -1,   415,    -1,   417,
      -1,   419,   420,    -1,    -1,   423,    -1,    -1,    -1,    -1,
      -1,   429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,
      -1,    -1,    -1,   441,    -1,   443,  4587,    -1,    -1,    -1,
      -1,    -1,   450,   451,  5046,    -1,    -1,    -1,   456,    -1,
     458,    -1,   460,    -1,   462,    -1,    -1,  4608,    -1,   467,
      -1,    -1,   470,    -1,    -1,   473,    -1,    -1,   476,    -1,
      -1,    -1,  4623,   481,   482,  5077,    -1,   485,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,  3723,    -1,    -1,   515,    -1,    -1,
      -1,    -1,    -1,  5115,    -1,  4666,    -1,    -1,    -1,    -1,
      -1,   529,    -1,    -1,    -1,   533,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3778,
      -1,    -1,    -1,    -1,    -1,  3784,    -1,    -1,    -1,  5171,
      -1,    -1,    -1,  5175,  5176,    -1,    -1,    -1,    -1,    -1,
      -1,  3800,  3801,    -1,    -1,  3804,  3805,  3806,  3807,    -1,
      -1,  3810,  3811,  3812,  3813,  3814,  3815,  3816,  3817,  3818,
    3819,  3820,    -1,  4754,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3842,    -1,    -1,  3845,    -1,  3847,    -1,
      -1,  3850,  3851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3865,  3866,  3867,  3868,
      -1,  3870,    -1,    -1,    -1,    -1,    -1,    -1,  4809,    -1,
      -1,    -1,    -1,  5265,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3938,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3999,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4940,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5046,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5077,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5115,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4205,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5171,    -1,    -1,    -1,  5175,  5176,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5265,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4366,    -1,    -1,
      -1,  4370,  4371,  4372,    -1,    -1,    -1,    -1,    -1,  4378,
    4379,  4380,  4381,    -1,    -1,    -1,    -1,  4386,  4387,  4388,
    4389,  4390,  4391,  4392,  4393,  4394,  4395,  4396,  4397,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4422,    -1,    -1,  4425,    -1,  4427,    -1,
      -1,    -1,  4431,    -1,    -1,  4434,  4435,    -1,    -1,  4438,
    4439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4483,    -1,    -1,    -1,    -1,    -1,
      -1,  4490,  4491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4508,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    -1,    41,    42,    43,    -1,    -1,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4691,    -1,    -1,    -1,    -1,    -1,    -1,   118,
      -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
      -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,    -1,
      -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
    4749,  4750,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,
    4799,    -1,    -1,   222,    -1,  4804,  4805,    -1,    -1,   228,
      -1,    -1,    -1,    -1,    -1,   234,    -1,   236,    -1,    -1,
    4819,    -1,  4821,   242,    -1,   244,  4825,  4826,  4827,    -1,
      -1,  4830,    -1,   252,  4833,  4834,    -1,    -1,    -1,  4838,
      -1,    -1,    -1,  4842,    -1,    -1,    -1,   266,   267,    -1,
      -1,    -1,    -1,    -1,   273,    -1,   275,    -1,    -1,   278,
     279,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   290,   291,    -1,   293,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,   317,   318,
      -1,    -1,   321,    -1,    -1,  4904,   325,    -1,    -1,   328,
      -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,   345,    -1,   347,   348,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   360,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   375,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4964,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,    -1,
     399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,  4998,
      -1,   420,    -1,    -1,   423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,
      -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,
      -1,   450,   451,    -1,    -1,    -1,    -1,   456,    -1,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   482,    -1,    -1,   485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5075,  5076,    -1,    -1,
      -1,    -1,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,  5091,  5092,  5093,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   536,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5127,  5128,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5295,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5344,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5394,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5455,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,  5586,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5627,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     535,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
     198,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,    -1,
     468,   469,   470,   471,   472,   473,   474,    -1,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,
      -1,    -1,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,
      -1,   529,   530,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,   474,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,    -1,   515,    -1,    -1,    -1,    -1,   520,   521,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,   530,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,    -1,    -1,
      -1,    -1,    -1,    -1,   520,   521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   529,   530,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,    -1,   468,   469,
     470,   471,   472,   473,   474,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,    -1,
     520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,
     530,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,   530,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,    -1,    -1,    -1,   245,    -1,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,    -1,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,    -1,   323,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,    -1,   361,    -1,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,   511,   512,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   530,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,    -1,    -1,    -1,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,    -1,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,    -1,   323,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,    -1,   361,    -1,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,    -1,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   510,   511,   512,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   530,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,   515,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,   235,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,   527,   528,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,   522,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,   235,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     529,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,   474,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   529,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,    -1,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,   281,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,    -1,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
      -1,   468,   469,   470,   471,   472,   473,   474,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,   485,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   520,   521,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   529,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,   337,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,   474,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,    -1,    -1,   515,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   529,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,   337,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   529,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,   474,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   529,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     529,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   529,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,   111,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,   236,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,   281,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,    -1,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   530,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,   528,   529,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   529,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,   515,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   529,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,    -1,    -1,   515,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   529,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   529,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   529,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     529,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   529,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    -1,    -1,    84,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
      -1,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,   466,
      -1,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,   511,   512,    -1,    -1,    -1,   516,
     517,   518,    -1,   520,   521,   522,   523,   524,   525,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    84,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,    -1,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,    -1,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   510,   511,   512,    -1,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     5,     6,
       7,     8,     9,    10,    11,    12,    13,   522,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,    -1,    -1,    -1,   245,    -1,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,    -1,   289,    -1,   291,   292,   293,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,    -1,   323,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,    -1,   361,    -1,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,    -1,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,   511,   512,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,   522,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,   522,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   522,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,   235,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   520,   521,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,   235,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   520,   521,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,   235,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   520,
     521,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
     235,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   520,   521,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,    -1,    -1,    -1,     4,   518,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
      -1,    -1,    -1,   245,    -1,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,    -1,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
      -1,   323,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,    -1,   361,
      -1,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,    -1,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,   511,
     512,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,    -1,    -1,
      -1,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,    -1,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,    -1,   291,   292,   293,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,    -1,   323,
     324,   325,   326,   327,    -1,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
      -1,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,    -1,   361,    -1,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,    -1,    -1,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,    -1,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   510,   511,   512,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,    -1,    -1,    -1,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,    -1,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,    -1,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,    -1,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,    -1,   361,    -1,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,    -1,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   510,   511,   512,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,    -1,    -1,    -1,   245,    -1,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,    -1,
      -1,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,    -1,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,    -1,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,    -1,   361,    -1,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,   511,   512,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,    -1,    -1,    -1,   245,    -1,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,    -1,    -1,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
      -1,   291,   292,   293,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,    -1,   323,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,    -1,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
      -1,   361,    -1,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,    -1,    -1,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,    -1,   482,    -1,   484,   485,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     510,   511,   512,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
      -1,    -1,    -1,   245,    -1,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,    -1,    -1,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,    -1,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
      -1,   323,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,    -1,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,    -1,   361,
      -1,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,    -1,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,   511,
     512,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,    -1,    -1,
      -1,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,    -1,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,    -1,   291,   292,   293,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,    -1,   323,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
      -1,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,    -1,   361,    -1,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,    -1,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,    -1,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   510,   511,   512,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,    -1,    -1,    -1,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,    -1,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,    -1,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,    -1,   323,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,    -1,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,    -1,   361,    -1,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,    -1,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   510,   511,   512,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,    -1,    -1,    -1,   245,    -1,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,    -1,
      -1,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,    -1,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,    -1,   323,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,    -1,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,    -1,   361,    -1,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,   511,   512,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,    -1,    -1,   124,    -1,    -1,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,    -1,   139,
      -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,    -1,    -1,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,    -1,   226,   227,    -1,   229,
      -1,   231,    -1,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,    -1,    -1,    -1,   245,    -1,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,    -1,    -1,   269,
     270,   271,    -1,    -1,    -1,    -1,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
      -1,   291,   292,   293,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,    -1,   319,
     320,    -1,    -1,   323,   324,   325,   326,    -1,    -1,   329,
      -1,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,    -1,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
      -1,   361,    -1,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,    -1,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,    -1,    -1,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,    -1,
      -1,    -1,    -1,    -1,   454,   455,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,    -1,    -1,    -1,   484,   485,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,    -1,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,    -1,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
     232,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,   232,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,   468,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,   232,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,   468,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,   168,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,   232,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
     337,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,   106,   107,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,   337,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,   337,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,   111,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,   111,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,    -1,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    -1,    -1,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,
      -1,    -1,   122,   123,   124,   125,   126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,
      -1,    -1,    -1,    -1,    -1,   145,    -1,   147,    -1,    -1,
      -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   182,   183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,    -1,
      -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,   228,    -1,
      -1,    -1,    -1,    -1,   234,    -1,   236,    -1,    -1,    -1,
      -1,    -1,   242,    -1,   244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   266,   267,    -1,    -1,
      -1,    -1,    -1,   273,    -1,   275,    -1,    -1,   278,   279,
      -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     290,   291,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   316,   317,   318,    -1,
      -1,   321,    -1,    -1,    -1,   325,    -1,    -1,   328,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   344,   345,    -1,   347,   348,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     360,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   375,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,    -1,   399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,
     420,    -1,    -1,   423,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,
      -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,
     450,   451,    -1,    -1,    -1,    -1,   456,    -1,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   482,    -1,    -1,   485,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    -1,    -1,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    72,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,   125,
     126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,   145,
      -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   182,   183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   218,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,
     236,    -1,    -1,    -1,    -1,    -1,   242,    -1,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     266,   267,    -1,    -1,    -1,    -1,    -1,   273,    -1,   275,
      -1,    -1,   278,   279,    -1,   281,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   290,   291,    -1,   293,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     316,   317,   318,    -1,    -1,   321,    -1,    -1,    -1,   325,
      -1,    -1,   328,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,   345,
      -1,   347,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   360,    -1,   362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   375,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   395,
      -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,    -1,    -1,   420,    -1,    -1,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   437,    -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,
      -1,    -1,    -1,    -1,   450,   451,    -1,    -1,    -1,    -1,
     456,    -1,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   482,    -1,    -1,   485,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    -1,    41,
      42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,
     122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,
      -1,    -1,    -1,   145,    -1,   147,    -1,    -1,    -1,    -1,
      -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     182,   183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,
      -1,    -1,   234,    -1,   236,    -1,    -1,    -1,    -1,    -1,
     242,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,   267,    -1,    -1,    -1,    -1,
      -1,   273,    -1,   275,    -1,    -1,   278,   279,    -1,   281,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,   291,
      -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   316,   317,   318,    -1,    -1,   321,
      -1,    -1,    -1,   325,    -1,    -1,   328,    -1,   330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,   345,    -1,   347,   348,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   360,    -1,
     362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   375,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   395,    -1,    -1,    -1,   399,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,   420,    -1,
      -1,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,
      -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,   450,   451,
      -1,    -1,    -1,    -1,   456,    -1,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     482,    -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,    -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,
      -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     218,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,   236,    -1,
      -1,    -1,    -1,    -1,   242,    -1,   244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,   267,
      -1,    -1,    -1,    -1,    -1,   273,    -1,   275,    -1,    -1,
     278,   279,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   290,   291,    -1,   293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,   317,
     318,    -1,    -1,   321,    -1,    -1,    -1,   325,    -1,    -1,
     328,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,   345,    -1,   347,
     348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   360,    -1,   362,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   375,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,
      -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
      -1,    -1,   420,    -1,    -1,   423,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,
      -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,
      -1,    -1,   450,   451,    -1,    -1,    -1,    -1,   456,    -1,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   482,    -1,    -1,   485,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,
     124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,
      -1,   145,    -1,   147,    -1,    -1,    -1,    -1,    -1,   153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,   183,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,   236,    -1,    -1,    -1,    -1,    -1,   242,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,   267,    -1,    -1,    -1,    -1,    -1,   273,
      -1,   275,    -1,    -1,   278,   279,    -1,   281,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   290,   291,    -1,   293,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   316,   317,   318,    -1,    -1,   321,    -1,    -1,
      -1,   325,    -1,    -1,   328,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     344,   345,    -1,   347,   348,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   360,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   395,    -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,    -1,    -1,   420,    -1,    -1,   423,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,    -1,   443,
      -1,    -1,    -1,    -1,    -1,    -1,   450,   451,    -1,    -1,
      -1,    -1,   456,    -1,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   482,    -1,
      -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,    -1,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,    -1,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,    -1,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    70,   511,   512,    -1,
      -1,    -1,    -1,    -1,    78,    79,   520,   521,   522,    -1,
      -1,    -1,    -1,    -1,    -1,   529,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,   106,   107,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,    -1,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,   511,   512,    70,
      71,   515,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,   529,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
      -1,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
     511,   512,    -1,    -1,    -1,    -1,    -1,    70,    71,   520,
     521,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,    -1,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,   511,   512,
      -1,    -1,    -1,    -1,    -1,    70,    71,   520,   521,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,   511,   512,    -1,    -1,
      -1,    -1,    -1,    70,    71,   520,   521,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
      -1,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,    -1,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,    -1,   482,    -1,   484,   485,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,   511,   512,    -1,    -1,    -1,    -1,
      -1,    70,    71,   520,   521,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,    -1,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,   511,   512,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,   511,   512,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,   511,   512,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,   511,   512,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,   511,   512,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,   511,   512,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,   511,   512,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,   511,   512,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,   511,   512,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,   511,   512,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,   511,   512,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,   511,   512,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,   511,   512,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,   511,   512,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    70,   511,   512,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
     106,   107,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,   511,   512
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   538,  1148,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   137,   210,   228,   249,
     272,   309,   312,   327,   406,   452,   467,   482,   510,   518,
     520,   521,   522,   523,   524,   527,   528,   529,   530,   532,
     533,   534,   535,   536,  1138,  1149,  1177,  1179,  1270,  1280,
    1281,  1283,  1289,  1290,  1178,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   118,   121,   122,   123,   124,   125,   126,   138,
     141,   143,   144,   145,   147,   149,   151,   153,   162,   164,
     165,   172,   179,   181,   182,   183,   184,   197,   199,   203,
     209,   210,   217,   218,   219,   222,   225,   228,   234,   236,
     240,   242,   244,   252,   256,   266,   267,   273,   275,   278,
     279,   281,   290,   291,   293,   295,   296,   301,   313,   316,
     317,   318,   321,   324,   325,   328,   330,   344,   345,   347,
     348,   360,   362,   364,   375,   376,   381,   382,   384,   389,
     394,   395,   397,   399,   402,   407,   408,   415,   417,   419,
     420,   423,   429,   437,   441,   443,   450,   451,   456,   458,
     460,   462,   467,   470,   476,   481,   482,   485,   494,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   515,   529,
     539,   540,   546,   547,   549,   550,   551,   552,   553,   554,
     555,   557,   558,   562,   574,   579,   580,   583,   584,   585,
     597,   600,   601,   617,   656,   659,   660,   661,   668,   674,
     676,   678,   679,   682,   685,   686,   690,   691,   700,   704,
     705,   706,   707,   708,   711,   713,   714,   715,   716,   717,
     724,   725,   738,   739,   743,   745,   746,   747,   757,   759,
     766,   767,   770,   771,   772,   773,   774,   780,   782,   785,
     789,   793,   794,   804,   805,   808,   813,   824,   847,   850,
     851,   852,   855,   858,   860,   862,   864,   865,   870,   871,
     874,   875,   876,   879,   880,   887,   888,   890,   891,   892,
     897,   899,   900,   906,   907,   908,   909,   910,   911,   913,
     914,   916,   917,   919,   922,   923,   928,   934,   937,   939,
     947,   949,   954,   961,   965,   966,   967,   968,   969,   970,
     973,  1008,  1145,  1146,  1150,  1152,  1153,  1170,  1171,  1172,
    1173,  1184,  1186,  1190,  1191,  1192,  1193,  1194,  1196,  1198,
    1200,  1201,  1202,  1203,  1205,  1210,  1211,  1215,  1216,  1225,
    1227,  1228,  1229,  1232,  1237,  1240,  1245,  1247,  1248,  1251,
    1253,  1256,  1265,  1283,  1291,    72,  1173,  1181,  1182,    14,
      71,    94,    95,    96,    97,    98,    99,   100,   101,   103,
     104,   105,   113,   114,   116,   117,   119,   120,   121,   128,
     129,   130,   131,   132,   135,   136,   139,   141,   142,   143,
     144,   149,   150,   151,   152,   154,   155,   158,   159,   160,
     161,   162,   163,   166,   167,   175,   176,   177,   178,   179,
     181,   184,   186,   188,   189,   190,   191,   192,   193,   195,
     196,   197,   200,   201,   202,   203,   204,   206,   207,   208,
     210,   211,   212,   214,   215,   216,   217,   219,   220,   221,
     224,   226,   227,   229,   231,   233,   237,   238,   239,   241,
     245,   247,   248,   250,   251,   253,   254,   255,   256,   258,
     259,   260,   261,   262,   263,   265,   269,   270,   271,   277,
     280,   282,   283,   284,   285,   286,   289,   292,   295,   296,
     297,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     310,   311,   313,   314,   315,   319,   320,   323,   324,   326,
     329,   331,   332,   333,   335,   338,   339,   340,   343,   346,
     349,   350,   351,   352,   353,   354,   355,   356,   358,   359,
     361,   363,   364,   365,   367,   368,   369,   370,   371,   372,
     373,   374,   376,   377,   378,   379,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   393,   394,   396,
     397,   398,   400,   401,   402,   403,   404,   405,   407,   409,
     410,   411,   412,   413,   414,   415,   416,   418,   419,   421,
     422,   424,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   439,   440,   442,   444,   445,   446,   447,
     448,   452,   454,   455,   457,   460,   461,   462,   463,   464,
     465,   466,   469,   470,   471,   472,   473,   476,   477,   478,
     479,   480,   484,   486,   487,   488,   489,   492,   495,   496,
     497,   498,   499,   500,   511,   512,  1140,  1141,  1143,  1144,
    1145,  1146,  1163,  1164,  1275,  1277,  1281,  1283,    29,   268,
    1226,     9,    13,    15,    28,    44,    45,    49,    50,    55,
      64,    66,    68,    69,   102,   137,   156,   168,   180,   185,
     249,   309,   312,   406,   481,   510,  1131,  1144,  1145,  1165,
    1212,  1213,  1255,  1256,  1257,  1261,  1266,  1267,  1268,  1277,
    1283,   102,   962,  1130,  1165,  1261,  1274,    14,   962,     5,
      25,    29,    35,    36,    42,    43,   102,   106,   107,   108,
     109,   110,   111,   112,   115,   127,   133,   134,   137,   140,
     146,   148,   156,   157,   164,   168,   169,   170,   171,   173,
     174,   175,   185,   187,   194,   198,   199,   205,   209,   213,
     223,   225,   230,   232,   235,   240,   243,   246,   257,   264,
     268,   272,   274,   276,   287,   288,   294,   298,   299,   322,
     327,   334,   336,   337,   341,   342,   357,   366,   380,   392,
     408,   414,   425,   438,   441,   449,   452,   453,   459,   467,
     468,   474,   475,   481,   483,   490,   491,   493,   494,  1144,
    1147,  1257,  1258,  1259,  1263,  1264,  1265,  1266,  1268,    25,
      35,   137,   272,  1252,    37,    39,   322,  1185,   454,   497,
     893,   101,   147,   161,   179,   185,   201,   212,   220,   232,
     237,   243,   260,   285,   306,   338,   359,   369,   396,   401,
     403,   409,   412,   440,   441,   444,   448,   457,   462,   474,
     487,   675,  1213,   184,   893,   102,   962,   485,   924,   336,
     365,   893,   124,   529,   608,    96,   101,   113,   134,   147,
     157,   179,   185,   201,   212,   220,   232,   239,   243,   297,
     338,   341,   359,   396,   403,   412,   444,   445,   447,   448,
     457,   462,   468,   471,   474,   618,   658,   762,   814,   825,
    1131,  1154,  1155,  1156,  1165,  1281,  1283,    14,   102,   364,
    1130,  1165,  1169,   430,   962,   102,   358,   410,   445,   447,
     284,   856,   857,  1281,    96,   101,   113,   134,   147,   161,
     179,   201,   212,   220,   232,   237,   243,   260,   306,   338,
     349,   359,   396,   401,   403,   409,   412,   441,   444,   448,
     455,   457,   462,   474,   487,   675,   775,   893,   535,  1195,
    1259,   253,  1169,   164,   184,   217,   485,   529,   656,   659,
     923,   929,   937,   939,   947,   954,   961,   965,  1150,    95,
     102,   119,   227,   233,   235,   257,   286,   319,   367,   383,
     520,   521,   790,   791,   962,  1138,  1139,  1275,  1277,   102,
     164,   380,   408,   795,   796,   797,  1261,   232,  1261,  1135,
    1281,   441,   976,   119,   233,   790,  1261,   454,  1169,   349,
     306,   179,   260,   403,   440,   441,   529,   866,   867,   402,
    1261,   102,   137,   413,   450,   454,   481,   566,   575,   576,
    1144,  1145,  1255,  1260,  1266,  1268,  1283,    99,   240,   795,
     796,   365,   893,  1261,   283,   102,   198,   978,   979,     4,
      14,   135,   156,   158,   297,   315,   396,   403,   413,   450,
     454,   500,   563,   564,   565,   566,   102,   413,   450,   454,
     566,   454,   337,  1019,  1128,  1261,   976,  1249,  1259,   522,
    1261,   236,   529,   925,   529,  1123,   378,   971,   972,  1130,
     971,   966,   967,   970,   533,   924,   213,   274,   342,   467,
     980,   981,   966,   968,   969,   190,   270,   473,   532,   121,
     539,  1193,  1196,  1192,  1188,   533,  1197,  1199,     5,    25,
      35,   137,   202,   272,  1204,   180,   249,   309,   312,   406,
     510,   529,  1056,  1057,  1176,  1180,  1270,    72,  1173,  1130,
    1165,  1284,   185,  1154,    21,   475,   523,  1169,  1169,  1284,
     475,  1217,  1218,  1219,    25,   272,   272,  1263,     7,    19,
      20,    38,    41,   160,   199,  1254,  1254,    16,  1193,  1136,
    1146,  1255,  1258,  1261,  1262,  1266,  1267,  1283,   777,  1261,
     777,  1131,   368,   777,   457,   777,  1130,  1261,   178,   441,
     803,  1136,  1140,  1141,   102,   251,  1128,   331,   487,    84,
      91,    92,    93,   142,   224,   516,   517,   518,   520,   521,
     522,   523,   524,   525,   854,  1089,  1090,  1261,   251,  1130,
     102,  1140,  1141,  1130,  1130,   251,  1128,  1130,   389,   415,
     102,   251,  1019,  1130,   405,  1130,   777,   102,   304,  1140,
    1141,   251,  1128,   284,    34,   187,   280,   322,   374,   894,
     895,   896,  1128,  1134,  1261,    96,   101,   134,   147,   148,
     157,   161,   179,   201,   212,   220,   232,   237,   260,   285,
     306,   338,   359,   396,   401,   403,   409,   412,   441,   444,
     448,   455,   457,   462,   487,   675,   783,  1281,   936,   939,
     947,   954,   965,  1128,   308,  1136,  1130,   529,   777,   457,
    1131,   777,   457,   251,  1130,   178,   441,   445,   447,  1140,
     445,   447,   142,   224,   854,   387,  1130,  1140,   251,   559,
    1261,  1130,  1130,   405,  1130,   777,   304,  1140,   378,   409,
     441,   487,   306,   161,   260,   237,   401,   455,   461,   669,
      84,  1157,  1158,   534,  1277,  1284,   102,  1169,  1283,   963,
     573,  1143,  1281,   857,   308,   251,  1136,  1130,   251,   861,
     251,  1131,   123,   125,   126,   137,   138,   182,   183,   202,
     228,   251,   272,   273,   275,   316,   318,   330,   375,   417,
     423,   450,   451,   482,   779,  1034,  1036,  1038,  1040,  1042,
    1044,  1045,  1046,  1048,  1049,  1050,  1053,  1054,  1255,  1262,
    1266,  1267,  1283,   457,   178,   441,   251,  1136,   251,  1141,
    1142,   153,   487,   142,   224,   251,   854,   128,   251,  1130,
     251,  1142,   251,  1130,   251,  1130,   251,  1130,   405,   861,
     251,  1130,   251,   779,   251,   304,  1142,   284,   251,   776,
     777,   529,   535,  1285,  1286,  1287,  1288,  1290,  1195,    70,
    1165,  1214,   529,   938,   618,   962,   929,   923,   930,   931,
     932,  1143,   924,  1139,   791,   792,   102,   791,   962,  1139,
     792,   102,   791,   962,  1139,   792,   792,   792,  1139,  1138,
    1138,   276,   475,  1219,  1220,  1294,  1296,   962,   792,   368,
     529,   529,   637,   637,   637,   336,   452,   532,   637,   403,
    1019,  1020,   791,   962,   791,   962,   532,   889,  1281,   235,
     529,   935,   128,   487,   485,   868,   869,  1128,  1130,  1261,
     118,   512,   280,   531,   339,   339,   336,   235,  1281,   452,
     230,   786,   336,    82,    83,    84,    86,   110,   123,   125,
     126,   133,   134,   137,   138,   145,   147,   169,   170,   171,
     172,   173,   174,   175,   182,   183,   218,   222,   223,   228,
     242,   244,   273,   275,   290,   298,   299,   316,   318,   322,
     327,   328,   330,   338,   348,   360,   375,   399,   414,   423,
     437,   450,   451,   456,   458,   459,   468,   474,   482,   502,
     503,   504,   505,   506,   507,   508,   509,   513,   520,   521,
     522,   529,   966,  1037,  1040,  1043,  1044,  1045,  1047,  1048,
    1049,  1053,  1054,  1058,  1060,  1061,  1062,  1064,  1085,  1086,
    1087,  1091,  1110,  1115,  1125,  1126,  1136,  1137,  1138,  1261,
    1273,  1275,  1277,  1278,  1279,  1280,  1281,  1124,  1125,   452,
     518,  1284,  1281,   452,   518,  1213,   102,   581,  1127,  1128,
     413,   563,   185,   572,  1281,   573,  1281,   118,   139,   563,
     512,   424,   895,   339,   235,   452,   518,   118,   512,   280,
    1294,   896,   529,  1128,   522,   527,   531,  1116,  1118,  1020,
    1265,   234,   236,   485,   920,   921,   923,  1283,   234,   926,
     185,  1058,  1121,  1122,   971,   532,   529,   927,   530,   530,
    1128,   102,   198,   977,   977,   128,   977,   225,   230,   294,
     334,   984,   986,   987,  1002,  1004,  1005,  1006,   980,   981,
     235,   276,  1019,  1021,  1123,   533,  1187,   522,  1206,  1207,
    1209,   535,   535,    25,   272,   272,   452,   452,   452,   452,
     529,   452,   520,   521,   666,  1139,  1174,  1280,   209,   111,
    1161,   128,  1164,  1164,   276,  1219,  1221,   276,  1219,  1220,
    1221,   480,  1230,  1231,  1277,    14,    83,   426,   520,   521,
    1138,  1222,  1223,  1224,  1273,  1275,  1279,  1280,  1281,  1282,
     272,   278,  1130,   452,  1130,     6,  1130,  1254,  1209,   529,
     837,  1118,   350,   385,   415,   531,   778,   350,   385,   415,
     156,   207,   300,   350,   385,   415,   444,   446,   494,   574,
     577,   901,   902,   903,   904,  1283,   809,    98,   203,   350,
     385,   415,   478,   588,  1130,   415,    98,   203,   473,   556,
     498,   251,  1019,   130,   163,   193,   221,   254,   289,   322,
     350,   351,   385,   393,   400,   407,   415,   427,   435,   489,
     574,   578,   840,   848,   529,   826,   385,   556,   257,   218,
      98,   104,   144,   193,   196,   203,   206,   231,   262,   320,
     322,   332,   340,   350,   385,   388,   389,   415,   478,   586,
     587,   694,   666,   102,   251,  1128,   777,   777,   529,   853,
     531,   218,   336,   257,   548,   385,   494,   515,   541,   548,
     336,   350,   385,   218,   129,   177,   259,   307,   310,   320,
     349,   385,   390,   415,   429,   586,   663,   664,   350,   385,
     486,   694,   702,   576,   564,   566,   257,   218,   385,   415,
     586,   350,   385,   389,   415,   154,   195,   352,   446,   336,
      98,   104,   203,   350,   385,   415,   598,   599,   548,   230,
     385,   541,   548,   218,   385,   415,   586,  1130,   533,   292,
     187,   337,   499,   532,   894,   475,   918,   336,   308,  1136,
     529,  1130,  1034,   457,   178,   441,  1136,   331,   487,   142,
     224,   854,  1130,  1130,   405,   230,  1130,  1034,   284,   777,
     530,   637,  1130,   529,   752,   837,   140,  1034,   235,   529,
     748,  1130,   541,   111,   912,  1130,   322,   541,   498,   251,
    1128,   541,   777,   777,   748,   471,   618,   336,   541,   322,
     118,   560,   462,   701,   350,   677,   154,   195,   352,   446,
     100,   120,   271,   726,   111,   748,   230,   541,   487,   251,
    1128,   251,   654,  1128,  1128,   487,   777,   153,   815,  1136,
    1130,   230,   675,    73,  1159,  1261,   534,  1160,  1157,   124,
     176,   269,   320,   404,   218,   837,   131,   391,   589,   218,
     529,   218,   484,  1051,  1051,  1051,   529,  1039,  1039,   362,
     529,  1041,   218,   137,   138,  1051,  1039,  1036,   496,   515,
     529,  1055,   529,  1055,   532,   589,   110,  1035,   138,   529,
    1052,   180,   312,   510,   529,  1056,   778,  1039,   498,   218,
     826,   218,   532,   251,   776,   251,   777,   251,   777,   218,
     853,  1142,   218,   336,   218,   218,   336,   218,   589,   218,
     154,   195,   352,   446,   230,   218,   336,   218,   589,   218,
     230,   251,   251,   573,   218,   532,   589,   530,  1286,  1287,
    1285,   532,   536,  1058,  1094,  1218,  1293,  1294,   441,   963,
     530,   532,   223,   336,   459,   570,   573,   666,   933,   929,
     792,   962,   792,   962,  1296,  1297,   792,   962,   792,   962,
    1297,   792,   962,   962,   962,   792,    14,   426,  1269,  1272,
    1277,   962,   529,   638,   639,  1261,   638,   102,   179,   201,
     232,   237,   284,   285,   403,   409,   441,   444,   462,   798,
    1127,  1142,   797,  1130,   257,   532,   950,   962,   962,  1281,
    1214,  1034,  1097,   111,  1142,   815,   530,   532,   292,  1261,
     230,   230,   798,  1142,   402,  1261,   573,   336,   529,   527,
     966,  1098,  1058,  1114,   529,   529,   230,   529,   529,   966,
     529,   529,   529,   529,   529,   529,  1058,   529,   529,   529,
     529,   529,   529,   529,   529,   966,   529,   529,   529,   529,
     529,   529,   529,   529,  1058,  1058,  1058,   481,   966,  1058,
    1094,  1118,  1281,   529,  1281,    84,    87,    91,    92,    93,
     108,   111,   116,   122,   146,   252,   257,   278,   279,   293,
     325,   338,   341,   420,   513,   516,   517,   518,   520,   521,
     522,   523,   524,   525,  1089,  1091,  1093,  1283,   495,  1073,
     347,  1058,   276,   532,   974,  1294,   529,  1281,  1118,    22,
    1276,  1277,  1119,   974,   333,   336,  1246,  1246,    10,   480,
    1233,  1234,  1236,  1213,  1213,   188,   253,   582,   532,   139,
     185,   573,   111,   185,   297,   571,   666,  1054,  1281,  1283,
    1281,   159,   200,  1070,   168,   185,   567,   568,   570,   666,
     185,   567,  1294,  1294,   292,  1128,  1058,  1117,   522,  1133,
    1263,  1116,   160,   390,   781,   278,   530,   532,   924,   530,
     532,   972,  1129,  1130,   111,   927,   968,   968,   982,   983,
    1058,   968,   227,   319,   993,   282,   320,   374,   418,   473,
     102,   988,  1058,   520,   521,   989,   990,  1058,  1060,  1002,
    1003,   987,   986,   984,   985,   230,  1005,   332,  1007,   984,
    1002,  1021,   940,  1128,   111,  1261,   415,  1206,   522,   532,
     533,  1264,  1183,  1186,  1183,   272,   180,   249,   309,  1057,
     309,  1057,  1057,   312,  1138,   309,   312,   406,  1280,  1280,
     532,  1175,   184,  1213,   474,  1162,  1164,  1130,   426,  1138,
    1235,  1277,   532,   518,  1130,    14,  1138,  1280,  1138,  1280,
     532,  1193,   529,  1130,   529,  1265,   257,   267,   342,   344,
     417,   483,   522,   830,   831,   832,   834,   836,   838,  1034,
    1262,   350,   385,   415,   452,   452,   403,  1133,   531,   452,
     452,   403,   294,   452,   452,   444,   563,   350,   901,   903,
     518,   905,   230,   240,   257,   394,   810,   811,   140,   157,
     214,   232,   366,   468,   634,   635,   157,   185,   322,   452,
     157,   452,   185,   322,   403,   157,   196,   206,   350,   385,
     744,   403,   683,    96,   101,   134,   147,   161,   201,   212,
     232,   237,   306,   338,   403,   409,   412,   441,   448,   455,
     462,   487,   675,  1130,   218,   385,   415,   586,   336,   666,
     336,   407,   289,   452,  1261,   452,   327,   666,   189,   277,
     403,   413,   454,   565,   391,   415,   840,   849,   530,   827,
     830,   452,   474,   444,  1128,   148,   214,   251,   625,   634,
    1261,   148,   157,   872,   336,   336,   399,   401,   457,   157,
     872,   105,   388,   399,   401,   457,   399,  1128,   231,   262,
     332,   777,   529,   452,   452,   250,   529,   593,   303,   444,
     471,   494,   496,   593,   157,   532,   350,   257,   218,   193,
     385,   415,   586,   475,   475,   321,  1034,   350,   415,   854,
    1130,  1128,   179,   415,   577,   452,   543,   577,  1128,   452,
     452,  1128,   666,   128,   665,   666,   666,   177,   307,   310,
     128,   452,   541,   403,   541,   320,   664,   452,   452,   327,
    1281,   694,   444,  1019,   157,   452,   872,   403,   452,   452,
     593,   593,   777,   777,   777,   777,  1128,   117,   480,   117,
     117,   452,   117,   452,   403,   532,   577,   474,   712,  1141,
     452,   543,   577,  1128,   452,   403,   350,   385,   374,   386,
     411,   569,   894,  1134,  1261,  1128,   837,  1034,   336,   278,
     498,   826,   666,   777,   777,   853,   336,   278,   336,   154,
     195,   352,   446,  1034,   336,   278,   777,   278,   452,   494,
     609,   462,   753,   754,  1283,   748,   529,   111,   777,   749,
     750,  1263,   100,   901,  1034,   336,   218,   680,  1130,   322,
     529,   542,   762,   475,   378,   487,  1128,   542,   218,  1141,
     164,   240,   561,   617,   660,   725,   793,   813,   897,  1281,
     702,   703,  1141,   300,   777,   777,   777,   777,   332,   190,
     270,   460,   473,   727,   728,   210,   373,   529,   712,   542,
    1128,   322,   662,   663,   322,   111,   332,   529,   637,   637,
     251,   657,  1128,   230,   251,   816,  1134,   529,   828,   111,
    1034,   284,   531,  1138,  1160,   494,   496,   964,   404,  1136,
     589,  1034,  1131,   529,  1094,  1138,   779,  1051,  1051,   110,
    1035,   450,   450,  1138,  1138,  1034,   527,   527,   415,  1138,
     452,   452,  1138,  1039,   251,  1130,  1136,   589,  1142,  1141,
     218,   589,   218,   475,   218,   475,   854,   589,   589,  1130,
     777,  1142,  1130,   777,  1130,  1130,  1034,  1130,   777,   779,
    1142,   712,   218,   218,   589,   776,   777,   530,   536,  1288,
     530,   532,  1294,  1295,  1218,  1128,   176,   929,   931,   962,
     962,  1297,   962,   962,  1297,   962,   962,  1130,    14,   532,
    1276,   638,   530,   532,   530,   238,   410,   442,  1129,   776,
     178,   412,   802,   803,  1129,   331,  1129,  1127,  1127,  1129,
     776,   452,   494,   806,   213,   294,   709,   710,    96,   216,
     399,   418,   951,  1019,   326,   952,   530,   532,   936,   452,
    1128,   866,   867,   869,   796,   795,   796,   235,   241,   807,
    1261,   101,   148,   179,   201,   212,   232,   237,   285,   306,
     396,   403,   409,   441,   444,   462,   487,   675,   787,  1094,
     528,  1094,  1098,  1099,   490,  1111,  1112,  1058,  1094,   529,
    1138,  1138,   180,   249,   309,   312,   406,   510,  1100,  1101,
    1281,  1283,  1094,  1094,  1094,  1138,  1138,  1058,   854,  1058,
    1102,   399,   520,   521,   529,  1059,  1060,  1091,  1104,   530,
    1094,  1058,  1094,  1105,  1058,   127,   235,   288,   453,  1058,
    1094,  1108,  1094,   314,  1060,  1058,  1068,  1069,  1070,   314,
    1058,  1070,   530,   532,  1138,  1056,  1034,  1058,  1058,  1058,
    1058,  1263,   450,   115,   438,  1120,   777,  1058,   529,   966,
    1109,   198,   200,   223,   322,   327,   332,   459,   469,  1058,
     529,  1058,   452,   122,   252,   257,   293,   420,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,   102,   109,
     425,  1088,   243,   226,  1074,   399,   529,  1085,   239,   297,
     441,   445,   447,   471,   975,  1128,  1126,   235,  1009,   102,
     198,   483,   522,   530,   832,  1058,  1095,  1096,  1262,  1130,
    1277,  1116,  1009,  1235,   532,   518,  1128,   454,   529,  1281,
     532,  1294,   530,   528,   534,   250,   250,   589,  1193,  1128,
     921,   922,  1128,  1121,   530,   532,   529,   532,   112,   194,
     475,   822,   399,   400,   520,   521,   990,   992,  1060,   418,
     282,   337,   532,   991,  1138,  1280,   991,   399,   400,   992,
    1127,   326,   422,   953,  1003,   985,   475,   948,   185,   529,
     941,   965,   111,  1261,   529,   955,   956,   957,   958,   959,
    1261,   533,  1207,  1035,   536,  1186,   536,   530,   666,   530,
      34,  1163,  1238,  1239,  1277,  1231,  1236,  1284,  1222,  1035,
    1271,  1287,  1271,  1035,   344,   128,  1262,   530,   832,   834,
     831,   834,  1262,   342,   530,   532,   778,   452,   452,   403,
    1141,  1130,  1130,  1133,  1141,  1130,  1130,  1141,  1131,  1130,
     185,   570,  1139,   396,   474,   795,   403,   240,   795,   529,
    1130,   475,   817,   282,   282,   475,   529,   653,   251,  1130,
     327,  1141,  1130,  1130,  1058,   327,  1130,  1130,   105,   388,
     452,   452,  1130,   452,   684,   308,  1136,   529,   777,   777,
    1034,   457,   178,   441,   803,   487,   142,   224,   854,  1130,
     777,  1130,   777,   405,   230,  1034,   777,   284,   245,   320,
     350,   385,   479,   687,   688,   689,  1019,   452,   872,   403,
     327,   220,   189,   277,  1141,  1130,   336,  1130,   530,   532,
    1140,  1142,  1130,   385,   586,   251,   625,   322,  1034,  1130,
    1261,  1130,   220,   292,  1130,   102,   474,  1130,   251,  1130,
     251,  1261,   401,   457,   401,   457,   292,  1130,   102,   474,
    1130,   292,   399,  1128,    98,   203,   415,   695,   696,   697,
     698,  1263,  1141,  1130,   185,   236,   323,   475,   592,   595,
     596,  1263,  1130,   335,   144,   335,  1130,   587,   452,   444,
    1128,   336,   452,   872,   403,  1132,  1261,  1132,   532,   530,
     532,   452,   403,   529,   336,   385,   452,   721,  1131,  1140,
     156,   208,   262,   356,   466,   474,   477,   544,  1283,   385,
    1141,  1130,   385,   415,   586,   663,   666,   777,  1130,   666,
    1130,   666,  1141,  1130,  1130,   385,   415,   586,  1130,  1130,
    1130,  1130,  1141,  1130,    98,   104,   203,   350,   385,   415,
     350,   385,   415,   748,   385,   415,   385,   415,   193,   385,
    1033,  1261,   251,   758,  1261,   251,  1261,  1141,  1130,  1130,
    1130,    98,   599,   412,  1140,   385,   415,   586,  1130,  1130,
     452,   452,   152,   465,   374,   278,   111,   201,   777,   327,
     784,  1281,   278,   278,   475,   475,   278,   777,   784,   777,
     284,   777,   784,   278,   784,   371,   603,   335,   235,   452,
     602,   260,   530,   532,   518,  1058,  1034,   530,   532,   518,
     727,   627,  1263,  1130,   131,   235,   403,   486,   681,   688,
     689,   218,   293,   619,   621,   623,   625,   631,   634,    99,
     257,   396,   439,   544,   545,   230,  1132,   487,  1128,   230,
     722,   559,  1261,   560,   341,   618,   232,  1281,   748,   748,
     748,   748,   332,   336,   341,   529,   748,  1031,  1032,  1033,
     412,   529,   218,   218,   217,  1151,   777,   619,  1261,   494,
     496,   649,   494,   594,   322,   111,   637,  1281,   322,   336,
     530,   829,   830,   835,   111,   284,   393,   455,   493,   839,
     840,   841,   336,   284,   573,  1159,   523,   248,   248,   230,
     837,   111,  1094,   530,   530,   589,   527,   512,   512,   530,
     530,  1138,   528,   529,  1138,  1261,  1281,  1292,  1261,   530,
     530,   218,   589,   826,   776,   777,  1132,   777,  1132,   853,
     336,   589,   336,   589,   589,   284,   336,   589,   589,   412,
     230,   573,   589,  1058,   964,  1284,  1272,   530,   639,   257,
     257,   257,   498,  1129,   532,   666,   667,   243,   799,   800,
    1141,    99,   807,   452,   529,   235,   216,   418,   216,   418,
     399,   473,   311,  1034,  1141,   494,   655,  1128,  1130,   235,
     336,   799,   128,   589,  1136,  1034,   457,   441,  1136,   331,
     487,  1034,   284,   777,   530,   528,   528,   532,  1058,   205,
    1112,  1113,   111,   530,  1058,   530,   530,   530,   235,   530,
     530,   530,   530,   530,   532,   530,   357,  1103,   530,   529,
    1059,  1059,  1094,    87,    91,    92,    93,   257,   278,   338,
     516,   517,   518,   520,   521,   522,   523,   524,   525,  1091,
    1059,   530,   530,   230,   235,  1106,  1107,   530,   111,  1108,
    1094,  1108,  1108,   235,   530,   530,  1263,   355,  1072,   111,
     530,   532,  1058,  1263,   532,  1058,  1119,  1058,   530,   512,
    1059,  1059,   211,  1094,   235,   198,   200,   223,   327,   332,
     459,   469,   529,   211,   854,  1058,   438,  1120,  1058,  1109,
    1058,   452,   529,   966,   529,   529,   346,  1078,   529,  1094,
     445,   447,   445,   447,  1128,   976,   976,   976,   287,   400,
     529,   966,  1010,  1011,  1012,  1019,  1024,  1061,  1063,  1064,
    1136,  1261,   491,  1029,  1095,  1095,  1096,   530,    89,    90,
     532,   980,   981,  1029,     8,    11,    12,    22,    23,    24,
      26,    27,    31,    32,    33,   178,   314,   362,   462,  1241,
    1242,  1244,  1234,  1235,   895,  1138,  1056,   568,  1058,  1117,
    1035,   927,  1130,   936,   983,   338,  1089,  1092,   514,   823,
    1138,  1280,   992,   337,   473,   989,   302,  1010,   491,  1030,
     481,   942,   943,  1261,   336,   944,  1261,   959,   960,   532,
    1009,   518,  1119,   534,  1189,   533,   532,   518,    30,  1250,
     530,   530,   533,   838,   778,   834,   834,   128,   836,   524,
    1141,  1130,  1130,  1142,  1142,   336,  1129,   339,   336,  1058,
     635,  1132,   529,   529,   529,   653,   260,   638,   736,   218,
     589,   452,  1141,  1130,   573,  1130,   837,  1034,  1130,   498,
     777,   777,   777,   777,   853,   154,   195,   352,   446,  1034,
    1130,   670,  1130,   245,   479,   452,   452,   670,   687,   694,
     385,   415,   586,  1130,  1130,  1130,   268,  1130,   327,   830,
     349,   415,   452,   322,   218,   340,   692,   736,   203,   389,
     415,   588,   694,   873,  1130,   407,   218,   589,   218,   589,
    1130,  1130,  1130,  1130,   407,   407,   292,   697,   698,   697,
     530,   532,   699,  1281,   260,   530,   532,   518,   531,  1141,
    1130,   385,   415,   586,   220,  1130,  1130,  1130,   350,   385,
     415,    98,   203,   350,   385,   415,  1034,   321,  1034,  1141,
    1130,   877,   878,  1263,  1128,   452,  1142,   475,   718,   294,
     356,   327,  1281,   356,  1142,   472,   452,   452,   403,   349,
     415,   157,   452,   872,   403,   452,   452,   304,   304,   304,
     452,   452,   403,   452,   452,   403,   452,   403,   452,   403,
     336,   452,   589,  1034,   322,  1281,   415,   873,   218,   589,
     452,  1130,   452,   403,  1141,  1130,   784,  1034,   777,   278,
     784,   784,  1132,  1132,   784,   278,   278,  1130,   278,   784,
     432,   433,   604,  1281,   603,   245,   754,  1283,   338,   520,
     521,   666,   751,   834,  1092,  1147,  1281,   530,   530,   750,
     751,   336,   140,   146,   157,   185,   187,   264,   322,   327,
     366,   380,   468,   628,   629,   630,   217,   490,   541,   573,
    1130,   573,   692,  1128,  1128,   530,   532,  1142,   243,   396,
    1142,  1138,   462,  1128,   637,   102,   190,   270,   408,   473,
     723,   452,   720,   118,   560,   387,   441,   178,   594,   638,
    1128,   728,   755,   756,  1281,   530,   532,  1130,   638,  1128,
    1128,  1130,   965,   529,   620,   530,   335,   593,   335,   336,
     650,   593,   111,   218,   965,   594,   452,   218,  1128,   530,
     532,   185,   518,   842,  1281,   573,   441,   833,   834,   230,
     843,   494,   841,   844,   190,   270,   408,   473,   885,  1130,
     245,  1155,   965,  1169,   589,  1034,   530,  1138,  1055,  1055,
     528,  1292,   529,   520,   521,   522,   523,   524,   528,  1052,
    1130,   589,   589,   475,   589,   475,   589,   589,   777,   777,
    1130,   777,  1130,   712,   589,   230,   403,   403,   403,  1129,
     803,   532,  1141,   494,   532,   801,   339,  1020,   412,   216,
     216,   178,   320,  1142,   798,   589,  1141,   837,   278,   826,
     666,   278,   777,   278,  1098,   449,  1058,   209,  1034,   530,
    1058,  1058,  1058,  1106,   530,  1094,   532,  1034,  1059,  1059,
    1059,  1059,   198,   200,   322,   332,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1059,  1059,  1058,  1058,  1107,  1106,
    1034,   530,   530,   530,  1094,   530,   532,   128,  1060,   530,
    1263,  1069,   363,   436,  1071,   530,   532,   486,  1065,   111,
     530,  1281,  1058,   108,   108,  1058,   530,  1058,   235,   529,
    1097,  1058,   530,   211,  1059,  1059,   211,   211,  1058,  1058,
     981,   491,   529,  1079,  1261,   530,  1094,   532,   976,   976,
     976,   976,  1128,  1128,  1128,   966,  1024,   235,   966,  1011,
    1012,   111,  1013,  1014,  1261,   532,   165,   236,   266,   281,
     291,   317,   395,  1016,  1014,   111,  1013,  1015,  1261,   515,
    1028,   529,  1118,  1058,   243,   994,   532,   980,   980,   980,
    1058,  1058,   483,  1096,   530,   994,   532,   518,   530,   528,
    1250,   530,   529,   823,   227,   286,   337,   168,  1058,   392,
     946,   530,   532,  1119,   155,   946,   530,   532,   956,  1030,
    1121,  1138,   518,  1208,  1239,  1244,   530,   524,   838,   462,
     238,   410,   442,   463,   812,   230,   812,   530,   529,   641,
     642,   819,  1063,  1261,   638,   638,   736,  1134,   530,   187,
     264,   320,   322,   737,  1130,  1130,   111,  1130,   475,   475,
     777,   777,   777,   777,   284,   778,  1141,  1130,   452,   872,
     403,   452,   268,   128,   444,  1130,   218,   625,   529,   627,
     322,   593,   178,   322,   431,   434,   593,   462,  1130,  1261,
     407,   696,  1130,   596,   751,  1263,   349,   415,   452,   872,
     403,  1130,   452,   452,   452,   403,   237,   338,   434,   760,
     761,   237,   338,   768,   769,   452,   452,   403,   530,   530,
     530,   530,   532,   518,   385,  1130,   529,   494,   719,  1139,
    1281,  1281,  1281,  1130,  1130,  1130,   128,   444,  1130,  1130,
    1130,  1130,  1130,  1130,   230,   230,   387,   230,   251,  1141,
    1130,  1130,  1141,  1130,  1130,  1130,  1130,  1130,  1130,   220,
    1130,   146,   590,   218,   100,   120,   462,  1261,  1130,   694,
    1130,  1130,   530,   278,   784,   278,   278,   784,   784,   278,
     784,   541,   604,   670,   736,   494,   496,  1128,   529,   777,
    1130,  1059,   188,   253,   187,   327,   282,  1128,   844,   370,
     740,   741,  1261,   680,   529,   632,   263,   648,   623,  1142,
    1142,  1034,   529,   594,  1142,   718,  1141,  1128,   498,   230,
     729,   530,   532,  1033,   692,   530,   662,   332,   529,   938,
     655,   622,   624,   626,   634,  1261,   649,   648,   151,   444,
     651,   965,   657,   655,   651,  1281,  1134,   817,   835,  1058,
    1058,   532,   529,   839,   462,   532,   748,   452,   529,   670,
      84,  1166,   530,   528,   530,  1193,  1292,  1292,  1292,  1292,
    1292,   589,  1132,  1132,   589,   589,   589,   589,   412,  1129,
    1129,  1129,   666,   240,   800,   530,  1130,   178,   807,   235,
     278,   327,   788,  1281,   278,   278,   788,   278,   788,  1058,
     530,   530,  1107,   530,  1058,   235,   198,   200,   332,   529,
     530,   501,  1067,  1094,   379,   128,   492,   492,   530,  1058,
     320,  1058,   532,  1066,  1036,  1058,  1058,  1058,  1097,   530,
    1058,   108,   108,  1058,  1058,   211,   530,   530,  1058,  1080,
    1261,   530,  1058,  1128,  1128,  1128,  1128,  1014,  1015,   529,
     530,  1261,   529,  1011,   281,   345,  1017,  1011,  1017,   281,
    1016,  1017,   281,   443,  1022,   529,  1261,   529,   343,  1095,
     128,   246,  1001,   530,   530,   530,  1096,  1281,  1001,  1242,
     521,  1235,  1243,  1280,  1281,  1281,   854,   332,  1125,   965,
     943,   336,   529,   945,   518,   959,   946,  1288,   462,   530,
     452,   795,   235,   736,  1058,   530,   532,   494,   146,   820,
     820,   530,   530,   844,   188,   253,   262,   187,   477,   589,
    1034,  1132,  1132,  1130,  1130,  1130,  1130,  1130,  1142,  1130,
     625,   693,   697,   327,   327,  1139,  1261,  1034,   589,   589,
     518,   128,   444,  1130,  1130,  1130,  1130,  1141,  1130,  1130,
    1138,  1138,  1034,   532,  1138,  1138,   532,  1141,  1130,  1130,
     878,   321,   751,   452,  1058,   140,  1142,  1130,   452,   452,
    1129,  1129,   777,  1129,   218,  1130,   777,  1281,  1281,  1034,
     589,   589,   278,   784,   784,   784,   784,   529,   605,   606,
     475,   610,   611,   237,   267,   237,   235,   735,  1058,   322,
     629,   844,   637,   475,   652,  1136,   108,   217,   257,   619,
     215,   258,   529,   412,   475,   638,   111,   719,   560,   529,
    1130,   204,   730,   490,   732,  1281,   594,   777,   619,   655,
     530,   532,   494,   650,   649,   190,   203,   363,  1130,   494,
     898,   111,   235,   336,   529,  1281,   832,   845,   846,  1262,
     844,  1034,   230,  1128,   235,   452,   863,   265,   671,  1167,
    1261,   589,   530,   589,   589,  1130,   339,   276,   589,   799,
     788,   788,   788,   788,   530,  1059,   235,   529,  1097,   529,
     530,   532,   530,  1060,   379,   530,   480,   428,   530,   530,
     530,  1058,  1058,  1058,   530,   354,  1081,   530,  1025,  1026,
    1063,  1013,   529,  1129,  1011,   336,   475,  1018,  1011,   281,
    1011,  1136,  1032,   529,  1032,  1261,   980,   167,   244,   398,
     529,   995,   996,   997,   998,   999,  1000,  1058,  1058,   493,
    1075,   980,  1075,  1138,  1280,   530,   962,  1295,   157,   818,
     819,   199,   529,   966,  1123,   799,   336,   799,   530,   844,
     642,   338,   854,   777,   777,   821,   821,   380,   844,   652,
     530,   452,   415,   952,   530,   532,   590,   751,  1142,  1130,
     452,   529,  1136,   854,   761,   529,   529,   769,  1130,   530,
     529,   415,   952,  1130,  1130,   494,   515,   915,   387,   915,
     915,   230,   590,   784,   612,   613,  1263,   124,   166,   191,
     207,   211,   231,   234,   247,   327,   335,   372,   607,   541,
     192,   803,   111,   859,   859,  1128,   736,   530,   652,   305,
     640,   260,   529,   741,   370,   529,   530,   102,   150,   158,
     186,   261,   434,   633,   633,  1127,  1130,  1132,   530,   965,
     692,   399,   430,   731,   529,   217,   111,   620,   530,   624,
     340,   651,   650,   400,   400,   132,   140,   297,   965,   777,
    1128,   818,   834,   530,   532,   462,  1029,   426,   426,   530,
     670,   320,   479,   672,   673,   518,  1168,  1130,   589,  1059,
    1097,   530,  1068,  1094,   128,   320,   511,   128,   980,   530,
     532,   111,  1027,  1129,   530,  1058,   529,  1011,  1018,   529,
     530,  1032,   530,   530,   529,   416,   529,   530,   532,  1076,
    1077,  1261,   530,  1130,   530,   532,   323,   473,   801,   812,
     589,   820,   652,   529,   822,   822,  1128,   652,   736,  1130,
     444,   697,   475,   591,   415,   952,  1130,  1097,   826,   230,
     764,   853,  1097,  1097,  1058,   444,   776,   777,   776,   777,
    1129,   589,   530,   532,   522,   529,   570,   614,   666,   912,
    1281,   912,   322,   327,   372,   912,   912,   605,  1281,   859,
     114,   255,   230,   320,   636,   236,   353,   421,   336,   644,
     645,   646,   444,   530,  1136,    81,   742,   648,   530,   692,
     224,   763,   594,   898,  1058,   370,   965,   649,   648,   627,
     651,   140,   339,   140,   655,   817,   530,   839,   845,  1034,
     199,   494,   494,   479,   670,  1138,  1275,  1283,    84,   692,
     530,   530,   530,   379,   480,  1094,   373,   400,  1082,  1028,
    1025,   529,   530,  1129,  1094,   530,  1094,   529,  1094,   996,
     532,   111,  1029,   819,   415,   235,   821,   491,   643,   854,
     823,   823,   637,   736,  1130,  1058,   444,   530,   342,   405,
     377,   765,   764,   530,   530,   530,  1130,   915,   613,   570,
     615,   616,  1281,  1281,   327,   638,   522,   638,  1281,  1281,
     204,   262,   190,   473,   336,   646,   336,   645,  1130,   529,
     530,   532,   412,   777,   111,   111,   530,  1136,   898,   650,
     649,   339,   339,   529,   594,   844,   103,   271,   886,   237,
     237,  1167,   122,   168,   464,  1058,  1083,  1084,  1083,   530,
    1032,   530,   530,   530,   995,   530,  1077,  1079,   955,   799,
     822,   529,   736,   530,   640,   952,  1130,  1136,   128,   765,
     952,   777,   530,   532,   638,   399,   131,   320,   391,   415,
     647,   647,   530,    81,  1130,   760,   965,   529,   651,   650,
     818,   651,   323,   529,   881,   883,   888,   939,   947,   954,
     965,   803,   803,  1084,   399,   229,   361,   229,   361,   530,
     386,  1023,   530,  1029,   589,   823,  1058,   644,   952,   826,
     777,   616,   732,    97,   185,   327,   692,   898,   733,   734,
    1138,  1263,  1280,  1281,   651,   530,  1029,   882,   883,   884,
     966,   967,   532,   532,   108,   529,   530,   736,   217,   530,
     532,   594,   530,   533,   452,   235,  1084,  1058,   370,   734,
     651,   884,   426,   426,   530,  1136,  1029,   494,   494,   529,
     237,   237,   733,   803,   803,   530
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   537,   538,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   540,   541,
     541,   541,   542,   542,   543,   543,   544,   544,   544,   544,
     544,   544,   544,   544,   544,   545,   545,   545,   545,   545,
     545,   546,   547,   548,   548,   549,   549,   550,   551,   551,
     552,   552,   553,   553,   554,   555,   556,   556,   557,   557,
     558,   558,   558,   558,   559,   559,   560,   560,   561,   561,
     561,   561,   561,   561,   562,   562,   562,   563,   563,   563,
     564,   564,   564,   564,   565,   565,   565,   565,   565,   565,
     565,   565,   565,   565,   565,   566,   566,   567,   567,   568,
     568,   569,   569,   569,   569,   570,   570,   570,   570,   571,
     571,   571,   571,   571,   571,   571,   572,   572,   572,   573,
     573,   574,   575,   575,   575,   575,   576,   576,   577,   577,
     578,   578,   579,   579,   579,   579,   579,   580,   581,   581,
     582,   582,   583,   584,   584,   584,   584,   584,   585,   585,
     585,   585,   585,   585,   585,   585,   585,   585,   585,   585,
     585,   585,   585,   585,   586,   586,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   588,   588,
     589,   589,   589,   590,   590,   591,   591,   592,   592,   592,
     592,   593,   594,   594,   595,   595,   596,   596,   596,   596,
     597,   598,   598,   599,   599,   599,   599,   600,   600,   601,
     601,   602,   602,   603,   603,   604,   604,   604,   605,   605,
     606,   606,   607,   607,   607,   607,   607,   607,   607,   607,
     607,   607,   607,   607,   607,   607,   608,   608,   609,   609,
     610,   610,   611,   611,   612,   612,   613,   614,   614,   614,
     614,   614,   615,   615,   616,   617,   617,   617,   617,   618,
     618,   618,   618,   618,   618,   618,   618,   619,   619,   620,
     620,   621,   621,   622,   622,   623,   623,   623,   624,   624,
     625,   626,   627,   627,   628,   628,   628,   628,   629,   629,
     629,   629,   629,   629,   629,   630,   630,   630,   630,   631,
     632,   632,   632,   633,   633,   633,   633,   633,   633,   634,
     634,   635,   635,   635,   635,   635,   635,   635,   636,   636,
     637,   637,   638,   638,   639,   640,   640,   640,   640,   641,
     641,   642,   642,   643,   643,   644,   644,   644,   644,   644,
     645,   646,   647,   647,   647,   647,   647,   648,   648,   649,
     649,   649,   649,   650,   650,   650,   650,   651,   651,   652,
     652,   653,   654,   655,   655,   655,   656,   656,   657,   658,
     658,   659,   660,   660,   661,   661,   662,   662,   663,   663,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   665,   665,   666,   666,   666,   666,   667,   667,
     668,   668,   669,   669,   670,   670,   671,   671,   672,   672,
     673,   673,   674,   674,   675,   675,   676,   677,   677,   678,
     678,   679,   679,   680,   680,   681,   681,   681,   681,   682,
     683,   683,   684,   685,   685,   685,   685,   685,   685,   685,
     685,   685,   685,   685,   685,   685,   685,   685,   685,   685,
     685,   685,   685,   685,   685,   685,   685,   685,   685,   686,
     687,   687,   687,   687,   688,   688,   689,   689,   690,   690,
     691,   691,   692,   692,   693,   693,   694,   695,   695,   696,
     696,   696,   696,   697,   698,   699,   700,   701,   701,   702,
     702,   703,   703,   704,   704,   705,   705,   705,   706,   706,
     707,   707,   708,   709,   709,   710,   710,   711,   712,   712,
     713,   713,   714,   715,   716,   717,   717,   718,   718,   719,
     719,   720,   720,   721,   721,   722,   722,   723,   723,   723,
     723,   723,   724,   725,   725,   726,   726,   726,   727,   727,
     728,   728,   728,   728,   728,   729,   729,   730,   730,   731,
     731,   732,   732,   733,   733,   733,   734,   734,   734,   734,
     735,   735,   736,   736,   737,   737,   737,   737,   737,   737,
     738,   738,   739,   739,   740,   740,   741,   742,   742,   743,
     744,   744,   744,   744,   745,   746,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   747,   747,   747,   747,
     748,   749,   749,   750,   750,   751,   751,   751,   751,   751,
     752,   753,   753,   754,   755,   755,   756,   756,   757,   757,
     757,   758,   758,   759,   760,   760,   761,   761,   761,   761,
     761,   762,   762,   763,   763,   764,   764,   764,   765,   765,
     766,   767,   767,   768,   768,   769,   769,   770,   770,   771,
     771,   772,   773,   774,   774,   774,   774,   774,   774,   774,
     774,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   776,   776,   777,
     777,   778,   778,   779,   779,   780,   781,   781,   781,   782,
     782,   782,   782,   782,   782,   782,   782,   782,   782,   782,
     782,   782,   782,   782,   782,   782,   782,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   784,
     784,   785,   785,   785,   785,   785,   785,   785,   786,   786,
     787,   787,   787,   787,   787,   787,   787,   787,   787,   787,
     787,   788,   788,   789,   789,   789,   789,   789,   789,   789,
     789,   789,   789,   789,   790,   790,   790,   790,   790,   790,
     790,   790,   790,   790,   790,   790,   790,   790,   791,   791,
     792,   792,   793,   794,   794,   795,   795,   795,   795,   795,
     796,   796,   797,   797,   797,   797,   798,   798,   798,   798,
     798,   798,   798,   798,   798,   798,   798,   798,   798,   798,
     798,   798,   799,   799,   800,   800,   801,   801,   802,   802,
     803,   804,   805,   805,   806,   806,   807,   807,   808,   809,
     809,   810,   810,   810,   811,   811,   811,   812,   812,   812,
     812,   813,   813,   814,   814,   815,   815,   816,   816,   817,
     817,   818,   818,   819,   819,   819,   820,   820,   821,   821,
     822,   822,   822,   823,   823,   823,   824,   824,   824,   825,
     825,   826,   826,   827,   827,   828,   828,   829,   829,   830,
     830,   830,   830,   830,   831,   831,   831,   831,   831,   832,
     833,   834,   834,   834,   835,   835,   835,   836,   837,   837,
     837,   837,   838,   838,   839,   839,   840,   840,   840,   840,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   841,   841,   841,   841,   841,   842,   842,   843,
     843,   844,   844,   845,   846,   846,   847,   848,   848,   849,
     849,   850,   850,   851,   851,   852,   852,   853,   853,   853,
     853,   854,   854,   855,   856,   856,   857,   857,   858,   858,
     858,   859,   859,   859,   860,   861,   861,   862,   863,   863,
     863,   863,   864,   865,   865,   865,   865,   866,   866,   867,
     867,   867,   868,   868,   869,   870,   870,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   872,   872,   873,   873,   874,
     874,   874,   874,   875,   875,   875,   875,   875,   875,   875,
     875,   875,   875,   875,   875,   875,   875,   875,   875,   875,
     875,   875,   875,   875,   875,   875,   875,   876,   877,   877,
     878,   878,   879,   879,   879,   879,   879,   879,   879,   879,
     879,   879,   879,   879,   879,   879,   879,   879,   879,   879,
     879,   880,   881,   881,   881,   882,   882,   883,   883,   883,
     883,   883,   884,   884,   885,   885,   885,   885,   886,   886,
     886,   887,   887,   888,   889,   889,   890,   891,   891,   892,
     892,   892,   892,   892,   892,   892,   892,   892,   892,   892,
     892,   892,   892,   893,   893,   893,   894,   894,   894,   894,
     894,   895,   895,   895,   896,   896,   897,   897,   897,   897,
     898,   898,   898,   898,   899,   900,   901,   901,   902,   902,
     903,   903,   903,   904,   904,   904,   904,   904,   904,   904,
     905,   905,   906,   906,   906,   907,   908,   908,   909,   909,
     910,   911,   911,   911,   911,   911,   911,   911,   912,   912,
     913,   914,   914,   914,   914,   914,   914,   915,   915,   916,
     917,   917,   917,   918,   918,   919,   919,   919,   919,   919,
     920,   920,   921,   921,   921,   921,   921,   922,   922,   923,
     923,   924,   924,   925,   925,   926,   926,   927,   927,   928,
     928,   928,   928,   929,   929,   929,   929,   929,   929,   929,
     929,   929,   930,   930,   931,   932,   932,   933,   933,   933,
     934,   934,   935,   935,   936,   936,   936,   936,   937,   937,
     938,   938,   939,   940,   940,   941,   941,   941,   942,   942,
     943,   944,   944,   944,   945,   945,   945,   946,   946,   947,
     948,   948,   949,   950,   950,   951,   951,   951,   951,   951,
     951,   951,   951,   952,   952,   953,   953,   953,   954,   955,
     955,   956,   956,   957,   958,   958,   959,   960,   960,   961,
     962,   962,   963,   963,   963,   963,   963,   964,   964,   964,
     965,   965,   966,   966,   967,   967,   967,   967,   967,   967,
     967,   967,   968,   968,   969,   969,   969,   969,   969,   969,
     969,   970,   970,   970,   971,   971,   972,   973,   973,   974,
     974,   974,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   976,   976,   977,   977,   977,   978,   978,   979,   979,
     980,   980,   981,   982,   982,   983,   983,   984,   984,   984,
     984,   985,   985,   986,   986,   986,   986,   987,   987,   988,
     988,   989,   990,   990,   990,   991,   991,   992,   992,   993,
     993,   994,   994,   995,   995,   996,   996,   996,   996,   996,
     997,   998,   999,  1000,  1001,  1001,  1002,  1002,  1003,  1003,
    1004,  1004,  1005,  1006,  1006,  1006,  1006,  1007,  1007,  1008,
    1008,  1009,  1009,  1010,  1010,  1011,  1011,  1011,  1011,  1011,
    1011,  1011,  1011,  1012,  1012,  1012,  1012,  1012,  1012,  1013,
    1013,  1013,  1013,  1014,  1014,  1015,  1015,  1015,  1015,  1015,
    1016,  1016,  1016,  1016,  1017,  1017,  1018,  1018,  1019,  1019,
    1019,  1019,  1020,  1020,  1021,  1021,  1021,  1022,  1023,  1023,
    1024,  1024,  1025,  1026,  1026,  1027,  1027,  1028,  1028,  1029,
    1029,  1030,  1030,  1030,  1031,  1031,  1032,  1032,  1033,  1034,
    1034,  1034,  1034,  1034,  1034,  1035,  1035,  1035,  1036,  1036,
    1036,  1036,  1036,  1036,  1036,  1037,  1037,  1037,  1037,  1038,
    1038,  1039,  1039,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1041,  1041,  1042,  1042,  1043,  1043,
    1044,  1045,  1046,  1046,  1047,  1047,  1048,  1049,  1050,  1050,
    1050,  1050,  1050,  1050,  1051,  1051,  1052,  1052,  1053,  1053,
    1053,  1053,  1054,  1055,  1055,  1055,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1057,  1057,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1060,  1060,  1060,  1060,  1060,  1060,  1060,  1060,  1060,  1060,
    1060,  1060,  1060,  1060,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1062,  1062,  1063,  1063,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1065,  1065,  1066,
    1066,  1066,  1066,  1067,  1068,  1068,  1069,  1069,  1070,  1070,
    1071,  1071,  1071,  1072,  1072,  1072,  1072,  1073,  1073,  1074,
    1074,  1075,  1075,  1076,  1076,  1077,  1078,  1078,  1078,  1079,
    1080,  1080,  1081,  1081,  1082,  1082,  1082,  1083,  1083,  1084,
    1084,  1084,  1084,  1084,  1085,  1085,  1085,  1086,  1086,  1087,
    1088,  1088,  1088,  1089,  1089,  1090,  1090,  1090,  1090,  1090,
    1090,  1090,  1090,  1090,  1090,  1090,  1090,  1091,  1091,  1092,
    1092,  1093,  1093,  1093,  1093,  1093,  1093,  1094,  1094,  1095,
    1095,  1096,  1096,  1096,  1097,  1097,  1098,  1098,  1098,  1099,
    1099,  1100,  1100,  1101,  1101,  1101,  1101,  1101,  1101,  1101,
    1101,  1102,  1102,  1103,  1104,  1104,  1105,  1105,  1105,  1105,
    1105,  1105,  1106,  1107,  1108,  1108,  1108,  1109,  1109,  1110,
    1111,  1111,  1112,  1113,  1113,  1114,  1114,  1115,  1115,  1116,
    1116,  1116,  1116,  1117,  1117,  1118,  1118,  1119,  1119,  1120,
    1120,  1121,  1121,  1122,  1122,  1123,  1124,  1124,  1125,  1125,
    1126,  1126,  1126,  1126,  1127,  1127,  1128,  1128,  1129,  1129,
    1130,  1131,  1132,  1133,  1134,  1135,  1136,  1136,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1138,  1139,  1139,  1139,  1139,  1140,  1141,
    1141,  1141,  1142,  1142,  1143,  1143,  1143,  1143,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1148,  1148,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1151,  1150,  1152,  1153,  1153,  1153,  1153,
    1154,  1154,  1154,  1154,  1155,  1155,  1156,  1157,  1158,  1158,
    1159,  1159,  1159,  1160,  1160,  1161,  1161,  1162,  1162,  1163,
    1163,  1163,  1163,  1164,  1164,  1164,  1165,  1166,  1166,  1167,
    1167,  1168,  1168,  1168,  1168,  1169,  1169,  1170,  1171,  1172,
    1173,  1173,  1174,  1175,  1175,  1176,  1176,  1176,  1176,  1176,
    1178,  1177,  1179,  1180,  1181,  1181,  1182,  1182,  1182,  1182,
    1183,  1183,  1185,  1184,  1187,  1186,  1188,  1186,  1186,  1189,
    1189,  1190,  1190,  1190,  1191,  1191,  1191,  1191,  1192,  1192,
    1193,  1193,  1193,  1193,  1193,  1193,  1194,  1194,  1194,  1195,
    1197,  1196,  1198,  1199,  1198,  1200,  1200,  1201,  1201,  1202,
    1202,  1203,  1203,  1203,  1203,  1203,  1203,  1203,  1203,  1203,
    1204,  1204,  1204,  1204,  1204,  1204,  1204,  1204,  1204,  1204,
    1205,  1205,  1206,  1206,  1207,  1208,  1208,  1209,  1209,  1209,
    1210,  1211,  1212,  1212,  1212,  1212,  1213,  1213,  1213,  1214,
    1214,  1215,  1215,  1216,  1217,  1217,  1218,  1218,  1219,  1219,
    1220,  1220,  1221,  1222,  1222,  1223,  1223,  1223,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1225,  1225,  1225,
    1225,  1225,  1226,  1226,  1227,  1228,  1229,  1230,  1230,  1231,
    1232,  1233,  1233,  1234,  1235,  1235,  1236,  1237,  1238,  1238,
    1239,  1240,  1241,  1241,  1242,  1243,  1243,  1243,  1243,  1243,
    1244,  1244,  1244,  1244,  1244,  1244,  1244,  1244,  1244,  1244,
    1244,  1244,  1244,  1244,  1244,  1245,  1245,  1246,  1246,  1247,
    1247,  1247,  1249,  1248,  1250,  1250,  1252,  1251,  1253,  1253,
    1253,  1254,  1254,  1254,  1254,  1254,  1254,  1254,  1254,  1254,
    1255,  1255,  1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,
    1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,
    1256,  1256,  1256,  1256,  1256,  1257,  1257,  1257,  1257,  1257,
    1257,  1258,  1258,  1258,  1258,  1258,  1258,  1258,  1259,  1260,
    1260,  1260,  1260,  1260,  1260,  1260,  1260,  1261,  1261,  1261,
    1261,  1261,  1261,  1261,  1262,  1262,  1262,  1262,  1262,  1262,
    1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1264,  1264,  1264,  1264,  1264,  1265,  1265,  1265,  1265,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1267,  1267,  1267,
    1268,  1268,  1268,  1268,  1268,  1268,  1269,  1269,  1270,  1271,
    1271,  1272,  1272,  1273,  1274,  1275,  1276,  1276,  1276,  1277,
    1278,  1279,  1280,  1281,  1281,  1281,  1281,  1281,  1282,  1283,
    1283,  1283,  1284,  1284,  1285,  1285,  1285,  1286,  1286,  1287,
    1287,  1288,  1288,  1289,  1289,  1289,  1289,  1289,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1291,  1291,  1291,  1291,  1292,  1292,
    1292,  1292,  1292,  1292,  1292,  1292,  1292,  1292,  1293,  1293,
    1293,  1293,  1294,  1294,  1295,  1295,  1296,  1296,  1297,  1297
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     0,     5,     1,
       1,     0,     2,     0,     2,     0,     2,     2,     3,     3,
       1,     3,     3,     2,     1,     1,     2,     2,     2,     3,
       3,     5,     5,     0,     3,     5,     5,     5,     5,     5,
       3,     5,     3,     5,     5,     6,     1,     1,     3,     5,
       6,     4,     9,     7,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     1,     3,     3,     2,     2,     2,
       2,     3,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     5,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     1,     2,     3,     2,     1,     1,     2,     1,
       2,     1,     3,     4,     5,     4,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     6,
      10,    13,     4,     6,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     1,     3,     2,     5,     3,     6,
       4,     6,     6,     6,     5,     5,     6,     6,     4,     8,
       4,     2,     4,     3,     6,     4,     3,     3,     3,     3,
       2,     2,     3,     4,     4,     3,     3,     3,     3,     3,
       3,     4,     4,     3,     2,     3,     2,     2,     3,     3,
       2,     2,     3,     4,     4,     4,     5,     1,     3,     2,
       1,     1,     0,     2,     0,     2,     0,     1,     1,     1,
       3,     3,     2,     0,     1,     3,     3,     1,     5,     3,
       4,     1,     3,     4,     6,     4,     8,     2,     2,    11,
       9,     1,     1,     1,     0,     1,     1,     1,     1,     3,
       2,     0,     1,     1,     1,     3,     3,     1,     1,     3,
       3,     3,     3,     4,     3,     2,     1,     0,     2,     0,
       3,     0,     1,     0,     1,     3,     2,     1,     1,     1,
       3,     0,     1,     3,     1,    11,    14,    10,    13,     1,
       1,     2,     2,     2,     2,     1,     0,     1,     0,     3,
       0,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       4,     4,     2,     0,     3,     1,     1,     2,     2,     1,
       3,     4,     5,     2,     5,     1,     2,     2,     2,     3,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     7,     3,     8,     4,     9,    11,     2,     0,
       3,     0,     1,     3,     1,     2,     2,     2,     0,     1,
       3,     3,     6,     4,     0,     1,     1,     2,     2,     0,
       3,     3,     2,     1,     1,     2,     2,     4,     0,     2,
       2,     2,     0,     3,     4,     4,     0,     2,     0,     4,
       0,     3,     5,     2,     3,     0,     8,    11,     4,     1,
       0,     6,     5,     8,     4,     6,     1,     0,     1,     2,
       2,     1,     2,     3,     2,     2,     2,     2,     3,     3,
       1,     3,     1,     0,     1,     2,     2,     1,     1,     3,
       6,    10,     1,     0,     1,     2,     2,     0,     2,     2,
       1,     0,     5,     7,     1,     0,     7,     2,     0,     3,
       5,     5,     8,     2,     0,     2,     2,     2,     1,     5,
       2,     0,     2,     7,     7,    10,     6,     6,     6,     6,
       7,     7,     9,     9,     6,     7,     6,     8,     8,     8,
       8,     6,     6,     7,     7,     8,     6,     9,     6,     7,
       2,     2,     2,     2,     1,     2,     1,     0,     6,     8,
       7,     6,     4,     0,     1,     3,     4,     1,     3,     1,
       2,     2,     2,     2,     1,     1,    10,     2,     0,     2,
       2,     1,     0,     4,     6,     5,     4,     4,    11,    14,
       5,     7,    11,     2,     1,     4,     0,     8,     1,     1,
       7,     9,     8,     9,     8,     6,     8,     4,     0,     5,
       0,     2,     0,     2,     0,     2,     0,     1,     1,     1,
       1,     1,     8,    15,    20,     1,     1,     2,     1,     3,
       1,     1,     1,     3,     1,     3,     0,     1,     0,     1,
       1,     4,     0,     1,     3,     0,     1,     1,     1,     1,
       2,     0,     0,     2,     2,     1,     2,     2,     2,     2,
       6,     8,    11,    13,     1,     3,     5,     1,     3,     5,
       1,     2,     2,     1,     8,     4,     5,     4,     4,     4,
       3,     7,     8,     6,     6,     6,     6,     6,     4,     5,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     3,     1,     0,     1,     3,     7,     9,
       9,     3,     0,    13,     1,     3,     5,     6,     4,     7,
       2,     1,     0,     2,     0,     2,     4,     0,     1,     0,
       6,     8,     8,     1,     3,     5,     5,     7,     9,     7,
       9,     5,     6,     6,     4,     4,     6,     4,     6,     5,
       7,     1,     1,     1,     2,     1,     2,     2,     2,     1,
       1,     1,     1,     3,     3,     3,     3,     1,     3,     1,
       2,     2,     3,     1,     3,     5,     2,     2,     0,     6,
       6,     6,     7,     7,     7,     8,     9,     8,     8,     6,
       9,     8,     9,     9,     7,    10,     7,     2,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     1,     3,     2,     3,     3,     3,     3,     1,
       1,     8,     8,     8,     9,     9,     9,     9,     2,     0,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     2,     2,     3,     4,     5,     4,     5,
       3,     4,     3,     4,     1,     2,     3,     3,     3,     3,
       4,     4,     3,     3,     4,     4,     4,     4,     1,     1,
       1,     0,     7,     7,    10,     1,     1,     2,     4,     5,
       1,     3,     2,     2,     2,     2,     1,     2,     2,     4,
       3,     2,     2,     2,     2,     3,     2,     2,     2,     5,
       5,     5,     1,     3,     1,     2,     3,     0,     1,     3,
       2,     6,     6,     9,     3,     0,     3,     0,     5,     2,
       0,     3,     3,     3,     7,     7,    10,     1,     1,     1,
       1,    14,    17,     1,     0,     1,     0,     1,     0,     2,
       0,     1,     3,     5,     5,     7,     2,     0,     1,     0,
       1,     1,     0,     2,     2,     0,     9,    12,     7,     2,
       0,     3,     2,     1,     3,     3,     2,     1,     3,     3,
       3,     2,     2,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     4,     5,     1,     3,     3,     1,     3,     3,
       5,     6,     1,     3,     1,     2,     4,     5,     1,     1,
       1,     1,     3,     3,     2,     2,     1,     2,     2,     2,
       1,     2,     2,     2,     2,     1,     1,     1,     3,     3,
       5,     2,     0,     2,     1,     3,     5,     1,     2,     1,
       0,     5,     7,     5,     7,     5,     7,     3,     5,     5,
       5,     1,     3,     2,     1,     2,     1,     2,    11,    10,
      10,     2,     2,     0,     9,     2,     0,    10,    11,    11,
       5,     5,     8,     3,     3,     6,     6,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     5,     7,     6,     6,
       6,     6,     8,     8,     6,     6,     7,     9,     9,     8,
      10,     6,     6,     6,     8,     6,     8,     6,     8,     7,
       9,     6,     8,     7,     9,     8,    10,     9,    11,     8,
      10,     9,    11,     8,     8,     7,     6,     6,     6,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       9,     8,     7,     7,     6,     6,     6,     6,     6,     7,
       9,     9,     6,     8,     8,     8,     8,     8,     6,     8,
       6,     8,     7,     9,     7,     9,     6,     8,     1,     3,
       3,     3,     7,     6,     6,     6,     6,     6,     7,     7,
       7,     9,     9,     6,     6,     6,     8,     8,     8,     6,
       7,    13,     1,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       0,     6,     8,     3,     2,     0,     2,     2,     2,     2,
       3,     3,     2,     2,     2,     2,     3,     2,     5,     4,
       3,     3,     3,     1,     1,     0,     3,     2,     2,     1,
       2,     1,     3,     2,     1,     0,     9,    11,    12,    14,
       3,     4,     4,     0,     2,     5,     1,     0,     1,     2,
       3,     3,     3,     1,     2,     1,     1,     1,     1,     1,
       1,     0,     5,     4,     6,     4,     3,     5,     4,     4,
       6,     4,     6,     6,     5,     7,     9,     6,     1,     0,
       6,    11,    11,    11,    13,     9,    11,     1,     1,    10,
       4,     2,     5,     2,     0,     4,     5,     5,     4,     6,
       1,     3,     1,     1,     1,     1,     1,     2,     4,     1,
       1,     1,     0,     1,     0,     1,     0,     3,     0,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     0,
       5,     4,     3,     0,     1,     1,     1,     1,     4,     9,
       3,     0,     7,     1,     3,     1,     4,     2,     1,     3,
       2,     8,     5,     0,     4,     3,     0,     3,     0,     7,
       2,     0,     5,     3,     0,     2,     2,     2,     3,     1,
       3,     1,     2,     1,     0,     1,     2,     0,     8,     1,
       3,     1,     1,     3,     5,     5,     2,     1,     3,     7,
       1,     1,     0,     3,     2,     2,     2,     0,     2,     2,
       1,     1,     3,     3,     1,     2,     4,     4,     2,     3,
       5,     5,     1,     1,     9,     9,     1,     2,     4,     4,
       4,     2,     2,     3,     1,     3,     6,     1,     0,     2,
       1,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     0,     3,     1,     3,     4,     3,     2,     2,     1,
       1,     1,     0,     2,     4,     5,     4,     2,     3,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     3,     0,     1,     3,     1,     1,     1,     1,     1,
       2,     4,     4,     5,     2,     0,     1,     3,     1,     0,
       1,     2,     3,     2,     4,     2,     3,     2,     0,     2,
       3,     2,     0,     1,     3,     2,     3,     2,     3,     2,
       3,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     1,     0,     1,     4,     5,     4,     0,
       2,     2,     2,     1,     1,     0,     4,     2,     1,     2,
       2,     4,     1,     3,     1,     2,     3,     6,     4,     0,
       2,     6,     2,     1,     3,     4,     0,     2,     0,     2,
       0,     2,     4,     0,     1,     0,     1,     3,     3,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     1,     2,
       3,     3,     0,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     2,     1,     3,     0,     1,     1,     1,     1,
       5,     2,     1,     1,     1,     1,     5,     2,     2,     2,
       1,     3,     3,     2,     1,     0,     3,     0,     5,     2,
       5,     2,     1,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     3,     3,     5,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     2,     3,     5,     4,
       6,     3,     5,     4,     6,     4,     6,     5,     7,     3,
       2,     4,     2,     3,     3,     4,     3,     4,     3,     4,
       5,     6,     6,     7,     6,     7,     6,     7,     3,     4,
       4,     6,     2,     3,     4,     1,     3,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     2,     5,     6,     6,     7,     3,     4,
       1,     1,     2,     4,     1,     1,     1,     2,     2,     2,
       2,     1,     1,     4,     3,     5,     6,     8,     6,     6,
       4,     4,     1,     1,     1,     5,     1,     1,     4,     1,
       4,     1,     4,     1,     4,     1,     1,     1,     1,     1,
       1,     6,     4,     4,     4,     4,     6,     5,     5,     5,
       4,     6,     4,     4,     4,     4,     5,     7,     7,     9,
       5,     4,     6,     5,     7,     7,     7,     2,     3,     3,
       3,     4,     0,     4,     1,     3,     3,     1,     1,     1,
       2,     2,     0,     2,     4,     4,     6,     5,     0,     5,
       0,     2,     0,     1,     3,     3,     2,     2,     0,     6,
       1,     0,     3,     0,     2,     2,     0,     1,     4,     2,
       2,     2,     2,     2,     4,     3,     5,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     3,     1,     3,     3,     3,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     2,     3,     0,     3,     3,     2,     2,
       1,     0,     2,     2,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     0,     1,     2,     0,     2,     1,
       0,     1,     1,     1,     3,     3,     1,     0,     1,     3,
       3,     2,     1,     1,     1,     3,     1,     2,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     2,     6,     2,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     2,     4,     3,     2,     1,     1,
       1,     1,     1,     0,     8,     2,     5,     3,     2,     2,
       3,     7,     1,     1,     1,     0,     2,     2,     1,     0,
       1,     3,     1,     2,     0,     2,     0,     2,     0,     1,
       3,     4,     3,     1,     1,     1,     1,     2,     0,     2,
       4,     0,     2,     2,     2,     1,     1,     7,     3,     1,
       1,     1,     1,     2,     0,     1,     3,     3,     3,     3,
       0,     4,     5,     5,     0,     1,     1,     1,     2,     2,
       1,     2,     0,     7,     0,     5,     0,     4,     2,     2,
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     5,     2,     1,     3,     2,     2,     3,
       0,     5,     1,     0,     5,     2,     2,     1,     1,     1,
       2,     2,     3,     1,     2,     2,     3,     3,     4,     2,
       1,     2,     1,     1,     2,     2,     3,     1,     1,     1,
       1,     0,     1,     3,     5,     0,     2,     0,     1,     2,
       3,     2,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     2,     2,     3,     0,     1,     2,     1,     4,     3,
       4,     3,     2,     1,     3,     1,     1,     1,     1,     2,
       2,     1,     2,     2,     1,     1,     1,     4,     4,     4,
       4,     4,     1,     0,     3,     3,     4,     1,     3,     3,
       4,     1,     3,     3,     1,     1,     1,     6,     1,     3,
       3,     6,     1,     3,     3,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     4,     1,     1,     4,
       4,     3,     0,     7,     1,     0,     0,     7,     3,     4,
       3,     1,     1,     1,     2,     3,     5,     2,     5,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     0,
       1,     2,     1,     2,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     3,     1,     2,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     2,     3,     1,     3,
       3,     3,     3,     3,     3,     1,     1,     4,     0,     2,
       2,     1,     2,     1,     0,     1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1565 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30838 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1567 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30844 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1569 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30850 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1571 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30856 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1573 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30862 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1575 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30868 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1577 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30874 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1579 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30880 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1581 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30886 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1583 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30892 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1585 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30898 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1587 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30904 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1589 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30910 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1591 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30916 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1593 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30922 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1595 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30928 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1597 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30934 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1599 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30940 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1601 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30946 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1603 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30952 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1605 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30958 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1607 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30964 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1609 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30970 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1611 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30976 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1613 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30982 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1615 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30988 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1617 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30994 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1619 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31000 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1621 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31006 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1623 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31012 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1625 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31018 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1627 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31024 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1629 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 31046 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1647 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31052 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1649 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31058 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1651 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31064 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1653 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31070 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1655 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31076 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1657 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31082 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1659 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31088 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1661 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31094 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1663 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31100 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1665 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31106 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1667 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31112 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1669 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31118 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1671 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31124 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1673 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31130 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1675 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31136 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1677 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31142 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1679 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31148 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1681 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31154 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1683 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31160 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1685 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31166 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1687 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31172 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1689 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31178 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1691 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31184 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1693 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31190 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1695 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31196 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1697 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31202 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1699 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31208 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1701 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31214 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1703 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31220 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1705 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31226 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1707 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31232 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1709 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31238 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1711 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31244 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1713 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 31252 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1717 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 31258 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1719 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31264 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1721 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31270 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1723 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 31276 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1725 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31282 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1727 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31288 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1729 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31294 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1731 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31300 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1733 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31306 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1735 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31312 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1737 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31318 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1739 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31324 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1741 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31330 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1743 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31336 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1745 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31342 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1747 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31348 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1749 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31354 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1751 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31360 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1753 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31366 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1755 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31372 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1757 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31378 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1759 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31384 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1761 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31390 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1763 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31396 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1765 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 31402 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1767 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31408 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1769 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 31414 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1771 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31420 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1773 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31426 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1775 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31432 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1777 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31438 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1779 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31444 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1781 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31450 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1783 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31456 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1785 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31462 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1787 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31468 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1789 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31474 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1791 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 31485 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1798 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31491 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1800 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31497 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1802 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31503 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1804 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31509 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1806 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31515 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1808 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31521 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1810 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31527 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1812 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31533 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1814 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31539 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1816 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31545 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1818 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31551 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1820 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31561 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1826 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31567 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1828 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31573 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1830 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31579 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1832 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31585 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1834 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31591 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1836 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31597 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1838 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31603 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1840 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31609 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1842 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31619 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1848 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31633 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1858 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31641 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1862 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31651 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1868 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31659 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1872 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 31673 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1882 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31687 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1891 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 31693 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1893 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31711 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1907 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31722 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1914 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31732 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1920 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 31747 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1931 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31757 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1937 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31770 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1946 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31781 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1953 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31791 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1959 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 31804 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1968 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31815 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1975 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31826 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1982 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31832 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31840 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 31848 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 31856 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31863 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31871 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31878 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31886 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31893 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 31901 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 31909 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 31917 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 31925 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 31933 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 31941 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 31949 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 31957 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31965 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31973 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 31981 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 31989 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 31997 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 32005 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 32013 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32021 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32029 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32036 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 32044 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32052 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32060 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32068 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32076 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32084 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 32092 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 32100 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 32108 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 32116 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32124 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 32132 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 32140 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 32148 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 32156 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 32164 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32172 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32180 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2232 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32189 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2237 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32198 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32206 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32213 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32221 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32228 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32236 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32244 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32252 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32260 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32268 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32276 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32284 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 32292 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 32300 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 32308 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 32316 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32324 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 32332 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 32340 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 32348 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32356 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 32364 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 32372 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2353 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 32381 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 32389 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 32397 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 32405 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 32413 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 32421 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 32429 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 32437 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32445 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 32453 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32461 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32469 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32477 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2418 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 32491 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 32499 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 32507 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 32515 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 32523 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 32531 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 32539 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 32547 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32555 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32563 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32571 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32579 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 32587 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32595 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32603 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 32611 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32619 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32627 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32634 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32642 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32650 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 32658 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32666 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 32674 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 32682 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 32690 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32698 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32706 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32714 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32722 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32730 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32738 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 32746 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 32754 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 32762 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 32770 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2611 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 32779 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32787 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32795 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32803 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 32811 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 32819 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 32827 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 32835 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 32843 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 32851 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 32859 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 32867 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32875 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32883 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32891 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32899 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32907 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32915 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32923 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32931 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32939 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32947 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32955 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32963 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32971 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32979 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32987 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32995 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33003 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33011 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 33019 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 33027 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 33035 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 33043 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33051 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 33059 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 33067 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 33075 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 33083 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 33091 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 33099 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33107 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33115 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33123 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33131 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 33139 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33147 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 33155 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33163 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33171 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 33179 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 33187 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 33195 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 33203 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 33211 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 33219 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 33227 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 33235 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 33243 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 33251 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 33259 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 33267 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 33275 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 33283 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 33291 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 33299 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 33307 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 33315 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 33323 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 33331 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 33339 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 33347 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33355 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 33363 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 33371 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 33379 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 33387 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 33395 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 33403 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 33411 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 33419 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33427 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 33435 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 33443 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 33451 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 33459 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33466 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 33474 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33481 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 33489 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33496 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 33504 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 33512 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 33520 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 33528 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33536 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 33544 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33551 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33559 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33567 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33575 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33583 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33591 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33599 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33607 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33615 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33623 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33631 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33639 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33647 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33655 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3136 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 33664 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 33672 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3149 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33684 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33692 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 33700 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 33708 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 33716 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33723 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33731 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 33739 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 33747 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33755 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33763 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33771 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33778 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 33786 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 33794 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 33802 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33810 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33818 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 33826 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 33834 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33842 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33850 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 33858 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 33866 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 33874 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 33882 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 33890 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 33898 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33905 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 33913 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33920 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 33928 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33935 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 33943 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33950 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33958 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33966 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33974 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33982 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33990 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 33998 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34006 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34013 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34021 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34029 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34037 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34045 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34053 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34061 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34069 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 34077 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 34085 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 34093 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 34101 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 34109 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 34117 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 34125 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34132 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34140 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34147 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34155 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34162 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34170 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34178 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34186 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34194 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34202 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34210 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34218 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34226 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34234 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34242 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 34250 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34258 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34265 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34273 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34281 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34289 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 34297 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 34305 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 34313 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34321 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34329 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34337 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 34345 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34353 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 34361 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 34369 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 34377 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 34385 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34393 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 34401 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 34409 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34416 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 34424 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 34432 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 34440 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 34448 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 34456 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34464 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34472 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34480 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34488 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34496 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34504 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34512 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34520 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34528 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34536 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 34544 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34551 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34559 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34566 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34574 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34582 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34590 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 34598 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3763 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 34607 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 34615 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34622 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34630 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34638 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 34646 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34654 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34662 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34669 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34677 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34685 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34693 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34701 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34708 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 34716 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 34724 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 34732 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 34740 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 34748 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 34756 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 34764 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34772 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34779 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 34787 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 34795 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 34803 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34810 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 34818 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 34826 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 34834 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34841 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 34849 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34856 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 34864 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34871 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 34879 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34887 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 34895 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 34903 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34910 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34918 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34926 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34934 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 34942 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34949 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34957 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34965 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34973 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34981 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34989 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34997 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35004 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35012 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35020 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 35028 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 35036 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 35044 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35052 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 35060 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 35068 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 35076 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 35084 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 35092 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35100 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 35108 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35116 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 35124 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35131 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35139 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 35147 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 35155 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35163 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35171 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35179 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35187 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35195 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 35203 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35210 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35218 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35226 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 35234 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35241 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 35249 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 35257 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35265 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35272 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35280 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35288 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 35296 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35303 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35311 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 35319 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35326 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 35334 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 35342 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35350 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35358 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35366 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35373 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 35381 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 35389 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 35397 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 35405 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 35413 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35421 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35428 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 35436 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("access method"),(yyvsp[0].str));
}
#line 35444 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35452 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35460 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 35468 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 35476 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 35484 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 35492 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35500 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35508 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35516 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35524 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 35532 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 35540 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 35548 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 35556 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 35564 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 35572 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 35580 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 35588 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 35596 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 35604 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 35612 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 35620 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35628 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35636 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 35644 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35652 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 35660 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 35668 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 35676 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 35684 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35692 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35700 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35708 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35715 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35723 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35731 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35739 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35747 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35755 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35762 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35770 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35778 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35786 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35794 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35802 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35810 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35818 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 35826 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 35834 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35842 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35850 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35858 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35866 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 35874 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35881 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 35889 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 35897 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35905 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35912 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35920 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35928 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35936 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35944 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35952 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35960 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35968 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35976 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35984 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35992 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 36000 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 36008 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36016 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36023 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36031 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36039 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 36047 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 36055 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 36063 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36071 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create policy"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36079 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36087 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36095 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36103 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36111 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36118 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36126 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36133 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 36141 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36148 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 36156 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36163 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 36171 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36178 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 36186 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 36194 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36202 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36210 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36218 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type index handler"),(yyvsp[0].str));
}
#line 36226 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36234 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36242 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 36250 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 36258 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 36266 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36274 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 36282 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36290 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36298 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36306 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 36314 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 36322 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36330 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36337 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 36345 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36352 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 36360 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 36368 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36376 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36383 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36391 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36399 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36406 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36414 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36422 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36430 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36438 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 36446 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36453 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36460 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36468 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36476 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36484 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 36492 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 36500 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 36508 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 36516 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36524 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36532 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36540 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36548 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36556 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 36564 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36572 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 36580 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 36588 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36596 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 36604 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 36612 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 36620 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 36628 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5181 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36637 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5190 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36646 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36654 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36662 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36670 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36678 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 36686 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36694 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36702 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 36710 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36718 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36726 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36734 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36742 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36750 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36758 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36766 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36774 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36782 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36790 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36798 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36806 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36814 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36822 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36830 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36838 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36846 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36854 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36862 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36870 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36878 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36885 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36893 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36901 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36909 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 36917 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 36925 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 36933 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36940 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36948 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36956 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36964 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36972 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36980 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36988 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36996 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 37004 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 37012 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37019 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 37027 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37034 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 37042 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 37050 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37057 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5474 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 37066 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37073 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37081 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 37089 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 37097 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37105 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37113 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37121 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37129 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37137 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37145 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37153 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37161 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37169 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 37177 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37185 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37193 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37201 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37209 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37217 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37225 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37233 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37241 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37249 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37257 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37265 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37273 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 37281 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37289 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 37297 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37305 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 37313 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 37321 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37329 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 37337 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 37345 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 37353 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 37361 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 37369 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37377 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37385 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37393 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37401 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 37409 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 37417 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37425 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37433 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 37441 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 37449 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37456 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37464 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37472 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37480 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37488 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37496 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37504 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37512 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37520 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37528 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37536 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37544 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37552 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37560 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37568 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37576 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37584 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 37592 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37600 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 37608 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37616 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37624 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37632 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 37640 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37648 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37656 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37664 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37672 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 37680 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 37688 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 37696 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 37704 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 37712 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37720 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 37728 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 37736 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37744 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 37752 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 37760 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 37768 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 37776 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37784 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37792 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37800 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37808 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 5926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37816 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 5930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37824 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 5934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37832 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 5938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37840 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 5942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37848 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 5950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 37856 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 5954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37863 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 5961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37871 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 5965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37879 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 5969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37887 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 5973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37895 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 5977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37903 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 5981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37911 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 5985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37919 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 5989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 37927 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 5993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 37935 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 5997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37943 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37951 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37959 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37967 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 37975 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 37983 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6029 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 37991 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6033 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 38001 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6039 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 38011 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6045 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 38021 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6051 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 38031 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6057 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 38041 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6063 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 38051 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6069 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 38061 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6075 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 38071 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6085 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 38086 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6096 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38101 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6107 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38116 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6118 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38131 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6129 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38146 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6140 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38161 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6151 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38181 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6167 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38201 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6183 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38221 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6199 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38236 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6210 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38256 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6226 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38271 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6237 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38291 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6253 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38306 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 38314 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 38322 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38330 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38337 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38345 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38353 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38361 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38369 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38377 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 38385 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38393 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38401 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38409 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38417 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 38425 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 38433 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 38441 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38449 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38457 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 38465 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 38473 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 38481 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 38489 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 38497 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 38505 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 38513 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 38521 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 38529 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 38537 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 38545 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 38553 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 38561 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 38569 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 38577 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38585 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38593 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38601 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 38609 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 38617 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38624 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38632 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38640 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38648 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38656 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38664 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38672 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 38680 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38687 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 38695 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38702 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38710 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 38733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 38741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 38749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 38781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 38789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 38797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 38805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("index"),(yyvsp[-13].str),mm_strdup("if not exists"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 38829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 38844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 38929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 38959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 38967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 38982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 38990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 39029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 39052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 39084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 39148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 39156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 39164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 39172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 39180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 39212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 39220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 39236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 39244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6910 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 39253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 39261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 39325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 39333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 39341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 39349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 39357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 39365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 39373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 39381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 39389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 6999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 39397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 39405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 39413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 39421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 39429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 39445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 39453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 39461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 39469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 39477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 39509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 39517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 39525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 39588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 39675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 39691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 39699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 39731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 39747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 39755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 39763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 39771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 39794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 39817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 39825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 39833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 39841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 39913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 39945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 39953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 39961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 40353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 40368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 40631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 40807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 40831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 40902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 40910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 40918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 40926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 40934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 40942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 40981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 7994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 40996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 41004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 41012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 41020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 41036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 41044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 41052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 41060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 41068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 41076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 41084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 41092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 41100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 41108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 41116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 41124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 41132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 41140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 41155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 41163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 41171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 41179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 41187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8148 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8153 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 41268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 41276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 41284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 41299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 41362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 41378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 41386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 41394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 41402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 41410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 41418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 41426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 41441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 41457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 41473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 41481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 41489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 41497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 41521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 41529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 41537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 41561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 41569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 41624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 41632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 41672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 41680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 41688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 41815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 41823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 41891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 41907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8696 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 42060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8702 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 42070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8743 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 42123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 42170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 42194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 42234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 42257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 42272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 42295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 42318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 42333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 42341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 42349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 42357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 42365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 42373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 42381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 42389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 42397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 42412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 42420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 8961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 8969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 8973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 8981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 8985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 8993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 42475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 42483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 42491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9033 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 42568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9090 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 42588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 42603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 42611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 42619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 42627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9125 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 42638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 42646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 42654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 42846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9295 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 42894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9299 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 42900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 42987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 43010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 43025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 43071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 43158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9475 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 43167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 43175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 43183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 43191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 43239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 43247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 43271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 43279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 43287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 43295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 43303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 43374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 43406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 43429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 43476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 43484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 43492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 43500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 43508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 43523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 43539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9791 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9798 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 43648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 43672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 43680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 43696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 43774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 43782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 43790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 43798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 43806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 43829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 43845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 43853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 43901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 43987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 44002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 44017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10078 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 44026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10121 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 44078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10123 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 44084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 44092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 44100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 44108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 44116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10145 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 44130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10155 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 44144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10165 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 44154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 44281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 44289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 44297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 44305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 44313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 44321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 44329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 44337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 44345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 44353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 44361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 44424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 44480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 44488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 44496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 44504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 44512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 44520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 44528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 44543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 44566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 44582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 44590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 44598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 44606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 44621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 44629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 44637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 44645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 44653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 44669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 44677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 44685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 44693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 44701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 44709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 44717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 44732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 44756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 44764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 44772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 44780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 44788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 44796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 44804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 44812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 44820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 44828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 44836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 44844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 44852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 44868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 44876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 44884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 44924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 44932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 44940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 44948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 44964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 44980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 44996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 45004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 45012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 45020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 45028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 45036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 45044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 45052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 45060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 45068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 45076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 45084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 45092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 45100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 45108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 45116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 45124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 45132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 45140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 45196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 45204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10793 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 45229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 45237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 45245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 45261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 45269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 45277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 45285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 45293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 45301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 45309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 45317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 45325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 45333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 45341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 45349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 45357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 45365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 45373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 45405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 45413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 45437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 45445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 45517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 45525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 45533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 45565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 10994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 10998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 45613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 11006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 11010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 45661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 45669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 45685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 45701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 45717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 45733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 45741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 45749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 45757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 45765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 45773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 45989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 45997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 46005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 46013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 46021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 46076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 46084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 46092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 46100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 46115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 46123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 46131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 46139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 46177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 46216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 46224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 46262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11410 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 46278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 46286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 46309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 46317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 46325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 46333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 46341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 46349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 46365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 46389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 46405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 46413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 46421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 46445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 46453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 46461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 46469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 46477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 46485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 46493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 46501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 46509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 46517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 46525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 46533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 46589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 46597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 46605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 46613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 46661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 46669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 46709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 46756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 46764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 46772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 46780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 46788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 46796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 46828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 46836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 46906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 46954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 46978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 46986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 47032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 47040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 47048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 47056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47102 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 47110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 47133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 11998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 12002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 47196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 47220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 47372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 47420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 47428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 47436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12208 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12209 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12215 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 47454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47462 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12224 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 47508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 47516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 47572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 47580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 47588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 47596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 47604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 47612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 47620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 47628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 47636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 47644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 47652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 47660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 47668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 47676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 47684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 47692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 47700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 47708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 47716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 47724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 47732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 47740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 47748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 47756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 47764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 47772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 47780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 47788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 47796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 47804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 47812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 47820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 47828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 47836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 47844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 47852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 47860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 47868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 47876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 47884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 47892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 47900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 47908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 47916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 47924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 47932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 47940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 47948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 47956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 47964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 47972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 47980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 47988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 47996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 48004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 48012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 48020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 48028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 48036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 48044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 48052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 48060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 48068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 48076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 48084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 48092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 48100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 48108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 48116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 48124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 48132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 48140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 48148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 48156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 48164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 48172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 48180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 48188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 48196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 48204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 48212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 48220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 48228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 48236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 48244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 48252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 48260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 48268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 48276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 48284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 48292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 48300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 48308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 48316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 48324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 48332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 48340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 48348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 48356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 48364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 48372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 48380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 48388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 48396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 48404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 48412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 48420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 48428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 48436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 48444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 48452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 48460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 48468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 48476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 48484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 48492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 48500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 48508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 48516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 48524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 48532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 48540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 48548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 48556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 48564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 48572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 48580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 48588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 48596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 48604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 48612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 48620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 48628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 48636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 48644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 48652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 48660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 48668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 48676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 48684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 48692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 48700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 48708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 48716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 48724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 48732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 48740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 48748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 48756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 48764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 48772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 48780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 48788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 48796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 48804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 48812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 48820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 48828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 48836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 48844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 48852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 48860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 48868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 48876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 48884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 48892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 48900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 48908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 48916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 48924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 48932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 48940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 48948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 48956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 48964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 48972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 48980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 13002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 48988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 13006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 48996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 13010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 49004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 13014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 49012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 13018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 49020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 13022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 49028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 49036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 49044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 49052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 49060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 49068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 49076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 49084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 49092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 49100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 49108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 49116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 49124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 49132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 49140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 49148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 49156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 49164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 49172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 49180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 49188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 49196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 49204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 49212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 49220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 49228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 49236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 49244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 49252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 49260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 49268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 49276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 49284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 49292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 49300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 49308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 49316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 49324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 49332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 49340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 49348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 49356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 49364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 49372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 49380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 49388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 49396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 49404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 49412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 49420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 49428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 49436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 49444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 49452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 49460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 49468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 49476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 49484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 49492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 49500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 49508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 49516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 49524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 49532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 49540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 49548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 49556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 49564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 49572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 49580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 49588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 49596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 49604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 49612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 49620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 49628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 49636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 49644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 49652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 49660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 49668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 49676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 49684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 49692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 49700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 49708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 49716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 49724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 49732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 49740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 49748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 49756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 49764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 49772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 49780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 49788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 49796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 49804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 49812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 49820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 49828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 49836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 49844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 49852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 49860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 49868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 49876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 49884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 49892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 49900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 49908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 49916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 49924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 49932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 49940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 49948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 49956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 49964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 49972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 49980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 49988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 49996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 50004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 50012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 50020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 50028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 50036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 50044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 50052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 50060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 50068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 50076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 50084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 50092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 50100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 50108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 50116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 50124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 50132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 50140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 50148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 50156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 50164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 50172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 50180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 50188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 50196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 50204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 50212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 50220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 50228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 50236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 50244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 50252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 50260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 50268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 50276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 50284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 50292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 50300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 50308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 50316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 50324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 50332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 50340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 50348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 50356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 50364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 50372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 50380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 50388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 50396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 50404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 50412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 50420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 50428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 50436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 50444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 50452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 50460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 50468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 50476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 50484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 50492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 50500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 50508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 50516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 50524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 50532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 50540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 50548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 50556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 50564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 50572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 50580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 50588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 50596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 50604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 50612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 50620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 50628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 13838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 50636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 50644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 50652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 50660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 50668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 50676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 50684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 50692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 50700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 50708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 50716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 50724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 50732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 13890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 50740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 13894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 50748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 13898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 50756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 13902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 50764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 13906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 50772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 13910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 50780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 13914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 50788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 13918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 50796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 13922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 50804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 13935 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 50810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 13938 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 50820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 13944 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 13945 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 13946 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 50838 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 13948 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 50853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 13960 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 50859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 13961 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 50870 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 13970 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 50884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 13985 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 50890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 13987 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 50896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 13990 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 50902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 13992 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 50908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 13996 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 50924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14008 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 50944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14024 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 50952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14028 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 50965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14038 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14039 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14043 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 50991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14055 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 51002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14063 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14064 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14067 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14068 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 51026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14069 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 51032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14072 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 51038 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14073 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14076 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14077 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 51056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14080 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14081 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 51068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14085 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 51074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14087 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 51080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14089 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 51086 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14091 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 51092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14095 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 51103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14102 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 51114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14109 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 51132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14125 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 51168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14159 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 51182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14172 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 51196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14176 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 51210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14188 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14190 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51222 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14192 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14194 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14198 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 51252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14211 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14219 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 51321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14280 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 51331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14290 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14291 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14294 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14296 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14297 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14300 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14301 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 51373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14302 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 51379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14303 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 51385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14304 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 51391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14311 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 51397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14313 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 51407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14320 "preproc.y" /* yacc.c:1646  */
    {}
#line 51413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14322 "preproc.y" /* yacc.c:1646  */
    {}
#line 51419 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14324 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14325 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14328 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14329 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14330 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14331 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14334 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14335 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14339 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 51477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14345 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 51489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14355 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 51503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14365 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 51511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14369 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 51525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14379 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 51533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14383 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 51541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14388 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 51547 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14389 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14393 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14394 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 51565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14395 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 51571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14398 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 51577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14399 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 51583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14400 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 51589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14401 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 51595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14404 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 51601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14405 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 51607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14409 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14417 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 51640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14434 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14442 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14465 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 51789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14571 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 51825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14605 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 51831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14607 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14609 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14613 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 51849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14616 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 51860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14623 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 51906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14666 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14668 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 51922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14674 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 51933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14683 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 51943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14689 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 51952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14696 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 51961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14701 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 51969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14706 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 51975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14707 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 51981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14710 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 51987 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14711 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 51993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14712 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 51999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14713 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 52005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14714 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 52011 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14715 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 52017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14717 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 52029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14725 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 52041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14732 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 52047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14735 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 52053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14736 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 52059 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14737 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 52065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14738 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 52071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14739 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 52077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14741 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 52089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14749 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 52101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14756 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 52107 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14757 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 52113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14758 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 52119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14766 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14768 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 52136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14777 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 52225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14864 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14866 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 52240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14872 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52246 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14873 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 52252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14874 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 52258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14881 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 52267 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14889 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14892 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14893 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 52285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14894 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 52291 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14895 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 52297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14898 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 52303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14899 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 52309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14900 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52315 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14904 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14906 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 52327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14913 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14914 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 52339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14921 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 52349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14928 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14929 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14932 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14933 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14937 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52382 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14942 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14949 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14954 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14961 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14970 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 52429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14976 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52435 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14977 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14980 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14981 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 52453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14982 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 52459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14983 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14984 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 52471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14985 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 52477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14986 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52483 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14987 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14988 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14995 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 52506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 15002 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 15014 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 15020 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 52543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 15027 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 15034 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 52559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 15035 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 15048 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52574 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 15059 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 15070 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 52589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 15078 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 52595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 15083 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 52601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 15091 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 52609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 15097 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 15105 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 52629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 15110 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 52635 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 15118 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 15125 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 52647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15129 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15137 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 52661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15143 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15152 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 52681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 15157 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52694 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15167 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52707 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 15177 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15188 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 52727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15189 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 52733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15190 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 52739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15191 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 52745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15192 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 52751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15193 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 52757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15194 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52763 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15195 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 52769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15196 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 52775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15197 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 52781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15198 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 52787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15199 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15200 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 52799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15201 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 52805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15202 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 52811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15209 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15210 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15213 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 52829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15214 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 52835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15221 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15222 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15223 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15230 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15236 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 52876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15246 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 52882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15247 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15254 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15260 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 52960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15324 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15330 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15336 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15344 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 53000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15350 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 53010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15356 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 53020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15362 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 53030 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15368 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 53040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15374 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 53050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15380 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 53060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15386 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 53070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15392 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 53080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15402 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53086 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15403 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15406 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 53098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15407 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 53104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15408 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 53110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15409 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 53116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15410 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 53122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15411 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 53128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15412 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 53134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15413 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 53140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15414 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 53146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15415 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 53152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15416 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 53158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15417 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 53164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15418 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 53170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15419 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 53176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15420 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 53182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15421 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 53188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15422 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 53194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15423 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 53200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15424 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 53206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15425 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 53212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15426 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 53218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15427 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 53224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15428 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 53230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15431 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 53236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15432 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 53242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15433 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 53248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15434 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 53254 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15435 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 53260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15436 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 53266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15440 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 53272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15441 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 53278 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15442 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 53284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15443 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 53290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15444 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 53296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15445 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 53302 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15446 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 53308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15449 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15452 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15453 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53326 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15454 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15455 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15456 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15457 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53350 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15458 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15459 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 53362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15472 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15473 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15474 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15475 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15476 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15477 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53398 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15478 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 53404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15483 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15484 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15485 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15486 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15487 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15488 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15494 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53446 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15495 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15496 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15497 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 53464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15498 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 53470 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15499 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 53476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15500 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 53482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15501 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 53488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15502 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 53494 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15503 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15504 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15507 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15508 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53518 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15509 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15510 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15511 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 53536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15514 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53542 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15515 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15516 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15517 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15520 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 53566 "preproc.c" /* yacc.c:1646  */
    break;

  case 2851:
#line 15521 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 53572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2852:
#line 15522 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 53578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15523 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 53584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2854:
#line 15524 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 53590 "preproc.c" /* yacc.c:1646  */
    break;

  case 2855:
#line 15525 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 53596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2856:
#line 15526 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 53602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15543 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15544 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53614 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 15545 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 53620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2860:
#line 15548 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 53626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2861:
#line 15549 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 53632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2862:
#line 15550 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 53638 "preproc.c" /* yacc.c:1646  */
    break;

  case 2863:
#line 15551 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 53644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2864:
#line 15552 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 53650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2865:
#line 15553 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 53656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 15560 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 53665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 15566 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 15567 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 15571 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 53683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 15573 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 53689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 15578 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 53701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 15588 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 53714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 15599 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 53723 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 15605 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 15606 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 15607 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 15611 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 53776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 15643 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 15645 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 15647 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 15651 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 53808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 15661 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53822 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 15671 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 15680 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 15681 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 15684 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53854 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 15686 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 15687 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 15688 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 15692 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53878 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 15694 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 53884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 15701 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 15702 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 53896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 15704 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 53902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 15707 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 15709 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 53914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 15712 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 15713 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53926 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 15716 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 15717 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 53938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 15720 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 15721 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 53950 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 15722 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 53956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 15723 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 53962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 15724 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 53968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 15727 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53974 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 15728 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 15729 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 15730 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 15731 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 53998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 15732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 54004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 15733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 54010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 15734 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 54016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 15735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 54022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 15736 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 54028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 15737 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 54034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 15738 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 54040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 15739 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 54046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 15740 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 54052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 15741 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 54058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 15742 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 54064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 15743 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 54070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 15744 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 54076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 15745 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 54082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 15746 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 54088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 15747 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 54094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 15748 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 54100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 15749 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 54106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 15750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 54112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 15751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 54118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 15752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 54124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 15753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 54130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 15754 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 54136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 15755 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 54142 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 15756 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 54148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 15757 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 54154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 15758 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 54160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 15759 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 54166 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 15760 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 54172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 15761 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 54178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 15762 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 54184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 15763 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 54190 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 15764 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 54196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 15765 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 54202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 15766 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 54208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 15767 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 54214 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 15768 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 54220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 15769 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 54226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 15770 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 54232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 15771 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 54238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 15772 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 54244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 15773 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 54250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 15774 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 54256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 15775 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 54262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 15776 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 54268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 15777 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 54274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 15778 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 54280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 15779 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 54286 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 15780 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 54292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 15781 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 54298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2963:
#line 15782 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 54304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2964:
#line 15785 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54310 "preproc.c" /* yacc.c:1646  */
    break;

  case 2965:
#line 15786 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2966:
#line 15787 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 54322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2967:
#line 15788 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 54328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2968:
#line 15791 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54334 "preproc.c" /* yacc.c:1646  */
    break;

  case 2969:
#line 15792 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 54340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2970:
#line 15793 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 54346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2971:
#line 15794 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 54352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2972:
#line 15795 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 54358 "preproc.c" /* yacc.c:1646  */
    break;

  case 2973:
#line 15796 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 54364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2974:
#line 15797 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 54370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2975:
#line 15798 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2976:
#line 15799 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54382 "preproc.c" /* yacc.c:1646  */
    break;

  case 2977:
#line 15800 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 54392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2978:
#line 15807 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54398 "preproc.c" /* yacc.c:1646  */
    break;

  case 2979:
#line 15808 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2980:
#line 15809 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2981:
#line 15810 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2982:
#line 15813 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2983:
#line 15814 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2984:
#line 15817 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2985:
#line 15818 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2986:
#line 15821 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54446 "preproc.c" /* yacc.c:1646  */
    break;

  case 2987:
#line 15823 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 54459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2988:
#line 15833 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2989:
#line 15834 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54471 "preproc.c" /* yacc.c:1646  */
    break;


#line 54475 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15837 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
